﻿$page.load = function(cb) {
    $page.addButtons([{
        icon : "fa fa-flag",
        text : "查看实时位置",
        color : "red",
        click : function() {
            var query = new $.server.queryOptions();
            query.PrimaryTable = "YH101";
            query.Tables = "SS204";
            query.PrimaryKeyField = "ID";
            query.FieldNameList = "*";
            var datet = $.date.format($.server.currentDate(), 'yyyy-MM-dd');
            query.ConditionExpr = "YH101.A52 IS NOT NULL AND YH101.A52 = SS204.ID AND SS204.A12>'" + datet + "'";
            $.server.query(query, function(data) {
                var datas = [];
                $.each(data.DataSource, function(key, val) {
                    datas.push({
                        name : val['YH101_A05'] + " " + $.date.format(val['SS204_A12'], 'yyyy-MM-dd HH:mm:ss'),
                        point : [val['SS204_A02'], val['SS204_A03']],
                        address : {
                            fullAddress : val['SS204_A06']
                        }
                    });
                });
                $.server.navigate('KQ47', {
                    id : datas,
                    type : "sswz"
                });

            });
        }
    }]);    
    if ($page.parms == null || $page.parms.id == null) {
        $page.id = null;
    } else {
        $page.id = $page.parms.id;
    }
    var datas = [];
    var lst = new mListView($("#ContactsListView"));
    var query = new $.server.queryOptions();
    query.PrimaryTable = "YH101";
    query.PrimaryKeyField = "ID";
    query.FieldNameList = "*";
    query.ConditionExpr = "YH101.A56 = '0' AND YH101.A05 != ''"
    query.PageSize = 9999;
    query.PageIndex = 1;
    lst.load(query, {
        layout : {
            icon : "YH101_A12",
            r0c0 : "<span style='font-size:0.9em;'>${YH101_A05}</span>", //jquery.tmpl语法
            r1c0 : "<span style='color:#666666; font-size:0.9em'>${YH101_A06MC}  ${YH101_A07MC}</span>",
            r2c0 : "<span style='font-size:0.9em;'>${YH101_A04}</span>",
            r2c1 : "<div class='ub'><div class='icon-li list-btn'><div class='fa fa-phone fa-x fa-call'></div></div>&nbsp;<div class='icon-li list-btn'><div class='fa fa-envelope fa-x fa-sems'></div></div></div>",}
    });
    lst.afterCommand = function(op) {
        if ($(op.target[0]).children('.fa-phone').length > 0) {
            if (op.data.YH101_A04 != null) {
                uexCall.dial(op.data.YH101_A04);
            } else {
                $.util.info("尚未录入号码");
            }
        };
        if ($(op.target[0]).children('.fa-sems').length > 0) {
            if (op.data.YH101_A04 != null) {
                var jsonstr = {
                    "emojicons" : "res://emojicons/emojicons.xml", //(必选)自定义表情配置文件的widget路径
                    "shares" : "res://shares/shares.xml", //(必选)自定义分享选项配置文件的widget路径
                    "placeHold" : "请输入短信内容", //(可选)输入框提示语
                    "textColor" : "#FFF", //(可选)录音时间文字颜色
                    "textSize" : "15.5", //(可选)录音时间文字大小
                    "inputMode" : "0" //(可选) 输入框默认输入方式,0-文字输入；1-语音输入。默认为0
                };
              uexChatKeyboard.open($.toJSON(jsonstr));
                uexChatKeyboard.onCommit = function(cbdata) {
                    var smdata = $.evalJSON(cbdata);
                    if (smdata.emojiconsText == "") {
                        $.util.info("短信内容不能为空！");
                        return false;
                    } else {
                        uexSMS.open(op.data.YH101_A04, smdata.emojiconsText);
                        uexChatKeyboard.close();
                    }
                }
            } else {
                $.util.info("尚未录入号码");
            }
        };       
    }

    lst.afterSelect = function(op) {
        $page.id = op.data["YH101_ID"];
        $.server.navigate("DT14", {
            id : $page.id,
            a01 : op.data["YH101_A01"]
        });
    }
}
$page.afterRefresh = function() {
    var lst = $("#ContactsListView").ctl();
    lst.refresh();
}
