$page.load = function(cb) {
    if ($page.parms == null || $page.parms.id == null) {
        $page.id = null;
    } else {
        $page.id = $page.parms.id;
        $page.table = $page.parms.table;
        $page.tempId = $page.parms.tempId;
        $page.opdata = $page.parms.opdata;
    }
    $page.addButtons([{
        icon : "fa fa-gear",
        text : "操作",
        click : function() {

            $("#dialog_c #content").find(".ub").children().remove();

            var sels = $page.opdata;
            var wid = sels["LSBPM_WORKTASKINSTANCE_WORKFLOWID"];
            var tid = sels["LSBPM_WORKTASKINSTANCE_WORKTASKID"];
            var ids = sels["SP03_TRANSID"].toString();

            var ps = [];
            ps.push(wid);
            ps.push(tid);
            $.server.api({
                path : "WorkFlow/WorkFlowManager/GetCmds",
                parms : ps
            }, function(ret) {
                var btns = [];
                var colors = ['bg-blue', 'bg-red', 'bg-azure', 'bg-palegreen', 'bg-yellow', 'bg-darkorange', 'bg-sky', 'bg-magenta', 'bg-purple', 'bg-maroon'];
                var html = [];

                var dialog = new DialogWindow({
                    title : "请输入审批意见",
                    afterClose : function(op) {

                    }
                });
                var $txt = $("<textarea style='width:96%;margin:2%;height: 150px;font-size:0.9em;' id='spyj' />");
                dialog.addContent($txt);

                $(ret).each(function(index, data) {
                    btns.push({
                        icon : "fa fa-cog",
                        text : this,
                        color : index,
                        click : function() {
                            frm.save();
                            //保存表单
                            var cmd = data;
                            var ps = [];
                            ps.push(ids);
                            ps.push(wid);
                            ps.push(tid);
                            ps.push(sels["LSBPM_WORKTASKINSTANCE_WORKFLOWINSID"]);
                            ps.push(sels["LSBPM_WORKTASKINSTANCE_WORKTASKINSID"]);
                            ps.push($("#spyj", dialog._$that).val());
                            ps.push(cmd);
                            $.server.api({
                                path : "WorkFlow/WorkFlowManager/Next",
                                parms : ps
                            }, function() {
                                $.util.info("审批完成,处理结果:" + cmd);
                                $page.close(1);

                            });
                        }
                    });
                });
                html.push('<div class="uinn bg-wh">');
                html.push('<div class="ub">');
                $(btns).each(function(index) {
                    this.guid = $.util.guid();
                    if (index > 1 && index % 4 == 1) {
                        html.push('</div>');
                        html.push('</div>');
                        html.push('<div class="uinn bg-wh">');
                        html.push('<div class="ub">');
                    }
                    html.push('<div class="ub-f1 ub ub-ver ub-ac">');
                    html.push('<div class="btn-radius3 ub ub-ac ub-pc btn-trigger ' + colors[this.color] + '" guid="' + this.guid + '">');
                    html.push('<div class="fa-2x ' + this.icon + '"></div>');
                    html.push('</div>');
                    html.push('<div class="tx-c btn-text">');
                    html.push(this.text);
                    html.push('</div>');
                    html.push('</div>');
                });
                html.push('</div>');
                html.push('</div>');

                var page = '<div class="ub ub-ver ub-f1 ub-con">' + '<div class="ub-f1 ub-con ub-fh ub-fv" id="bg" ontouchstart="appcan.touch(\'btn-act\')"></div>' + '<div id="content" class="bg-gra ub-ver">' + $.util.join('', html) + '</div>' + '<div class="bg-gra ub-ver">' + '  <div class="uinn btn-cancel bg-btn">' + '    <div class="ub ub-ac bc-text-head ub-pc t-gra">取 消</div></div></div></div>';
                dialog.addContent($(page));
                dialog.open();

                $.mobile.click(".btn-trigger", function($ele) {
                    var guid = $ele.attr('guid');
                    $(btns).each(function() {
                        if (this.guid == guid) {
                            dialog.close();
                            this.click();
                            return;
                        }
                    });
                })
                $.mobile.click(".btn-cancel", function(e) {
                    dialog.close();
                })
            });

        }
    }]);    
   
    var tabview = appcan.tab({
        selector : "#tabview",
        hasAnim : true,
        hasLabel : true,
        data : [{
            label : "内容",
        }, {
            label : "审核列表",
        }]
    });
    
         
    var frm = new Form($("#msgdbspviewdetail"));
    var query = new $.server.queryOptions();
    query.PrimaryTable = $page.table;
    query.PrimaryKeyField = "ID";
    query.FieldNameList = "*";
    query.PageSize = 1;
    query.PageIndex = 1;
    query.ConditionExpr = $page.table + ".ID = '" + $page.id + "'";
    frm.load(query, {
        opeMode : 2, //操作方式：0查看,1新增，2编辑
        templateId : $page.tempId,
    });
    frm.beforeField = function(op, callback) {
        if ($page.opdata["LSBPM_WORKTASK_PARMS"] != null) {
            var ps = $.evalJSON($page.opdata["LSBPM_WORKTASK_PARMS"]);
            if (ps) {
                for (var i = 0; i < ps.length; i++) {
                    $(op.table.FieldList).each(function() {
                        if (this.ColName == ps[i].ColName) {
                            $.extend(this, ps[i]);
                        }
                    });
                }
            }
        }
        callback();
    }

        
    
    
    tabview.on("click", function(obj, index) {/*TAB变更时切换多浮动窗口*/
        if (index == 0) {      
            $("#lst").hide();    
            $("#msgdbspviewdetail").show();
        } else if (index == 1) {
            $("#msgdbspviewdetail").hide();
            $("#lst").show();            
            var lst = new mListView($("#lst"));
            var query = new $.server.queryOptions();
            query.PrimaryTable = "SP03";
            query.Tables = "lsBPM_OperatorInstance";
            query.FieldNameList = "lsBPM_OperatorInstance.*";
            query.OrderExpr = "lsBPM_OperatorInstance.OperDateTime DESC";
            query.ConditionExpr = "sp03.WorkFlowInsId = lsBPM_OperatorInstance.WorkFlowInsId AND lsBPM_OperatorInstance.OperStatus > 0 AND SP03.SignID ='" + $page.id + "'";
            query.PageIndex = 1;
            lst.load(query, {
                layout: {
                    r1c0: "<span style='font-size:0.9em;'>${LSBPM_OPERATORINSTANCE_DESCRIPTION}</span>",
                    r0c1: "<span style='font-size:0.9em;'>${LSBPM_OPERATORINSTANCE_OPERCONTENTTEXT}</span>",
                    r1c1: "<font size='0.9em '>${$.date.format(LSBPM_OPERATORINSTANCE_OPERDATETIME, 'yyyy-MM-dd HH:mm')}</font>",
                }
            });
                } 
    });
    
    
}