$page.load = function(cb) {
    if($.util.cache('platform') == 0){
        $("#verupdate").addClass('uhide');
    }
    
    //加载头像
    $("#HeadImg").css("background-image", "url('" + $.mobile.imgUrl($.server.cache.CurrentUser.Photo) + "')");
    appcan.window.subscribe('my_header_refresh', function() {
        $("#HeadImg").css("background-image", "url('" + $.mobile.imgUrl($.server.cache.CurrentUser.Photo) + "&t=" + Math.random() + "')");
    });
    $("#h_name").html($.server.cache.CurrentUser.UserName);
    $("#h_dept").html($.server.cache.CurrentUser.DeptSName);
    $("#h_company").html($.server.cache.CurrentUser.CompanyName);
    var lst = new mListView($("#listView"));
    var query = new $.server.queryOptions();
    query.PrimaryTable = "SS002";
    query.PrimaryKeyField = "ID";
    query.FieldNameList = "*";
    query.PageIndex = 1;
    query.ProjectType = "setting";
    //去掉我的设置的搜索按钮
    query.ConditionExpr = "SS002.A01 IN('DT11','DT10','DT12')";
    lst.load(query, {
        layout : {
            r0c0 : "<span style='font-size:0.9em;'>${SS002_A02}</span>",  //jquery.tmpl语法

        }
    });
    lst.afterSelect = function(op) {
        $.server.navigate(op.data["SS002_A01"]);
    }
    $(".isupdate").on("click", function() {
        if ($.util.cache('platform') == 1) {
            var newversion = "";
            var newcontent = "";
            var fileId = "";
            var inOpCode = 1;
            var cText = 0;
            var cJson = 1;
            var cInt = 2;
            var uptype = "";
            var query = new $.server.queryOptions();
            query.PrimaryTable = "SS211";
            query.PrimaryKeyField = "ID";
            query.FieldNameList = "*";
            query.ConditionExpr = "SS211.A03 = '0002'";
            //判断更新是否为手机平台
            $.server.query(query, function(data) {
                if (data.DataSource.length > 0) {
                    newversion = data.DataSource[0]["SS211_A01"];
                    //新版本号
                    newcontent = data.DataSource[0]["SS211_A04"];
                    //更新内容
                    fileId = data.DataSource[0]["SS211_A05"];
                    uptype = data.DataSource[0]["SS211_A02"];
                    shplat = data.DataSource[0]["SS211_A03"];
                    if ($.util.cache('version') != newversion) {
                        var fileName = data.DataSource[0]["SS211_A01"] + ".apk"
                        uexDownloaderMgr.onStatus = function(opCode, fileSize, percent, status) {
                            switch (status) {
                            case 0:
                                uexWindow.toast("1", "5", percent + "%", "0");
                                break;
                            case 1:
                                uexDownloaderMgr.closeDownloader(opCode);
                                //关闭下载对象
                                uexWidget.installApp("wgt://data/down/" + fileName);
                                //打开已下载的APP安装包
                                break;
                            case 2:
                                //$.util.info("文件下载失败");
                                uexDownloaderMgr.closeDownloader(opCode);
                                break;
                            case 3:
                                //$.util.info("文件已取消下载");
                                break;
                            }
                        }
                        if (uptype == '0001') {
                            $.util.confirm("有新的版本，本次为强制更新，文件较大建议在wifi网络下载:" + newcontent, function(res) {
                                if (res) {
                                    uexDownloaderMgr.createDownloader(inOpCode);
                                } else {
                                    uexWidgetOne.exit(0);
                                }
                            });
                        } else {
                            $.util.confirm("有新的版本，是否需要更新？本次更新内容为：" + newcontent, function(res) {
                                if (res) {
                                    uexDownloaderMgr.createDownloader(inOpCode);
                                }
                            });
                        }

                        uexDownloaderMgr.cbCreateDownloader = function(opCode, dataType, data) {
                            switch(dataType) {
                            case cText:
                                $.util.info("uex.cText");
                                break;
                            case cJson:
                                $.util.info("uex.cJson");
                                break;
                            case cInt:
                                if (data == 0) {
                                    switch(inOpCode) {
                                    case 1:
                                        uexFileMgr.cbIsFileExistByPath = function(opId, dataType, data) {
                                            if (data == 0) {
                                                uexDownloaderMgr.download(inOpCode, $.gr.getServer() + "/handlers/DownloadHandler.ashx?guid=" + fileId + "&u=", "wgt://data/down/" + fileName, '1');
                                            } else if (data == 1) {
                                                uexFileMgr.cbDeleteFileByPath = function(opId, dataType, data) {
                                                    if (data == 0) {
                                                        uexDownloaderMgr.download(inOpCode, $.gr.getServer() + "/handlers/DownloadHandler.ashx?guid=" + fileId + "&u=", "wgt://data/down/" + fileName, '1');
                                                    } else {
                                                    }
                                                }
                                                uexFileMgr.deleteFileByPath("wgt://data/down/" + fileName);
                                            } else {
                                                //alert(data);
                                            }
                                        }
                                        uexFileMgr.isFileExistByPath(inOpCode, "wgt://data/down/" + fileName);
                                        break;
                                    }
                                } else {
                                    //$.util.info("文件创建失败");
                                }
                                break;
                            default:
                                $.util.info("error");
                            }
                        }
                    } else {
                        $.util.info("已经是最新版本！");
                        callback(0);
                    }
                } else {
                    callback(0);
                }
            },false);
        }
    });
    $("#about").on("click", function() {
        var serverDate = $.util.cache('SERVER_DATE');
        var count = $.util.cache('SERVER_DATE_COUNT');
        var date = new Date(serverDate + count * 1000);
        var msg = "当前版本号：" + $.util.cache('version');
        msg += "</br>\r\n\服务器地址：" + $.gr.getServer();
        msg += "</br>\r\n\服务器时间：" + $.date.format(date, 'yyyy-MM-dd HH:mm:ss') + ' ' + serverDate + ' ' + count;
        msg += "</br>\r\n\分辨率：" + $(window).height() + "*" + $(window).width();
        msg += "</br>\r\n\分辨率：" + $(window).height() + "*" + $(window).width();

        $.server.navigate("DT25",{
            msg:msg
        });
    });

    $page.loginOut = function(callback) {
        //$.util.cache(".GRAUTH", null);
        $.util.cacheLong("INIT_DATA", null, function (){
            $.util.cacheLong("DOWN_FILEINFO", null, function (){
                $.util.cacheLong("loginType", function(loginType) {
                    $.util.cacheLong(loginType + "-info", function(data) {
                        if (data) {
                            data.pwd = null;
                            $.util.cacheLong(loginType + "-info",data, function() {
                                callback();
                            });
                        } else {
                            callback();
                        }
                    });
                });
            });
        });
    }

    $("#logout").on("click", function() {
        if ($.imcfg.openIm && window['uexEasemob']) {
            //IM退出登录
            $.im.imLogout(function(op) {
                $page.loginOut(function() {
                    $.util.showLogin();
                    $page.close(1);
                });
            });
        } else {
            $page.loginOut(function() {
                $.util.showLogin();
                $page.close(1);
            });
        }

    })

    $("#exit").on("click", function() {
        if ($.imcfg.openIm && window['uexEasemob']) {
            //IM退出登录
            $.im.imLogout(function(op) {
                $page.loginOut(function() {
                    uexWidgetOne.exit();
                });
            });
        } else {
            $page.loginOut(function() {
                uexWidgetOne.exit();
            });
        }

    })
    $page.retype = 1;
    $("#checkupdate").on("click", function() {
        if ($page.retype == 1) {
            $page.retype = 0;
            var val = {
                type : "repair",
                enum : $page.retype
            }
            $.util.cache("repair" + $.server.cache.CurrentUser.Uid, val);
            alert("已修复为自定义相机");
        } else {
            $page.retype = 1;
            $.util.cache("repair" + $.server.cache.CurrentUser.Uid, null);
            alert("已修复为系统相机");
        }

    })
    $('#checked_1').change(function() {
        // $.util.debug();
        // alert(111);
    });
    // $.util.cacheLong("LocType", function(dt) {
    // if (dt != "") {
    // var tt = $.evalJSON(dt);
    // if (tt != null) {
    // $('.switch').attr('data-checked', tt.btnval);
    // if (tt.btnval == true) {
    // $('.switch').addClass("bc-head");
    // }
    // if (tt.btnval == false) {
    // $('.switch').removeClass("bc-head");
    // }
    // } else {
    // $('.switch').attr('data-checked', "true");
    // val = {
    // type : "StarLoc",
    // btnval : true
    // };
    // $.util.cacheLong("LocType", $.toJSON(val), function() {
    // });
    // }
    // } else {
    // $('.switch').addClass("bc-head");
    // val = {
    // type : "StarLoc",
    // btnval : true
    // };
    // $.util.cacheLong("LocType", $.toJSON(val), function() {
    // });
    // }
    // });

    // appcan.switchBtn('.switch', function(obj, value) {
    // $.util.debug();
    // if (value == true) {
    // $('.switch').addClass("bc-head");
    // val = {
    // type : "StarLoc",
    // btnval : true
    // };
    // $.util.cacheLong("LocType", $.toJSON(val), function() {
    // });
    // }
    // if (value == false) {
    // $('.switch').removeClass("bc-head");
    // val = {
    // type : "StopLoc",
    // btnval : false
    // }
    // $.util.cacheLong("LocType", $.toJSON(val), function() {
    // });
    // }
    // })

}
