$page.load = function(cb) {

    if ($page.parms == null || $page.parms.chatter == null) {
        $page.chatter = null;
    } else {
        $page.chatter = $.im.UpperCase($page.parms.chatter);
        $page.chatterName = $page.parms.chatterName;
        $page.chatType = $page.parms.chatType;
        $page.myUserId = $.server.cache.CurrentUser.UserNo;
        $page.myUserName = $.server.cache.CurrentUser.UserName;

        if ($page.chatType == "1") {
            $page.addButtons([{
                icon : "fa fa-file-text",
                text : "群资料",
                color : 1,
                click : function() {
                    var query = new $.server.queryOptions();
                    query.PrimaryTable = "IM101";
                    query.PrimaryKeyField = "ID";
                    query.FieldNameList = "*";
                    query.ConditionExpr = "A01 = '" + $page.chatter + "'";
                    query.PageIndex = 1;
                    $.server.query(query, function(datas) {
                        $.server.navigate("IM05", {
                            "option" : "masterView",
                            "optionName" : "管理群组",
                            "groupId" : $page.chatter,
                            "owner" : datas.DataSource[0]["IM101_A05"]
                        });
                    });
                }
            }]);
        } else {
            $page.addButtons([{
            }]);
        }
    }
    $page.setHeader($page.chatterName);
    appcan.initBounce();
    //alert("设备:" + $.util.cache('platform'));
    //if ($.util.cache('platform') == "0") {
    ////苹果
    //} else {
    ////安卓

    //}
    //alert($page.chatter + " + " + $page.chatterName + " + " + $page.chatType);
    uexWidgetOne.cbError = function(opid, type, data) {
        alert("cbError: " + data);
    }
    uexChatKeyboard.onCommit = function(data) {
        //完成输入的监听方法
        var datas = {};
        if (data != "") {
            datas = $.evalJSON(data);
        }
        var op = {
            "username" : $page.chatter,
            "chatType" : $page.chatType,
            "content" : datas.emojiconsText
        };
        $.im.onCommit(op);
        uexChatKeyboard.hideKeyboard();
    }
    uexChatKeyboard.onShareMenuItem = function(json) {
        var op = {
            "chatter" : $page.chatter,
            "chatterName" : $page.chatterName,
            "chatType" : $page.chatType
        };
        if (json == 0) {
            $.im.CameraOpen(op);
        }
        if (json == 1) {
            $.im.PhotoOpen(op);
        }
        if (json == 2) {
            //$.im.mapOpen();
        }
        if (json == 3) {
            //$.im.fileOpen(op);
        }
        if (json == 4) {
            // $.server.navigate('IM08', {
                // chatter : $page.chatter,
                // chattername : $page.chatterName,
                // calltype : "toCall"
            // });
            alert("暂不支持该功能,请联系客服");
        }
        if (json == 5) {

        }
    }
    uexChatKeyboard.onVoiceAction = function(data) {
        var str = $.evalJSON(data);
        var op = {
            "chatter" : $page.chatter,
            "chatterName" : $page.chatterName,
            "chatType" : $page.chatType
        };
        if (str.status == 0) {
            //保存录音开始时间
            $.im.AudioRecordBeginTimeSet();
            //录音
            $.im.AudioRecord();
        }
        if (str.status == 1) {
            $.im.AudioRecordTimeGet(function(data) {
                //录音时间
                op.recordLength = data;
                //停止录音并保存录音
                $.im.AudioRecordStop(op);
            });

        }
        if (str.status == -1) {
            return;
        }
    }
    // uexGaodeMap.cbCurrentLocation = function(data) {
    // var obj = $.evalJSON(data);
    // lon = obj.longitude;
    // lat = obj.latitude;
    // uexGaodeMap.setCenter(obj.longitude, obj.latitude);
    // }
    var jsonstr = {
        "emojicons" : "res://emojicons/emojicons.xml", //(必选)自定义表情配置文件的widget路径
        "shares" : "res://shares/shares.xml", //(必选)自定义分享选项配置文件的widget路径
        "placeHold" : "请输入内容", //(可选)输入框提示语
        "touchDownImg" : "res://1.png", //(可选)录音按钮按下时提示控件的背景
        "dragOutsideImg" : "res://2.png", //(可选)按下录音按钮后滑动到录音范围之外时提示控件的背景
        "textColor" : "#CCC", //(可选)录音时间文字颜色
        "textSize" : "15.5", //(可选)录音时间文字大小
        "inputMode" : "0" //(可选) 输入框默认输入方式,0-文字输入；1-语音输入。默认为0
    };
    uexChatKeyboard.open($.toJSON(jsonstr));
    var op = {
        'chatter' : $page.chatter,
        'chatType' : $page.chatType,
        'startMsgId' : "0",
        'pagesize' : "0"
    };
    //显示本地聊天记录
    $.im.GetMessageHistory(op);
    //获取服务器聊天记录
    $.im.GetMessageHistoryServer(op);

}
appcan.window.subscribe('ChatRoomView', function(data) {
    //alert("ChatRoomView data: " + data);
    var datas;
    if (data == "") {
        datas = {};
    } else {
        datas = $.evalJSON(data);
    }
    //alert("IM_datasChat: " + datas.chatter);
    $.util.cacheLong("IM_" + $.server.cache.CurrentUser.UserNo + "_" + datas.chatter + "_Msg", function(op) {
        //alert(op == null);
        if (op == null) {
            var json = [];
        } else {
            var json = op;
        }
        //alert("IM_" + datas.chatter + "_Msg123 : "+$.toJSON(json));
        //清空HTML
        $("#lst").empty();
        if (json.length > 0) {
            //设置服务器消息己读状态
            $.im.MsgListReadServer(datas.chatter);
            //获取好友列表信息
            var FriendList = $.im.onFriends($.server.cache.CurrentUser.UserNo);
            for (var i = 0; i < json.length; i++) {
                json[i].from = $.im.UpperCase(json[i].from);
                //alert("from: " + json[i].from);
                if (FriendList[json[i].from] == undefined) {
                    $.im.getFriends($.server.cache.CurrentUser.UserNo, function(op) {
                        json[i].chatterName = op[json[i].from]["chatterName"];
                        json[i].chatImg = $.mobile.imgUrl(op[json[i].from]["photo"]);
                    });
                } else {
                    json[i].chatterName = FriendList[json[i].from]["chatterName"];
                    json[i].chatImg = $.mobile.imgUrl(FriendList[json[i].from]["photo"]);
                }
            }
            $page.ChatRoomViewAdd(json);
        }
    });
});

$page.ChatRoomViewAdd = function(jsons) {
    //聊天界面加入日期
    for (var i = 0; i < jsons.length; i++) {
        var json = jsons[i];
        var DTime = $.im.UnixToDate(json.messageTime, "yyyy-MM-dd");
        if ($('#lst').find("#date-" + DTime).length <= 0) {
            var DTimeHtml = $.im.addDateLine(json.messageTime);
            $('#lst').append(DTimeHtml);
        }
        //设置本地己读消息状态,此时没有更新cachelong的值,重新进入聊天界面时,会更新所有记录为己读状态
        if (json.isRead == "0") {
            json.isRead = "1";
        }
        //alert("viewAdd: " + json.from);
        if ($.im.UpperCase(json.from) == $.server.cache.CurrentUser.UserNo) {
            //自己
            $.im.MsgHtmlMe(json, function(ops) {
                $('#lst').append(ops);
            });
        } else if ((json.chatType == "1" && $.im.UpperCase(json.to) == $page.chatter) || (json.chatType == "0" && $.im.UpperCase(json.from) == $page.chatter)) {
            //其他人
            //alert("其他人： " + $.toJSON(json));
            $.im.MsgHtmlTa(json, function(ops) {
                $('#lst').append(ops);
            });
        }
    }
    var h = $(document).height() - $(window).height();
    $(document).scrollTop(h);
}
appcan.window.subscribe('ChatRoomViewAdd', function(data) {
    var chatter = "";
    var json = $.evalJSON(data);
    //alert("json from: " + json.from);
    //获取好友列表信息
    var FriendList = $.im.onFriends($.server.cache.CurrentUser.UserNo);
    //alert("v FriendLis: " + $.toJSON(FriendList));
    json.from = $.im.UpperCase(json.from);
    if (FriendList[json.from] == undefined) {
        $.im.getFriends($.server.cache.CurrentUser.UserNo, function(op) {
            //alert("getFriends: " + $.toJSON(op));
            json.chatterName = op[json.from]["chatterName"];
            json.chatImg = $.mobile.imgUrl(op[json.from]["photo"]);
            $page.ChatRoomViewAdd([json]);
        });
    } else {
        json.chatterName = FriendList[json.from]["chatterName"];
        json.chatImg = $.mobile.imgUrl(FriendList[json.from]["photo"]);
        $page.ChatRoomViewAdd([json]);
    }

    if (json.chatType == "1") {
        //群组ID
        chatter = $.im.UpperCase(json.to);
    } else {
        //单聊对方ID
        if ($.im.UpperCase(json.from) == $.server.cache.CurrentUser.UserNo) {
            chatter = $.im.UpperCase(json.to);
        } else if ($.im.UpperCase(json.to) == $.server.cache.CurrentUser.UserNo) {
            chatter = $.im.UpperCase(json.from);
        }
    }
    //更新会话列表最新状态
    // /$.im.HuihuaListAdd(json);
    //设置本地和服务器会话己读
    $.im.HuihuaListRead(json);
    //设置服务器消息己读状态
    $.im.MsgListReadServer(chatter);
});

