$page.load = function(cb) {
    if ($page.parms == null || $page.parms.option == null) {
        $page.option = null;
    } else {
        $page.option = $page.parms.option;
        $page.optionName = $page.parms.optionName;
        $page.groupId = $page.parms.groupId;
        $page.owner = $page.parms.owner;
    }
    if ($page.optionName) {
        $page.setHeader($page.optionName);
    }
    
    //操作方式 ,默认 新增
    var opMode = 1;

    var frm = new Form($("#frm"));
    var query = new $.server.queryOptions();
    query.PrimaryTable = "IM101";
    query.PrimaryKeyField = "ID";
    query.FieldNameList = "*";
    query.PageSize = 1;
    query.PageIndex = 1;

    if ($page.option == "add") {
        //新增
        opMode = 1;
        $page.setHeader("创建群组");
        frm.load(query, {
            opeMode : opMode,    //操作方式：0查看,1新增，2编辑
        });
        frm.beforeField = function(op, callback) {
            for (var i = 0; i < op.table.FieldList.length; i++) {
                if (op.table.FieldList[i]["ColName"] == "A05") {
                    //新增时,群主默认不可改
                    op.table.FieldList[i]["ColVisible"] = 2;
                }
                if (op.table.FieldList[i]["ColName"] == "A07") {
                    //新增时,群组人数 不可改
                    op.table.FieldList[i]["ColVisible"] = 2;
                }
            }
            callback();
        }
        frm.afterLoad = function(op) {
            //新增时,群主默认 自己
            op.datas.set("IM101_A05", $.server.cache.CurrentUser.UserNo);
            op.datas.set("IM101_A05MC", $.server.cache.CurrentUser.UserName);

        }
        $page.addButtons([{
            icon : "fa fa-save",
            text : "保存",
            color : 2,
            click : function() {
                if(parseInt(frm._data["IM101_A07"]) < 1 || parseInt(frm._data["IM101_A07"]) > 2000){
                    $.util.error("群组人数至少1或不超过2000");
                    return;
                }
                frm.save();
                frm.afterSave = function(op) {                    
                    //获取群组列表                    
                    $.im.getGroups($.server.cache.CurrentUser.UserNo, function(ops){
                        $page.close(1);
                        $.util.info("保存成功");
                    });                    
                }
            }
        }]);

    } else if ($page.option == "edit") {
        //编辑
        opMode = 2;
        $page.setHeader("编辑群组");
        query.ConditionExpr = "IM101.A01 = '" + $page.groupId + "'";
        frm.load(query, {
            opeMode : opMode,    //操作方式：0查看,1新增，2编辑
        });
        $page.addButtons([{
            icon : "fa fa-save",
            text : "保存",
            color : 2,
            click : function() {
                if(parseInt(frm._data["IM101_A07"]) < 1 || parseInt(frm._data["IM101_A07"]) > 2000){
                    $.util.error("群组人数至少1或不超过2000");
                    return;
                }
                frm.save();
                frm.afterSave = function(op) {
                    $page.close(1);
                    $.util.info("保存成功");
                }
            }
        }]);
    } else if ($page.option == "view") {
        //普通成员查看群组
        opMode = 0;
        $page.setHeader("查看群组");
        query.ConditionExpr = "IM101.A01 = '" + $page.groupId + "'";
        frm.load(query, {
            opeMode : opMode,    //操作方式：0查看,1新增，2编辑
        });
        $page.addButtons([{
            icon : "fa fa-trash-o",
            text : "退出群组",
            color : 1,
            click : function() {
                $.util.confirm("确定退出群组吗?", function(res) {
                    if (res) {
                        if ($page.groupId == undefined || $page.groupId == null || $page.groupId == "null" || $page.groupId == "") {
                            $.util.info("群组不存在,无法退出群组!");
                        } else {
                            
                                var queryyh = new $.server.queryOptions();
                                queryyh.PrimaryTable = "IM102";
                                queryyh.PrimaryKeyField = "ID";
                                queryyh.FieldNameList = "*";
                                queryyh.ConditionExpr = "IM102.A01 = '" + $page.groupId + "' AND IM102.A02 = '" + $.server.cache.CurrentUser.UserNo + "'";
                                $.server.query(queryyh, function(data) {
                                    if (data.DataSource.length > 0) {
                                        data.DataSource[0]["_ROWSTATE"] = 3;
                                        var updateOptions = $.server.updateOptions(data.Table, data.DataSource, "IM102", "ID");
                                        //四个参数Table,DataSource,tablename,keyField
                                        $.server.update(updateOptions, function(result) {
                                            $page.close(1);                                            
                                            $.util.info("退出群组成功!");
                                        });
                                    }

                                });                            
                        }
                    }
                });
            }
        }]);
    } else if ($page.option == "masterView") {
        //查看
        opMode = 0;
        $page.setHeader("管理群组");
        query.ConditionExpr = "IM101.A01 = '" + $page.groupId + "'";
        frm.load(query, {
            opeMode : opMode,    //操作方式：0查看,1新增，2编辑
        });
        $page.addButtons([{
            icon : "fa fa-edit",
            text : "编辑群组",
            color : 0,
            click : function() {
                opMode = 2;
                $page.setHeader("编辑群组");
                query.ConditionExpr = "IM101.A01 = '" + $page.groupId + "'";
                frm.load(query, {
                    opeMode : opMode,    //操作方式：0查看,1新增，2编辑
                });
                $page.addButtons([{
                    icon : "fa fa-save",
                    text : "保存",
                    color : 2,
                    click : function() {
                        frm.save();
                        frm.afterSave = function(op) {
                            $page.close(1);
                            $.util.info("保存成功");
                        }
                    }
                }]);

            }
        }, {
            icon : "fa fa-users",
            text : "成员管理",
            color : 2,
            click : function() {
                $.server.navigate("IM06", {
                    "option" : "list",
                    "optionName" : "成员管理",
                    "groupId" : $page.groupId,
                    "owner" : $page.owner
                });

            }
        }, {
            icon : "fa fa-trash-o",
            text : "解散群组",
            color : 1,
            click : function() {
                $.util.confirm("确定解散群组吗?", function(res) {
                    if (res) {
                        if ($page.groupId == undefined || $page.groupId == null || $page.groupId == "null" || $page.groupId == "") {
                            $.util.info("群组不存在,无法解散!");
                        } else {
                            var queryyh = new $.server.queryOptions();
                            queryyh.PrimaryTable = "IM101";
                            queryyh.PrimaryKeyField = "ID";
                            queryyh.FieldNameList = "*";
                            queryyh.ConditionExpr = "IM101.A01 = '" + $page.groupId + "'";
                            $.server.query(queryyh, function(data) {
                                if (data.DataSource.length > 0) {
                                    data.DataSource[0]["_ROWSTATE"] = 3;
                                    var updateOptions = $.server.updateOptions(data.Table, data.DataSource, "IM101", "ID");
                                    //四个参数Table,DataSource,tablename,keyField
                                    $.server.update(updateOptions, function(result) {
                                        $page.close(1);
                                        $.util.info("解散群组成功！！");
                                    });
                                }

                            });
                        }
                    }
                });
            }
        }]);
    }

}
$page.afterRefresh = function() {
    var frm = $("#frm").ctl();
    frm.refresh();
}
