$page.load = function(cb) {

    if ($page.parms == null || $page.parms.id == null) {
        $page.id = null;
    } else {
        $page.id = $page.parms.id;
    }
    $page.addButtons([]);

    $page.addTabs([{
        text : "会话",
        icon : "fa-comment-o",
        //badge : null,
        click : function() {
            $.server.navigate("IM01");
        }
    }, {
        text : "联系人",
        icon : "fa-user",
        isDefault : 1,
        click : function() {
            $.server.navigate("IM02");
        }
    }, {
        text : "群组",
        icon : "fa-users",
        click : function() {
            $.server.navigate("IM03");
        }
    }]);

    var lst = new mListView($("#YhListView"));
    var query = new $.server.queryOptions();
    query.PrimaryTable = "YH101";
    query.PrimaryKeyField = "ID";
    query.FieldNameList = "*";
    query.ConditionExpr = "YH101.A56 = '0' and YH101.A01 !='" + $.server.cache.CurrentUser.UserNo + "'";
    query.PageSize = 9999;
    query.PageIndex = 1;
    query.OrderExpr = "YH101.A05 ASC";
    lst.load(query, {
        enableBounce : false,
        layout : {
            icon : "YH101_A12",
            r0c0 : "${YH101_A05}",   //jquery.tmpl语法

        }
    });

    lst.afterSelect = function(op) {
        var data = {
            'chatter' : op.data["YH101_A01"],
            'chatterName' : op.data["YH101_A05"],
            'chatType' : "0" //单聊 0
        };

        $.server.navigate("IM04", data);
    }
}
$page.afterRefresh = function() {
    var lst = $("#YhListView").ctl();
    lst.refresh();
}