$page.load = function(cb) {
    var menuType = 0;
    if ($page.parms.url == 'recekh') {
        $page.addButtons([{
            icon : "fa fa-hand-o-down",
            text : "接收客户",
            color : 2,
            click : function() {
                var query1 = new $.server.queryOptions();
                query1.PrimaryTable = "KH103";
                query1.Tables = "KH102";
                query1.PrimaryKeyField = "ID";
                query1.FieldNameList = "KH102.ID,KH103.*";
                query1.ConditionExpr = "KH102.ID = '" + $page.parms.id1 + "' AND KH102.ID = KH103.A01";
                $.server.query(query1, function(datas) {
                    var dataSource = [];
                    for (var i = 0; i < datas.DataSource.length; i++) {
                        dataSource.push(datas.DataSource[i]);
                        datas.DataSource[i]["KH103_A05"] = 0;
                    }
                    var updateOptions = $.server.updateOptions(datas.Table, dataSource, "KH103", "ID");
                    //四个参数Table,DataSource,tablename,keyField
                    $C.server.update(updateOptions, function(result) {
                        if (result) {
                            $page.close(1);
                            $.util.info("接收成功！！");
                        };
                    });
                });
            }
        }]);
    } else {
        $page.addButtons([{
            icon : "fa fa-pencil-square",
            text : "新增联系人",
            color : 2,
            click : function() {
                menuType = 1;
                khfrm.load(query, {
                    opeMode : 0,
                });
                lxrfrm.beforeLoad = function(op, callback) {
                    op.datas[0]["KH102_A01"] = $page.parms.id;
                    op.datas[0]["KH102_A01MC"] = $page.parms.name;
                    op.datas[0]["KH102_A37"] = $.server.cache.CurrentUser.Uid;
                    op.datas[0]["KH102_A37MC"] = $.server.cache.CurrentUser.UserName;
                    callback();
                };
                lxrfrm.load(query1, {
                    opeMode : 1
                });
            }
        }, {
            icon : "fa fa-pencil-square",
            text : "编辑",
            color : 2,
            click : function() {
                menuType = 2;
                khfrm.load(query, {
                    opeMode : 2
                });
                lxrfrm.load(query1, {
                    opeMode : 2
                });
            }
        }, {
            icon : "fa fa-save",
            text : "保存",
            color : 2,
            click : function() {
                if (menuType == 1) {
                    lxrfrm.save();
                    lxrfrm.afterSave = function(op, callback) {
                        $.util.info("保存成功！");
                        var q = new $.server.queryOptions();
                        q.PrimaryTable = "KH102";
                        q.PrimaryKeyField = "ID";
                        q.FieldNameList = "*";
                        q.ConditionExpr = "KH102.ID = '" + op.data[0] + "'";
                        lxrfrm.load(q, {
                            opeMode : 0,
                        });
                        khfrm.load(query, {
                            opeMode : 0,
                        });
                        lxrfrm.refresh();
                    };
                } else if (menuType == 2) {
                    khfrm.save();
                    khfrm.afterSave = function() {
                        lxrfrm.save();
                        lxrfrm.afterSave = function() {
                            $.util.info("保存成功！");
                            khfrm.refresh();
                            lxrfrm.refresh();
                            khfrm.load(query, {
                                opeMode : 0
                            });
                            lxrfrm.load(query1, {
                                opeMode : 0
                            });

                        };
                    }
                } else {
                    $.util.info("未做任何操作，无需保存");
                }
            }
        }, {
            icon : "fa fa-external-link-square",
            text : "跟进",
            color : 3,
            click : function() {
                var id = $page.parms.id1;
                var name = $page.parms.name1;
                var cname = $page.parms.cname;
                $.server.navigate('KH33', {
                    id : id,
                    name : name,
                    cname:cname
                });
            }
        }]);
    }

    var khfrm = new Form($("#mykhview"));
    var lxrfrm = new Form($("#lxrview"));
    var gjjlfrm = new Form($("#frm"), {
        btns : [{
            text : '更多...',
            click : function() {
                var id = $page.parms.id1;
                var name = $page.parms.name1;                
                $.server.navigate('KH33', {
                    id : id,
                    name : name
                })
            }
        }]
    });
    var gjjlfrm1 = new Form($("#frm1"));
    var gjjlfrm2 = new Form($("#frm2"));
    var query = new $.server.queryOptions();
    query.PrimaryTable = "KH101";
    query.PrimaryKeyField = "ID";
    query.FieldNameList = "*";
    query.ConditionExpr = "KH101.ID = '" + $page.parms.id + "'";
    query.PageIndex = 1;
    khfrm.load(query, {
        opeMode : 0,
    });

    var query1 = new $.server.queryOptions();
    query1.PrimaryTable = "KH102";
    query1.Tables = "KH103";
    query1.PrimaryKeyField = "ID";
    query1.FieldNameList = "KH102.*,KH103.A06";
    query1.ConditionExpr = "KH102.ID = '" + $page.parms.id1 + "' AND KH102.ID = KH103.A01 AND KH103.A03='是'";
    lxrfrm.beforeField = function(data, callback) {
        for (var i = 0; i < data.table.FieldList.length; i++) {
            if (data.table.FieldList[i].ColName == "A01") {
                data.table.FieldList[i].ColVisible = 0;
            } else if (data.table.FieldList[i].DisplayLabel == "专属人") {
                data.table.FieldList[i].ColGroup = "1主要信息";
                data.table.FieldList[i].ColOrder = 0;
            }
        }
        callback();
    };
    lxrfrm.beforeLoad = function(op, callback) {
        $("div[id='KH102_A07']").on('click', function() {
            var array = new Array($.mobile.imgUrl(op.datas[0]["KH102_A07"]));
            uexImageBrowser.open(array, 1);
        });
        callback();
    }
    lxrfrm.load(query1, {
        opeMode : 0,
    });

    var query2 = new $.server.queryOptions();
    query2.PrimaryTable = "KH105";
    query2.PrimaryKeyField = "ID";
    query2.FieldNameList = "*";
    query2.PageSize = 3;
    query2.PageIndex = 1;
    query2.ConditionExpr = "KH105.A02 = '" + $page.parms.id1 + "'";
    $.server.query(query2, function(data) {
        if (data.DataSource.length == 0) {
            $("#frm").hide();
            $("#frm1").hide();
            $("#frm2").hide();
        } else {
            $("#frm").show();
            $("#frm1").show();
            $("#frm2").show();

            if (data.DataSource.length > 0) {
                gjjlfrm.bind({
                    Table : data.Table,
                    DataSource : [data.DataSource[0]]
                }, {
                    opeMode : 0
                });
            };

            if (data.DataSource.length > 1) {
                gjjlfrm1.bind({
                    Table : data.Table,
                    DataSource : [data.DataSource[1]]
                }, {
                    opeMode : 0
                });
            };

            if (data.DataSource.length > 2) {
                gjjlfrm2.bind({
                    Table : data.Table,
                    DataSource : [data.DataSource[2]]
                }, {
                    opeMode : 0
                });
            };

        }
    });
}

$page.afterRefresh = function() {
    $.util.debug();
    var gjjlfrm = new Form($("#frm"), {
        btns : [{
            text : '更多...',
            click : function() {
                var id = $page.parms.id1;
                var name = $page.parms.name1;
                $.server.navigate('KH34', {
                    id : id,
                    name : name
                })
            }
        }]
    });
    var gjjlfrm1 = new Form($("#frm1"));
    var gjjlfrm2 = new Form($("#frm2"));
    var query2 = new $.server.queryOptions();
    query2.PrimaryTable = "KH105";
    query2.PrimaryKeyField = "ID";
    query2.FieldNameList = "*";
    query2.PageSize = 3;
    query2.PageIndex = 1;
    query2.ConditionExpr = "KH105.A02 = '" + $page.parms.id1 + "'";
    $.server.query(query2, function(data) {
        if (data.DataSource.length == 0) {
            $("#frm").hide();
            $("#frm1").hide();
            $("#frm2").hide();
        } else {
            $("#frm").show();
            $("#frm1").show();
            $("#frm2").show();

            if (data.DataSource.length > 0) {
                gjjlfrm.bind({
                    Table : data.Table,
                    DataSource : [data.DataSource[0]]
                }, {
                    opeMode : 0
                });
            };

            if (data.DataSource.length > 1) {
                gjjlfrm1.bind({
                    Table : data.Table,
                    DataSource : [data.DataSource[1]]
                }, {
                    opeMode : 0
                });
            };

            if (data.DataSource.length > 2) {
                gjjlfrm2.bind({
                    Table : data.Table,
                    DataSource : [data.DataSource[2]]
                }, {
                    opeMode : 0
                });
            };

        }
    });
}
