$page.load = function(cb) {
    $page.addButtons([{
        icon : "fa fa-plus",
        text : "新增",
        color : 1,
        click : function() {
            $.server.navigate('KH30', {});
        }
    }, {
        icon : "fa fa-camera-retro",
        text : "名片扫描",
        color : 2,
        click : function() {
            qdphoto.open();
        }
    }]);
    var opt = {
        card : "namecard",
        type : [0, 1, 2]
    };
    //上传图片并更新

    var qdphoto = new Upload(opt);
    qdphoto.load(opt);
    qdphoto.afterSave = function(data) {
        if (data.tt != undefined) {
            $.util.info("名片大小超过1M,请调整像素后再试!");
        } else {
            $.server.navigate('KH35', {
                data : data,
                dturl : "mykh"
            });
        }
    };
    $.util.debug();
    var lst = new mListView($("#lst"));
    var query = new $.server.queryOptions();
    query.PrimaryTable = "KH102";
    query.Tables = "KH103,KH101";
    query.PrimaryKeyField = "ID";
    query.FieldNameList = "*";
    query.ConditionExpr = "KH101.ID=KH102.A01 AND KH102.ID=KH103.A01 AND KH103.A05='0' AND KH103.A04='" + $.server.cache.CurrentUser.Uid + "'";
    query.PageIndex = 1;
    lst.load(query, {
        layout : {
            icon : "KH102_A07",
            r0c0 : "<span style='color:#333333; font-size:1em'>${KH102_A09}</span>&nbsp;&nbsp;&nbsp;&nbsp;<span style='color:#999999; font-size:0.9em'>${KH102_A11}</span>", //jquery.tmpl语法
            r1c0 : "<span style='color:#333333; font-size:0.9em'>${KH101_A02}</span>",
            r2c0 : "<span style='color:#333333; font-size:0.9em'>${KH102_A15}</span>",
            r0c1 : "<span style='color:#999999; font-size:0.9em'>${KH102_A53MC}</span>",
            r2c1 : "<div class='ub'><div class='icon-li list-btn'><div class='fa fa-phone fa-x fa-call'></div></div><div class='icon-li list-btn'><div class='fa fa-envelope fa-x fa-sems'></div></div><div class='icon-li list-btn'><div class='fa fa-external-link-square fa-x fa-gj'></div></div></div>",}
    });
    lst.afterCommand = function(op) {
        if ($(op.target[0]).children('.fa-phone').length > 0) {
            $.util.debug();
            if (op.data.KH102_A15 != null && op.data.KH102_A15 != "") {
                uexCall.dial(op.data.KH102_A15);
                var id = op.data.KH102_ID;
                var name = op.data.KH102_A09;
                var cname = op.data.KH102_A01MC;
                $.server.navigate('KH33', {
                    id : id,
                    name : name,
                    cname : cname
                });
            } else {
                $.util.info("尚未录入号码!");
            }
        };
        if ($(op.target[0]).children('.fa-sems').length > 0) {
            if (op.data.KH102_A15 != null && op.data.KH102_A15 != "") {
                var jsonstr = {
                    "emojicons" : "res://emojicons/emojicons.xml", //(必选)自定义表情配置文件的widget路径
                    "shares" : "res://shares/shares.xml", //(必选)自定义分享选项配置文件的widget路径
                    "placeHold" : "请输入短信内容", //(可选)输入框提示语
                    "textColor" : "#FFF", //(可选)录音时间文字颜色
                    "textSize" : "15.5", //(可选)录音时间文字大小
                    "inputMode" : "0" //(可选) 输入框默认输入方式,0-文字输入；1-语音输入。默认为0
                };
                uexChatKeyboard.open($.toJSON(jsonstr));

                uexChatKeyboard.onVoiceAction = function(d) {//语音
                    $.util.info("暂不支持语音功能！敬请期待！");
                };

                uexChatKeyboard.onCommit = function(cbdata) {
                    //完成输入的监听方法
                    var smdata = $.evalJSON(cbdata);
                    if (smdata.emojiconsText == "") {
                        $.util.info("短信内容不能为空！");
                        return false;
                    } else {
                        uexSMS.open(op.data.KH102_A15, smdata.emojiconsText);
                        uexChatKeyboard.close();
                        var id = op.data.KH102_ID;
                        var name = op.data.KH102_A09;
                        var cname = op.data.KH102_A01MC;
                        $.server.navigate('KH33', {
                            id : id,
                            name : name,
                            cname : cname,
                            type : "sems",
                            secont : smdata.emojiconsText
                        });
                    }
                }
            } else {
                $.util.info("尚未录入号码");
            }
        };
        if ($(op.target[0]).children('.fa-gj').length > 0) {
            var id = op.data.KH102_ID;
            var name = op.data.KH102_A09;
            var cname = op.data.KH102_A01MC;
            $.server.navigate('KH33', {
                id : id,
                name : name,
                cname : cname
            });
        };
    };

    lst.afterSelect = function(data) {
        $.server.navigate('KH46', {
            id1:data.data.KH102_ID,
            name1:data.data.KH102_A09,
            cid:data.data.KH101_ID,
            cname:data.data.KH102_A01MC,
            lph:data.data.KH102_A15,
            caddre:data.data.KH101_A06
        });
    }
}

$page.afterRefresh = function() {
    var lst = $("#lst").ctl();
    lst.refresh();
}
