$page.load = function(cb) {
    $page.addButtons([{
        icon : "fa fa-hand-o-down",
        text : "一键接收",
        color : 1,
        click : function() {
            $.server.query(q, function(datas) {
                var dataSource = [];
                for (var i = 0; i < datas.DataSource.length; i++) {
                    dataSource.push(datas.DataSource[i]);
                    datas.DataSource[i]["KH103_A05"] = 0;
                }
                var updateOptions = $.server.updateOptions(datas.Table, dataSource, "KH103", "ID");
                //四个参数Table,DataSource,tablename,keyField
                $C.server.update(updateOptions, function(result) {
                    if (result) {
                        $.util.info("接收成功！！");
                        lst.refresh();
                    };
                });
            });
        }
    }]);

    var lst = new mListView($("#lst"));
    var q = new $C.server.queryOptions();
    q.PrimaryTable = "KH102";
    q.Tables = "KH103,KH101";
    q.FieldNameList = "*";
    q.ConditionExpr = "KH101.ID = KH102.A01 AND KH102.ID =KH103.A01 AND KH103.A05='1' AND KH103.A04='" + $C.server.cache.CurrentUser.Uid + "'";
    q.PageIndex = 1;
    lst.load(q, {
        layout : {
            icon : "KH102_A07",
            r0c0 : "<span style='color:#333333; font-size:1em'>${KH102_A09}</span>&nbsp;&nbsp;&nbsp;&nbsp;<span style='color:#999999; font-size:0.9em'>${KH102_A11}</span>", //jquery.tmpl语法
            r1c0 : "<span style='color:#333333; font-size:0.9em'>${KH101_A02}</span>",
            r2c0 : "<span style='color:#333333; font-size:0.9em'>${KH102_A15}</span>",
            r0c1 : "<span style='color:#999999; font-size:0.9em'>${KH102_A53MC}</span>",
            r2c1 : "<div><div style='padding:0.3em;' class='fa fa-phone fa-x list-btn fa-call sky'></div>&nbsp;<div style='padding:0.3em;' class='fa fa-envelope fa-x list-btn fa-sems sky'></div>&nbsp;<div style='padding:0.3em;' class='fa fa-external-link-square fa-x list-btn fa-gj sky'></div></div>",
        }
    });
    lst.afterCommand = function(op) {
        if (op.target[0].className.indexOf("fa-call") >= 0) {
            if (op.data.KH102_A15 != null) {
                uexCall.dial(op.data.KH102_A15);
                var id = op.data.KH102_ID;
                var name = op.data.KH102_A09;
                var cname = op.data.KH102_A01MC;
                $.server.navigate('KH33', {
                    id : id,
                    name : name,
                    cname : cname
                });
            } else {
                $.util.info("尚未录入号码");
            }
        };
        if (op.target[0].className.indexOf("fa-sems") >= 0) {
            if (op.data.KH102_A15 != null) {
                var jsonstr = {
                    "emojicons" : "res://emojicons/emojicons.xml", //(必选)自定义表情配置文件的widget路径
                    "shares" : "res://shares/shares.xml", //(必选)自定义分享选项配置文件的widget路径
                    "placeHold" : "请输入短信内容", //(可选)输入框提示语
                    "textColor" : "#FFF", //(可选)录音时间文字颜色
                    "textSize" : "15.5", //(可选)录音时间文字大小
                    "inputMode" : "0" //(可选) 输入框默认输入方式,0-文字输入；1-语音输入。默认为0
                };
                uexChatKeyboard.open($.toJSON(jsonstr));
                uexChatKeyboard.onVoiceAction = function(d) {//语音
                    $.util.info("暂不支持语音功能！敬请期待！");
                };
                uexChatKeyboard.onCommit = function(cbdata) {
                    //完成输入的监听方法
                    var smdata = $.evalJSON(cbdata);
                    if (smdata.emojiconsText == "") {
                        $.util.info("短信内容不能为空！");
                        return false;
                    } else {
                        uexSMS.open(op.data.KH102_A15, smdata.emojiconsText);
                        uexChatKeyboard.close();
                        var id = op.data.KH102_ID;
                        var name = op.data.KH102_A09;
                        var cname = op.data.KH102_A01MC;
                        $.server.navigate('KH33', {
                            id : id,
                            name : name,
                            cname : cname,
                            type : "sems",
                            secont : smdata.emojiconsText
                        });
                    }
                }
            } else {
                $.util.info("尚未录入号码");
            }
        };
    }
    lst.afterSelect = function(data) {
        // $.server.navigate('KH31', {
            // id : data.data.KH101_ID,
            // name : data.data.KH101_A02,
            // id1 : data.data.KH102_ID,
            // name1 : data.data.KH102_A09,
            // url : "recekh"
        // });
        $.server.navigate('KH46', {
            id1:data.data.KH102_ID,
            name1:data.data.KH102_A09,
            cid:data.data.KH101_ID,
            cname:data.data.KH102_A01MC,
            lph:data.data.KH102_A15,
            caddre:data.data.KH101_A06,
        });
    };
};
$page.afterRefresh = function() {
    var lst = $("#lst").ctl();
    lst.refresh();
};
