$page.load = function (cb) {
    var id = $page.parms.id;
    var control = $page.parms.control;
    $("#frmFyLst").show();

    if (control == null) {
        $page.addButtons([{
            icon: "fa fa-save",
            text: "保存",
            color: 3,
            click: function () {
                frm.save();
                frm.afterSave = function (op, callback) {
                    $.util.info("保存成功");
                    $page.close(1);
                }
            }
        }, {
            icon: "fa fa-check",
            text: "提交审批",
            color: 3,
            click: function () {
                frm.save();
                frm.afterSave = function (op, callback) {
                    var ids = [];
                    ids.push(op.data[0]);
                    $.server.startWF("KQ03", ids, function (ret) {
                        if (ret) {
                            $.util.info("提交审批成功");
                            $page.close(1);
                        }
                    });
                }
            }
        },{
            icon: "fa fa-check",
            text: "新增费用",
            color: 2,
            click: function () {
                $.server.navigate('KQ36', { id: id});
            }
        }]);
    };

    if (control == "zj") {
        $page.addButtons([{
            icon: "fa fa-save",
            text: "保存总结",
            color: 3,
            click: function () {
                frm.save();
                frm.afterSave = function (op, callback) {
                    $.util.info("保存成功");
                    $page.close(1);
                }
            }
        },{
            icon: "fa fa-check",
            text: "新增费用",
            color: 2,
            click: function () {
                $.server.navigate('KQ36', { id: id, control: 'zj'});
            }
        }]);
    };

    var frm = new Form($("#frm"));
    var query = new $.server.queryOptions();
    query.PrimaryTable = "KQ103";
    query.PrimaryKeyField = "ID";
    query.FieldNameList = "*";
    
    query.PageIndex = 1;
    query.ConditionExpr = "KQ103.ID = '" + id + "'";

    frm.beforeField = function (op, callback) {
        //console.log(op);
        if (control != "zj" && op.datas[0].KQ103_SIGNED != "2") {//不是总结的时候
            $.each(op.table.FieldList, function (key, val) {
                if (val.ColName == "A10")
                    val.ColVisible = 0;
                if (val.ColName == "A11")
                    val.ColVisible = 0;
                if (val.ColName == "A12")
                    val.ColVisible = 0;
            });
        } else if (control == "zj" || op.datas[0].KQ103_SIGNED == "2") {
            $.each(op.table.FieldList, function (key, val) {
                if (val.ColName == "A08")
                    val.ColVisible = 2;
                if (val.ColName == "A03")
                    val.ColVisible = 2;
                if (val.ColName == "A04")
                    val.ColVisible = 2;
                if (val.ColName == "A05")
                    val.ColVisible = 2;
                if (val.ColName == "A06")
                    val.ColVisible = 2;
                if (val.ColName == "A07")
                    val.ColVisible = 2;
            });
        }
        callback();
    }

    frm.beforeLoad = function (op, callback) {
        if (control == null) {
            if (op.datas[0]["KQ103_A02"] != $.server.cache.CurrentUser.Uid) {
                $.util.info("本条出差不是自己的，不能修改。");
                $page.close();
                return false;
            };
            if (op.datas[0]["KQ103_SIGNED"] == "1") {
                $.util.info("本条出差审批中，不能修改。");
                $page.close();
                return false;
            };
            if (op.datas[0]["KQ103_SIGNED"] == "2") {
                $.util.info("本条出差已经审批通过，不能修改。");
                $page.close();
                return false;
            };
        };
        if (control == "zj") {
            if (op.datas[0]["KQ103_A02"] != $.server.cache.CurrentUser.Uid) {
                $.util.info("本条出差不是自己的，不能总结。");
                $page.close();
                return false;
            };
            if (op.datas[0]["KQ103_SIGNED"] == "0") {
                $.util.info("本条出差还未提交审批，不能总结。");
                $page.close();
                return false;
            };
            if (op.datas[0]["KQ103_SIGNED"] == "1") {
                $.util.info("本条出差审批中，不能总结。");
                $page.close();
                return false;
            };
            if (op.datas[0]["KQ103_SIGNED"] == "3") {
                $.util.info("本条出差审批拒绝，不能总结。");
                $page.close();
                return false;
            };
            if (op.datas[0]["KQ103_SIGNED"] == "2" && op.datas[0]["KQ103_A13"] == "0002") {
                $.util.info("本条出差已经总结，不能总结。");
                $page.close();
                return false;
            };

            if (op.datas[0]["KQ103_A11"] == null) {
                op.datas[0].set("KQ103_A11", $.server.currentDate());
            };
            if (op.datas[0]["KQ103_A12"] == null) {
                op.datas[0].set("KQ103_A12", op.datas[0]["KQ103_A04"]);
            };
        };
        callback();
    };

    frm.load(query, {
        opeMode: 2,	//操作方式：0查看,1新增，2编辑
        isDyn: false,
    });

    frm.afterLoad = function (op, callback) {
    };

    frm.beforeSave = function (op, callback) {
        if (op.datas[0].KQ103_A03 > op.datas[0].KQ103_A04) {
            $.util.info("开始时间不能大于结束时间");
            return false;
        };

        if (control == "zj") {
            op.datas[0]["KQ103_A13"] = "0002";
        };

        callback();
    };
    
    var lst = new mListView($("#lstFy"));
    var queryFy = new $.server.queryOptions();
    queryFy.PrimaryTable = "KQ105";
    queryFy.PrimaryKeyField = "ID";
    queryFy.FieldNameList = "*";
    queryFy.PageIndex = 1;
    queryFy.ConditionExpr = "KQ105.A01 = '" + id + "'";
    queryFy.OrderExpr = "ID ASC";
    lst.load(queryFy, {
        enableBounce:false,
        layout: {
            r0c0: "<span style='font-size:0.9em;'>${KQ105_A02MC}：${KQ105_A03}&nbsp;&nbsp;&nbsp;&nbsp;${KQ105_A05}</span>",
            r1c0: "<span style='font-size:0.9em;'>${KQ105_A04}</span>",
        }
    });

    lst.afterSelect = function (op) {
        $.server.navigate('KQ38', { fyid: op.data.KQ105_ID, id: id });
    };
};

$page.afterRefresh = function() {
    var frm = $("#frm").ctl();
    var lst = $("#lstFy").ctl();
    frm.refresh();
    lst.refresh();
};
