$page.load = function (cb) {
    var id = $page.parms.id;
    $("#frmFyLst").show();

    var frm = new Form($("#frm"));
    var query = new $.server.queryOptions();
    query.PrimaryTable = "KQ103";
    query.PrimaryKeyField = "ID";
    query.FieldNameList = "*";
    
    query.PageIndex = 1;
    query.ConditionExpr = "KQ103.ID = '" + id + "'";
    
    frm.beforeLoad = function(op, callback){
        if(op.datas[0].KQ103_A02 == $.server.cache.CurrentUser.Uid && (op.datas[0].KQ103_SIGNED == '0' || op.datas[0].KQ103_SIGNED == '3')){
            $page.addButtons([{
                icon: "fa fa-edit",
                text: "编辑",
                color: 2,
                click: function () {
                        $.server.navigate('KQ34', { id: id});
                }
            }, {
                icon: "fa fa-check",
                text: "提交审批",
                color: 3,
                click: function () {
                    frm.save();
                    frm.afterSave = function (op, callback) {
                        var ids = [];
                        ids.push(op.data[0]);
                        $.server.startWF("KQ03", ids, function (ret) {
                            if (ret) {
                                $.util.info("提交审批成功");
                                $page.close(1);
                            }
                        });
                    }
                }
            }, {
                icon: "fa fa-trash-o",
                text: "删除",
                color: 1,
                click: function () {
                    if (id == null) {
                        $.util.error("请选择一条要删除的数据！");
                        $page.close();
                        return false;
                    } else {
                        var q = new $.server.queryOptions();
                        q.PrimaryTable = "KQ103";
                        q.PrimaryKeyField = "ID";
                        q.FieldNameList = "*";
                        
                        q.PageIndex = 1;
                        q.ConditionExpr = "KQ103.ID = '" + id + "'";
                        
                        op.datas[0]["_ROWSTATE"] = 3;
                        var updateOptions = $.server.updateOptions(op.table, [op.datas[0]], "KQ103", "ID");   //四个参数Table,DataSource,tablename,keyField
                        $.server.update(updateOptions, function (result) {
                            if (result) {
                                $.util.info("删除成功！");
                                $page.close(1);
                            };
                        });
                    };
                }
            }]);
        };
        if (op.datas[0].KQ103_A02 == $.server.cache.CurrentUser.Uid && op.datas[0].KQ103_SIGNED == '2' && op.datas[0].KQ103_A13 == '0001') {
            $page.addButtons([{
                icon: "fa fa-hospital-o",
                text: "总结",
                color: 2,
                click: function () {
                        $.server.navigate('KQ34', { id: id, control: 'zj'});
                }
            }]);
        };
        callback();
    };

    frm.load(query, {
        opeMode: 0,	//操作方式：0查看,1新增，2编辑
        dynId: "dyn"
    });
    
    var lst = new mListView($("#lstFy"));
    var queryFy = new $.server.queryOptions();
    queryFy.PrimaryTable = "KQ105";
    queryFy.PrimaryKeyField = "ID";
    queryFy.FieldNameList = "*";
    queryFy.PageIndex = 1;
    queryFy.ConditionExpr = "KQ105.A01 = '" + id + "'";
    queryFy.OrderExpr = "ID ASC";
    lst.load(queryFy, {
        enableBounce:false,
        layout: {
            r0c0: "<span style='font-size:0.9em;'>${KQ105_A02MC}：${KQ105_A03}&nbsp;&nbsp;&nbsp;&nbsp;${KQ105_A05}</span>",
            r1c0: "<span style='font-size:0.9em;'>${KQ105_A04}</span>",
        }
    });

    lst.afterSelect = function (op) {
        $.server.navigate('KQ37', { fyid: op.data.KQ105_ID, id: id });
    };
};

$page.afterRefresh = function() {
    var frm = $("#frm").ctl();
    var lst = $("#lstFy").ctl();
    frm.refresh();
    lst.refresh();
};
