$page.load = function (cb) {
    var id = $page.parms.id;

    $page.addButtons([{
        icon: "fa fa-save",
        text: "保存",
        color: 3,
        click: function () {
            frm.save();
            frm.afterSave = function (op, callback) {
                $.util.info("保存成功");
                $page.close(1);
            }
        }
    }]);

    var frm = new Form($("#frm"));
    var query = new $.server.queryOptions();
    query.PrimaryTable = "KQ105";
    query.PrimaryKeyField = "ID";
    query.FieldNameList = "*";
    
    query.PageIndex = 1;
    query.ConditionExpr = "KQ105.ID IS NULL";

    frm.beforeField = function (op, callback) {
        var query1 = new $.server.queryOptions();
        query1.PrimaryTable = "KQ103";
        query1.PrimaryKeyField = "ID";
        query1.FieldNameList = "*";
        query1.PageIndex = 1;
        query1.ConditionExpr = "KQ103.ID = '" + id + "'";

        $.server.query(query1, function (data) {
            if (data.DataSource[0]["KQ103_SIGNED"] == 0 || data.DataSource[0]["KQ103_SIGNED"] == 3) {
                $.each(op.table.FieldList, function (key, val) {
                    if (val.ColName == "A05")
                        val.ColVisible = 0;
                });
            };
            if (data.DataSource[0]["KQ103_SIGNED"] == 2 && data.DataSource[0]["KQ103_A13"] == "0001") {
                $.each(op.table.FieldList, function (key, val) {
                    if (val.ColName == "A03")
                        val.ColVisible = 2;
                });
            };
            callback();
        });
    };

    frm.beforeLoad = function (op, callback) {

        var query1 = new $.server.queryOptions();
        query1.PrimaryTable = "KQ103";
        query1.PrimaryKeyField = "ID";
        query1.FieldNameList = "*";
        query1.PageIndex = 1;
        query1.ConditionExpr = "KQ103.ID = '" + id + "'";

        $.server.query(query1, function (data) {
            if (data.DataSource[0]["KQ103_SIGNED"] == 1) {
                $.util.info("本条出差审批中，不能添加出差费用！");
                $page.close();
                return false;
            };
            if (data.DataSource[0]["KQ103_SIGNED"] == 2 && data.DataSource[0]["KQ103_A13"] == "0002") {
                $.util.info("本条出差已总结，不能添加出差费用！");
                $page.close();
                return false;
            };

            op.datas[0]["KQ105_A01"] = id;
            callback();
        });
    };

    frm.load(query, {
        opeMode: 1,	//操作方式：0查看,1新增，2编辑
    });

    frm.afterLoad = function (op, callback) {
    };

    frm.beforeSave = function (op, callback) {
        if (op.datas[0]["KQ105_A02"] == null) {
            $.util.info("请选择费用类型！");
            return false;
        };
        callback();
    };
};
