$page.load = function (cb) {
    var id = $page.parms.id;
    var m_source = $page.parms.m_source;

    $page.addButtons([{
        icon: "fa fa-save",
        text: "保存",
        color: 3,
        click: function () {
            frm.save();
            frm.afterSave = function (op, callback) {
                $.util.info("保存成功");
                $page.close(1);
            }
        }
    }, {
        icon: "fa fa-check",
        text: "提交审批",
        color: 3,
        click: function () {
            frm.save();
            frm.afterSave = function (op, callback) {
                var ids = [];
                ids.push(op.data[0]);
                $.server.startWF("KQ01", ids, function (ret) {
                    if (ret) {
                        $.util.info("提交审批成功");
                        $page.close(1);
                    }
                });
            }
        }
    }]);

    var frm = new Form($("#frm"));
    var query = new $.server.queryOptions();
    query.PrimaryTable = "KQ101";
    query.PrimaryKeyField = "ID";
    query.FieldNameList = "*";
    
    query.PageIndex = 1;
    query.ConditionExpr = "KQ101.ID = '" + id + "'";

    frm.beforeLoad = function (op, callback) {
        if (op.datas[0]["KQ101_A02"] != $.server.cache.CurrentUser.Uid) {
            $.util.info("本条加班不是自己的，不能修改。");
            $page.close();
            return false;
        };
        if (op.datas[0]["KQ101_SIGNED"] == 1) {
            $.util.info("本条加班已经提交审批，不能修改。");
            $page.close();
            return false;
        };
        if (op.datas[0]["KQ101_SIGNED"] == 2) {
            $.util.info("本条加班已经审批通过，不能修改。");
            $page.close();
            return false;
        };
        callback();
    };

    frm.load(query, {
        opeMode: 2,	//操作方式：0查看,1新增，2编辑
    });

    frm.afterLoad = function (op, callback) {
        $("input[name='KQ101_A03']").change(function () {
            $("input[name='KQ101_A04']").data("kendoTimePicker").min($(this).val());
        });
        $("input[name='KQ101_A04']").change(function () {
            $("input[name='KQ101_A03']").data("kendoTimePicker").max($(this).val());
        });
    };

    frm.beforeSave = function (op, callback) {
        if (op.datas[0].KQ101_A03 > op.datas[0].KQ101_A04) {
            $.util.info("开始时间不能大于结束时间");
            return false;
        }

        callback();
    };
}
