$page.load = function (cb) {
    var id = $page.parms.id;
    var m_source = $page.parms.m_source;

    $page.addButtons([{
        icon: "fa fa-save",
        text: "保存",
        color: 3,
        click: function () {
            frm.save();
            frm.afterSave = function (op, callback) {
                $.util.info("保存成功");
                $page.close(1);
            }
        }
    }]);

    var frm = new Form($("#frm"));
    var query = new $.server.queryOptions();
    query.PrimaryTable = "KQ107";
    query.PrimaryKeyField = "ID";
    query.FieldNameList = "*";
    
    query.PageIndex = 1;
    query.ConditionExpr = "KQ107.ID = '" + id + "'";

    frm.beforeField = function (op, callback) {
        callback();
    };

    frm.beforeLoad = function (op, callback) {
        callback();
    };

    frm.load(query, {
        opeMode: 2,	//操作方式：0查看,1新增，2编辑
    });

    frm.afterLoad = function (op, callback) {
    };

    frm.beforeSave = function (op, callback) {
        var q = new $.server.queryOptions();
        q.PrimaryTable = "KQ107";
        q.PrimaryKeyField = "ID";
        q.FieldNameList = "*";
        q.PageIndex = 1;
        q.ConditionExpr = "KQ107.A01 = '" + op.datas[0].KQ107_A01 + "' AND KQ107.A02 = '" + op.datas[0].KQ107_A02 + "' AND KQ107.A03 <= '" + $.date.format(op.datas[0].KQ107_A04, "yyyy-MM-dd") + "' AND KQ107.A04 >= '" + $.date.format(op.datas[0].KQ107_A03, "yyyy-MM-dd") + "' AND KQ107.ID != '" + op.datas[0].KQ107_ID + "'";

        $.server.query(q, function (data) {
            if (data.DataSource.length > 0) {
                $.util.info("你所加的假期已经存在！");
                return false;
            } else {
                op.datas[0].KQ107_A07 = op.datas[0].KQ107_A05 + op.datas[0].KQ107_A06 - op.datas[0].KQ107_A08 - op.datas[0].KQ107_A09;
                callback();
            };
        });
    };
}
