$page.load = function (cb) {
    var id = $page.parms.id;
    var m_source = $page.parms.m_source;

    var frm = new Form($("#frm"));
    var query = new $.server.queryOptions();
    query.PrimaryTable = "KQ107";
    query.PrimaryKeyField = "ID";
    query.FieldNameList = "*";
    
    query.PageIndex = 1;
    query.ConditionExpr = "KQ107.ID = '" + id + "'";
    console.log(m_source);
    if (m_source == "KQ41") {
        $page.addButtons([{
            icon: "fa fa-edit",
            text: "编辑",
            color: 2,
            click: function () {
                $.server.navigate('KQ45', { id: id, m_source: m_source });
            }
        }, {
            icon: "fa fa-trash-o",
            text: "删除",
            color: 1,
            click: function () {
                if (id == null) {
                    $.util.error("请选择一条要删除的数据！");
                    $page.close();
                    return false;
                } else {
                    $.server.query(query, function (data) {
                        if (data.DataSource[0]["KQ107_A08"] != 0 || data.DataSource[0]["KQ107_A09"] != 0) {
                            $.util.error("本条假期已经有过抵扣，不能删除！");
                            return false;
                        };

                        data.DataSource[0]["_ROWSTATE"] = 3;
                        var updateOptions = $.server.updateOptions(data.Table, data.DataSource, "KQ107", "ID");   //四个参数Table,DataSource,tablename,keyField
                        $.server.update(updateOptions, function (result) {
                            if (result) {
                                $.util.info("删除成功！");
                                $page.close();
                            };
                        });
                    });
                };
            }
        }]);
    };

    frm.load(query, {
        opeMode: 0,	//操作方式：0查看,1新增，2编辑
    });

    frm.afterLoad = function (op, callback) {
    };
};

$page.afterRefresh = function() {
    var frm = $("#frm").ctl();
    frm.refresh();
};
