$page.load = function (cb) {
    var m_source = $page.parms.m_source;

    $page.addButtons([{
        icon: "fa fa-save",
        text: "保存",
        color: 3,
        click: function () {
            frm.save();
            frm.afterSave = function (op, callback) {
                $.util.info("保存成功");
                $page.close(1);
            }
        }
    }]);

    var frm = new Form($("#frm"));
    var query = new $.server.queryOptions();
    query.PrimaryTable = "KQ107";
    query.PrimaryKeyField = "ID";
    query.FieldNameList = "*";
    
    query.PageIndex = 1;
    query.ConditionExpr = "KQ107.ID IS NULL";

    frm.beforeField = function (op, callback) {
        $.each(op.table.FieldList, function (k, v) {
            if (v.ColName == "A07") {
                v.ColVisible = 0;
            };
            if (v.ColName == "A08") {
                v.ColVisible = 0;
            };
            if (v.ColName == "A09") {
                v.ColVisible = 0;
            };
        });
        callback();
    };

    frm.beforeLoad = function (op, callback) {
        op.datas[0].set("KQ107_A10", $.server.cache.CurrentUser.Uid);
        op.datas[0].set("KQ107_A10MC", $.server.cache.CurrentUser.UserName);
        op.datas[0].set("KQ107_A03", $.date.parseDate($.date.format($.server.currentDate(), "yyyy") + "-01-01 00:00:00"));
        op.datas[0].set("KQ107_A04", $.date.parseDate($.date.format($.server.currentDate(), "yyyy") + "-12-31 00:00:00"));
        callback();
    };

    frm.load(query, {
        opeMode: 1,	//操作方式：0查看,1新增，2编辑
    });

    frm.afterLoad = function (op, callback) {
    };

    frm.beforeSave = function (op, callback) {
        var q = new $.server.queryOptions();
        q.PrimaryTable = "KQ107";
        q.PrimaryKeyField = "ID";
        q.FieldNameList = "*";
        q.PageIndex = 1;
        q.ConditionExpr = "KQ107.A01 = '" + op.datas[0].KQ107_A01 + "' AND KQ107.A02 = '" + op.datas[0].KQ107_A02 + "' AND KQ107.A03 <= '" + $.date.format(op.datas[0].KQ107_A04, "yyyy-MM-dd") + "' AND KQ107.A04 >= '" + $.date.format(op.datas[0].KQ107_A03, "yyyy-MM-dd") + "'";

        $.server.query(q, function (data) {
            if (data.DataSource.length > 0) {
                $.util.info("你所加的假期已经存在！");
                return false;
            } else {
                op.datas[0].KQ107_A07 = op.datas[0].KQ107_A05 + op.datas[0].KQ107_A06;
                op.datas[0].KQ107_A08 = 0;
                op.datas[0].KQ107_A09 = 0;
                callback();
            };
        });
    };
};
