$page.load = function (cb) {
    var id = $page.parms.id;
    var m_source = $page.parms.m_source;

    $page.addButtons([{
        icon: "fa fa-save",
        text: "保存",
        color: 3,
        click: function () {
            frm.save();
            frm.afterSave = function (op, callback) {
                $.util.info("保存成功");
                $page.close(1);
            }
        }
    }, {
        icon: "fa fa-check",
        text: "提交审批",
        color: 3,
        click: function () {
            frm.save();
            frm.afterSave = function (op, callback) {
                var ids = [];
                ids.push(op.data[0]);
                $.server.startWF("KQ02", ids, function (ret) {
                    if (ret) {
                        $.util.info("提交审批成功");
                        $page.close(1);
                    }
                });
            }
        }
    }]);

    var frm = new Form($("#frm"));
    var query = new $.server.queryOptions();
    query.PrimaryTable = "KQ102";
    query.PrimaryKeyField = "ID";
    query.FieldNameList = "*";
    
    query.PageIndex = 1;
    query.ConditionExpr = "KQ102.ID = '" + id + "'";

    frm.beforeLoad = function (op, callback) {
        if (op.datas[0]["KQ102_A02"] != $.server.cache.CurrentUser.Uid) {
            $.util.info("本条请假不是自己的，不能修改。");
            $page.close();
            return false;
        };
        if (op.datas[0]["KQ102_SIGNED"] == 1) {
            $.util.info("本条请假已经提交审批，不能修改。");
            $page.close();
            return false;
        };
        if (op.datas[0]["KQ102_SIGNED"] == 2) {
            $.util.info("本条请假已经审批通过，不能修改。");
            $page.close();
            return false;
        };
        callback();
    };

    frm.load(query, {
        opeMode: 2,	//操作方式：0查看,1新增，2编辑
    });

    frm.afterLoad = function (op, callback) {
    };

    frm.beforeSave = function (op, callback) {
        if (op.datas[0].KQ102_A03 > op.datas[0].KQ102_A04) {
            $.util.info("开始时间不能大于结束时间");
            return false;
        }

        var q = new $C.server.queryOptions();
        q.PrimaryTable = "KQ107";
        q.PrimaryKeyField = "ID";
        q.FieldNameList = "*";
        q.PageIndex = 1;
        q.ConditionExpr = "KQ107.A01 = '" + op.datas[0]["KQ102_A05"] + "' AND KQ107.A02 = '" + op.datas[0]["KQ102_A02"] + "' AND KQ107.A03 <= '" + $C.date.format(op.datas[0]["KQ102_A03"], "yyyy-MM-dd") + "' AND KQ107.A04 >= '" + $C.date.format(op.datas[0]["KQ102_A04"], "yyyy-MM-dd") + "'";

        $C.server.query(q, function (data) {
            if (data.DataSource.length > 0) {
                if (data.DataSource[0]["KQ107_A07"] < op.datas[0]["KQ102_A07"]) {
                    $C.util.info("您的" + data.DataSource[0]["KQ107_A01MC"] + "剩余&nbsp;" + data.DataSource[0]["KQ107_A07"] + "&nbsp;小时，不够抵扣，请重新选择！");
                } else {
                    callback();
                }
            } else {
                callback();
            };
        });
    };
}
