$page.load = function(cb) {
    $("#wcLoc").addClass("uhide");
    $("#phoneup").addClass("uhide");
    $("#stoploc").addClass("uhide");
    var m_source = $page.parms.m_source;

    $page.addButtons([{
        icon : "fa fa-save",
        text : "保存",
        color : 3,
        click : function() {
            frm.save();
            frm.afterSave = function(op, callback) {
                $.util.info("保存成功");
                $page.close(1);
            }
        }
    }]);

    var frm = new Form($("#frm"));
    var query = new $.server.queryOptions();
    query.PrimaryTable = "KQ104";
    query.PrimaryKeyField = "ID";
    query.FieldNameList = "*";
    
    query.PageIndex = 1;
    query.ConditionExpr = "KQ104.ID IS NULL";

    frm.beforeField = function(op, callback) {
        //加载前调整字段是否显示
        $.each(op.table.FieldList, function(key, val) {
            if (val.ColName == "A07")
                val.ColVisible = 0;
            if (val.ColName == "A08")
                val.ColVisible = 0;
            if (val.ColName == "A13")
                val.ColVisible = 0;
        });
        callback();
    };

    frm.beforeLoad = function(op, callback) {
        op.datas[0].set("KQ104_A02", $.server.cache.CurrentUser.Uid);
        op.datas[0].set("KQ104_A02MC", $.server.cache.CurrentUser.UserName);

        var nDay = $.server.currentDate();
        op.datas[0].set("KQ104_A03", nDay);
        op.datas[0].set("KQ104_A04", nDay);
        callback();
    };

    frm.load(query, {
        opeMode : 1,	//操作方式：0查看,1新增，2编辑
    });

    frm.afterLoad = function(op, callback) {
        frm.afterChange = function(op2, callback) {
            if (op2.field == "KQ104_A03" || op2.field == "KQ104_A04") {
                var yjsc = (op.datas.KQ104_A04.getTime() - op.datas.KQ104_A03.getTime()) / (1000 * 60);
                op.datas.set("KQ104_A05", Math.ceil(yjsc));
            };
        };
    };

    frm.beforeSave = function(op, callback) {
        if (op.datas[0].KQ104_A03 > op.datas[0].KQ104_A04) {
            $.util.info("预计开始时间不能大于预计结束时间");
            return false;
        }

        callback();
    };
}; 
