$page.load = function (cb) {
    var rcid = $page.parms.rcid;
    var sch_type = $page.parms.sch_type;
    var control = $page.parms.control;

    //日程种类
    var queryZl = new $.server.queryOptions();
    queryZl.PrimaryTable = "RC102";
    queryZl.PrimaryKeyField = "ID";
    queryZl.FieldNameList = "*";
    
    $.server.query(queryZl, function(data){
        $.each(data.DataSource, function(i, n){
            if (n.RC102_ID == sch_type) {
                var frm = new Form($("#frm"));
                
                var query = new $.server.queryOptions();
                query.PrimaryTable = n.RC102_A03;
                query.PrimaryKeyField = "ID";
                query.FieldNameList = "*";
                query.PageSize = 1;
                query.ConditionExpr = n.RC102_A03 + ".ID IS NULL";
                
                frm.beforeLoad = function (op, callback) {
                    op.datas[0][n.RC102_A03 + "_A01"] = rcid;
                    
                    $page.addButtons([{
                        icon: "fa fa-save",
                        text: "保存",
                        color: 3,
                        click: function () {
                            frm.save();
                        }
                    }]);
                    
                    callback();
                };
            
                frm.beforeSave = function (op, callback) {
                    if (sch_type == "00005WT59OHT0000000000") {//日志
                        callback();
                    };
                    if (sch_type == "00005WT5A2DU0000000000") {//周计划
                        if (control == "zj") {
                            op.datas[0][n.RC102_A03 + "_A02"] = $.server.cache.CurrentUser.UserName + " 于 " + $.date.format($.server.currentDate(), "yyyy-MM-dd HH:mm") + " 追加：" + op.datas[0][n.RC102_A03 + "_A02"];
                        };
                        
                        var q = new $.server.queryOptions();
                        q.PrimaryTable = "RC203";
                        q.PrimaryKeyField = "ID";
                        q.FieldNameList = "*";
                        q.PageSize = 1;
                        q.ConditionExpr = "RC203.ID = '" + rcid + "'";
            
                        $.server.query(q, function (data) {
                            if (data.DataSource[0]["RC203_A05"] == null) {
                                data.DataSource[0]["RC203_A05"] = op.datas[0]["RC403_A02"];
                            } else {
                                data.DataSource[0]["RC203_A05"] += "\r\n" + op.datas[0]["RC403_A02"];
                            };
                            var udata = $.server.updateOptions(data.Table, [data.DataSource[0]], "RC203", "ID");
                            $.server.update(udata, function (res) {
                                if (res) {
                                    callback();
                                };
                            });
                        });
                    };
                    if (sch_type == "00005XHN1YZB0000000000") {//月计划
                        if (control == "zj") {
                            op.datas[0][n.RC102_A03 + "_A02"] = $.server.cache.CurrentUser.UserName + " 于 " + $.date.format($.server.currentDate(), "yyyy-MM-dd HH:mm") + " 追加：" + op.datas[0][n.RC102_A03 + "_A02"];
                        };
                        
                        var q = new $.server.queryOptions();
                        q.PrimaryTable = "RC204";
                        q.PrimaryKeyField = "ID";
                        q.FieldNameList = "*";
                        q.PageSize = 1;
                        q.ConditionExpr = "RC204.ID = '" + rcid + "'";
            
                        $.server.query(q, function (data) {
                            if (data.DataSource[0]["RC204_A05"] == null) {
                                data.DataSource[0]["RC204_A05"] = op.datas[0]["RC404_A02"];
                            } else {
                                data.DataSource[0]["RC204_A05"] += "\r\n" + op.datas[0]["RC404_A02"];
                            };
                            var udata = $.server.updateOptions(data.Table, [data.DataSource[0]], "RC204", "ID");
                            $.server.update(udata, function (res) {
                                if (res) {
                                    callback();
                                };
                            });
                        });
                    };
                    if (sch_type == "0000620C2TFQ0000000000") {//年计划
                        if (control == "zj") {
                            op.datas[0][n.RC102_A03 + "_A02"] = $.server.cache.CurrentUser.UserName + " 于 " + $.date.format($.server.currentDate(), "yyyy-MM-dd HH:mm") + " 追加：" + op.datas[0][n.RC102_A03 + "_A02"];
                        };
                        
                        var q = new $.server.queryOptions();
                        q.PrimaryTable = "RC205";
                        q.PrimaryKeyField = "ID";
                        q.FieldNameList = "*";
                        q.PageSize = 1;
                        q.ConditionExpr = "RC205.ID = '" + rcid + "'";
            
                        $.server.query(q, function (data) {
                            if (data.DataSource[0]["RC205_A05"] == null) {
                                data.DataSource[0]["RC205_A05"] = op.datas[0]["RC405_A02"];
                            } else {
                                data.DataSource[0]["RC205_A05"] += "\r\n" + op.datas[0]["RC405_A02"];
                            };
                            var udata = $.server.updateOptions(data.Table, [data.DataSource[0]], "RC205", "ID");
                            $.server.update(udata, function (res) {
                                if (res) {
                                    callback();
                                };
                            });
                        });
                    };
                };
            
                frm.load(query, {
                    opeMode: 1, //操作方式：0查看,1新增，2编辑
                });
            
                frm.afterSave = function (op, callback) {
                    $.util.info("保存成功！");
                    $page.close(1);
                };
            };
        });
    });
};
