$page.load = function (cb) {
    var rcid = $page.parms.rcid;
    var id = $page.parms.id;
    var sch_type = $page.parms.sch_type;

    //日程种类
    var queryZl = new $.server.queryOptions();
    queryZl.PrimaryTable = "RC102";
    queryZl.PrimaryKeyField = "ID";
    queryZl.FieldNameList = "*";
    
    $.server.query(queryZl, function(data){
        $.each(data.DataSource, function(i, n){
            if(n.RC102_ID == sch_type){
                var frm = new Form($("#frm"));
                
                var query = new $.server.queryOptions();
                query.PrimaryTable = n.RC102_A04;
                query.PrimaryKeyField = "ID";
                query.FieldNameList = "*";
                query.PageSize = 1;
                query.ConditionExpr = n.RC102_A04 + ".ID = '" + id + "'";
                
                frm.beforeField = function(op, callback){
                    var q = new $.server.queryOptions();
                    q.PrimaryTable = n.RC102_A02;
                    q.PrimaryKeyField = "ID";
                    q.FieldNameList = "*";
                    
                    q.PageIndex = 1;
                    q.ConditionExpr = n.RC102_A02 + ".ID = '" + rcid + "'";
                    
                    $.server.query(q, function(data){
                        if (n.RC102_ID == "00005WT5A2DU0000000000"){//周计划
                            var Wdff = ($.server.currentDate().getTime() - data.DataSource[0][n.RC102_A02 + "_A01"].getTime()) / (1000 * 24 * 60 * 60);//周时差
                        }else if (n.RC102_ID == "00005XHN1YZB0000000000"){//月计划
                            var Ydff = ($.server.currentDate().getTime() - data.DataSource[0][n.RC102_A02 + "_A01"].getTime()) / (1000 * 24 * 60 * 60);//月时差
                        }else if (n.RC102_ID == "0000620C2TFQ0000000000"){//年计划
                            var isYearEdit;
                            if ($.date.format(data.DataSource[0]["RC205_A01"], "yyyy") > $.date.format($C.server.currentDate(), "yyyy")) {
                                isYearEdit = true;
                            } else if (($.date.format(data.DataSource[0]["RC205_A01"], "yyyy") == $.date.format($C.server.currentDate(), "yyyy")) && (parseInt($.date.format($.server.currentDate(), "MM")) < 3)) {
                                isYearEdit = true;
                            }
                        }
                        if (data.DataSource[0][n.RC102_A02 + "_A03"] != $.server.cache.CurrentUser.Uid || (sch_type == "00005WT59OHT0000000000" && $.date.format(data.DataSource[0][n.RC102_A02 + "_A01"], "yyyy-MM-dd") < $.date.format($.server.currentDate(), "yyyy-MM-dd")) || (sch_type == "00005WT5A2DU0000000000" && Wdff > 2) || (sch_type == "00005XHN1YZB0000000000" && Ydff > 3) || (sch_type == "0000620C2TFQ0000000000" && isYearEdit != true)) {
                            $.each(op.table.FieldList, function (k, val) {
                                if (val.ColVisible != 0) {
                                    val.ColVisible = 2;
                                }
                            });
                        };
                        callback();
                    });
                };
                
                frm.beforeLoad = function (op, callback) {
                    var q = new $.server.queryOptions();
                    q.PrimaryTable = n.RC102_A02;
                    q.PrimaryKeyField = "ID";
                    q.FieldNameList = "*";
                    
                    q.PageIndex = 1;
                    q.ConditionExpr = n.RC102_A02 + ".ID = '" + rcid + "'";

                    $.server.query(q, function (data) {
                        if (sch_type == "00005WT59VSE0000000000") {//日程
                            if (data.DataSource[0]["RC202_A03"] == $.server.cache.CurrentUser.Uid) {
                                $page.addButtons([{
                                    icon: "fa fa-save",
                                    text: "保存",
                                    color: 3,
                                    click: function (){
                                        frm.save();
                                        
                                        frm.afterSave = function(op, callback){
                                            var q1 = new $.server.queryOptions();
                                            q1.PrimaryTable = n.RC102_A04;
                                            q1.PrimaryKeyField = "ID";
                                            q1.FieldNameList = "*";
                                            q1.OrderExpr = 'ID ASC';
                                            q1.ConditionExpr = n.RC102_A04 + ".A01 = '" + rcid + "'";
                    
                                            $.server.query(q1, function (d) {
                                                if (d.DataSource.length > 0) {
                                                    data.DataSource[0]["RC202_A05"] = "";
                                                    $.each(d.DataSource, function (k, val) {
                                                        if (k == 0) {
                                                            data.DataSource[0][n.RC102_A02 + "_A05"] = val[n.RC102_A04 + "_A02"];
                                                        } else {
                                                            data.DataSource[0][n.RC102_A02 + "_A05"] += "\r\n" + val[n.RC102_A04 + "_A02"];
                                                        };
                                                    });
                                                    var udata = $.server.updateOptions(data.Table, [data.DataSource[0]], "RC202", "ID");
                                                    $.server.update(udata, function (res) {
                                                        if (res) {
                                                            $.util.info("保存成功！");
                                                            $page.close(1);
                                                        };
                                                    });
                                                };
                                            });
                                        };
                                    }
                                }, {
                                    icon: "fa fa-trash-o",
                                    text: "删除",
                                    color: 1,
                                    click: function (){
                                        op.datas[0]["_ROWSTATE"] = 3;
                                        var updateOptions = $.server.updateOptions(op.table, [op.datas[0]], "RC302", "ID");   //四个参数Table,DataSource,tablename,keyField
                                        $.server.update(updateOptions, function (result) {
                                            if (result) {
                                                var q1 = new $.server.queryOptions();
                                                q1.PrimaryTable = n.RC102_A04;
                                                q1.PrimaryKeyField = "ID";
                                                q1.FieldNameList = "*";
                                                q1.PageSize = 10;
                                                q1.OrderExpr = 'ID ASC';
                                                q1.ConditionExpr = n.RC102_A04 + ".A01 = '" + rcid + "'";
                
                                                $.server.query(q1, function (d1) {
                                                    if (d1.DataSource.length > 0) {
                                                        data.DataSource[0]["RC202_A05"] = "";
                                                        $.each(d1.DataSource, function (k, val) {
                                                            if (k == 0) {
                                                                data.DataSource[0]["RC202_A05"] = val["RC302_A02"];
                                                            } else {
                                                                data.DataSource[0]["RC202_A05"] += "\r\n" + val["RC302_A02"];
                                                            };
                                                        });
                                                        var udata = $.server.updateOptions(data.Table, [data.DataSource[0]], "RC202", "ID");
                                                        $.server.update(udata, function (res) {
                                                            if (res) {
                                                                $.util.info("删除成功！");
                                                                $page.close(1);
                                                            };
                                                        });
                                                    };
                                                });
                                            };
                                        });
                                    }
                                }]);
                            };
                        };
                        
                        if (sch_type == "00005WT59OHT0000000000") {//日志
                            if (data.DataSource[0]["RC201_A03"] == $.server.cache.CurrentUser.Uid && $.date.format(data.DataSource[0]["RC201_A01"], "yyyy-MM-dd") >= $.date.format($.server.currentDate(), "yyyy-MM-dd")) {
                                $page.addButtons([{
                                    icon: "fa fa-save",
                                    text: "保存",
                                    color: 3,
                                    click: function (){
                                        frm.save();
                                        
                                        frm.afterSave = function(op, callback){
                                            var q1 = new $.server.queryOptions();
                                            q1.PrimaryTable = n.RC102_A04;
                                            q1.PrimaryKeyField = "ID";
                                            q1.FieldNameList = "*";
                                            q1.OrderExpr = 'ID ASC';
                                            q1.ConditionExpr = n.RC102_A04 + ".A01 = '" + rcid + "'";
                    
                                            $.server.query(q1, function (d) {
                                                if (d.DataSource.length > 0) {
                                                    data.DataSource[0]["RC202_A05"] = "";
                                                    $.each(d.DataSource, function (k, val) {
                                                        if (k == 0) {
                                                            data.DataSource[0][n.RC102_A02 + "_A07"] = val[n.RC102_A04 + "_A02"];
                                                        } else {
                                                            data.DataSource[0][n.RC102_A02 + "_A07"] += "\r\n" + val[n.RC102_A04 + "_A02"];
                                                        };
                                                    });
                                                    var udata = $.server.updateOptions(data.Table, [data.DataSource[0]], "RC201", "ID");
                                                    $.server.update(udata, function (res) {
                                                        if (res) {
                                                            $.util.info("保存成功！");
                                                            $page.close(1);
                                                        };
                                                    });
                                                };
                                            });
                                        };
                                    }
                                }, {
                                    icon: "fa fa-trash-o",
                                    text: "删除",
                                    color: 1,
                                    click: function (){
                                        op.datas[0]["_ROWSTATE"] = 3;
                                        var updateOptions = $.server.updateOptions(op.table, [op.datas[0]], "RC301", "ID");   //四个参数Table,DataSource,tablename,keyField
                                        $.server.update(updateOptions, function (result) {
                                            if (result) {
                                                var q1 = new $.server.queryOptions();
                                                q1.PrimaryTable = n.RC102_A04;
                                                q1.PrimaryKeyField = "ID";
                                                q1.FieldNameList = "*";
                                                q1.OrderExpr = 'ID ASC';
                                                q1.ConditionExpr = n.RC102_A04 + ".A01 = '" + rcid + "'";
                
                                                $.server.query(q1, function (d1) {
                                                    if (d1.DataSource.length > 0) {
                                                        data.DataSource[0]["RC201_A07"] = "";
                                                        $.each(d1.DataSource, function (k, val) {
                                                            if (k == 0) {
                                                                data.DataSource[0]["RC201_A07"] = val["RC301_A02"];
                                                            } else {
                                                                data.DataSource[0]["RC201_A07"] += "\r\n" + val["RC301_A02"];
                                                            };
                                                        });
                                                        var udata = $.server.updateOptions(data.Table, [data.DataSource[0]], "RC201", "ID");
                                                        $.server.update(udata, function (res) {
                                                            if (res) {
                                                                $.util.info("删除成功！");
                                                                $page.close(1);
                                                            };
                                                        });
                                                    };
                                                });
                                            };
                                        });
                                    }
                                }]);
                            };
                        };
                        
                        if (sch_type == "00005WT5A2DU0000000000") {//周计划
                            var Wdff = ($.server.currentDate().getTime() - data.DataSource[0]["RC203_A01"].getTime()) / (1000 * 24 * 60 * 60);//周时差
                            
                            if (data.DataSource[0]["RC203_A03"] == $.server.cache.CurrentUser.Uid && Wdff <= 2) {
                                $page.addButtons([{
                                    icon: "fa fa-save",
                                    text: "保存",
                                    color: 3,
                                    click: function (){
                                        frm.save();
                                        
                                        frm.afterSave = function(op, callback){
                                            $.util.info("保存成功！");
                                            $page.close(1);
                                        };
                                    }
                                }, {
                                    icon: "fa fa-trash-o",
                                    text: "删除",
                                    color: 1,
                                    click: function (){
                                        op.datas[0]["_ROWSTATE"] = 3;
                                        var updateOptions = $.server.updateOptions(op.table, [op.datas[0]], "RC303", "ID");
                                        $.server.update(updateOptions, function (result) {
                                            if (result) {
                                                $.util.info("删除成功！");
                                                $page.close(1);
                                            };
                                        });
                                    }
                                }]);
                            };
                        };
                        
                        if (sch_type == "00005XHN1YZB0000000000") {//月计划
                            var Ydff = ($.server.currentDate().getTime() - data.DataSource[0]["RC204_A01"].getTime()) / (1000 * 24 * 60 * 60);//月时差
                            
                            if (data.DataSource[0]["RC204_A03"] == $.server.cache.CurrentUser.Uid && Ydff <= 3) {
                                $page.addButtons([{
                                    icon: "fa fa-save",
                                    text: "保存",
                                    color: 3,
                                    click: function (){
                                        frm.save();
                                        
                                        frm.afterSave = function(op, callback){
                                            $.util.info("保存成功！");
                                            $page.close(1);
                                        };
                                    }
                                }, {
                                    icon: "fa fa-trash-o",
                                    text: "删除",
                                    color: 1,
                                    click: function (){
                                        op.datas[0]["_ROWSTATE"] = 3;
                                        var updateOptions = $.server.updateOptions(op.table, [op.datas[0]], "RC304", "ID");
                                        $.server.update(updateOptions, function (result) {
                                            if (result) {
                                                $.util.info("删除成功！");
                                                $page.close(1);
                                            };
                                        });
                                    }
                                }]);
                            };
                        };
                        
                        if (sch_type == "0000620C2TFQ0000000000") {//年计划
                            var isYearEdit;
                            if ($.date.format(data.DataSource[0]["RC205_A01"], "yyyy") > $.date.format($C.server.currentDate(), "yyyy")) {
                                isYearEdit = true;
                            } else if (($.date.format(data.DataSource[0]["RC205_A01"], "yyyy") == $.date.format($C.server.currentDate(), "yyyy")) && (parseInt($.date.format($.server.currentDate(), "MM")) < 3)) {
                                isYearEdit = true;
                            }
                            
                            if (data.DataSource[0]["RC205_A03"] != $.server.cache.CurrentUser.Uid && isYearEdit == true) {
                                $page.addButtons([{
                                    icon: "fa fa-save",
                                    text: "保存",
                                    color: 3,
                                    click: function (){
                                        frm.save();
                                        
                                        frm.afterSave = function(op, callback){
                                            $.util.info("保存成功！");
                                            $page.close(1);
                                        };
                                    }
                                }, {
                                    icon: "fa fa-trash-o",
                                    text: "删除",
                                    color: 1,
                                    click: function (){
                                        op.datas[0]["_ROWSTATE"] = 3;
                                        var updateOptions = $.server.updateOptions(op.table, [op.datas[0]], "RC305", "ID");
                                        $.server.update(updateOptions, function (result) {
                                            if (result) {
                                                $.util.info("删除成功！");
                                                $page.close(1);
                                            };
                                        });
                                    }
                                }]);
                            };
                        };
                        
                        callback();
                    });
                };
            
                frm.load(query, {
                    opeMode: 2, //操作方式：0查看,1新增，2编辑
                });
            };
        });
    });

    
};
