$page.load = function(cb) {
    var m_source = $page.parms.m_source || "";
    var rcid = $page.parms.rcid;
    var sch_type = $page.parms.sch_type;
    var allDatas = $page.parms.allDatas;
    //列表上的所有数据

    RcEditLoad(rcid, sch_type, m_source, allDatas);
};

$page.afterRefresh = function() {
    var lstNr = $("#lstNr").ctl();
    var lstJh = $("#lstJh").ctl();
    var lstJy = $("#lstJy").ctl();
    lstNr.refresh();
    lstJh.refresh();
    lstJy.refresh();
};

///
function RcEditLoad(rcid, sch_type, m_source, allDatas) {
    //日程种类
    var queryZl = new $.server.queryOptions();
    queryZl.PrimaryTable = "RC102";
    queryZl.PrimaryKeyField = "ID";
    queryZl.FieldNameList = "*";

    var frm = new Form($("#frm"));

    $.server.query(queryZl, function(data) {
        //console.log(data);
        $.each(data.DataSource, function(i, n) {
            if (n.RC102_ID == sch_type) {
                //console.log(n);
                //表头
                if (n.RC102_A02 != null) {
                    var query = new $.server.queryOptions();

                    query.PrimaryTable = n.RC102_A02;
                    query.PrimaryKeyField = "ID";
                    query.FieldNameList = "*";
                    query.AddCondition("1", n.RC102_A02 + ".ID", $.server.opeType.Equal, rcid);

                    frm.beforeField = function(op, callback) {
                        //console.log(op);
                        if (n.RC102_ID == "00005WT5A2DU0000000000") {//周计划
                            // var Wdff = ($.server.currentDate().getTime() - op.datas[0][n.RC102_A02 + "_A01"].getTime()) / (1000 * 24 * 60 * 60);
                            //周时差
                            var isWeekEdit = $.date.parseDate($.date.format($C.server.currentDate(), "yyyy-MM-dd"), 1) - op.datas[n.RC102_A02 + "_A02"] < 0 ? true : false; 
                        } else if (n.RC102_ID == "00005XHN1YZB0000000000") {//月计划
                            var Ydff = ($.server.currentDate().getTime() - op.datas[0][n.RC102_A02 + "_A01"].getTime()) / (1000 * 24 * 60 * 60);
                            //月时差
                        } else if (n.RC102_ID == "0000620C2TFQ0000000000") {//年计划
                            var isYearEdit;
                            if ($.date.format(op.datas[0]["RC205_A01"], "yyyy") > $.date.format($C.server.currentDate(), "yyyy")) {
                                isYearEdit = true;
                            } else if (($.date.format(op.datas[0]["RC205_A01"], "yyyy") == $.date.format($C.server.currentDate(), "yyyy")) && ($.server.currentDate().getMonth() < 2)) {
                                isYearEdit = true;
                            }
                        }
                        $.each(op.table.FieldList, function(k, val) {
                            if (val.ColName == "A01" || val.ColName == "A02") {
                                val.ColVisible = 2;
                            }
                        });
                        //不是自己的和不能编辑时把字段都设置成不能编辑
                        if ((sch_type == "00005WT59OHT0000000000" && $.date.format(op.datas[0][n.RC102_A02 + "_A01"], "yyyy-MM-dd") < $.date.format($.server.currentDate(), "yyyy-MM-dd")) || (sch_type == "00005WT5A2DU0000000000" && isWeekEdit == false) || (sch_type == "00005XHN1YZB0000000000" && Ydff > 3) || (sch_type == "0000620C2TFQ0000000000" && isYearEdit != true) || op.datas[0][n.RC102_A02 + "_A03"] != $.server.cache.CurrentUser.Uid) {
                            $.each(op.table.FieldList, function(k, val) {
                                if (val.ColVisible != 0) {
                                    val.ColVisible = 2;
                                }
                            });
                        }

                        if (sch_type == "00005WT59VSE0000000000") {//日程把表头内容隐藏
                            $.each(op.table.FieldList, function(k, val) {
                                if (val.ColName == "A05") {
                                    val.ColVisible = 0;
                                }
                            });
                        };

                        if (sch_type == "00005WT59OHT0000000000") {//日志把表头内容隐藏
                            $.each(op.table.FieldList, function(k, val) {
                                if (val.ColName == "A07") {
                                    val.ColVisible = 0;
                                }
                            });
                        };

                        if (sch_type == "00005WT5A2DU0000000000" || sch_type == "00005XHN1YZB0000000000" || sch_type == "0000620C2TFQ0000000000") {//周计划、月计划、年计划把表头计划隐藏
                            $.each(op.table.FieldList, function(k, val) {
                                if (val.ColName == "A05") {
                                    val.ColVisible = 0;
                                }
                            });
                        };
                        callback();
                    }

                    frm.beforeLoad = function(op, callback) {
                        if (sch_type == "00005WT59VSE0000000000") {//日程
                            if (allDatas != null) {
                                if (op.datas[0]["RC202_A03"] == $.server.cache.CurrentUser.Uid) {
                                    $page.addButtons([{
                                        icon : "fa fa-save",
                                        text : "保存",
                                        color : 3,
                                        click : function() {
                                            frm.save();
                                        }
                                    }, {
                                        icon : "fa fa-trash-o",
                                        text : "删除",
                                        color : 1,
                                        click : function() {
                                            if (rcid == null) {
                                                $.util.error("请选择一条要删除的数据！");
                                                $page.close(1);
                                                return false;
                                            } else {
                                                op.datas[0]["_ROWSTATE"] = 3;
                                                var updateOptions = $.server.updateOptions(op.table, [op.datas[0]], "RC202", "ID");
                                                //四个参数Table,DataSource,tablename,keyField
                                                $.server.update(updateOptions, function(result) {
                                                    if (result) {
                                                        $.util.info("删除成功！");
                                                        $page.close(1);
                                                    };
                                                });
                                            };
                                        }
                                    }]);

                                    $page.addTabs([{
                                        text : "上一篇",
                                        icon : "fa fa-angle-left",
                                        click : function() {
                                            lastRc(rcid, sch_type, m_source, allDatas, n.RC102_A02);
                                        }
                                    }, {
                                        text : "下一篇",
                                        icon : "fa fa-angle-right",
                                        click : function() {
                                            nextRc(rcid, sch_type, m_source, allDatas, n.RC102_A02);
                                        }
                                    }]);
                                } else {
                                    $page.addTabs([{
                                        text : "上一篇",
                                        icon : "fa fa-angle-left",
                                        click : function() {
                                            lastRc(rcid, sch_type, m_source, allDatas, n.RC102_A02);
                                        }
                                    }, {
                                        text : "下一篇",
                                        icon : "fa fa-angle-right",
                                        click : function() {
                                            nextRc(rcid, sch_type, m_source, allDatas, n.RC102_A02);
                                        }
                                    }]);
                                };
                            } else {
                                if (op.datas[0]["RC202_A03"] == $.server.cache.CurrentUser.Uid) {
                                    $page.addButtons([{
                                        icon : "fa fa-save",
                                        text : "保存",
                                        color : 3,
                                        click : function() {
                                            frm.save();
                                        }
                                    }, {
                                        icon : "fa fa-trash-o",
                                        text : "删除",
                                        color : 1,
                                        click : function() {
                                            if (rcid == null) {
                                                $.util.error("请选择一条要删除的数据！");
                                                $page.close(1);
                                                return false;
                                            } else {
                                                op.datas[0]["_ROWSTATE"] = 3;
                                                var updateOptions = $.server.updateOptions(op.table, [op.datas[0]], "RC202", "ID");
                                                //四个参数Table,DataSource,tablename,keyField
                                                $.server.update(updateOptions, function(result) {
                                                    if (result) {
                                                        $.util.info("删除成功！");
                                                        $page.close(1);
                                                    };
                                                });
                                            };
                                        }
                                    }]);
                                } else {
                                };
                            };
                        };

                        if (sch_type == "00005WT59OHT0000000000") {//日志
                            if (allDatas != null) {
                                if (op.datas[0]["RC201_A03"] == $.server.cache.CurrentUser.Uid && $.date.format(op.datas[0]["RC201_A01"], "yyyy-MM-dd") >= $.date.format($.server.currentDate(), "yyyy-MM-dd")) {
                                    $page.addButtons([{
                                        icon : "fa fa-save",
                                        text : "保存",
                                        color : 3,
                                        click : function() {
                                            frm.save();
                                        }
                                    }, {
                                        icon : "fa fa-trash-o",
                                        text : "删除",
                                        color : 1,
                                        click : function() {
                                            if (rcid == null) {
                                                $.util.error("请选择一条要删除的数据！");
                                                $page.close(1);
                                                return false;
                                            } else {
                                                op.datas[0]["_ROWSTATE"] = 3;
                                                var updateOptions = $.server.updateOptions(op.table, [op.datas[0]], "RC201", "ID");
                                                //四个参数Table,DataSource,tablename,keyField
                                                $.server.update(updateOptions, function(result) {
                                                    if (result) {
                                                        $.util.info("删除成功！");
                                                        $page.close(1);
                                                    };
                                                });
                                            };
                                        }
                                    }]);
                                    
                                    $page.addTabs([{
                                        text : "上一篇",
                                        icon : "fa fa-angle-left",
                                        click : function() {
                                            lastRc(rcid, sch_type, m_source, allDatas, n.RC102_A02);
                                        }
                                    }, {
                                        text : "下一篇",
                                        icon : "fa fa-angle-right",
                                        click : function() {
                                            nextRc(rcid, sch_type, m_source, allDatas, n.RC102_A02);
                                        }
                                    }]);
                                }else if(op.datas[0]["RC201_A03"] == $.server.cache.CurrentUser.Uid && $.date.format(op.datas[0]["RC201_A01"], "yyyy-MM-dd") < $.date.format($.server.currentDate(), "yyyy-MM-dd")){
                                    $page.addButtons([{
                                        icon : "fa fa-plus-square-o",
                                        text : "追加",
                                        color : 1,
                                        click : function() {
                                            $.server.navigate('RC20', {
                                                rcid : rcid,
                                                sch_type : sch_type,
                                                control : "zj"
                                            });
                                        }
                                    }]);
                                    
                                    $page.addTabs([{
                                        text : "上一篇",
                                        icon : "fa fa-angle-left",
                                        click : function() {
                                            lastRc(rcid, sch_type, m_source, allDatas, n.RC102_A02);
                                        }
                                    }, {
                                        text : "下一篇",
                                        icon : "fa fa-angle-right",
                                        click : function() {
                                            nextRc(rcid, sch_type, m_source, allDatas, n.RC102_A02);
                                        }
                                    }]);
                                } else {
                                    $page.addTabs([{
                                        text : "上一篇",
                                        icon : "fa fa-angle-left",
                                        click : function() {
                                            lastRc(rcid, sch_type, m_source, allDatas, n.RC102_A02);
                                        }
                                    }, {
                                        text : "下一篇",
                                        icon : "fa fa-angle-right",
                                        click : function() {
                                            nextRc(rcid, sch_type, m_source, allDatas, n.RC102_A02);
                                        }
                                    }]);
                                };
                            } else {
                                if (op.datas[0]["RC201_A03"] == $.server.cache.CurrentUser.Uid && $.date.format(op.datas[0]["RC201_A01"], "yyyy-MM-dd") >= $.date.format($.server.currentDate(), "yyyy-MM-dd")) {
                                    $page.addButtons([{
                                        icon : "fa fa-save",
                                        text : "保存",
                                        color : 3,
                                        click : function() {
                                            frm.save();
                                        }
                                    }, {
                                        icon : "fa fa-trash-o",
                                        text : "删除",
                                        color : 1,
                                        click : function() {
                                            if (rcid == null) {
                                                $.util.error("请选择一条要删除的数据！");
                                                $page.close(1);
                                                return false;
                                            } else {
                                                op.datas[0]["_ROWSTATE"] = 3;
                                                var updateOptions = $.server.updateOptions(op.table, [op.datas[0]], "RC201", "ID");
                                                //四个参数Table,DataSource,tablename,keyField
                                                $.server.update(updateOptions, function(result) {
                                                    if (result) {
                                                        $.util.info("删除成功！");
                                                        $page.close(1);
                                                    };
                                                });
                                            };
                                        }
                                    }]);
                                } else if(op.datas[0]["RC201_A03"] == $.server.cache.CurrentUser.Uid && $.date.format(op.datas[0]["RC201_A01"], "yyyy-MM-dd") < $.date.format($.server.currentDate(), "yyyy-MM-dd")){
                                    $page.addButtons([{
                                        icon : "fa fa-plus-square-o",
                                        text : "追加",
                                        color : 1,
                                        click : function() {
                                            $.server.navigate('RC20', {
                                                rcid : rcid,
                                                sch_type : sch_type,
                                                control : "zj"
                                            });
                                        }
                                    }]);
                                } else {
                                    
                                };
                            };
                        };

                        if (sch_type == "00005WT5A2DU0000000000") {//周计划
                            // var Wdff = ($.server.currentDate().getTime() - op.datas[0]["RC203_A01"].getTime()) / (1000 * 24 * 60 * 60);
                            var isWeekEdit = $.date.parseDate($.date.format($C.server.currentDate(), "yyyy-MM-dd"), 1) - op.datas[0][n.RC102_A02 + "_A02"] < 0 ? true : false;
                            console.log(op.datas[n.RC102_A02 + "_A02"]);
                            //周时差
                            if (allDatas != null) {
                                if (op.datas[0]["RC203_A03"] == $.server.cache.CurrentUser.Uid && isWeekEdit == true) {
                                    $page.addButtons([{
                                        icon : "fa fa-save",
                                        text : "保存",
                                        color : 3,
                                        click : function() {
                                            frm.save();
                                        }
                                    }, {
                                        icon : "fa fa-trash-o",
                                        text : "删除",
                                        color : 1,
                                        click : function() {
                                            if (rcid == null) {
                                                $.util.error("请选择一条要删除的数据！");
                                                return false;
                                            } else {
                                                op.datas[0]["_ROWSTATE"] = 3;
                                                var updateOptions = $.server.updateOptions(op.table, [op.datas[0]], "RC203", "ID");
                                                //四个参数Table,DataSource,tablename,keyField
                                                $.server.update(updateOptions, function(result) {
                                                    if (result) {
                                                        $.util.info("删除成功！");
                                                        $page.close(1);
                                                    };
                                                });
                                            };
                                        }
                                    }]);
                                    
                                    $page.addTabs([{
                                        text : "上一篇",
                                        icon : "fa fa-angle-left",
                                        click : function() {
                                            lastRc(rcid, sch_type, m_source, allDatas, n.RC102_A02);
                                        }
                                    }, {
                                        text : "下一篇",
                                        icon : "fa fa-angle-right",
                                        click : function() {
                                            nextRc(rcid, sch_type, m_source, allDatas, n.RC102_A02);
                                        }
                                    }]);
                                } else if (op.datas[0]["RC203_A03"] == $.server.cache.CurrentUser.Uid && isWeekEdit == true && $.date.format($.server.currentDate(), "yyyy-MM-dd") <= $C.date.format(op.datas[0][n.RC102_A02 + "_A02"], "yyyy-MM-dd")) {
                                    $page.addButtons([{
                                        icon : "fa fa-plus-square-o",
                                        text : "追加",
                                        color : 1,
                                        click : function() {
                                            $.server.navigate('RC23', {
                                                rcid : rcid,
                                                sch_type : sch_type,
                                                control : "zj"
                                            });
                                        }
                                    }]);
                                    
                                    $page.addTabs([{
                                        text : "上一篇",
                                        icon : "fa fa-angle-left",
                                        click : function() {
                                            lastRc(rcid, sch_type, m_source, allDatas, n.RC102_A02);
                                        }
                                    }, {
                                        text : "下一篇",
                                        icon : "fa fa-angle-right",
                                        click : function() {
                                            nextRc(rcid, sch_type, m_source, allDatas, n.RC102_A02);
                                        }
                                    }]);
                                } else {
                                    $page.addTabs([{
                                        text : "上一篇",
                                        icon : "fa fa-angle-left",
                                        click : function() {
                                            lastRc(rcid, sch_type, m_source, allDatas, n.RC102_A02);
                                        }
                                    }, {
                                        text : "下一篇",
                                        icon : "fa fa-angle-right",
                                        click : function() {
                                            nextRc(rcid, sch_type, m_source, allDatas, n.RC102_A02);
                                        }
                                    }]);
                                }
                                ;
                            } else {
                                if (op.datas[0]["RC203_A03"] == $.server.cache.CurrentUser.Uid && isWeekEdit == true) {
                                    $page.addButtons([{
                                        icon : "fa fa-save",
                                        text : "保存",
                                        color : 3,
                                        click : function() {
                                            frm.save();
                                        }
                                    }, {
                                        icon : "fa fa-trash-o",
                                        text : "删除",
                                        color : 1,
                                        click : function() {
                                            if (rcid == null) {
                                                $.util.error("请选择一条要删除的数据！");
                                                return false;
                                            } else {
                                                op.datas[0]["_ROWSTATE"] = 3;
                                                var updateOptions = $.server.updateOptions(op.table, [op.datas[0]], "RC203", "ID");
                                                //四个参数Table,DataSource,tablename,keyField
                                                $.server.update(updateOptions, function(result) {
                                                    if (result) {
                                                        $.util.info("删除成功！");
                                                        $page.close(1);
                                                    };
                                                });
                                            };
                                        }
                                    }]);
                                } else if (op.datas[0]["RC203_A03"] == $.server.cache.CurrentUser.Uid && isWeekEdit == false && $.date.format($.server.currentDate(), "yyyy-MM-dd") <= $C.date.format(op.datas[0][n.RC102_A02 + "_A02"], "yyyy-MM-dd")) {
                                    $page.addButtons([{
                                        icon : "fa fa-plus-square-o",
                                        text : "追加",
                                        color : 1,
                                        click : function() {
                                            $.server.navigate('RC23', {
                                                rcid : rcid,
                                                sch_type : sch_type,
                                                control : "zj"
                                            });
                                        }
                                    }]);
                                } else {
                                }
                                ;
                            };
                        };

                        if (sch_type == "00005XHN1YZB0000000000") {//月计划
                            var Ydff = ($.server.currentDate().getTime() - op.datas[0]["RC204_A01"].getTime()) / (1000 * 24 * 60 * 60);
                            //月时差
                            if (allDatas != null) {
                                if (op.datas[0]["RC204_A03"] == $.server.cache.CurrentUser.Uid && Ydff <= 3) {
                                    $page.addButtons([{
                                        icon : "fa fa-save",
                                        text : "保存",
                                        color : 3,
                                        click : function() {
                                            frm.save();
                                        }
                                    }, {
                                        icon : "fa fa-trash-o",
                                        text : "删除",
                                        color : 1,
                                        click : function() {
                                            if (rcid == null) {
                                                $.util.error("请选择一条要删除的数据！");
                                                $page.close(1);
                                                return false;
                                            } else {
                                                op.datas[0]["_ROWSTATE"] = 3;
                                                var updateOptions = $.server.updateOptions(op.table, [op.datas[0]], "RC204", "ID");
                                                //四个参数Table,DataSource,tablename,keyField
                                                $.server.update(updateOptions, function(result) {
                                                    if (result) {
                                                        $.util.info("删除成功！");
                                                        $page.close(1);
                                                    };
                                                });
                                            };
                                        }
                                    }]);
                                    
                                    $page.addTabs([{
                                        text : "上一篇",
                                        icon : "fa fa-angle-left",
                                        click : function() {
                                            lastRc(rcid, sch_type, m_source, allDatas, n.RC102_A02);
                                        }
                                    }, {
                                        text : "下一篇",
                                        icon : "fa fa-angle-right",
                                        click : function() {
                                            nextRc(rcid, sch_type, m_source, allDatas, n.RC102_A02);
                                        }
                                    }]);
                                } else if (op.datas[0]["RC204_A03"] == $.server.cache.CurrentUser.Uid && Ydff > 3 && $.date.format($.server.currentDate(), "yyyy-MM-dd") <= $C.date.format(op.datas[0][n.RC102_A02 + "_A02"], "yyyy-MM-dd")) {
                                    $page.addButtons([{
                                        icon : "fa fa-plus-square-o",
                                        text : "追加",
                                        color : 1,
                                        click : function() {
                                            $.server.navigate('RC23', {
                                                rcid : rcid,
                                                sch_type : sch_type,
                                                control : "zj"
                                            });
                                        }
                                    }]);
                                    
                                    $page.addTabs([{
                                        text : "上一篇",
                                        icon : "fa fa-angle-left",
                                        click : function() {
                                            lastRc(rcid, sch_type, m_source, allDatas, n.RC102_A02);
                                        }
                                    }, {
                                        text : "下一篇",
                                        icon : "fa fa-angle-right",
                                        click : function() {
                                            nextRc(rcid, sch_type, m_source, allDatas, n.RC102_A02);
                                        }
                                    }]);
                                } else {
                                    $page.addTabs([{
                                        text : "上一篇",
                                        icon : "fa fa-angle-left",
                                        click : function() {
                                            lastRc(rcid, sch_type, m_source, allDatas, n.RC102_A02);
                                        }
                                    }, {
                                        text : "下一篇",
                                        icon : "fa fa-angle-right",
                                        click : function() {
                                            nextRc(rcid, sch_type, m_source, allDatas, n.RC102_A02);
                                        }
                                    }]);
                                }
                                ;
                            } else {
                                if (op.datas[0]["RC204_A03"] == $.server.cache.CurrentUser.Uid && Ydff <= 3) {
                                    $page.addButtons([{
                                        icon : "fa fa-save",
                                        text : "保存",
                                        color : 3,
                                        click : function() {
                                            frm.save();
                                        }
                                    }, {
                                        icon : "fa fa-trash-o",
                                        text : "删除",
                                        color : 1,
                                        click : function() {
                                            if (rcid == null) {
                                                $.util.error("请选择一条要删除的数据！");
                                                $page.close(1);
                                                return false;
                                            } else {
                                                op.datas[0]["_ROWSTATE"] = 3;
                                                var updateOptions = $.server.updateOptions(op.table, [op.datas[0]], "RC204", "ID");
                                                //四个参数Table,DataSource,tablename,keyField
                                                $.server.update(updateOptions, function(result) {
                                                    if (result) {
                                                        $.util.info("删除成功！");
                                                        $page.close(1);
                                                    };
                                                });
                                            };
                                        }
                                    }]);
                                } else if (op.datas[0]["RC204_A03"] == $.server.cache.CurrentUser.Uid && Ydff > 3 && $.date.format($.server.currentDate(), "yyyy-MM-dd") <= $C.date.format(op.datas[0][n.RC102_A02 + "_A02"], "yyyy-MM-dd")) {
                                    $page.addButtons([{
                                        icon : "fa fa-plus-square-o",
                                        text : "追加",
                                        color : 1,
                                        click : function() {
                                            $.server.navigate('RC23', {
                                                rcid : rcid,
                                                sch_type : sch_type,
                                                control : "zj"
                                            });
                                        }
                                    }]);
                                } else {
                                }
                                ;
                            };
                        };

                        if (sch_type == "0000620C2TFQ0000000000") {//年计划
                            var isYearEdit;
                            if ($.date.format(op.datas[0]["RC205_A01"], "yyyy") > $.date.format($.server.currentDate(), "yyyy")) {
                                isYearEdit = true;
                            } else if (($.date.format(op.datas[0]["RC205_A01"], "yyyy") == $.date.format($.server.currentDate(), "yyyy")) && (parseInt($.date.format($.server.currentDate(), "MM")) < 3)) {
                                isYearEdit = true;
                            }
                            ;

                            if (allDatas != null) {
                                if (op.datas[0]["RC205_A03"] == $.server.cache.CurrentUser.Uid && isYearEdit == true) {
                                    $page.addButtons([{
                                        icon : "fa fa-save",
                                        text : "保存",
                                        color : 3,
                                        click : function() {
                                            frm.save();
                                        }
                                    }, {
                                        icon : "fa fa-trash-o",
                                        text : "删除",
                                        color : 1,
                                        click : function() {
                                            if (rcid == null) {
                                                $.util.error("请选择一条要删除的数据！");
                                                $page.close(1);
                                                return false;
                                            } else {
                                                op.datas[0]["_ROWSTATE"] = 3;
                                                var updateOptions = $.server.updateOptions(op.table, [op.datas[0]], "RC205", "ID");
                                                //四个参数Table,DataSource,tablename,keyField
                                                $.server.update(updateOptions, function(result) {
                                                    if (result) {
                                                        $.util.info("删除成功！");
                                                        $page.close(1);
                                                    };
                                                });
                                            };
                                        }
                                    }]);
                                    
                                    $page.addTabs([{
                                        text : "上一篇",
                                        icon : "fa fa-angle-left",
                                        click : function() {
                                            lastRc(rcid, sch_type, m_source, allDatas, n.RC102_A02);
                                        }
                                    }, {
                                        text : "下一篇",
                                        icon : "fa fa-angle-right",
                                        click : function() {
                                            nextRc(rcid, sch_type, m_source, allDatas, n.RC102_A02);
                                        }
                                    }]);
                                } else if (op.datas[0]["RC205_A03"] == $.server.cache.CurrentUser.Uid && isYearEdit != true && $.date.format($.server.currentDate(), "yyyy-MM-dd") <= $C.date.format(op.datas[0][n.RC102_A02 + "_A02"], "yyyy-MM-dd")) {
                                    $page.addButtons([{
                                        icon : "fa fa-plus-square-o",
                                        text : "追加",
                                        color : 1,
                                        click : function() {
                                            $.server.navigate('RC23', {
                                                rcid : rcid,
                                                sch_type : sch_type,
                                                control : "zj"
                                            });
                                        }
                                    }]);
                                    
                                    $page.addTabs([{
                                        text : "上一篇",
                                        icon : "fa fa-angle-left",
                                        click : function() {
                                            lastRc(rcid, sch_type, m_source, allDatas, n.RC102_A02);
                                        }
                                    }, {
                                        text : "下一篇",
                                        icon : "fa fa-angle-right",
                                        click : function() {
                                            nextRc(rcid, sch_type, m_source, allDatas, n.RC102_A02);
                                        }
                                    }]);
                                } else {
                                    $page.addTabs([{
                                        text : "上一篇",
                                        icon : "fa fa-angle-left",
                                        click : function() {
                                            lastRc(rcid, sch_type, m_source, allDatas, n.RC102_A02);
                                        }
                                    }, {
                                        text : "下一篇",
                                        icon : "fa fa-angle-right",
                                        click : function() {
                                            nextRc(rcid, sch_type, m_source, allDatas, n.RC102_A02);
                                        }
                                    }]);
                                }
                                ;
                            } else {
                                if (op.datas[0]["RC205_A03"] == $.server.cache.CurrentUser.Uid && isYearEdit == true) {
                                    $page.addButtons([{
                                        icon : "fa fa-save",
                                        text : "保存",
                                        color : 3,
                                        click : function() {
                                            frm.save();
                                        }
                                    }, {
                                        icon : "fa fa-trash-o",
                                        text : "删除",
                                        color : 1,
                                        click : function() {
                                            if (rcid == null) {
                                                $.util.error("请选择一条要删除的数据！");
                                                $page.close(1);
                                                return false;
                                            } else {
                                                op.datas[0]["_ROWSTATE"] = 3;
                                                var updateOptions = $.server.updateOptions(op.table, [op.datas[0]], "RC205", "ID");
                                                //四个参数Table,DataSource,tablename,keyField
                                                $.server.update(updateOptions, function(result) {
                                                    if (result) {
                                                        $.util.info("删除成功！");
                                                        $page.close(1);
                                                    };
                                                });
                                            };
                                        }
                                    }]);
                                } else if (op.datas[0]["RC205_A03"] == $.server.cache.CurrentUser.Uid && isYearEdit != true && $.date.format($.server.currentDate(), "yyyy-MM-dd") <= $C.date.format(op.datas[0][n.RC102_A02 + "_A02"], "yyyy-MM-dd")) {
                                    $page.addButtons([{
                                        icon : "fa fa-plus-square-o",
                                        text : "追加",
                                        color : 1,
                                        click : function() {
                                            $.server.navigate('RC23', {
                                                rcid : rcid,
                                                sch_type : sch_type,
                                                control : "zj"
                                            });
                                        }
                                    }]);
                                } else {
                                }
                                ;
                            };
                        };

                        callback();
                    };

                    frm.afterLoad = function(op, callback) {
                        //绑定原计划
                        if (n.RC102_ID == "00005WT59OHT0000000000") {//日志
                            $("#frmYjh").show();
                            var lstYjh = new mListView($("#lstYjh"));
                            loadRzPlan(n, op.datas[n.RC102_A02 + "_A01"], lstYjh, op);
                            //动态加载日志原计划

                            frm.afterChange = function(op2, callback) {
                                if (op2.field == n.RC102_A02 + "_A01") {
                                    var nextDate = new Date(op2.data[n.RC102_A02 + "_A01"].getTime() + 24 * 60 * 60 * 1000);
                                    op2.data.set(n.RC102_A02 + "_A06", nextDate);
                                    //计划时间附值
                                    op2.data.set(n.RC102_A02 + "_A02", op2.data[n.RC102_A02 + "_A01"]);
                                    //结束时间附值

                                    loadRzPlan(n, op2.data[n.RC102_A02 + "_A01"], lstYjh, op);
                                    //动态加载日志原计划
                                };
                            };
                        } else if (n.RC102_ID == "00005WT5A2DU0000000000") {//周计划
                            $("#frmYjh").show();
                            var lstYjh = new mListView($("#lstYjh"));
                            loadZjhPlan(n, op.datas[n.RC102_A02 + "_A01"], lstYjh, op);
                            //动态加载周计划原计划

                            // var Wdff = ($.server.currentDate().getTime() - op.datas[n.RC102_A02 + "_A01"].getTime()) / (1000 * 24 * 60 * 60);
                            //周时差
                            var isWeekEdit = $.date.parseDate($.date.format($C.server.currentDate(), "yyyy-MM-dd"), 1) - op.datas[n.RC102_A02 + "_A02"] < 0 ? true : false; 

                            frm.afterChange = function(op2, callback) {
                                if (op2.field == n.RC102_A02 + "_A01") {
                                    var lastWeekDay = $.date.getWeekLast(op2.data[n.RC102_A02 + "_A01"]);
                                    op2.data.set(n.RC102_A02 + "_A02", lastWeekDay);
                                    //结束时间符值

                                    loadZjhPlan(n, op2.data[n.RC102_A02 + "_A01"], lstYjh, op);
                                    //动态加载周计划原计划
                                };
                            };
                        } else if (n.RC102_ID == "00005XHN1YZB0000000000") {//月计划
                            $("#frmYjh").show();
                            var lstYjh = new mListView($("#lstYjh"));
                            loadYjhPlan(n, op.datas[n.RC102_A02 + "_A01"], lstYjh, op);
                            //动态加载月计划原计划

                            var Ydff = ($.server.currentDate().getTime() - op.datas[n.RC102_A02 + "_A01"].getTime()) / (1000 * 24 * 60 * 60);
                            //月时差

                            frm.afterChange = function(op2, callback) {
                                if (op2.field == n.RC102_A02 + "_A01") {
                                    var lastMonDay = $.date.getMonLast(op2.data[n.RC102_A02 + "_A01"]);
                                    op2.data.set(n.RC102_A02 + "_A02", lastMonDay);
                                    //结束时间符值

                                    loadYjhPlan(n, op2.data[n.RC102_A02 + "_A01"], lstYjh, op);
                                    //动态加载月计划原计划
                                };
                            };
                        } else if (n.RC102_ID == "0000620C2TFQ0000000000") {//年计划
                            $("#frmYjh").show();
                            var lstYjh = new mListView($("#lstYjh"));
                            loadNjhPlan(n, op.datas[n.RC102_A02 + "_A01"], lstYjh, op);
                            //动态加载年计划原计划

                            frm.afterChange = function(op2, callback) {
                                if (op2.field == n.RC102_A02 + "_A01") {
                                    var lastYearDay = new Date(op2.data[n.RC102_A02 + "_A01"].getFullYear(), 11, 31);
                                    op2.data.set(n.RC102_A02 + "_A02", lastYearDay);
                                    //结束时间符值

                                    loadNjhPlan(n, op2.data[n.RC102_A02 + "_A01"], lstYjh, op);
                                    //动态加载年计划原计划
                                };
                            };
                        }
                        ;

                        ///内容
                        if (n.RC102_A04 != null) {
                            $("#frmNr").show();

                            if (sch_type == "00005WT59VSE0000000000") {//日程
                                $("#nrbt").html("日程内容");
                            } else if (sch_type == "00005WT59OHT0000000000") {//日志
                                $("#nrbt").html("日志内容");
                            } else if (sch_type == "00005WT5A2DU0000000000") {//周计划
                                $("#nrbt").html("上周总结");
                            } else if (sch_type == "00005XHN1YZB0000000000") {//月计划
                                $("#nrbt").html("上月总结");
                            } else if (sch_type == "0000620C2TFQ0000000000") {//年计划
                                $("#nrbt").html("上年总结");
                            } else {//其它

                            };

                            var lstNr = new mListView($("#lstNr"));
                            var queryNr = new $.server.queryOptions();
                            queryNr.PrimaryTable = n.RC102_A04;
                            queryNr.PrimaryKeyField = "ID";
                            queryNr.FieldNameList = "*";
                            queryNr.PageIndex = 1;
                            queryNr.ConditionExpr = n.RC102_A04 + ".A01 = '" + rcid + "'";
                            queryNr.OrderExpr = "ID ASC";
                            
                            lstNr.beforeField = function(op, callback){
                                $.each(op.data, function(key, val){
                                    if(val[n.RC102_A04 + "_A02"].indexOf("\n") > -1){
                                        val[n.RC102_A04 + "_A02"]=val[n.RC102_A04 + "_A02"].replaceAll("\n","<br>");
                                    };
                                });
                                
                                callback();
                            };

                            lstNr.afterLoad = function(opNr, callback) {
                                // console.log($("#lstNr").find(".line1").find("div"));
                                $($("#lstNr").find(".line1").find("div")).each(function(key){
                                    $(this).html($(this).html().replaceAll("&lt;br&gt;","\r\n"));
                                });
                               // $("#lstNr").find(".line1").find("div").html(op.data[0][n.RC102_A04 + "_A02"].replace("<br>","\r\n"));
                                
                                if (sch_type == "00005WT59VSE0000000000") {//日程
                                    if (op.datas[n.RC102_A02 + "_A03"] == $.server.cache.CurrentUser.Uid) {
                                        $("#xzNr").show();
                                        $("#xzNr").bind("click", function(){
                                            $.server.navigate('RC20', {
                                                rcid : rcid,
                                                sch_type : sch_type
                                            });
                                        });
                                    };
                                }else if(sch_type == "00005WT59OHT0000000000"){//日志
                                    if (op.datas[n.RC102_A02 + "_A03"] == $.server.cache.CurrentUser.Uid && $.date.format(op.datas[n.RC102_A02 + "_A01"], "yyyy-MM-dd") >= $.date.format($.server.currentDate(), "yyyy-MM-dd")) {
                                        $("#xzNr").show();
                                        $("#xzNr").bind("click", function(){
                                            $.server.navigate('RC20', {
                                                rcid : rcid,
                                                sch_type : sch_type
                                            });
                                        });
                                    };
                                }else if(sch_type == "00005WT5A2DU0000000000"){//周计划
                                    // var Wdff = ($.server.currentDate().getTime() - op.datas[n.RC102_A02 + "_A01"].getTime()) / (1000 * 24 * 60 * 60);
                                    var isWeekEdit = $.date.parseDate($.date.format($.server.currentDate(), "yyyy-MM-dd"), 1) - op.datas[n.RC102_A02 + "_A02"] < 0 ? true : false; 
                                    if (op.datas[n.RC102_A02 + "_A03"] == $.server.cache.CurrentUser.Uid && isWeekEdit == true){
                                        $("#xzNr").show();
                                        $("#xzNr").bind("click", function(){
                                            $.server.navigate('RC20', {
                                                rcid : rcid,
                                                sch_type : sch_type
                                            });
                                        });
                                    }
                                }else if(sch_type == "00005XHN1YZB0000000000"){//月计划
                                    var Ydff = ($.server.currentDate().getTime() - op.datas[n.RC102_A02 + "_A01"].getTime()) / (1000 * 24 * 60 * 60);
                                    if (op.datas[n.RC102_A02 + "_A03"] == $.server.cache.CurrentUser.Uid && Ydff <= 3) {
                                        $("#xzNr").show();
                                        $("#xzNr").bind("click", function(){
                                            $.server.navigate('RC20', {
                                                rcid : rcid,
                                                sch_type : sch_type
                                            });
                                        });
                                    }
                                }else if(sch_type == "0000620C2TFQ0000000000"){//年计划
                                    var isYearEdit;
                                    if ($.date.format(op.datas[n.RC102_A02 + "_A01"], "yyyy") > $.date.format($.server.currentDate(), "yyyy")) {
                                        isYearEdit = true;
                                    } else if (($.date.format(op.datas[n.RC102_A02 + "_A01"], "yyyy") == $.date.format($.server.currentDate(), "yyyy")) && ($.server.currentDate().getMonth() < 2)) {
                                        isYearEdit = true;
                                    };
                                    if (op.datas[n.RC102_A02 + "_A03"] == $.server.cache.CurrentUser.Uid && isYearEdit == true) {
                                        $("#xzNr").show();
                                        $("#xzNr").bind("click", function(){
                                            $.server.navigate('RC20', {
                                                rcid : rcid,
                                                sch_type : sch_type
                                            });
                                        });
                                    };
                                };
                            };

                            lstNr.afterSelect = function(opNr) {
                                if (n.RC102_ID == "00005WT59VSE0000000000" && op.datas[n.RC102_A02 + "_A03"] == $.server.cache.CurrentUser.Uid) {//日程
                                    $.server.navigate('RC21', {
                                        id : opNr.data[n.RC102_A04 + "_ID"],
                                        sch_type : sch_type,
                                        rcid : rcid
                                    });
                                };
                                if (n.RC102_ID == "00005WT59OHT0000000000" && op.datas[n.RC102_A02 + "_A03"] == $.server.cache.CurrentUser.Uid && $.date.format(op.datas[n.RC102_A02 + "_A01"], "yyyy-MM-dd") >= $.date.format($.server.currentDate(), "yyyy-MM-dd")) {//日志
                                    $.server.navigate('RC21', {
                                        id : opNr.data[n.RC102_A04 + "_ID"],
                                        sch_type : sch_type,
                                        rcid : rcid
                                    });
                                };
                                if (n.RC102_ID == "00005WT5A2DU0000000000" && op.datas[n.RC102_A02 + "_A03"] == $.server.cache.CurrentUser.Uid) {//周计划
                                    // var Wdff = ($.server.currentDate().getTime() - op.datas[n.RC102_A02 + "_A01"].getTime()) / (1000 * 24 * 60 * 60);
                                    var isWeekEdit = $.date.parseDate($.date.format($.server.currentDate(), "yyyy-MM-dd"), 1) - op.datas[n.RC102_A02 + "_A02"] < 0 ? true : false; 
                                    if (isWeekEdit == true) {
                                        $.server.navigate('RC21', {
                                            id : opNr.data[n.RC102_A04 + "_ID"],
                                            sch_type : sch_type,
                                            rcid : rcid
                                        });
                                    };
                                };
                                if (n.RC102_ID == "00005XHN1YZB0000000000" && op.datas[n.RC102_A02 + "_A03"] == $.server.cache.CurrentUser.Uid) {//月计划
                                    var Ydff = ($.server.currentDate().getTime() - op.datas[n.RC102_A02 + "_A01"].getTime()) / (1000 * 24 * 60 * 60);
                                    if (Ydff <= 3) {
                                        $.server.navigate('RC21', {
                                            id : opNr.data[n.RC102_A04 + "_ID"],
                                            sch_type : sch_type,
                                            rcid : rcid
                                        });
                                    };
                                };
                                if (n.RC102_ID == "0000620C2TFQ0000000000" && op.datas[n.RC102_A02 + "_A03"] == $.server.cache.CurrentUser.Uid) {//年计划
                                    var isYearEdit;
                                    if ($.date.format(op.datas[n.RC102_A02 + "_A01"], "yyyy") > $.date.format($.server.currentDate(), "yyyy")) {
                                        isYearEdit = true;
                                    } else if (($.date.format(op.datas[n.RC102_A02 + "_A01"], "yyyy") == $.date.format($.server.currentDate(), "yyyy")) && ($.server.currentDate().getMonth() < 2)) {
                                        isYearEdit = true;
                                    }
                                    ;
                                    if (isYearEdit == true) {
                                        $.server.navigate('RC21', {
                                            id : opNr.data[n.RC102_A04 + "_ID"],
                                            sch_type : sch_type,
                                            rcid : rcid
                                        });
                                    };
                                };
                            };
                        
                            if (sch_type == "00005WT59OHT0000000000") {//日志
                                lstNr.load(queryNr, {
                                    enableBounce : false,
                                    layout : {
                                        //icon: "fa-list-alt",
                                        // r0c0: "<font size='0.75em'>${" + n.RC102_A04 + "_A02}</font><div style='float:right;font-size:0.75em'>${" + n.RC102_A04 + "_A03MC}</div>",
                                        r0c0 : "<div style='font-size:0.9em;height:100%; word-wrap:break-word; white-space:pre-wrap;'>${" + n.RC102_A04 + "_A02}</div>",
                                        r0c1 : "<div style='font-size:0.9em;height:100%; '>${" + n.RC102_A04 + "_A03MC}</div>",
                                    }
                                });
                            } else {
                                lstNr.load(queryNr, {
                                    enableBounce : false,
                                    layout : {
                                        //icon: "fa-list-alt",
                                        r0c0 : "<div style='font-size:0.9em;height:100%; word-wrap:break-word; white-space:pre-wrap;'>${" + n.RC102_A04 + "_A02}</div>",
                                    }
                                });
                            };
                        };

                        ///计划
                        if (n.RC102_A03 != null) {
                            $("#frmJh").show();

                            if (sch_type == "00005WT59VSE0000000000") {//日程

                            } else if (sch_type == "00005WT59OHT0000000000") {//日志
                                $("#jhbt").html("下一工作日计划");
                            } else if (sch_type == "00005WT5A2DU0000000000") {//周计划
                                $("#jhbt").html("本周计划");
                            } else if (sch_type == "00005XHN1YZB0000000000") {//月计划
                                $("#jhbt").html("本月计划");
                            } else if (sch_type == "0000620C2TFQ0000000000") {//年计划
                                $("#jhbt").html("本年计划");
                            } else {//其它

                            };

                            var lstJh = new mListView($("#lstJh"));
                            var queryJh = new $.server.queryOptions();
                            queryJh.PrimaryTable = n.RC102_A03;
                            queryJh.PrimaryKeyField = "ID";
                            queryJh.FieldNameList = "*";
                            queryJh.PageIndex = 1;
                            queryJh.ConditionExpr = n.RC102_A03 + ".A01 = '" + rcid + "'";
                            queryJh.OrderExpr = "ID ASC";
                            
                            lstJh.beforeField = function(op, callback){
                                $.each(op.data, function(key, val){
                                    if(val[n.RC102_A03 + "_A02"].indexOf("\n") > -1){
                                        val[n.RC102_A03 + "_A02"]=val[n.RC102_A03 + "_A02"].replaceAll("\n","<br>");
                                    };
                                });
                                callback();
                            };

                            lstJh.afterLoad = function(opJh, callback) {
                                $($("#lstJh").find(".line1").find("div")).each(function(key){
                                    $(this).html($(this).html().replaceAll("&lt;br&gt;","\r\n"));
                                });
                                
                                if (sch_type == "00005WT59VSE0000000000") {//日程
                                    if (op.datas[n.RC102_A02 + "_A03"] == $.server.cache.CurrentUser.Uid) {
                                        $("#xzJh").show();
                                        $("#xzJh").bind("click", function(){
                                            $.server.navigate('RC23', {
                                                rcid : rcid,
                                                sch_type : sch_type
                                            });
                                        });
                                    };
                                }else if(sch_type == "00005WT59OHT0000000000"){//日志
                                    if (op.datas[n.RC102_A02 + "_A03"] == $.server.cache.CurrentUser.Uid && $.date.format(op.datas[n.RC102_A02 + "_A01"], "yyyy-MM-dd") >= $.date.format($.server.currentDate(), "yyyy-MM-dd")) {
                                        $("#xzJh").show();
                                        $("#xzJh").bind("click", function(){
                                            $.server.navigate('RC23', {
                                                rcid : rcid,
                                                sch_type : sch_type
                                            });
                                        });
                                    };
                                }else if(sch_type == "00005WT5A2DU0000000000"){//周计划
                                    // var Wdff = ($.server.currentDate().getTime() - op.datas[n.RC102_A02 + "_A01"].getTime()) / (1000 * 24 * 60 * 60);
                                    var isWeekEdit = $.date.parseDate($.date.format($.server.currentDate(), "yyyy-MM-dd"), 1) - op.datas[n.RC102_A02 + "_A02"] < 0 ? true : false; 
                                    if (op.datas[n.RC102_A02 + "_A03"] == $.server.cache.CurrentUser.Uid && isWeekEdit == true){
                                        $("#xzJh").show();
                                        $("#xzJh").bind("click", function(){
                                            $.server.navigate('RC23', {
                                                rcid : rcid,
                                                sch_type : sch_type
                                            });
                                        });
                                    }
                                }else if(sch_type == "00005XHN1YZB0000000000"){//月计划
                                    var Ydff = ($.server.currentDate().getTime() - op.datas[n.RC102_A02 + "_A01"].getTime()) / (1000 * 24 * 60 * 60);
                                    if (op.datas[n.RC102_A02 + "_A03"] == $.server.cache.CurrentUser.Uid && Ydff <= 3) {
                                        $("#xzJh").show();
                                        $("#xzJh").bind("click", function(){
                                            $.server.navigate('RC23', {
                                                rcid : rcid,
                                                sch_type : sch_type
                                            });
                                        });
                                    }
                                }else if(sch_type == "0000620C2TFQ0000000000"){//年计划
                                    var isYearEdit;
                                    if ($.date.format(op.datas[n.RC102_A02 + "_A01"], "yyyy") > $.date.format($.server.currentDate(), "yyyy")) {
                                        isYearEdit = true;
                                    } else if (($.date.format(op.datas[n.RC102_A02 + "_A01"], "yyyy") == $.date.format($.server.currentDate(), "yyyy")) && ($.server.currentDate().getMonth() < 2)) {
                                        isYearEdit = true;
                                    };
                                    if (op.datas[n.RC102_A02 + "_A03"] == $.server.cache.CurrentUser.Uid && isYearEdit == true) {
                                        $("#xzJh").show();
                                        $("#xzJh").bind("click", function(){
                                            $.server.navigate('RC23', {
                                                rcid : rcid,
                                                sch_type : sch_type
                                            });
                                        });
                                    };
                                };
                            };

                            lstJh.afterSelect = function(opJh) {

                                if (n.RC102_ID == "00005WT59VSE0000000000" && op.datas[n.RC102_A02 + "_A03"] == $.server.cache.CurrentUser.Uid) {//日程
                                    $.server.navigate('RC24', {
                                        id : opJh.data[n.RC102_A03 + "_ID"],
                                        sch_type : sch_type,
                                        rcid : rcid
                                    });
                                };
                                if (n.RC102_ID == "00005WT59OHT0000000000" && op.datas[n.RC102_A02 + "_A03"] == $.server.cache.CurrentUser.Uid && $.date.format(op.datas[n.RC102_A02 + "_A01"], "yyyy-MM-dd") >= $.date.format($.server.currentDate(), "yyyy-MM-dd")) {//日志
                                    $.server.navigate('RC24', {
                                        id : opJh.data[n.RC102_A03 + "_ID"],
                                        sch_type : sch_type,
                                        rcid : rcid
                                    });
                                };
                                if (n.RC102_ID == "00005WT5A2DU0000000000" && op.datas[n.RC102_A02 + "_A03"] == $.server.cache.CurrentUser.Uid) {//周计划
                                    // var Wdff = ($.server.currentDate().getTime() - op.datas[n.RC102_A02 + "_A01"].getTime()) / (1000 * 24 * 60 * 60);
                                    var isWeekEdit = $.date.parseDate($.date.format($.server.currentDate(), "yyyy-MM-dd"), 1) - op.datas[n.RC102_A02 + "_A02"] < 0 ? true : false; 
                                    if (isWeekEdit == true) {
                                        $.server.navigate('RC24', {
                                            id : opJh.data[n.RC102_A03 + "_ID"],
                                            sch_type : sch_type,
                                            rcid : rcid
                                        });
                                    };
                                };
                                if (n.RC102_ID == "00005XHN1YZB0000000000" && op.datas[n.RC102_A02 + "_A03"] == $.server.cache.CurrentUser.Uid) {//月计划
                                    var Ydff = ($.server.currentDate().getTime() - op.datas[n.RC102_A02 + "_A01"].getTime()) / (1000 * 24 * 60 * 60);
                                    if (Ydff <= 3) {
                                        $.server.navigate('RC24', {
                                            id : opJh.data[n.RC102_A03 + "_ID"],
                                            sch_type : sch_type,
                                            rcid : rcid
                                        });
                                    };
                                };
                                if (n.RC102_ID == "0000620C2TFQ0000000000" && op.datas[n.RC102_A02 + "_A03"] == $.server.cache.CurrentUser.Uid) {//年计划
                                    var isYearEdit;
                                    if ($.date.format(op.datas[n.RC102_A02 + "_A01"], "yyyy") > $.date.format($.server.currentDate(), "yyyy")) {
                                        isYearEdit = true;
                                    } else if (($.date.format(op.datas[n.RC102_A02 + "_A01"], "yyyy") == $.date.format($.server.currentDate(), "yyyy")) && ($.server.currentDate().getMonth() < 2)) {
                                        isYearEdit = true;
                                    }
                                    ;
                                    if (isYearEdit == true) {
                                        $.server.navigate('RC24', {
                                            id : opJh.data[n.RC102_A03 + "_ID"],
                                            sch_type : sch_type,
                                            rcid : rcid
                                        });
                                    };
                                };
                            };
                        
                            lstJh.load(queryJh, {
                                enableBounce : false,
                                layout : {
                                    //icon: "fa-list-alt",
                                    r0c0 : "<div style='font-size:0.9em;height:100%; word-wrap:break-word; white-space:pre-wrap;'>${" + n.RC102_A03 + "_A02}</div>",
                                }
                            });
                        };

                        ///经验教训
                        if (n.RC102_A06 != null) {
                            $("#frmJy").show();

                            if (sch_type == "00005WT59VSE0000000000") {//日程

                            } else if (sch_type == "00005WT59OHT0000000000") {//日志
                                $("#jybt").html("经验教训");
                            } else if (sch_type == "00005WT5A2DU0000000000") {//周计划

                            } else if (sch_type == "00005XHN1YZB0000000000") {//月计划

                            } else if (sch_type == "0000620C2TFQ0000000000") {//年计划

                            } else {//其它

                            }
                            ;

                            var lstJy = new mListView($("#lstJy"));
                            var queryJy = new $.server.queryOptions();
                            queryJy.PrimaryTable = n.RC102_A06;
                            queryJy.PrimaryKeyField = "ID";
                            queryJy.FieldNameList = "*";
                            queryJy.PageIndex = 1;
                            queryJy.ConditionExpr = n.RC102_A06 + ".A01 = '" + rcid + "'";
                            queryJy.OrderExpr = "ID ASC";
                            
                            lstJy.beforeField = function(op, callback){
                                $.each(op.data, function(key, val){
                                    if(val[n.RC102_A06 + "_A02"].indexOf("\n") > -1){
                                        val[n.RC102_A06 + "_A02"]=val[n.RC102_A06 + "_A02"].replaceAll("\n","<br>");
                                    };
                                });
                                callback();
                            };

                            lstJy.afterLoad = function(opJy, callback) {
                                $($("#lstJy").find(".line1").find("div")).each(function(key){
                                    $(this).html($(this).html().replaceAll("&lt;br&gt;","\r\n"));
                                });
                                
                                if (sch_type == "00005WT59VSE0000000000") {//日程
                                    if (op.datas[n.RC102_A02 + "_A03"] == $.server.cache.CurrentUser.Uid) {
                                        $("#xzJy").show();
                                        $("#xzJy").bind("click", function(){
                                            $.server.navigate('RC26', {
                                                rcid : rcid,
                                                sch_type : sch_type
                                            });
                                        });
                                    };
                                }else if(sch_type == "00005WT59OHT0000000000"){//日志
                                    if (op.datas[n.RC102_A02 + "_A03"] == $.server.cache.CurrentUser.Uid && $.date.format(op.datas[n.RC102_A02 + "_A01"], "yyyy-MM-dd") >= $.date.format($.server.currentDate(), "yyyy-MM-dd")) {
                                        $("#xzJy").show();
                                        $("#xzJy").bind("click", function(){
                                            $.server.navigate('RC26', {
                                                rcid : rcid,
                                                sch_type : sch_type
                                            });
                                        });
                                    };
                                }else if(sch_type == "00005WT5A2DU0000000000"){//周计划
                                    // var Wdff = ($.server.currentDate().getTime() - op.datas[n.RC102_A02 + "_A01"].getTime()) / (1000 * 24 * 60 * 60);
                                    var isWeekEdit = $.date.parseDate($.date.format($.server.currentDate(), "yyyy-MM-dd"), 1) - op.datas[n.RC102_A02 + "_A02"] < 0 ? true : false; 
                                    if (op.datas[n.RC102_A02 + "_A03"] == $.server.cache.CurrentUser.Uid && isWeekEdit == true){
                                        $("#xzJy").show();
                                        $("#xzJy").bind("click", function(){
                                            $.server.navigate('RC26', {
                                                rcid : rcid,
                                                sch_type : sch_type
                                            });
                                        });
                                    }
                                }else if(sch_type == "00005XHN1YZB0000000000"){//月计划
                                    var Ydff = ($.server.currentDate().getTime() - op.datas[n.RC102_A02 + "_A01"].getTime()) / (1000 * 24 * 60 * 60);
                                    if (op.datas[n.RC102_A02 + "_A03"] == $.server.cache.CurrentUser.Uid && Ydff <= 3) {
                                        $("#xzJy").show();
                                        $("#xzJy").bind("click", function(){
                                            $.server.navigate('RC26', {
                                                rcid : rcid,
                                                sch_type : sch_type
                                            });
                                        });
                                    }
                                }else if(sch_type == "0000620C2TFQ0000000000"){//年计划
                                    var isYearEdit;
                                    if ($.date.format(op.datas[n.RC102_A02 + "_A01"], "yyyy") > $.date.format($.server.currentDate(), "yyyy")) {
                                        isYearEdit = true;
                                    } else if (($.date.format(op.datas[n.RC102_A02 + "_A01"], "yyyy") == $.date.format($.server.currentDate(), "yyyy")) && ($.server.currentDate().getMonth() < 2)) {
                                        isYearEdit = true;
                                    };
                                    if (op.datas[n.RC102_A02 + "_A03"] == $.server.cache.CurrentUser.Uid && isYearEdit == true) {
                                        $("#xzJy").show();
                                        $("#xzJy").bind("click", function(){
                                            $.server.navigate('RC26', {
                                                rcid : rcid,
                                                sch_type : sch_type
                                            });
                                        });
                                    };
                                };
                            };

                            lstJy.afterSelect = function(opJy) {
                                if (n.RC102_ID == "00005WT59VSE0000000000" && op.datas[n.RC102_A02 + "_A03"] == $.server.cache.CurrentUser.Uid) {//日程
                                    $.server.navigate('RC27', {
                                        id : opJy.data[n.RC102_A06 + "_ID"],
                                        sch_type : sch_type,
                                        rcid : rcid
                                    });
                                };
                                if (n.RC102_ID == "00005WT59OHT0000000000" && op.datas[n.RC102_A02 + "_A03"] == $.server.cache.CurrentUser.Uid && $.date.format(op.datas[n.RC102_A02 + "_A01"], "yyyy-MM-dd") >= $.date.format($.server.currentDate(), "yyyy-MM-dd")) {//日志
                                    $.server.navigate('RC27', {
                                        id : opJy.data[n.RC102_A06 + "_ID"],
                                        sch_type : sch_type,
                                        rcid : rcid
                                    });
                                };
                                if (n.RC102_ID == "00005WT5A2DU0000000000" && op.datas[n.RC102_A02 + "_A03"] == $.server.cache.CurrentUser.Uid) {//周计划
                                    // var Wdff = ($.server.currentDate().getTime() - op.datas[n.RC102_A02 + "_A01"].getTime()) / (1000 * 24 * 60 * 60);
                                    var isWeekEdit = $.date.parseDate($.date.format($.server.currentDate(), "yyyy-MM-dd"), 1) - op.datas[n.RC102_A02 + "_A02"] < 0 ? true : false;
                                    if (isWeekEdit == true) {
                                        $.server.navigate('RC27', {
                                            id : opJy.data[n.RC102_A06 + "_ID"],
                                            sch_type : sch_type,
                                            rcid : rcid
                                        });
                                    };
                                };
                                if (n.RC102_ID == "00005XHN1YZB0000000000" && op.datas[n.RC102_A02 + "_A03"] == $.server.cache.CurrentUser.Uid) {//月计划
                                    var Ydff = ($.server.currentDate().getTime() - op.datas[n.RC102_A02 + "_A01"].getTime()) / (1000 * 24 * 60 * 60);
                                    if (Ydff <= 3) {
                                        $.server.navigate('RC27', {
                                            id : opJy.data[n.RC102_A06 + "_ID"],
                                            sch_type : sch_type,
                                            rcid : rcid
                                        });
                                    };
                                };
                                if (n.RC102_ID == "0000620C2TFQ0000000000" && op.datas[n.RC102_A02 + "_A03"] == $.server.cache.CurrentUser.Uid) {//年计划
                                    var isYearEdit;
                                    if ($.date.format(op.datas[n.RC102_A02 + "_A01"], "yyyy") > $.date.format($.server.currentDate(), "yyyy")) {
                                        isYearEdit = true;
                                    } else if (($.date.format(op.datas[n.RC102_A02 + "_A01"], "yyyy") == $.date.format($.server.currentDate(), "yyyy")) && ($.server.currentDate().getMonth() < 2)) {
                                        isYearEdit = true;
                                    }
                                    ;
                                    if (isYearEdit == true) {
                                        $.server.navigate('RC27', {
                                            id : opJy.data[n.RC102_A06 + "_ID"],
                                            sch_type : sch_type,
                                            rcid : rcid
                                        });
                                    };
                                };
                            };
                        
                            lstJy.load(queryJy, {
                                enableBounce : false,
                                layout : {
                                    //icon: "fa-list-alt",
                                    r0c0 : "<div style='font-size:0.9em;height:100%; word-wrap:break-word; white-space:pre-wrap;'>${" + n.RC102_A06 + "_A02}</div>",
                                }
                            });
                        };
                    };
                    
                    frm.load(query, {
                        opeMode : 2, //操作方式：0查看,1新增，2编辑
                        dynId : "dyn"
                    });
                };
            };
        });
    });
};

///上一篇日程日志
///sch_type 日程类型;
///sch_source 为源菜单；
///db 数据库
///id 日程ID
function lastRc(rcid, sch_type, m_source, allDatas, db) {
    $C.each(allDatas, function(key, val) {
        if (val[db + "_ID"] == rcid) {
            if (key == 0) {
                $.util.info("已经是第一条，没有上一条！");
            } else {
                RcEditLoad(allDatas[key - 1][db + "_ID"], sch_type, m_source, allDatas)
            }
        }
    });
};

///下一篇日程日志
function nextRc(rcid, sch_type, m_source, allDatas, db) {
    $C.each(allDatas, function(key, val) {
        if (val[db + "_ID"] == rcid) {
            if (key == allDatas.length - 1) {
                $.util.info("已经是最后一条，没有下一条！");
            } else {
                RcEditLoad(allDatas[key + 1][db + "_ID"], sch_type, m_source, allDatas)
            }
        }
    });
};

///日志原计划
function loadRzPlan(n, date, lstYjh, op) {
    queryOld = new $C.server.queryOptions();

    queryOld.PrimaryTable = n.RC102_A03;
    queryOld.Tables = n.RC102_A02;
    queryOld.FieldNameList = n.RC102_A03 + ".*";
    queryOld.ConditionExpr = n.RC102_A03 + ".A01 = " + n.RC102_A02 + ".ID AND " + n.RC102_A02 + ".A06 = '" + $.date.format(date, "yyyy-MM-dd") + "' AND " + n.RC102_A02 + ".A03 = '" + op.datas[n.RC102_A02 + "_A03"] + "'";
    queryOld.OrderExpr = n.RC102_A03 + ".ID ASC";

    $C.server.query(queryOld, function(data) {
        //console.log(data);
        queryOldRc = new $C.server.queryOptions();
        queryOldRc.PrimaryTable = "RC302";
        queryOldRc.Tables = "RC202";
        queryOldRc.FieldNameList = "RC302.*";
        queryOldRc.ConditionExpr = "RC302.A01 = RC202.ID AND RC202.A01 <= '" + $C.date.format(new Date(date), "yyyy-MM-dd") + "' AND RC202.A02 >= '" + $C.date.format(new Date(date), "yyyy-MM-dd") + "' AND RC202.A03 = '" + op.datas[n.RC102_A02 + "_A03"] + "'";
        queryOldRc.OrderExpr = "RC302.ID ASC";

        $C.server.query(queryOldRc, function(d) {
            $C.each(d.DataSource, function(k, v) {
                var arr = {};
                arr["RC401_A02"] = v.RC302_A02;
                data.DataSource.push(arr);
            });

            lstYjh.beforeField = function(op, callback) {
                $C.each(op.table.FieldList, function(k, val) {
                    if (val.ColName == "A02") {
                        val.DisplayLabel = "原计划";
                    }
                });
                
                $.each(op.data, function(key, val){
                    if(val[n.RC102_A03 + "_A02"].indexOf("\n") > -1){
                        val[n.RC102_A03 + "_A02"]=val[n.RC102_A03 + "_A02"].replaceAll("\n","<br>");
                    };
                });
                
                callback();
            };
            
            lstYjh.afterLoad = function(op,callback){
                $($("#lstYjh").find(".line1").find("div")).each(function(key){
                    $(this).html($(this).html().replaceAll("&lt;br&gt;","\r\n"));
                });
            };
            
            lstYjh.bind(data, {
                enableBounce : false,
                layout : {
                    //icon: "fa-list-alt",
                    r0c0 : "<div style='font-size:0.9em;height:100%; word-wrap:break-word; white-space:pre-wrap;'>${RC401_A02}</div>",
                }
            });
        });
    });
};

///周计划原计划
function loadZjhPlan(n, date, lstYjh, op) {
    var OldDay = new Date(date.getTime() - 7 * 24 * 60 * 60 * 1000);
    var monday = $.date.getWeekFirst(OldDay);
    var sunday = $.date.getWeekLast(OldDay);
    queryOld = new $C.server.queryOptions();
    queryOld.PrimaryTable = n.RC102_A03;
    queryOld.Tables = n.RC102_A02;
    queryOld.FieldNameList = n.RC102_A03 + ".*";
    queryOld.ConditionExpr = n.RC102_A03 + ".A01 = " + n.RC102_A02 + ".ID AND " + n.RC102_A02 + ".A01 >= '" + $.date.format(monday, "yyyy-MM-dd") + "' AND " + n.RC102_A02 + ".A02 <= '" + $.date.format(sunday, "yyyy-MM-dd") + "' AND " + n.RC102_A02 + ".A03 = '" + op.datas[n.RC102_A02 + "_A03"] + "'";
    queryOld.OrderExpr = n.RC102_A03 + ".ID ASC";

    lstYjh.beforeField = function(opOld, callback) {
        //console.log(op.table.FieldList);
        $C.each(opOld.table.FieldList, function(k, val) {
            if (val.ColName == "A02") {
                val.DisplayLabel = "原计划";
            }
        });
        
        $.each(opOld.data, function(key, val){
            if(val[n.RC102_A03 + "_A02"].indexOf("\n") > -1){
                val[n.RC102_A03 + "_A02"]=val[n.RC102_A03 + "_A02"].replaceAll("\n","<br>");
            };
        });
        
        callback();
    }
    
    lstYjh.afterLoad = function(opOld,callback){
        $($("#lstYjh").find(".line1").find("div")).each(function(key){
            $(this).html($(this).html().replaceAll("&lt;br&gt;","\r\n"));
        });
    };

    lstYjh.load(queryOld, {
        enableBounce : false,
        layout : {
            //icon: "fa-list-alt",
            r0c0 : "<div style='font-size:0.9em;height:100%; word-wrap:break-word; white-space:pre-wrap;'>${" + n.RC102_A03 + "_A02}</div>",
        }
    });
};

///动态加载月计划原计划
function loadYjhPlan(n, date, lstYjh, op) {
    if (date.getMonth() == 0) {
        var OldDate = new Date(date.getFullYear() - 1, 11, 1);
    } else {
        var OldDate = new Date(date.getFullYear(), date.getMonth() - 1, 1);
    };
    
    queryOld = new $C.server.queryOptions();
    queryOld.PrimaryTable = n.RC102_A03;
    queryOld.Tables = n.RC102_A02;
    queryOld.FieldNameList = n.RC102_A03 + ".*";
    queryOld.ConditionExpr = n.RC102_A03 + ".A01 = " + n.RC102_A02 + ".ID AND " + n.RC102_A02 + ".A01 <= '" + $.date.format(OldDate, "yyyy-MM-dd") + "' AND " + n.RC102_A02 + ".A02 >= '" + $.date.format(OldDate, "yyyy-MM-dd") + "' AND " + n.RC102_A02 + ".A03 = '" + op.datas[n.RC102_A02 + "_A03"] + "'";
    queryOld.OrderExpr = n.RC102_A03 + ".ID ASC";

    lstYjh.beforeField = function(opOld, callback) {
        //console.log(op.table.FieldList);
        $C.each(opOld.table.FieldList, function(k, val) {
            if (val.ColName == "A02") {
                val.DisplayLabel = "原计划";
            }
        });
        
        $.each(opOld.data, function(key, val){
            if(val[n.RC102_A03 + "_A02"].indexOf("\n") > -1){
                val[n.RC102_A03 + "_A02"]=val[n.RC102_A03 + "_A02"].replaceAll("\n","<br>");
            };
        });
        
        callback();
    }
    
    lstYjh.afterLoad = function(opOld,callback){
        $($("#lstYjh").find(".line1").find("div")).each(function(key){
            $(this).html($(this).html().replaceAll("&lt;br&gt;","\r\n"));
        });
    };

    lstYjh.load(queryOld, {
        enableBounce : false,
        layout : {
            //icon: "fa-list-alt",
            r0c0 : "<div style='font-size:0.9em;height:100%; word-wrap:break-word; white-space:pre-wrap;'>${" + n.RC102_A03 + "_A02}</div>",
        }
    });
};

///动态加载年计划原计划
function loadNjhPlan(n, date, lstYjh, op) {
    var oldYear = parseInt(date.getFullYear()) - 1;
    queryOld = new $C.server.queryOptions();
    queryOld.PrimaryTable = n.RC102_A03;
    queryOld.Tables = n.RC102_A02;
    queryOld.FieldNameList = n.RC102_A03 + ".*";
    queryOld.ConditionExpr = n.RC102_A03 + ".A01 = " + n.RC102_A02 + ".ID AND " + n.RC102_A02 + ".A01 = '" + oldYear + "' AND " + n.RC102_A02 + ".A03 = '" + op.datas[n.RC102_A02 + "_A03"] + "'";
    queryOld.OrderExpr = n.RC102_A03 + ".ID ASC";

    lstYjh.beforeField = function(opOld, callback) {
        //console.log(op.table.FieldList);
        $C.each(opOld.table.FieldList, function(k, val) {
            if (val.ColName == "A02") {
                val.DisplayLabel = "原计划";
            }
        });
        
        $.each(opOld.data, function(key, val){
            if(val[n.RC102_A03 + "_A02"].indexOf("\n") > -1){
                val[n.RC102_A03 + "_A02"]=val[n.RC102_A03 + "_A02"].replaceAll("\n","<br>");
            };
        });
        
        callback();
    }
    
    lstYjh.afterLoad = function(opOld,callback){
        $($("#lstYjh").find(".line1").find("div")).each(function(key){
            $(this).html($(this).html().replaceAll("&lt;br&gt;","\r\n"));
        });
    };

    lstYjh.load(queryOld, {
        enableBounce : false,
        layout : {
            //icon: "fa-list-alt",
            r0c0 : "<div style='font-size:0.9em;height:100%; word-wrap:break-word; white-space:pre-wrap;'>${" + n.RC102_A03 + "_A02}</div>",
        }
    });
};
