$page.load = function(cb) {
    var frm = new Form($("#frm"));
    var lst = new mListView($("#lst"));
    if ($page.parms.type == "add") {
        $page.addButtons([{
            icon : "fa fa-save",
            text : "保存",
            color : 2,
            click : function() {
                frm.save();
                frm.afterSave = function(op) {
                    $.util.info("保存成功！");
                    $page.close(1);
                }
            }
        }]);
        var query = new $.server.queryOptions();
        query.PrimaryTable = "RW101";
        query.PrimaryKeyField = "ID";
        query.FieldNameList = "*";
        query.ConditionExpr = "RW101.ID='" + $page.parms.id + "'";
        frm.load(query, {
            opeMode : 1
        });
        frm.beforeLoad = function(op, callback) {
            op.datas[0]["RW101_A06"] = $.server.cache.CurrentUser.Uid;
            op.datas[0]["RW101_A06MC"] = $.server.cache.CurrentUser.UserName;
            op.datas[0]["RW101_A10"] = "0001";
            op.datas[0]["RW101_A10MC"] = "创建中";
            callback();
        }
        frm.afterLoad = function(op, callback) {
            frm.afterChange = function(op2, callback) {
                if (op2.field == "RW101_A01") {
                    var reg = /^[0-9]*$/;
                    var match = op2.data.RW101_A01.match(reg);
                    if (match == null) {
                        $.util.info("序号输入有误，请输入正确的序号!!格式为纯数字");
                    }
                }
                if (op2.field == "RW101_A04") {
                    if (op2.data.RW101_A05 == null) {
                        $.util.debug();
                        var time = $.date.format(op2.data.RW101_A07, 'yyyy-MM-dd HH:mm:ss');
                        var staYea = time.substring(0, 10);
                        //发起年份
                        var endYea = $.date.format(op2.data.RW101_A04, 'yyyy-MM-dd HH:mm:ss').substring(0, 10);
                        //开始年份
                        var sta = time.substring(11, 20);
                        //发起时分秒
                        var end = $.date.format(op2.data.RW101_A04, 'yyyy-MM-dd HH:mm:ss').substring(11, 20);
                        //开始时分秒

                        if (staYea == endYea) {
                            if (sta == end) {
                                return true;
                            } else if (sta > end) {
                                $.util.info("开始时间不能小于发起时间");
                                return false;
                            } else {
                                return true;
                            }
                        } else if (staYea < endYea) {
                            return true;
                        } else {
                            $.util.info("开始时间不能小于发起时间");
                            return false;
                        }
                    } else {
                        var fqtime = $.date.format(op2.data.RW101_A07, 'yyyy-MM-dd HH:mm:ss');
                        //发起时间
                        var time = $.date.format(op2.data.RW101_A04, 'yyyy-MM-dd HH:mm:ss');
                        //开始年月日时分秒
                        var entime = $.date.format(op2.data.RW101_A05, 'yyyy-MM-dd HH:mm:ss');
                        //结束年月日时分秒
                        var fqYea = fqtime.substring(0, 10);
                        var staYea = time.substring(0, 10);
                        var endYea = entime.substring(0, 10);
                        var sta = time.substring(11, 20);
                        var end = entime.substring(11, 20);
                        var fqEnd = fqtime.substring(11, 20);
                        if (staYea == endYea) {
                            if (sta == end) {
                                return true;
                            } else if (sta < end) {
                                return true;
                            } else {
                                $C.util.info("开始时间不能大于结束时间！");
                                return false;
                            }
                        } else if (staYea < endYea) {
                            return true;
                        } else {
                            $C.util.info("开始时间不能大于结束时间！");
                            return false;
                        }
                        if (fqYea == staYea) {
                            if (sta == fqEnd) {
                                return true;
                            } else if (sta > fqEnd) {
                                return true;
                            } else {
                                $.util.info("开始时间不能小于发起时间！");
                                return false;
                            }
                        } else if (fqYea < staYea) {
                            return true;
                        } else {
                            $.util.info("开始时间不能小于发起时间！");
                            return false;
                        }
                        if (staYea == endYea) {
                            if (sta == end) {
                                return true;
                            } else if (sta < end) {
                                return true;
                            } else {
                                $.util.info("结束时间不能小于开始时间！");
                                return false;
                            }
                        } else if (staYea < endYea) {
                            return true;
                        } else {
                            $C.util.info("结束不能小于开始时间！");
                            return false;
                        }
                        if (fqYea == endYea) {
                            if (fqEnd == end) {
                                return true;
                            } else if (fqEnd < end) {
                                return true;
                            } else {
                                $C.util.info("结束时间不能小于发起时间！");
                                return false;
                            }
                        } else if (fqYea < endYea) {
                            return true;
                        } else {
                            $.util.info("结束不能小于发起时间！");
                            return false;
                        }
                    }
                }
                if (op2.field == "RW101_A05") {
                    var fqtime = $.date.format(op2.data.RW101_A07, 'yyyy-MM-dd HH:mm:ss');
                    //发起时间
                    var time = $.date.format(op2.data.RW101_A04, 'yyyy-MM-dd HH:mm:ss');
                    //开始年月日时分秒
                    var entime = $.date.format(op2.data.RW101_A05, 'yyyy-MM-dd HH:mm:ss');
                    //结束年月日时分秒
                    var fqYea = fqtime.substring(0, 10);
                    var staYea = time.substring(0, 10);
                    var endYea = entime.substring(0, 10);
                    var sta = time.substring(11, 20);
                    var end = entime.substring(11, 20);
                    var fqEnd = fqtime.substring(11, 20);
                    if (time != "") {
                        if (staYea == endYea) {
                            if (sta == end) {
                                return true;
                            } else if (sta < end) {
                                return true;
                            } else {
                                $.util.info("结束时间不能小于开始时间！");
                                return false;
                            }
                        } else if (staYea < endYea) {
                            return true;
                        } else {
                            $.util.info("结束不能小于开始时间！");
                            return false;
                        }
                    }
                    if (fqYea == endYea) {
                        if (fqEnd == end) {
                            return true;
                        } else if (fqEnd < end) {
                            return true;
                        } else {
                            $.util.info("结束时间不能小于发起时间！");
                            return false;
                        }
                    } else if (fqYea < endYea) {
                        return true;
                    } else {
                        $.util.info("结束不能小于发起时间！");
                        return false;
                    }
                }
            }
        }
    } else if ($page.parms.type == "recview") {
        $page.addButtons([{
            icon : "fa fa-pencil-square",
            text : "编辑",
            color : 2,
            click : function() {
                frm.load(query, {
                    opeMode : 2
                });
                frm.beforeField = function(data, callback) {
                    for (var i = 0; i < data.table.FieldList.length; i++) {
                        if (data.table.FieldList[i].ColName == "A14" || data.table.FieldList[i].ColName == "A15") {
                            data.table.FieldList[i].ColVisible = 1;
                        } else if (data.table.FieldList[i].ColName == "ID" || data.table.FieldList[i].ColName == "A16" || data.table.FieldList[i].ColName == "A17") {
                            data.table.FieldList[i].ColVisible = 0;
                        } else {
                            data.table.FieldList[i].ColVisible = 2;
                        }
                    }
                    callback();
                }
                frm.afterLoad = function(op) {
                    $("textarea[field='RW101_A15']").focus();
                    frm.afterChange = function(op2, callback) {
                        $.util.debug();
                        if (op2.field == "RW101_A14") {
                            var ztty = op2.data.RW101_A14;
                            if (ztty == '0001') {
                                $("textarea[field='RW101_A15']").parent().parent().parent().parent().addClass("uhide");
                            } else if (ztty == '0002') {
                                $("textarea[field='RW101_A15']").parent().parent().parent().parent().removeClass("uhide")
                            }
                        }
                    }
                }
            }
        }, {
            icon : "fa fa-save",
            text : "保存",
            color : 2,
            click : function() {
                frm.beforeSave = function(op, callback) {
                    $.util.debug();
                    if (op.datas[0]["RW101_A14"] == '0001') {
                        op.datas[0].set("RW101_A15", ' ');
                        if (op.datas[0]["RW101_A10"] == '0001') {
                            op.datas[0].set("RW101_A10", '0002');
                        }
                    } else if (op.datas[0]["RW101_A14"] == '0002') {
                        op.datas[0].set("RW101_A10", '0001');
                    }
                    callback();
                }
                frm.save();
                frm.afterSave = function(op) {
                    $page.close(1);
                    $.util.info("保存成功");
                }
            }
        }]);
        var query = new $.server.queryOptions();
        query.PrimaryTable = "RW101";
        query.PrimaryKeyField = "ID";
        query.FieldNameList = "*";
        query.ConditionExpr = "RW101.ID='" + $page.parms.id + "'";
        frm.load(query, {
            opeMode : 0
        });
    } else if ($page.parms.type == "comp") {
        var tabview = appcan.tab({
            selector : "#tabview",
            hasIcon : true,
            hasAnim : false,
            hasLabel : true,
            hasBadge : true,
            index : 0,
            data : [{
                label : "任务信息查看",
            }, {
                label : "任务流转情况",
            }, {
                label : "执行情况",
            }]
        });
        tabview.on("click", function(a, b) {
            if (b == 0) {
                frm._$that.show();
                lst._$that.hide()
                var query = new $.server.queryOptions();
                query.PrimaryTable = "RW101";
                query.PrimaryKeyField = "ID";
                query.FieldNameList = "*";
                query.ConditionExpr = "RW101.ID='" + $page.parms.id + "'";
                frm.load(query, {
                    opeMode : 0
                });
            }
            if (b == 1) {
                $page.addButtons([{}]);
                frm._$that.hide();
                lst._$that.show()
                var q1 = new $.server.queryOptions();
                q1.PrimaryTable = "RW104";
                q1.FieldNameList = "*";
                q1.ConditionExpr = "RW104.A01 = '" + $page.parms.id + "'";
                lst.load(q1, {
                    layout : {
                        r0c0 : "<span style='color:#333333; font-size:1em'>${RW104_A01MC}&nbsp;&nbsp;&nbsp;&nbsp;</span><span style='color:#999999; font-size:0.75em'>${RW104_A02MC}</span>", //jquery.tmpl语法
                        r1c0 : "<span style='color:#999999; font-size:0.9em'>${RW104_A05MC}&nbsp;&nbsp;&nbsp;&nbsp;${$.date.format(RW104_A04,'yyyy-MM-dd')}</span>",
                        r2c0 : "<span style='color:#999999; font-size:0.9em'>${RW104_A03}</span>",
                    }
                });
                lst.afterSelect = function(data, callback) {

                }
            }
            if (b == 2) {
                frm._$that.hide();
                lst._$that.show();
                var q1 = new $.server.queryOptions();
                q1.PrimaryTable = "RW103";
                q1.FieldNameList = "*";
                q1.ConditionExpr = "RW103.A01 = '" + $page.parms.id + "'";
                lst.load(q1, {
                    layout : {
                        r0c0 : "<span style='color:#333333; font-size:1em'>${RW103_A01MC}</span>",
                        r1c0 : "<span style='color:#999999; font-size:0.9em'>${RW103_A05MC}&nbsp;&nbsp;&nbsp;&nbsp;${$.date.format(RW103_A04,'yyyy-MM-dd')}</span>",
                        r2c0 : "<span style='color:#999999; font-size:0.9em'>${RW103_A02}</span>",
                    }
                });
                lst.afterSelect = function(data, callback) {
                    frm._$that.show();
                    lst._$that.hide();
                    var q1 = new $.server.queryOptions();
                    q1.PrimaryTable = "RW103";
                    q1.FieldNameList = "*";
                    q1.ConditionExpr = "RW103.ID = '" + data.data.RW103_ID + "'";
                    frm.load(q1, {
                        opeMode : 0
                    });
                }
            }
        });
        var query = new $.server.queryOptions();
        query.PrimaryTable = "RW101";
        query.PrimaryKeyField = "ID";
        query.FieldNameList = "*";
        query.ConditionExpr = "RW101.ID='" + $page.parms.id + "'";
        frm.load(query, {
            opeMode : 0
        });
    } else if ($page.parms.type == "myrece") {
        var tabview = appcan.tab({
            selector : "#tabview",
            hasIcon : true,
            hasAnim : false,
            hasLabel : true,
            hasBadge : true,
            index : 0,
            data : [{
                label : "任务信息查看",
            }, {
                label : "任务流转情况",
            }, {
                label : "执行情况",
            }]
        });
        tabview.on("click", function(a, b) {
            if (b == 0) {
                $page.addButtons([{
                    icon : "fa fa-clipboard",
                    text : "提交审核",
                    color : 2,
                    click : function() {
                        $.util.debug();
                        if (frm._data.RW101_A11 != $.server.cache.CurrentUser.Uid) {
                            $.util.info("无操作权限");
                        } else {
                            var query = new $.server.queryOptions();
                            query.PrimaryTable = "RW101";
                            query.PrimaryKeyField = "ID";
                            query.ConditionExpr = "RW101.ID = '" + $page.parms.id + "'";
                            $.server.query(query, function(data) {
                                if (data.DataSource[0]["RW101_A10"] == '0003') {
                                    var dataSource = [];
                                    if (data.DataSource[0]["RW101_A16"] != null) {
                                        data.DataSource[0]["RW101_A16"] = "";
                                        data.DataSource[0]["RW101_A17"] = "";
                                    }
                                    data.DataSource[0]["RW101_A10"] = "0004";
                                    dataSource.push(data.DataSource[0]);
                                    var updateOptions = $.server.updateOptions(data.Table, dataSource, "RW101", "ID");
                                    $.server.update(updateOptions, function(result) {
                                        $.util.info("提交验收成功！请耐心等待验收结果！");
                                        frm.refresh();
                                    });
                                } else if (data.DataSource[0]["RW101_A10"] == '0001') {
                                    $.util.info("该任务尚未领取执行不能提交验收！！");
                                } else if (data.DataSource[0]["RW101_A10"] == '0002') {
                                    $.util.info("该任务尚未执行过不能提交验收！！");
                                } else if (data.DataSource[0]["RW101_A10"] == '0005') {
                                    $.util.info("该任务完成，无需再审核！！");
                                } else if (data.DataSource[0]["RW101_A10"] == '0006') {
                                    $.util.info("该任务已经取消了,无需在审核！！");
                                }
                            });
                        }
                    }
                }]);
                frm._$that.show();
                lst._$that.hide()
                var query = new $.server.queryOptions();
                query.PrimaryTable = "RW101";
                query.PrimaryKeyField = "ID";
                query.FieldNameList = "*";
                query.ConditionExpr = "RW101.ID='" + $page.parms.id + "'";
                frm.load(query, {
                    opeMode : 0
                });
            }
            if (b == 1) {
                $page.addButtons([{}]);
                frm._$that.hide();
                lst._$that.show()
                var q1 = new $.server.queryOptions();
                q1.PrimaryTable = "RW104";
                q1.FieldNameList = "*";
                q1.ConditionExpr = "RW104.A01 = '" + $page.parms.id + "'";
                lst.load(q1, {
                    layout : {
                        r0c0 : "<span style='color:#333333; font-size:1em'>${RW104_A01MC}&nbsp;&nbsp;&nbsp;&nbsp;</span><span style='color:#999999; font-size:0.75em'>${RW104_A02MC}</span>", //jquery.tmpl语法
                        r1c0 : "<span style='color:#999999; font-size:0.9em'>${RW104_A05MC}&nbsp;&nbsp;&nbsp;&nbsp;${$.date.format(RW104_A04,'yyyy-MM-dd')}</span>",
                        r2c0 : "<span style='color:#999999; font-size:0.9em'>${RW104_A03}</span>",
                    }
                });
                lst.afterSelect = function(op) {

                }
            }
            if (b == 2) {
                $page.addButtons([{
                    icon : "fa fa-plus",
                    text : "执行",
                    color : 1,
                    click : function() {
                        frm._$that.show();
                        lst._$that.hide();
                        var query = new $.server.queryOptions();
                        query.PrimaryTable = "RW101";
                        query.PrimaryKeyField = "ID";
                        query.ConditionExpr = "RW101.ID = '" + $page.parms.id + "'";
                        $.server.query(query, function(data) {
                            if (data.DataSource[0]["RW101_A10"] == '0005' || data.DataSource[0]["RW101_A10"] == '0006') {
                                $.util.info("任务已完成或者已取消，不能继续执行！");
                                frm._$that.hide();
                                lst._$that.show();
                            } else if (data.DataSource[0]["RW101_A10"] == '0004') {
                                $.util.info("任务已提交验收，不能继续执行！");
                                frm._$that.hide();
                                lst._$that.show();
                            } else if (data.DataSource[0]["RW101_A10"] == '0001') {
                                $.util.info("任务尚未领取，不能执行！");
                            } else {
                                frm.beforeLoad = function(op, callback) {
                                    op.datas[0]["RW103_A01"] = data.DataSource[0]["RW101_ID"];
                                    op.datas[0]["RW103_A01MC"] = data.DataSource[0]["RW101_A02"];
                                    op.datas[0]["RW103_A05"] = $.server.cache.CurrentUser.Uid;
                                    op.datas[0]["RW103_A05MC"] = $.server.cache.CurrentUser.UserName;
                                    op.datas[0]["RW103_A04"] = $.server.currentDate();
                                    callback();
                                };
                                frm.load(q1, {
                                    opeMode : 1
                                });
                                frm.afterLoad = function(op) {
                                    $("textarea[field='RW103_A02']").focus();
                                }
                                frm.beforeSave = function(op, callback) {
                                    var query = new $.server.queryOptions();
                                    query.PrimaryTable = "RW101";
                                    query.PrimaryKeyField = "ID";
                                    query.FieldNameList = "*";
                                    query.ConditionExpr = "RW101.ID = '" + $page.parms.id + "'";
                                    $.server.query(query, function(datas) {
                                        var dataSource = [];
                                        datas.DataSource[0]["RW101_A10"] = "0003";
                                        dataSource.push(datas.DataSource[0]);
                                        var updateOptions = $C.server.updateOptions(datas.Table, dataSource, "RW101", "ID");
                                        $.server.update(updateOptions, function(result) {

                                        });
                                        callback();
                                    });
                                }
                                frm.afterSave = function(op) {
                                    $.util.info("保存成功！");
                                    frm._$that.hide();
                                    lst._$that.show();
                                    lst.refresh();
                                }
                            }
                        });
                    }
                }, {
                    icon : "fa fa-save",
                    text : "保存",
                    color : 2,
                    click : function() {
                        frm.save();
                        frm.afterSave = function(op) {
                            $.util.info("保存成功！");
                            frm._$that.hide();
                            lst._$that.show();
                            lst.refresh();
                        }
                    }
                }]);
                frm._$that.hide();
                lst._$that.show();
                var q1 = new $.server.queryOptions();
                q1.PrimaryTable = "RW103";
                q1.FieldNameList = "*";
                q1.ConditionExpr = "RW103.A01 = '" + $page.parms.id + "'";
                lst.load(q1, {
                    layout : {
                        //r0c0 : "<span style='color:#333333; font-size:1em'>任务名称:${RW103_A01MC}</span>",
                        r0c0 : "<span style='color:#333333; font-size:1em'>${RW103_A02}</span>",
                        r1c0 : "<span style='color:#999999; font-size:0.9em'>${RW103_A05MC}&nbsp;&nbsp;&nbsp;&nbsp;${$.date.format(RW103_A04,'yyyy-MM-dd')}</span>",
                        //r2c0 : "<span style='color:#999999; font-size:0.75em'>执行内容:${RW103_A02}</span>",
                    }
                });
                lst.afterSelect = function(data, callback) {
                    frm._$that.show();
                    lst._$that.hide();
                    var q1 = new $.server.queryOptions();
                    q1.PrimaryTable = "RW103";
                    q1.FieldNameList = "*";
                    q1.ConditionExpr = "RW103.ID = '" + data.data.RW103_ID + "'";
                    frm.load(q1, {
                        opeMode : 0
                    });
                    $page.addButtons([{
                        icon : "fa fa-plus",
                        text : "修改",
                        color : 1,
                        click : function() {
                            frm._$that.show();
                            lst._$that.hide();
                            $.util.debug();
                            var query = new $.server.queryOptions();
                            query.PrimaryTable = "RW101";
                            query.PrimaryKeyField = "ID";
                            query.ConditionExpr = "RW101.ID = '" + $page.parms.id + "'";
                            $.server.query(query, function(data) {
                                if (data.DataSource[0]["RW101_A10"] == '0005' || data.DataSource[0]["RW101_A10"] == '0006') {
                                    $.util.info("任务已完成或者已取消，不能继续执行！");
                                    frm._$that.hide();
                                    lst._$that.show();
                                } else if (data.DataSource[0]["RW101_A10"] == '0004') {
                                    $.util.info("任务已提交验收，不能继续执行！");
                                    frm._$that.hide();
                                    lst._$that.show();
                                } else if (data.DataSource[0]["RW101_A11"] != $.server.cache.CurrentUser.Uid) {
                                    $.util.info("没有权限修改他人数据！");
                                } else {
                                    frm.load(q1, {
                                        opeMode : 2
                                    });
                                }
                            });
                        }
                    }, {
                        icon : "fa fa-save",
                        text : "保存",
                        color : 2,
                        click : function() {
                            frm.save();
                            frm.afterSave = function(op) {
                                $.util.info("保存成功！");
                                frm._$that.hide();
                                lst._$that.show();
                                lst.refresh();
                            }
                        }
                    }]);
                }
            }
        });
        var query = new $.server.queryOptions();
        query.PrimaryTable = "RW101";
        query.PrimaryKeyField = "ID";
        query.FieldNameList = "*";
        query.ConditionExpr = "RW101.ID='" + $page.parms.id + "'";
        frm.load(query, {
            opeMode : 0
        });
        $page.addButtons([{
            icon : "fa fa-clipboard",
            text : "提交审核",
            color : 2,
            click : function() {
                if (frm._data.RW101_A11 != $.server.cache.CurrentUser.Uid) {
                    $.util.info("无操作权限");
                } else {
                    var query = new $.server.queryOptions();
                    query.PrimaryTable = "RW101";
                    query.PrimaryKeyField = "ID";
                    query.ConditionExpr = "RW101.ID = '" + $page.parms.id + "'";
                    $.server.query(query, function(data) {
                        if (data.DataSource[0]["RW101_A10"] == '0003') {
                            var dataSource = [];
                            if (data.DataSource[0]["RW101_A16"] != null) {
                                data.DataSource[0]["RW101_A16"] = "";
                                data.DataSource[0]["RW101_A17"] = "";
                            }
                            data.DataSource[0]["RW101_A10"] = "0004";
                            dataSource.push(data.DataSource[0]);
                            var updateOptions = $.server.updateOptions(data.Table, dataSource, "RW101", "ID");
                            $.server.update(updateOptions, function(result) {
                                $.util.info("提交验收成功！请耐心等待验收结果！");
                                frm.refresh();
                            });
                        } else if (data.DataSource[0]["RW101_A10"] == '0002') {
                            $.util.info("该任务尚未执行过不能提交验收！！");
                        } else if (data.DataSource[0]["RW101_A10"] == '0001') {
                            $.util.info("该任务尚未领取执行不能提交验收！！");
                        } else if (data.DataSource[0]["RW101_A10"] == '0005') {
                            $.util.info("该任务完成，无需再审核！！");
                        } else if (data.DataSource[0]["RW101_A10"] == '0006') {
                            $.util.info("该任务已经取消了,无需在审核！！");
                        }
                    });
                }

            }
        }]);
    } else {
        var tabview = appcan.tab({
            selector : "#tabview",
            hasIcon : true,
            hasAnim : false,
            hasLabel : true,
            hasBadge : true,
            index : 0,
            data : [{
                label : "任务信息查看",
            }, {
                label : "任务流转情况",
            }, {
                label : "执行情况",
            }]
        });
        tabview.on("click", function(a, b) {
            if (b == 0) {
                frm._$that.show();
                lst._$that.hide();

                var query = new $.server.queryOptions();
                query.PrimaryTable = "RW101";
                query.PrimaryKeyField = "ID";
                query.FieldNameList = "*";
                query.ConditionExpr = "RW101.ID='" + $page.parms.id + "'";
                frm.load(query, {
                    opeMode : 0
                });

                $page.addButtons([{
                    icon : "fa fa-plus",
                    id : "rwadd",
                    text : "新增",
                    color : 2,
                    click : function() {
                        frm.load(query, {
                            opeMode : 1
                        });
                        frm.beforeLoad = function(op, callback) {
                            op.datas[0]["RW101_A06"] = $.server.cache.CurrentUser.Uid;
                            op.datas[0]["RW101_A06MC"] = $.server.cache.CurrentUser.UserName;
                            op.datas[0]["RW101_A10"] = "0001";
                            op.datas[0]["RW101_A10MC"] = "创建中";
                            callback();
                        }
                        frm.afterLoad = function(op, callback) {
                            frm.afterChange = function(op2, callback) {
                                if (op2.field == "RW101_A01") {
                                    var reg = /^[0-9]*$/;
                                    var match = op2.data.RW101_A01.match(reg);
                                    if (match == null) {
                                        $.util.info("序号输入有误，请输入正确的序号!!格式为纯数字");
                                    }
                                }
                                if (op2.field == "RW101_A16") {
                                    var ztty = op2.data.RW101_A16;
                                    if (ztty == '0001') {
                                        $("textarea[field='RW101_A17']").hide();
                                    } else if (ztty == '0002') {
                                        $("textarea[field='RW101_A17']").show();
                                    }
                                }
                                if (op2.field == "RW101_A04") {
                                    if (op2.data.RW101_A05 == null) {
                                        var time = $.date.format(op2.data.RW101_A07, 'yyyy-MM-dd HH:mm:ss');
                                        var staYea = time.substring(0, 10);
                                        //发起年份
                                        var endYea = $.date.format(op2.data.RW101_A04, 'yyyy-MM-dd HH:mm:ss').substring(0, 10);
                                        //开始年份
                                        var sta = time.substring(11, 20);
                                        //发起时分秒
                                        var end = $.date.format(op2.data.RW101_A04, 'yyyy-MM-dd HH:mm:ss').substring(11, 20);
                                        //开始时分秒

                                        if (staYea == endYea) {
                                            if (sta == end) {
                                                return true;
                                            } else if (sta > end) {
                                                $.util.info("开始时间不能小于发起时间");
                                                return false;
                                            } else {
                                                return true;
                                            }
                                        } else if (staYea < endYea) {
                                            return true;
                                        } else {
                                            $.util.info("开始时间不能小于发起时间");
                                            return false;
                                        }
                                    } else {
                                        var fqtime = $.date.format(op2.data.RW101_A07, 'yyyy-MM-dd HH:mm:ss');
                                        //发起时间
                                        var time = $.date.format(op2.data.RW101_A04, 'yyyy-MM-dd HH:mm:ss');
                                        //开始年月日时分秒
                                        var entime = $.date.format(op2.data.RW101_A05, 'yyyy-MM-dd HH:mm:ss');
                                        //结束年月日时分秒
                                        var fqYea = fqtime.substring(0, 10);
                                        var staYea = time.substring(0, 10);
                                        var endYea = entime.substring(0, 10);
                                        var sta = time.substring(11, 20);
                                        var end = entime.substring(11, 20);
                                        var fqEnd = fqtime.substring(11, 20);
                                        if (staYea == endYea) {
                                            if (sta == end) {
                                                return true;
                                            } else if (sta < end) {
                                                return true;
                                            } else {
                                                $C.util.info("开始时间不能大于结束时间！");
                                                return false;
                                            }
                                        } else if (staYea < endYea) {
                                            return true;
                                        } else {
                                            $C.util.info("开始时间不能大于结束时间！");
                                            return false;
                                        }
                                        if (fqYea == staYea) {
                                            if (sta == fqEnd) {
                                                return true;
                                            } else if (sta > fqEnd) {
                                                return true;
                                            } else {
                                                $.util.info("开始时间不能小于发起时间！");
                                                return false;
                                            }
                                        } else if (fqYea < staYea) {
                                            return true;
                                        } else {
                                            $.util.info("开始时间不能小于发起时间！");
                                            return false;
                                        }
                                        if (staYea == endYea) {
                                            if (sta == end) {
                                                return true;
                                            } else if (sta < end) {
                                                return true;
                                            } else {
                                                $.util.info("结束时间不能小于开始时间！");
                                                return false;
                                            }
                                        } else if (staYea < endYea) {
                                            return true;
                                        } else {
                                            $C.util.info("结束不能小于开始时间！");
                                            return false;
                                        }
                                        if (fqYea == endYea) {
                                            if (fqEnd == end) {
                                                return true;
                                            } else if (fqEnd < end) {
                                                return true;
                                            } else {
                                                $C.util.info("结束时间不能小于发起时间！");
                                                return false;
                                            }
                                        } else if (fqYea < endYea) {
                                            return true;
                                        } else {
                                            $.util.info("结束不能小于发起时间！");
                                            return false;
                                        }
                                    }
                                }
                                if (op2.field == "RW101_A05") {
                                    var fqtime = $.date.format(op2.data.RW101_A07, 'yyyy-MM-dd HH:mm:ss');
                                    //发起时间
                                    var time = $.date.format(op2.data.RW101_A04, 'yyyy-MM-dd HH:mm:ss');
                                    //开始年月日时分秒
                                    var entime = $.date.format(op2.data.RW101_A05, 'yyyy-MM-dd HH:mm:ss');
                                    //结束年月日时分秒
                                    var fqYea = fqtime.substring(0, 10);
                                    var staYea = time.substring(0, 10);
                                    var endYea = entime.substring(0, 10);
                                    var sta = time.substring(11, 20);
                                    var end = entime.substring(11, 20);
                                    var fqEnd = fqtime.substring(11, 20);
                                    if (time != "") {
                                        if (staYea == endYea) {
                                            if (sta == end) {
                                                return true;
                                            } else if (sta < end) {
                                                return true;
                                            } else {
                                                $.util.info("结束时间不能小于开始时间！");
                                                return false;
                                            }
                                        } else if (staYea < endYea) {
                                            return true;
                                        } else {
                                            $.util.info("结束不能小于开始时间！");
                                            return false;
                                        }
                                    }
                                    if (fqYea == endYea) {
                                        if (fqEnd == end) {
                                            return true;
                                        } else if (fqEnd < end) {
                                            return true;
                                        } else {
                                            $.util.info("结束时间不能小于发起时间！");
                                            return false;
                                        }
                                    } else if (fqYea < endYea) {
                                        return true;
                                    } else {
                                        $.util.info("结束不能小于发起时间！");
                                        return false;
                                    }
                                }
                            }
                        }
                    }
                }, {
                    icon : "fa fa-pencil-square",
                    text : "编辑",
                    color : 2,
                    click : function() {
                        $.util.debug();
                        frm.load(query, {
                            opeMode : 2
                        });
                        frm.beforeField = function(data, callback) {
                            $.util.debug();
                            for (var i = 0; i < data.table.FieldList.length; i++) {
                                if (data.table.FieldList[i].ColName == "ID") {
                                    data.table.FieldList[i].ColVisible = 0;
                                }
                                if (data.datas[0]["RW101_A10"] == "0002" || data.datas[0]["RW101_A10"] == "0003" || data.datas[0]["RW101_A10"] == "0005" || data.datas[0]["RW101_A10"] == "0006") {
                                    if (data.datas[0]["RW101_A10"] == "0002") {
                                        $.util.info("该任务已领取，不能修改该任务！");
                                        return false;
                                    }
                                    if (data.datas[0]["RW101_A10"] == "0003") {
                                        $.util.info("该任务已执行，不能修改该任务！");
                                        return false;
                                    }
                                    if (data.datas[0]["RW101_A10"] == "0005") {
                                        $.util.info("该任务已完成，不能修改该任务！");
                                        return false;
                                    }
                                    if (data.datas[0]["RW101_A10"] == "0006") {
                                        $.util.info("该任务已取消，不能修改该任务！");
                                        return false;
                                    }
                                } else if (data.datas[0]["RW101_A10"] == "0004" && data.datas[0]["RW101_A06"] != $.server.cache.CurrentUser.Uid) {
                                    $.util.info("该任务已提交审核，不能修改该任务！");
                                    return false;
                                } else {
                                    if (data.datas[0]["RW101_A10"] == '0004') {
                                        if (data.datas[0]["RW101_A14"] == '0001' && data.datas[0]["RW101_A16"] == null) {
                                            if (data.table.FieldList[i].ColName == "A15" || data.table.FieldList[i].ColName == "ID") {
                                                data.table.FieldList[i].ColVisible = 0;
                                            } else if (data.table.FieldList[i].ColName == "A16" || data.table.FieldList[i].ColName == "A17") {
                                                data.table.FieldList[i].ColVisible = 1;
                                            } else {
                                                data.table.FieldList[i].ColVisible = 2;
                                            }
                                        } else if (data.datas[0]["RW101_A14"] == '0001' && data.datas[0]["RW101_A16"] == "0001") {
                                            if (data.table.FieldList[i].ColName == "A15" || data.table.FieldList[i].ColName == "A17" || data.table.FieldList[i].ColName == "ID") {
                                                data.table.FieldList[i].ColVisible = 0;
                                            } else {
                                                data.table.FieldList[i].ColVisible = 2;
                                            }
                                        } else if (data.datas[0]["RW101_A14"] == '0001' && data.datas[0]["RW101_A16"] == "0002") {
                                            if (data.table.FieldList[i].ColName == "A15" || data.table.FieldList[i].ColName == "ID") {
                                                data.table.FieldList[i].ColVisible = 0;
                                            } else if (data.table.FieldList[i].ColName == "A17") {
                                                data.table.FieldList[i].ColVisible = 1;
                                            } else {
                                                data.table.FieldList[i].ColVisible = 2;
                                            }
                                        } else {
                                            data.table.FieldList[i].ColVisible = 2;
                                        }
                                    } else if (data.datas[0]["RW101_A10"] == '0003' || data.datas[0]["RW101_A10"] == '0002') {
                                        if (data.table.FieldList[i].ColName == "ID" || data.table.FieldList[i].ColName == "A15" || data.table.FieldList[i].ColName == "A16" || data.table.FieldList[i].ColName == "A17") {
                                            data.table.FieldList[i].ColVisible = 0;
                                        } else {
                                            data.table.FieldList[i].ColVisible = 2;
                                        }
                                    } else if (data.datas[0]["RW101_A10"] == '0001' && data.datas[0]["RW101_A10"] == '0002') {
                                        if (data.table.FieldList[i].ColName == "A16" || data.table.FieldList[i].ColName == "A17" || data.table.FieldList[i].ColName == "ID") {
                                            data.table.FieldList[i].ColVisible = 0;
                                        } else if (data.table.FieldList[i].ColName == "A14" || data.table.FieldList[i].ColName == "A15") {
                                            data.table.FieldList[i].ColVisible = 2;
                                        } else {
                                            data.table.FieldList[i].ColVisible = 1;
                                        }
                                    }
                                    callback();
                                }
                            }
                        }
                        frm.afterLoad = function(op, callback) {
                            $("textarea[field='RW101_A17']").focus();
                            frm.afterChange = function(op2, callback) {
                                if (op2.field == "RW101_A01") {
                                    var reg = /^[0-9]*$/;
                                    var match = op2.data.RW101_A01.match(reg);
                                    if (match == null) {
                                        $.util.info("序号输入有误，请输入正确的序号!!格式为纯数字");
                                    }
                                }
                                if (op2.field == "RW101_A16") {
                                    var ztty = op2.data.RW101_A16;
                                    if (ztty == '0001') {
                                        $("textarea[field='RW101_A17']").parent().parent().parent().parent().addClass("uhide");
                                    } else if (ztty == '0002') {
                                        $("textarea[field='RW101_A17']").parent().parent().parent().parent().removeClass("uhide")
                                    }
                                }
                                if (op2.field == "RW101_A04") {
                                    if (op2.data.RW101_A05 == null) {
                                        var time = $.date.format(op2.data.RW101_A07, 'yyyy-MM-dd HH:mm:ss');
                                        var staYea = time.substring(0, 10);
                                        //发起年份
                                        var endYea = $.date.format(op2.data.RW101_A04, 'yyyy-MM-dd HH:mm:ss').substring(0, 10);
                                        //开始年份
                                        var sta = time.substring(11, 20);
                                        //发起时分秒
                                        var end = $.date.format(op2.data.RW101_A04, 'yyyy-MM-dd HH:mm:ss').substring(11, 20);
                                        //开始时分秒

                                        if (staYea == endYea) {
                                            if (sta == end) {
                                                return true;
                                            } else if (sta > end) {
                                                $.util.info("开始时间不能小于发起时间");
                                                return false;
                                            } else {
                                                return true;
                                            }
                                        } else if (staYea < endYea) {
                                            return true;
                                        } else {
                                            $.util.info("开始时间不能小于发起时间");
                                            return false;
                                        }
                                    } else {
                                        var fqtime = $.date.format(op2.data.RW101_A07, 'yyyy-MM-dd HH:mm:ss');
                                        //发起时间
                                        var time = $.date.format(op2.data.RW101_A04, 'yyyy-MM-dd HH:mm:ss');
                                        //开始年月日时分秒
                                        var entime = $.date.format(op2.data.RW101_A05, 'yyyy-MM-dd HH:mm:ss');
                                        //结束年月日时分秒
                                        var fqYea = fqtime.substring(0, 10);
                                        var staYea = time.substring(0, 10);
                                        var endYea = entime.substring(0, 10);
                                        var sta = time.substring(11, 20);
                                        var end = entime.substring(11, 20);
                                        var fqEnd = fqtime.substring(11, 20);
                                        if (staYea == endYea) {
                                            if (sta == end) {
                                                return true;
                                            } else if (sta < end) {
                                                return true;
                                            } else {
                                                $C.util.info("开始时间不能大于结束时间！");
                                                return false;
                                            }
                                        } else if (staYea < endYea) {
                                            return true;
                                        } else {
                                            $C.util.info("开始时间不能大于结束时间！");
                                            return false;
                                        }
                                        if (fqYea == staYea) {
                                            if (sta == fqEnd) {
                                                return true;
                                            } else if (sta > fqEnd) {
                                                return true;
                                            } else {
                                                $.util.info("开始时间不能小于发起时间！");
                                                return false;
                                            }
                                        } else if (fqYea < staYea) {
                                            return true;
                                        } else {
                                            $.util.info("开始时间不能小于发起时间！");
                                            return false;
                                        }
                                        if (staYea == endYea) {
                                            if (sta == end) {
                                                return true;
                                            } else if (sta < end) {
                                                return true;
                                            } else {
                                                $.util.info("结束时间不能小于开始时间！");
                                                return false;
                                            }
                                        } else if (staYea < endYea) {
                                            return true;
                                        } else {
                                            $C.util.info("结束不能小于开始时间！");
                                            return false;
                                        }
                                        if (fqYea == endYea) {
                                            if (fqEnd == end) {
                                                return true;
                                            } else if (fqEnd < end) {
                                                return true;
                                            } else {
                                                $C.util.info("结束时间不能小于发起时间！");
                                                return false;
                                            }
                                        } else if (fqYea < endYea) {
                                            return true;
                                        } else {
                                            $.util.info("结束不能小于发起时间！");
                                            return false;
                                        }
                                    }
                                }
                                if (op2.field == "RW101_A05") {
                                    var fqtime = $.date.format(op2.data.RW101_A07, 'yyyy-MM-dd HH:mm:ss');
                                    //发起时间
                                    var time = $.date.format(op2.data.RW101_A04, 'yyyy-MM-dd HH:mm:ss');
                                    //开始年月日时分秒
                                    var entime = $.date.format(op2.data.RW101_A05, 'yyyy-MM-dd HH:mm:ss');
                                    //结束年月日时分秒
                                    var fqYea = fqtime.substring(0, 10);
                                    var staYea = time.substring(0, 10);
                                    var endYea = entime.substring(0, 10);
                                    var sta = time.substring(11, 20);
                                    var end = entime.substring(11, 20);
                                    var fqEnd = fqtime.substring(11, 20);
                                    if (time != null) {
                                        if (staYea == endYea) {
                                            if (sta == end) {
                                                return true;
                                            } else if (sta < end) {
                                                return true;
                                            } else {
                                                $.util.info("结束时间不能小于开始时间！");
                                                return false;
                                            }
                                        } else if (staYea < endYea) {
                                            return true;
                                        } else {
                                            $.util.info("结束不能小于开始时间！");
                                            return false;
                                        }
                                    }
                                    if (fqYea == endYea) {
                                        if (fqEnd == end) {
                                            return true;
                                        } else if (fqEnd < end) {
                                            return true;
                                        } else {
                                            $.util.info("结束时间不能小于发起时间！");
                                            return false;
                                        }
                                    } else if (fqYea < endYea) {
                                        return true;
                                    } else {
                                        $.util.info("结束不能小于发起时间！");
                                        return false;
                                    }
                                }
                            }
                        }
                    }
                }, {
                    icon : "fa fa-save",
                    text : "保存",
                    color : 2,
                    click : function() {
                        frm.beforeSave = function(op, callback) {
                            if (op.datas[0]["RW101_A16"] == '0002') {
                                op.datas[0].set("RW101_A10", '0003');
                            } else if (op.datas[0]["RW101_A16"] == '0001') {
                                op.datas[0].set("RW101_A17", '');
                                op.datas[0].set("RW101_A10", '0005');
                            }
                            if (op.datas[0]["RW101_A10"] == '0001' && op.datas[0]["RW101_A14"] == '0002') {
                                op.datas[0].set("RW101_A14", '');
                                op.datas[0].set("RW101_A15", '');
                            }
                            callback();
                        }
                        frm.save();
                        frm.afterSave = function(op) {
                            $.util.info("保存成功！");
                            $page.close();
                        }
                    }
                }]);
            }
            if (b == 1) {
                $page.addButtons([{}]);
                frm._$that.hide();
                lst._$that.show()
                var q1 = new $.server.queryOptions();
                q1.PrimaryTable = "RW104";
                q1.FieldNameList = "*";
                q1.ConditionExpr = "RW104.A01 = '" + $page.parms.id + "'";
                lst.load(q1, {
                    layout : {
                        r0c0 : "<span style='color:#333333; font-size:1em'>${RW104_A01MC}&nbsp;&nbsp;&nbsp;&nbsp;</span><span style='color:#999999; font-size:0.75em'>${RW104_A02MC}</span>", //jquery.tmpl语法
                        r1c0 : "<span style='color:#999999; font-size:0.9em'>${RW104_A05MC}&nbsp;&nbsp;&nbsp;&nbsp;${$.date.format(RW104_A04,'yyyy-MM-dd')}</span>",
                        r2c0 : "<span style='color:#999999; font-size:0.9em'>${RW104_A03}</span>",
                    }
                });
                lst.afterSelect = function(op) {

                }
            }
            if (b == 2) {
                $page.addButtons([{}]);
                frm._$that.hide();
                lst._$that.show();
                var q1 = new $.server.queryOptions();
                q1.PrimaryTable = "RW103";
                q1.FieldNameList = "*";
                q1.ConditionExpr = "RW103.A01 = '" + $page.parms.id + "'";
                lst.load(q1, {
                    layout : {
                        //r0c0 : "<span style='color:#333333; font-size:1em'>任务名称:${RW103_A01MC}</span>",
                        r0c0 : "<span style='color:#333333; font-size:1em'>${RW103_A02}</span>",
                        r1c0 : "<span style='color:#999999; font-size:0.9em'>${RW103_A05MC}&nbsp;&nbsp;&nbsp;&nbsp;${$.date.format(RW103_A04,'yyyy-MM-dd')}</span>",
                        //r2c0 : "<span style='color:#999999; font-size:0.75em'>执行内容:${RW103_A02}</span>",
                    }
                });
                lst.afterSelect = function(data, callback) {
                    frm._$that.show();
                    lst._$that.hide();
                    var q1 = new $.server.queryOptions();
                    q1.PrimaryTable = "RW103";
                    q1.FieldNameList = "*";
                    q1.ConditionExpr = "RW103.ID = '" + data.data.RW103_ID + "'";
                    frm.load(q1, {
                        opeMode : 0
                    });
                }
            }
        });
        var query = new $.server.queryOptions();
        query.PrimaryTable = "RW101";
        query.PrimaryKeyField = "ID";
        query.FieldNameList = "*";
        query.ConditionExpr = "RW101.ID='" + $page.parms.id + "'";
        $.server.query(query, function(data) {
            if (data.DataSource[0]["RW101_A10"] == "0004") {
                frm.beforeField = function(data, callback) {
                    for (var i = 0; i < data.table.FieldList.length; i++) {
                        if (data.datas[0]["RW101_A14"] == '0001' && data.datas[0]["RW101_A16"] == null) {
                            if (data.table.FieldList[i].ColName == "ID" || data.table.FieldList[i].ColName == "A15") {
                                data.table.FieldList[i].ColVisible = 0;
                            } else if (data.table.FieldList[i].ColName == "A16" || data.table.FieldList[i].ColName == "A17") {
                                data.table.FieldList[i].ColVisible = 1;
                            } else {
                                data.table.FieldList[i].ColVisible = 2;
                            }
                        } else if (data.datas[0]["RW101_A14"] == '0001' && data.datas[0]["RW101_A16"] == "0001") {
                            if (data.table.FieldList[i].ColName == "ID" || data.table.FieldList[i].ColName == "A15" || data.table.FieldList[i].ColName == "A17") {
                                data.table.FieldList[i].ColVisible = 0;
                            } else {
                                data.table.FieldList[i].ColVisible = 2;
                            }
                        } else if (data.datas[0]["RW101_A14"] == '0001' && data.datas[0]["RW101_A16"] == "0002") {
                            if (data.table.FieldList[i].ColName == "A15" || data.table.FieldList[i].ColName == "ID") {
                                data.table.FieldList[i].ColVisible = 0;
                            } else if (data.table.FieldList[i].ColName == "A17") {
                                data.table.FieldList[i].ColVisible = 1;
                            } else {
                                data.table.FieldList[i].ColVisible = 2;
                            }
                        } else {
                            if (data.table.FieldList[i].ColName == "ID") {
                                data.table.FieldList[i].ColVisible = 0;
                            } else {
                                data.table.FieldList[i].ColVisible = 2;
                            }
                        }
                    }
                    callback();
                }
            } else if (data.DataSource[0]["RW101_A10"] == '0003' || data.DataSource[0]["RW101_A10"] == '0002') {
                frm.beforeField = function(data, callback) {
                    for (var i = 0; i < data.table.FieldList.length; i++) {
                        for (var i = 0; i < data.table.FieldList.length; i++) {
                            if (data.table.FieldList[i].ColName == "ID" || data.table.FieldList[i].ColName == "A16" || data.table.FieldList[i].ColName == "A17") {
                                data.table.FieldList[i].ColVisible = 0;
                            } else if (data.table.FieldList[i].ColName == "A14" || data.table.FieldList[i].ColName == "A15") {
                                data.table.FieldList[i].ColVisible = 2;
                            } else {
                                data.table.FieldList[i].ColVisible = 1;
                            }
                        }
                        callback();
                    }
                }
            } else if (data.DataSource[0]["RW101_A10"] == '0001' && data.DataSource[0]["RW101_A14"] == '0002') {
                $C.util.debug();
                frm.beforeField = function(data, callback) {
                    for (var i = 0; i < data.table.FieldList.length; i++) {
                        if (data.table.FieldList[i].ColName == "ID" || data.table.FieldList[i].ColName == "A16" || data.table.FieldList[i].ColName == "A17") {
                            data.table.FieldList[i].ColVisible = 0;
                        } else if (data.table.FieldList[i].ColName == "A14" || data.table.FieldList[i].ColName == "A15") {
                            data.table.FieldList[i].ColVisible = 2;
                        } else {
                            data.table.FieldList[i].ColVisible = 1;
                        }
                    }
                    callback();
                }
            }
            frm.load(query, {
                opeMode : 0
            });
        });

        $page.addButtons([{
            icon : "fa fa-plus",
            id : "rwadd",
            text : "新增",
            color : 2,
            click : function() {
                frm.load(query, {
                    opeMode : 1
                });
                frm.beforeLoad = function(op, callback) {
                    op.datas[0]["RW101_A06"] = $.server.cache.CurrentUser.Uid;
                    op.datas[0]["RW101_A06MC"] = $.server.cache.CurrentUser.UserName;
                    op.datas[0]["RW101_A10"] = "0001";
                    op.datas[0]["RW101_A10MC"] = "创建中";
                    callback();
                }
                frm.afterLoad = function(op, callback) {
                    frm.afterChange = function(op2, callback) {
                        if (op2.field == "RW101_A01") {
                            var reg = /^[0-9]*$/;
                            var match = op2.data.RW101_A01.match(reg);
                            if (match == null) {
                                $.util.info("序号输入有误，请输入正确的序号!!格式为纯数字");
                            }
                        }
                        if (op2.field == "RW101_A04") {
                            if (op2.data.RW101_A05 == "") {
                                var time = $.date.format(op2.data.RW101_A07, 'yyyy-MM-dd HH:mm:ss');
                                var staYea = time.substring(0, 10);
                                //发起年份
                                var endYea = $.date.format(op2.data.RW101_A04, 'yyyy-MM-dd HH:mm:ss').substring(0, 10);
                                //开始年份
                                var sta = time.substring(11, 20);
                                //发起时分秒
                                var end = $.date.format(op2.data.RW101_A04, 'yyyy-MM-dd HH:mm:ss').substring(11, 20);
                                //开始时分秒

                                if (staYea == endYea) {
                                    if (sta == end) {
                                        return true;
                                    } else if (sta > end) {
                                        $.util.info("开始时间不能小于发起时间");
                                        return false;
                                    } else {
                                        return true;
                                    }
                                } else if (staYea < endYea) {
                                    return true;
                                } else {
                                    $.util.info("开始时间不能小于发起时间");
                                    return false;
                                }
                            } else {
                                var fqtime = $.date.format(op2.data.RW101_A07, 'yyyy-MM-dd HH:mm:ss');
                                //发起时间
                                var time = $.date.format(op2.data.RW101_A04, 'yyyy-MM-dd HH:mm:ss');
                                //开始年月日时分秒
                                var entime = $.date.format(op2.data.RW101_A05, 'yyyy-MM-dd HH:mm:ss');
                                //结束年月日时分秒
                                var fqYea = fqtime.substring(0, 10);
                                var staYea = time.substring(0, 10);
                                var endYea = entime.substring(0, 10);
                                var sta = time.substring(11, 20);
                                var end = entime.substring(11, 20);
                                var fqEnd = fqtime.substring(11, 20);
                                if (staYea == endYea) {
                                    if (sta == end) {
                                        return true;
                                    } else if (sta < end) {
                                        return true;
                                    } else {
                                        $C.util.info("开始时间不能大于结束时间！");
                                        return false;
                                    }
                                } else if (staYea < endYea) {
                                    return true;
                                } else {
                                    $C.util.info("开始时间不能大于结束时间！");
                                    return false;
                                }
                                if (fqYea == staYea) {
                                    if (sta == fqEnd) {
                                        return true;
                                    } else if (sta > fqEnd) {
                                        return true;
                                    } else {
                                        $.util.info("开始时间不能小于发起时间！");
                                        return false;
                                    }
                                } else if (fqYea < staYea) {
                                    return true;
                                } else {
                                    $.util.info("开始时间不能小于发起时间！");
                                    return false;
                                }
                                if (staYea == endYea) {
                                    if (sta == end) {
                                        return true;
                                    } else if (sta < end) {
                                        return true;
                                    } else {
                                        $.util.info("结束时间不能小于开始时间！");
                                        return false;
                                    }
                                } else if (staYea < endYea) {
                                    return true;
                                } else {
                                    $.util.info("结束不能小于开始时间！");
                                    return false;
                                }
                                if (fqYea == endYea) {
                                    if (fqEnd == end) {
                                        return true;
                                    } else if (fqEnd < end) {
                                        return true;
                                    } else {
                                        $.util.info("结束时间不能小于发起时间！");
                                        return false;
                                    }
                                } else if (fqYea < endYea) {
                                    return true;
                                } else {
                                    $.util.info("结束不能小于发起时间！");
                                    return false;
                                }
                            }
                        }
                        if (op2.field == "RW101_A05") {
                            var fqtime = $.date.format(op2.data.RW101_A07, 'yyyy-MM-dd HH:mm:ss');
                            //发起时间
                            var time = $.date.format(op2.data.RW101_A04, 'yyyy-MM-dd HH:mm:ss');
                            //开始年月日时分秒
                            var entime = $.date.format(op2.data.RW101_A05, 'yyyy-MM-dd HH:mm:ss');
                            //结束年月日时分秒
                            var fqYea = fqtime.substring(0, 10);
                            var staYea = time.substring(0, 10);
                            var endYea = entime.substring(0, 10);
                            var sta = time.substring(11, 20);
                            var end = entime.substring(11, 20);
                            var fqEnd = fqtime.substring(11, 20);
                            if (time != "") {
                                if (staYea == endYea) {
                                    if (sta == end) {
                                        return true;
                                    } else if (sta < end) {
                                        return true;
                                    } else {
                                        $.util.info("结束时间不能小于开始时间！");
                                        return false;
                                    }
                                } else if (staYea < endYea) {
                                    return true;
                                } else {
                                    $.util.info("结束不能小于开始时间！");
                                    return false;
                                }
                            }
                            if (fqYea == endYea) {
                                if (fqEnd == end) {
                                    return true;
                                } else if (fqEnd < end) {
                                    return true;
                                } else {
                                    $.util.info("结束时间不能小于发起时间！");
                                    return false;
                                }
                            } else if (fqYea < endYea) {
                                return true;
                            } else {
                                $.util.info("结束不能小于发起时间！");
                                return false;
                            }
                        }
                    }
                }
            }
        }, {
            icon : "fa fa-pencil-square",
            text : "编辑",
            color : 2,
            click : function() {
                frm.load(query, {
                    opeMode : 2
                });
                frm.beforeField = function(data, callback) {
                    $.util.debug();
                    for (var i = 0; i < data.table.FieldList.length; i++) {
                        if (data.table.FieldList[i].ColName == "ID") {
                            data.table.FieldList[i].ColVisible = 0;
                        }
                        if (data.datas[0]["RW101_A10"] == "0002" || data.datas[0]["RW101_A10"] == "0003" || data.datas[0]["RW101_A10"] == "0005" || data.datas[0]["RW101_A10"] == "0006") {
                            if (data.datas[0]["RW101_A10"] == "0002") {
                                $.util.info("该任务已领取，不能修改该任务！");
                                return false;
                            }
                            if (data.datas[0]["RW101_A10"] == "0003") {
                                $.util.info("该任务已执行，不能修改该任务！");
                                return false;
                            }
                            if (data.datas[0]["RW101_A10"] == "0005") {
                                $.util.info("该任务已完成，不能修改该任务！");
                                return false;
                            }
                            if (data.datas[0]["RW101_A10"] == "0006") {
                                $.util.info("该任务已取消，不能修改该任务！");
                                return false;
                            }
                        } else if (data.datas[0]["RW101_A10"] == "0004" && data.datas[0]["RW101_A06"] != $.server.cache.CurrentUser.Uid) {
                            $.util.info("该任务已提交审核，不能修改该任务！");
                            return false;
                        } else {
                            if (data.datas[0]["RW101_A10"] == '0004') {
                                if (data.datas[0]["RW101_A14"] == '0001' && data.datas[0]["RW101_A16"] == null) {
                                    if (data.table.FieldList[i].ColName == "A15" || data.table.FieldList[i].ColName == "ID") {
                                        data.table.FieldList[i].ColVisible = 0;
                                    } else if (data.table.FieldList[i].ColName == "A16" || data.table.FieldList[i].ColName == "A17") {
                                        data.table.FieldList[i].ColVisible = 1;
                                    } else {
                                        data.table.FieldList[i].ColVisible = 2;
                                    }
                                } else if (data.datas[0]["RW101_A14"] == '0001' && data.datas[0]["RW101_A16"] == "0001") {
                                    if (data.table.FieldList[i].ColName == "A15" || data.table.FieldList[i].ColName == "A17" || data.table.FieldList[i].ColName == "ID") {
                                        data.table.FieldList[i].ColVisible = 0;
                                    } else {
                                        data.table.FieldList[i].ColVisible = 2;
                                    }
                                } else if (data.datas[0]["RW101_A14"] == '0001' && data.datas[0]["RW101_A16"] == "0002") {
                                    if (data.table.FieldList[i].ColName == "A15" || data.table.FieldList[i].ColName == "ID") {
                                        data.table.FieldList[i].ColVisible = 0;
                                    } else if (data.table.FieldList[i].ColName == "A17") {
                                        data.table.FieldList[i].ColVisible = 1;
                                    } else {
                                        data.table.FieldList[i].ColVisible = 2;
                                    }
                                } else {
                                    data.table.FieldList[i].ColVisible = 2;
                                }
                            } else if (data.datas[0]["RW101_A10"] == '0003' || data.datas[0]["RW101_A10"] == '0002') {
                                if (data.table.FieldList[i].ColName == "ID" || data.table.FieldList[i].ColName == "A15" || data.table.FieldList[i].ColName == "A16" || data.table.FieldList[i].ColName == "A17") {
                                    data.table.FieldList[i].ColVisible = 0;
                                } else {
                                    data.table.FieldList[i].ColVisible = 2;
                                }
                            } else if (data.datas[0]["RW101_A10"] == '0001' && data.datas[0]["RW101_A10"] == '0002') {
                                if (data.table.FieldList[i].ColName == "A16" || data.table.FieldList[i].ColName == "A17" || data.table.FieldList[i].ColName == "ID") {
                                    data.table.FieldList[i].ColVisible = 0;
                                } else if (data.table.FieldList[i].ColName == "A14" || data.table.FieldList[i].ColName == "A15") {
                                    data.table.FieldList[i].ColVisible = 2;
                                } else {
                                    data.table.FieldList[i].ColVisible = 1;
                                }
                            }
                            callback();
                        }
                    }
                }
                frm.afterLoad = function(op, callback) {
                    $("textarea[field='RW101_A17']").focus();
                    frm.afterChange = function(op2, callback) {
                        if (op2.field == "RW101_A01") {
                            var reg = /^[0-9]*$/;
                            var match = op2.data.RW101_A01.match(reg);
                            if (match == null) {
                                $.util.info("序号输入有误，请输入正确的序号!!格式为纯数字");
                            }
                        }
                        if (op2.field == "RW101_A16") {
                            var ztty = op2.data.RW101_A16;
                            if (ztty == '0001') {
                                $("textarea[field='RW101_A17']").parent().parent().parent().parent().addClass("uhide");
                            } else if (ztty == '0002') {
                                $("textarea[field='RW101_A17']").parent().parent().parent().parent().removeClass("uhide")
                            }
                        }
                        if (op2.field == "RW101_A04") {
                            if (op2.data.RW101_A05 == null) {
                                var time = $.date.format(op2.data.RW101_A07, 'yyyy-MM-dd HH:mm:ss');
                                var staYea = time.substring(0, 10);
                                //发起年份
                                var endYea = $.date.format(op2.data.RW101_A04, 'yyyy-MM-dd HH:mm:ss').substring(0, 10);
                                //开始年份
                                var sta = time.substring(11, 20);
                                //发起时分秒
                                var end = $.date.format(op2.data.RW101_A04, 'yyyy-MM-dd HH:mm:ss').substring(11, 20);
                                //开始时分秒

                                if (staYea == endYea) {
                                    if (sta == end) {
                                        return true;
                                    } else if (sta > end) {
                                        $.util.info("开始时间不能小于发起时间");
                                        return false;
                                    } else {
                                        return true;
                                    }
                                } else if (staYea < endYea) {
                                    return true;
                                } else {
                                    $.util.info("开始时间不能小于发起时间");
                                    return false;
                                }
                            } else {
                                var fqtime = $.date.format(op2.data.RW101_A07, 'yyyy-MM-dd HH:mm:ss');
                                //发起时间
                                var time = $.date.format(op2.data.RW101_A04, 'yyyy-MM-dd HH:mm:ss');
                                //开始年月日时分秒
                                var entime = $.date.format(op2.data.RW101_A05, 'yyyy-MM-dd HH:mm:ss');
                                //结束年月日时分秒
                                var fqYea = fqtime.substring(0, 10);
                                var staYea = time.substring(0, 10);
                                var endYea = entime.substring(0, 10);
                                var sta = time.substring(11, 20);
                                var end = entime.substring(11, 20);
                                var fqEnd = fqtime.substring(11, 20);
                                if (staYea == endYea) {
                                    if (sta == end) {
                                        return true;
                                    } else if (sta < end) {
                                        return true;
                                    } else {
                                        $C.util.info("开始时间不能大于结束时间！");
                                        return false;
                                    }
                                } else if (staYea < endYea) {
                                    return true;
                                } else {
                                    $C.util.info("开始时间不能大于结束时间！");
                                    return false;
                                }
                                if (fqYea == staYea) {
                                    if (sta == fqEnd) {
                                        return true;
                                    } else if (sta > fqEnd) {
                                        return true;
                                    } else {
                                        $.util.info("开始时间不能小于发起时间！");
                                        return false;
                                    }
                                } else if (fqYea < staYea) {
                                    return true;
                                } else {
                                    $.util.info("开始时间不能小于发起时间！");
                                    return false;
                                }
                                if (staYea == endYea) {
                                    if (sta == end) {
                                        return true;
                                    } else if (sta < end) {
                                        return true;
                                    } else {
                                        $.util.info("结束时间不能小于开始时间！");
                                        return false;
                                    }
                                } else if (staYea < endYea) {
                                    return true;
                                } else {
                                    $C.util.info("结束不能小于开始时间！");
                                    return false;
                                }
                                if (fqYea == endYea) {
                                    if (fqEnd == end) {
                                        return true;
                                    } else if (fqEnd < end) {
                                        return true;
                                    } else {
                                        $C.util.info("结束时间不能小于发起时间！");
                                        return false;
                                    }
                                } else if (fqYea < endYea) {
                                    return true;
                                } else {
                                    $.util.info("结束不能小于发起时间！");
                                    return false;
                                }
                            }
                        }
                        if (op2.field == "RW101_A05") {
                            var fqtime = $.date.format(op2.data.RW101_A07, 'yyyy-MM-dd HH:mm:ss');
                            //发起时间
                            var time = $.date.format(op2.data.RW101_A04, 'yyyy-MM-dd HH:mm:ss');
                            //开始年月日时分秒
                            var entime = $.date.format(op2.data.RW101_A05, 'yyyy-MM-dd HH:mm:ss');
                            //结束年月日时分秒
                            var fqYea = fqtime.substring(0, 10);
                            var staYea = time.substring(0, 10);
                            var endYea = entime.substring(0, 10);
                            var sta = time.substring(11, 20);
                            var end = entime.substring(11, 20);
                            var fqEnd = fqtime.substring(11, 20);
                            if (time != null) {
                                if (staYea == endYea) {
                                    if (sta == end) {
                                        return true;
                                    } else if (sta < end) {
                                        return true;
                                    } else {
                                        $.util.info("结束时间不能小于开始时间！");
                                        return false;
                                    }
                                } else if (staYea < endYea) {
                                    return true;
                                } else {
                                    $.util.info("结束不能小于开始时间！");
                                    return false;
                                }
                            }
                            if (fqYea == endYea) {
                                if (fqEnd == end) {
                                    return true;
                                } else if (fqEnd < end) {
                                    return true;
                                } else {
                                    $.util.info("结束时间不能小于发起时间！");
                                    return false;
                                }
                            } else if (fqYea < endYea) {
                                return true;
                            } else {
                                $.util.info("结束不能小于发起时间！");
                                return false;
                            }
                        }
                    }
                }
            }
        }, {
            icon : "fa fa-save",
            text : "保存",
            color : 2,
            click : function() {
                frm.beforeSave = function(op, callback) {
                    if (op.datas[0]["RW101_A16"] == '0002') {
                        op.datas[0].set("RW101_A10", '0003');
                    } else if (op.datas[0]["RW101_A16"] == '0001') {
                        op.datas[0].set("RW101_A17", '');
                        op.datas[0].set("RW101_A10", '0005');
                    }
                    if (op.datas[0]["RW101_A10"] == '0001' && op.datas[0]["RW101_A14"] == '0002') {
                        op.datas[0].set("RW101_A14", '');
                        op.datas[0].set("RW101_A15", '');
                    }
                    callback();
                }
                frm.save();
                frm.afterSave = function(op) {
                    $page.close();
                    $.util.info("保存成功！");
                }
            }
        }, {
            icon : "fa fa-times",
            text : "取消任务",
            color : 2,
            click : function() {
                var query = new $.server.queryOptions();
                query.PrimaryTable = "RW101";
                query.PrimaryKeyField = "ID";
                query.ConditionExpr = "RW101.ID = '" + $page.parms.id + "'";
                $.server.query(query, function(data) {
                    if (data.DataSource[0]["RW101_A10"] == '0004') {
                        $.util.info("该任务已提交验收,不能取消！！");
                    } else if (data.DataSource[0]["RW101_A10"] == '0005') {
                        $.util.info("任务已完成,不能取消！！");
                    } else if (data.DataSource[0]["RW101_A10"] == '0006') {
                        $.util.info("任务已取消,无需重复操作！！");
                    } else {
                        var dataSource = [];
                        data.DataSource[0]["RW101_A10"] = "0006";
                        dataSource.push(data.DataSource[0]);
                        var updateOptions = $C.server.updateOptions(data.Table, dataSource, "RW101", "ID");
                        $.server.update(updateOptions, function(result) {
                            $page.close();
                            $.util.info("任务取消成功！");
                        });
                    }
                });
            }
        }]);
    }

}
