$page.load = function (cb) {

    if ($page.parms == null || $page.parms.id == null) {
        $page.id = null;
    } else {
        $page.id = $page.parms.id;
    }
    $page.addButtons([{
        icon: "fa fa-save",
        text: "保存",
        color: 2,
        click: function () {
            if (frm._data["YH104_A07"] == "") {
                $.util.error("公司编码不能为空,保存失败!");
                return;
            }
            var data = new Array();
            data.push(frm._data["YH104_A07"]);      //公司编码
            data.push(frm._data["YH104_A03"]);      //公司登陆别名            
            var op = {
                path: "Permission/AccountMgr/LoginInfoVerify",
                parms: data
            }
            $.server.api(op, function (result) {
                result = $.date.objParseDate(result);
                if (result == true) {
                    $.util.error("公司登录别名己存在,保存失败!");
                } else {
                    frm.save();                    
                }

            });            

        }
    }
    ]);
    var frm = new Form($("#companyfrm"));
    var query = new $.server.queryOptions();
    query.PrimaryTable = "YH104";
    query.PrimaryKeyField = "ID";
    query.FieldNameList = "*";
    
    query.PageIndex = 1;
    query.ConditionExpr = "YH104.A07 = '" + $.server.cache.CurrentUser.CompanyCode + "'";
   
    frm.load(query, {
        opeMode: 2,  //操作方式：0查看,1新增，2编辑
    });

    
}
$page.afterRefresh = function () {
    var frm = $("#companyfrm").ctl();
    frm.refresh();
}