$page.load = function(cb) {

    $page.ptree = [];
    if ($page.parms == null || $page.parms.id == null) {
        $page.id = null;
    } else {
        $page.id = $page.parms.id;
    }

    $page.addButtons([{
        icon : "fa fa-plus",
        text : "添加",
        color : 2,
        click : function() {
            if ($page.id == undefined || $page.id == null || $page.id == "null" || $page.id == "") {
                $.util.info("请选择所属部门!");
            } else {
                $.server.navigate("YH08", {
                    id : $page.id
                });
            }
        }
    }, {
        icon : "fa fa-edit",
        text : "编辑",
        color : 3,
        click : function() {
            if ($page.id == undefined || $page.id == null || $page.id == "null" || $page.id == "") {
                $.util.info("请选择所属部门!");
            } else {
                $.server.navigate("YH09", {
                    id : $page.id
                });
            }
        }
    }, {
        icon : "fa fa-trash-o",
        text : "删除",
        color : 3,
        click : function() {
            if ($page.id == undefined || $page.id == null || $page.id == "null" || $page.id == "") {
                $.util.info("请选择所属部门!");
            } else {
                $.util.confirm("是否确认删除", function(res) {
                    if (res) {
                        var DeptListView = $("#DeptListView").ctl();
                        var sublevel = false;
                        if (DeptListView._data.length > 0) {
                            sublevel = true;
                        }

                        var queryyh = new $.server.queryOptions();
                        queryyh.PrimaryTable = "YH103";
                        queryyh.PrimaryKeyField = "ID";
                        queryyh.FieldNameList = "*";
                        queryyh.ConditionExpr = "YH103.A01 = '" + $page.id + "'";
                        $.server.query(queryyh, function(data) {
                            if (data.DataSource.length > 0 || sublevel == true) {
                                $.util.info("该部门拥有下属部门或岗位,删除失败!!!");
                            } else {

                                var query = new $.server.queryOptions();
                                query.PrimaryTable = "YH102";
                                query.PrimaryKeyField = "ID";
                                query.FieldNameList = "*";
                                query.ConditionExpr = "YH102.ID = '" + $page.id + "'";
                                $.server.query(query, function(datas) {
                                    if (datas.DataSource.length > 0) {
                                        datas.DataSource[0]["_ROWSTATE"] = 3;
                                        var updateOptions = $.server.updateOptions(datas.Table, datas.DataSource, "YH102", "ID");
                                        //四个参数Table,DataSource,tablename,keyField
                                        $.server.update(updateOptions, function(result) {
                                            $.util.info("删除成功！！");
                                            $page.close();
                                        });
                                    }
                                });

                            }

                        });

                    }
                });

            }
        }
    }]);

    //var pcode = null;

    var lst = new mListView($("#DeptListView"));
    var query = new $.server.queryOptions();
    query.PrimaryTable = "YH102";
    query.PrimaryKeyField = "ID";
    if ($page.id == null || $page.id == "null" || $page.id == "" || $page.id == undefined) {
        query.ConditionExpr = "YH102.A09 is null";
    } else {
        query.ConditionExpr = "YH102.A09 = '" + $page.id + "'";
    }
    query.OrderExpr = "YH102.A01 ASC";
    query.FieldNameList = "*";
    query.PageSize = 9999;
    query.PageIndex = 1;
    lst.load(query, {
        enableBounce : false,
        layout : {
            r0c0 : "<span style='font-size:0.9em;'>${YH102_A03}</span>",	//jquery.tmpl语法

        }
    });

    lst.afterLoad = function(op) {

        $("#DeptListParent").on("click", function() {
            if ($page.ptree.length > 0) {
                $page.id = $page.ptree[$page.ptree.length - 1]["YH102_A09"];
                var pid = $page.ptree[$page.ptree.length - 1]["YH102_A09"];
                var ptitle = $page.ptree[$page.ptree.length - 1]["YH102_A09MC"];
                if (pid == null || pid == "null" || pid == "" || pid == undefined) {
                    query.ConditionExpr = "YH102.A09 is null";
                } else {
                    query.ConditionExpr = "YH102.A09 = '" + pid + "'";
                }
                lst.load(query, {
                    layout : {
                        r0c0 : "<span style='font-size:0.9em;'>${YH102_A03}</span>", //jquery.tmpl语法
                    }
                });
                lst.afterLoad = function(op) {
                    var ptitle = $page.ptree[$page.ptree.length - 1]["YH102_A09MC"];
                    $("#backParent").html(ptitle);
                    $page.ptree.length = $page.ptree.length - 1;
                    //去除最后一级信息

                }
            }

        })
    }
    lst.afterSelect = function(op) {
        $page.id = op.data["YH102_ID"];
        $page.ptree.push({
            YH102_ID : op.data["YH102_ID"],
            YH102_A01 : op.data["YH102_A01"],
            YH102_A03 : op.data["YH102_A03"],
            YH102_A04 : op.data["YH102_A04"],
            YH102_A05 : op.data["YH102_A05"],
            YH102_A06 : op.data["YH102_A06"],
            YH102_A09 : op.data["YH102_A09"],
            YH102_A09MC : op.data["YH102_A09MC"]
        });
        query.ConditionExpr = "YH102.A09 = '" + op.data["YH102_ID"] + "'";

        lst.load(query, {
            layout : {
                r0c0 : "<span style='font-size:0.9em;'>${YH102_A03}</span>", //jquery.tmpl语法
            }
        });
        lst.afterLoad = function(op) {
            var ptitle = $page.ptree[$page.ptree.length - 1]["YH102_A03"];
            $("#backParent").html(ptitle);
        }
    }
}
$page.afterRefresh = function() {
    var lst = $("#DeptListView").ctl();
    lst.refresh();
}
