$page.load = function(cb) {

    $page.ptree = [];
    if ($page.parms == null || $page.parms.id == null) {
        $page.id = null;
    } else {
        $page.id = $page.parms.id;
    }

    $page.addButtons([{
        icon : "fa fa-plus",
        text : "添加",
        color : 2,
        click : function() {
            if ($page.id == undefined || $page.id == null || $page.id == "null" || $page.id == "") {
                $.util.info("请选择所属角色!");
            } else {
                var query = new $.server.queryOptions();
                query.PrimaryTable = "YH101";
                query.PrimaryKeyField = "ID";
                query.FieldNameList = "*";
                
                query.PageIndex = 1;
                lkpgrd.open({
                    query : query,
                    valueField : "YH101_ID",
                    textField : "YH101_A05"
                });
            }
        }
    }]);

    //var pcode = null;

    var lst = new mListView($("#jsfpListView"));
    var query = new $.server.queryOptions();
    query.PrimaryTable = "PM201";
    query.ConditionExpr = "PM201.A03 = 1";
    query.PrimaryKeyField = "ID";
    query.FieldNameList = "*";
    query.PageIndex = 1;
    lst.load(query, {
        layout : {
            r0c0 : "<span style='font-size:0.9em;'>${PM201_A02}</span>",

        }
    });

    lst.afterLoad = function(op) {

        $("#jsfpListParent").on("click", function() {
            if ($page.ptree.length > 0) {
                $page.id = null;
                var pid = null;
                var ptitle = null;
                query.PrimaryTable = "PM201";
                query.Tables = "";
                query.ConditionExpr = "PM201.A03 = 1";
                query.PrimaryKeyField = "ID";
                query.FieldNameList = "*";
                query.PageIndex = 1;
                lst.load(query, {
                    layout : {
                        r0c0 : "<span style='font-size:0.9em;'>${PM201_A02}</span>",	//jquery.tmpl语法
                    }
                });
                lst.afterLoad = function(op) {
                    var ptitle = "";
                    $("#backParent").html(ptitle);
                    $page.ptree.length = $page.ptree.length - 1;
                    //去除最后一级信息
                }
            }

        })
    }
    lst.afterSelect = function(op) {
        $.util.debug();
        if ($page.id == null || $page.id == "null" || $page.id == "" || $page.id == undefined) {
            $page.id = op.data["PM201_ID"];
            $page.ptree.push({
                PM201_ID : op.data["PM201_ID"],
                PM201_A01 : op.data["PM201_A01"],
                PM201_A02 : op.data["PM201_A02"],
                PM201_A03 : op.data["PM201_A03"]

            });
            query.PrimaryTable = "PM203";
            query.Tables = "PM203,YH101";
            query.FieldNameList = "PM203.*,YH101.*";
            query.ConditionExpr = " PM203.A01 = YH101.ID AND PM203.A02 = '" + $page.id + "'";
            query.PrimaryKeyField = "ID";
            query.PageIndex = 1;
            lst.load(query, {
                layout : {
                    r0c0 : "<span style='font-size:0.9em;'>${YH101_A05}</span>",	//jquery.tmpl语法

                }
            });
            lst.afterLoad = function(op) {
                var ptitle = $page.ptree[$page.ptree.length - 1]["PM201_A02"];
                $("#backParent").html(ptitle);
            }
        } else {

             $.util.confirm("是否确认删除", function(res) {
                    if (res) {
                                     var jsfpListView = $("#jsfpListView").ctl();
                        var query = new $.server.queryOptions();
                        query.PrimaryTable = "PM203";
                        query.Tables = "";
                        query.PrimaryKeyField = "ID";
                        query.FieldNameList = "*";
                        query.ConditionExpr = "PM203.A01 = '" + op.data['YH101_ID'] + "'";
                        $.server.query(query, function(datas) {
                            if (datas.DataSource.length > 0) {
                                datas.DataSource[0]["_ROWSTATE"] = 3;
                                var updateOptions = $.server.updateOptions(datas.Table, datas.DataSource, "PM203", "ID");
                                //四个参数Table,DataSource,tablename,keyField
                                $.server.update(updateOptions, function(result) {
                                    $.util.info("删除成功！！");
                                    jsfpListView.refresh();
                                });
                            }
                        });
                        
                    }});
            
            

        }
    }
    var lkpgrd = new LookupGrid({
        afterClose : function(result) {
            if (result.dialogResult) {
                var jsfpListView = $("#jsfpListView").ctl();
                var query = new $.server.queryOptions();
                query.PrimaryTable = "PM203";
                query.PrimaryKeyField = "ID";
                query.FieldNameList = "*";

                var dt = "'0'";
                for (var i = 0; i < result.datas.length; i++) {
                    dt += ",'" + result.datas[i]["YH101_ID"] + "'";
                }
                query.ConditionExpr = "PM203.A02 = '" + $page.id + "' AND PM203.A01 IN (" + dt + ")";

                var dataSource = [];
                $.server.query(query, function(datas) {
                    if (datas.DataSource.length > 0) {
                        var isExists = false;
                        $(result.datas).each(function(index) {
                            for (var i = 0; i < datas.DataSource.length; i++) {
                                if (datas.DataSource[i]["PM203_A01"] == result.datas[index]["YH101_ID"]) {
                                    isExists = true;
                                    break;
                                }
                            }
                            if (!isExists) {
                                var d = $.server.create(datas.Table);
                                d["PM203_A01"] = result.datas[index]["YH101_ID"];
                                d["PM203_A02"] = $page.id;
                                dataSource.push(d);
                            }
                        })
                    } else {
                        for (var i = 0; i < result.datas.length; i++) {
                            var d = $.server.create(datas.Table);
                            d["PM203_A01"] = result.datas[i]["YH101_ID"];
                            d["PM203_A02"] = $page.id;
                            dataSource.push(d);
                        }
                    }
                    if (dataSource == 0) {
                        $.util.info("已在该用户分组中，无需重复新增！！");
                    } else {
                        var updateOptions = $.server.updateOptions(datas.Table, dataSource, "PM203", "ID");
                        //四个参数Table,DataSource,tablename,keyField
                        $.server.update(updateOptions, function(result) {
                            $.util.info("保存成功！！");
                            jsfpListView.refresh();
                        });
                    }
                })
            }
        }
    });

}
$page.afterRefresh = function() {
    var lst = $("#jsfpListView").ctl();
    lst.refresh();
}
