$page.load = function(cb) {
    if ($page.parms == null || $page.parms.id == null || $page.parms.a01 == null) {
        $page.id = null;
    } else {
        $page.id = $page.parms.id;
        $page.a01 = $page.parms.a01;
    }
    $page.addButtons([{
        icon : "fa fa-plus",
        text : "添加",
        color : 2,
        click : function() {
            $.server.navigate("YH15", {});

        }
    }, {
        icon : "fa fa-edit",
        text : "编辑",
        color : 3,
        click : function() {
            if ($page.id == undefined || $page.id == null || $page.id == "null" || $page.id == "") {
                $.util.info("请选择用户!");
            } else {
                $.server.navigate("YH16", {
                    id : $page.id
                });
            }
        }
    }, {
        icon : "fa fa-trash-o",
        text : "删除",
        color : 3,
        click : function() {
            $.util.debug();
            if ($page.id == undefined || $page.id == null || $page.id == "null" || $page.id == "") {
                $.util.info("请选择用户!");
            } else {
                $.util.confirm("是否确认删除", function(res) {
                    if (res) {
                        var queryyh = new $.server.queryOptions();
                        queryyh.PrimaryTable = "YH101";
                        queryyh.PrimaryKeyField = "ID";
                        queryyh.FieldNameList = "*";
                        queryyh.ConditionExpr = "YH101.ID = '" + $page.id + "'";
                        $.server.query(queryyh, function(data) {
                            if (data.DataSource.length > 0) {
                                var query = new $.server.queryOptions();
                                query.PrimaryTable = "PM203";
                                query.PrimaryKeyField = "ID";
                                query.FieldNameList = "*";
                                query.ConditionExpr = "PM203.A01 = '" + data.DataSource[0]["YH101_ID"] + "'";
                                $.server.query(query, function(datas) {
                                    if (datas.DataSource.length == 0) {
                                        data.DataSource[0]["_ROWSTATE"] = 3;
                                        var updateOptions = $.server.updateOptions(data.Table, data.DataSource, "YH101", "ID");
                                        //四个参数Table,DataSource,tablename,keyField
                                        $.server.update(updateOptions, function(result) {
                                            $.util.info("删除成功！！");
                                            $page.close(1);
                                        });
                                    } else {
                                        $.util.info("该用户拥有角色权限，无法删除！请先删除用户角色权限！");
                                    }
                                });

                            }

                        });

                    } 
                });

                // var delwindow = new DialogWindow({
                    // title : "请选择",
                    // afterClose : function(op) {
                        // if (op == true) {
// 
                        // }
                    // }
                // });
                // var $content = $("<div style='padding:15px;'>确定删除吗?</div>");
                // delwindow.addContent($content);
                // delwindow.open();

            }
        }
    }, {
        icon : "fa fa-edit",
        text : "重置密码",
        color : 5,
        click : function() {
            if ($page.a01 == undefined || $page.a01 == null || $page.a01 == "null" || $page.a01 == "") {
                $.util.info("请选择用户!");
            } else {
                $.util.confirm("确认重置所选用户的密码?", function(options) {
                    $.util.debug();
                    var FormYhView = $("#FormYhView").ctl();
                    var name = FormYhView._data["YH101_A05"];
                    if (options) {
                        var data = new Array();
                        data.push($page.a01);
                        //userCode
                        data.push("");
                        //newPwd
                        var op = {
                            path : "Permission/AccountMgr/ResetPwd",
                            parms : data
                        }
                        $.server.api(op, function(result) {
                            result = $.date.objParseDate(result);
                            if (result == true) {
                                $.util.info("用户 : " + name + "<br>重置密码成功！！<br>重置后的密码为：666666 ");
                            } else {
                                $.util.error("重置密码失败!");
                            }
                        });
                    }
                });
            }
        }
    }]);

    var frm = new Form($("#FormYhView"));
    var query = new $.server.queryOptions();
    query.PrimaryTable = "YH101";
    query.PrimaryKeyField = "ID";
    query.FieldNameList = "*";
    query.PageSize = 1;
    query.PageIndex = 1;
    query.ConditionExpr = "YH101.ID = '" + $page.id + "'";
    frm.load(query, {
        opeMode : 0,	//操作方式：0查看,1新增，2编辑
    });
}
$page.afterRefresh = function() {
    var frm = $("#FormYhView").ctl();
    frm.refresh();
}
