$page.load = function() {

    var tabview = appcan.tab({
        selector : "#tabview",
        hasAnim : true,
        hasLabel : true,
        data : [{
            label : "内容",
        }, {
            label : "审核列表",
        }]
    });

    var frm = new Form($("#form"));
    var q = new $.server.queryOptions();
    q.PrimaryTable = $page.parms.table;
    if ($page.parms.id) {
        q.ConditionExpr = $page.parms.table + ".ID = '" + $page.parms.id + "'";
    } else {
        q.ConditionExpr = $page.parms.table + ".ID = '0000'";
    }
    frm.load(q, {
        templateId : $page.parms.tempId,
        opeMode : $page.parms.id ? 2 : 1
    });
    frm.beforeField = function(op, callback) {
        var signed = op.datas[0][$page.parms.table + "_SIGNED"];
        if (signed == "1" || signed == "2") {
            frm._options.opeMode = 0;
        } else {
            $page.addButtons([{
                icon : "fa fa-save",
                text : "保存",
                color : 3,
                click : function() {
                    frm.save();
                    frm.afterSave = function(op, callback) {
                        $.util.info("保存成功");
                        $page.close(1);
                    }
                }
            }, {
                icon : "fa fa-check",
                text : "提交审批",
                color : 3,
                click : function() {
                    frm.save();
                    frm.afterSave = function(op, callback) {
                        var ids = [];
                        ids.push(op.data[0]);
                        $.server.startWF($page.parms.table, ids, function(ret) {
                            if (ret) {
                                $.util.info("提交审批成功");
                                $page.close(1);
                            }
                        });
                    }
                }
            }, {
                icon : "fa fa-trash-o",
                text : "删除",
                color : 4,
                click : function() {
                    if (frm._data[$page.parms.table + "_SIGNED"] == "0" || frm._data[$page.parms.table + "_SIGNED"] == "3") {
                        $.util.confirm("是否确认删除", function(res) {
                            if (res) {
                                frm.del();
                                    frm.afterSave = function(op, callback) {
                                        $page.close(1);
                                        callback();
                                    };

                            }
                        });                        
                    } else {
                        $.util.info("审批中或通过审批状态,无法执行删除操作");

                    }
                }
            }]);
        }
        callback();
    }
    frm.beforeLoad = function(op, callback) {
        if (op.table.TableLabel == '脱单工作报备表') {
            op.datas[0]["YY115_A01"] = $.server.cache.CurrentUser.DutyId;
            op.datas[0]["YY115_A01MC"] = $.server.cache.CurrentUser.DutyName;
        }
        if (op.table.TableLabel == '免打卡记录单') {
            op.datas[0]["YY106_Q00"] = $.server.cache.CurrentUser.DutyId;
            op.datas[0]["YY106_Q00MC"] = $.server.cache.CurrentUser.DutyName;
        }
        if (op.table.TableLabel == '请假单') {
            op.datas[0]["YY105_Q00"] = $.server.cache.CurrentUser.DutyId;
            op.datas[0]["YY105_Q00MC"] = $.server.cache.CurrentUser.DutyName;
        }
        if (op.table.TableLabel == '采购申请单') {
            op.datas[0]["YY104_Q00"] = $.server.cache.CurrentUser.DutyId;
            op.datas[0]["YY104_Q00MC"] = $.server.cache.CurrentUser.DutyName;
        }
        if (op.table.TableLabel == '下行任务追踪表') {
            op.datas[0]["YY103_A02"] = $.server.cache.CurrentUser.DutyId;
            op.datas[0]["YY103_A02MC"] = $.server.cache.CurrentUser.DutyName;
        }
        if (op.table.TableLabel == '上行工作审核表') {
            op.datas[0]["YY102_B80"] = $.server.cache.CurrentUser.DutyId;
            op.datas[0]["YY102_B80MC"] = $.server.cache.CurrentUser.DutyName;
        }
        callback();

    }

    tabview.on("click", function(obj, index) {/*TAB变更时切换多浮动窗口*/
        if (index == 0) {
            $("#lst").hide();
            $("#form").show();
        } else if (index == 1) {
            $("#form").hide();
            $("#lst").show();
            var lst = new mListView($("#lst"));
            var query = new $.server.queryOptions();
            query.PrimaryTable = "SP03";
            query.Tables = "lsBPM_OperatorInstance";
            query.FieldNameList = "lsBPM_OperatorInstance.*";
            query.OrderExpr = "lsBPM_OperatorInstance.OperDateTime DESC";
            query.ConditionExpr = "sp03.WorkFlowInsId = lsBPM_OperatorInstance.WorkFlowInsId AND lsBPM_OperatorInstance.OperStatus > 0 AND SP03.SignID ='" + $page.parms.id + "'";
            query.PageIndex = 1;
            lst.load(query, {
                layout : {
                    r1c0 : "<span style='font-size:0.9em;'>${LSBPM_OPERATORINSTANCE_DESCRIPTION}</span>",
                    r0c1 : "<span style='font-size:0.9em;'>${LSBPM_OPERATORINSTANCE_OPERCONTENTTEXT}</span>",
                    r1c1 : "<font size='0.9em '>${$.date.format(LSBPM_OPERATORINSTANCE_OPERDATETIME, 'yyyy-MM-dd HH:mm')}</font>",
                }
            });
        }
    });

}
