function FrmView($this) {
    var _that = this;
    this._$that = $this;
    this._options = {};
    this._$k = null;
    this._frm = null;

    ///创建ToolBar块
    this._creatFrmToolBar = function (data) {
        if (_that._$FrmToolBar._$k != null) {
            _that._$FrmToolBar._$k.remove();
        }; 

        _that._$FrmToolBar._$k = $("<div></div>");
        _that._$FrmToolBar._$k.appendTo(_that._$FrmToolBar);

        if (_that._options.FrmToolBar == null) {
            return false;
        };

        $("<div>" + _that._options.FrmToolBar + "</div>").tmpl(data).appendTo(_that._$FrmToolBar._$k);
    };

    ///创建内容块
    this._createFrmCont = function (data) {
        if (_that._$FrmCont._$k != null) {
            _that._$FrmCont._$k.remove();
        };

        _that._$FrmCont._$k = $("<div></div>");
        _that._$FrmCont._$k.appendTo(_that._$FrmCont);
        
        if (_that._options.contTmp != null) {
            _that._$FrmCont._$k.append(_that._options.contTmp);
        }else{
            _that._$FrmCont._$k.append($("<div class='row'><div class='col-sm-12'></div></div>"));
            _that._$FrmCont._$k.children().last().children().first().append("<div style='word-wrap:break-word; white-space:pre-wrap; overflow:hidden; font-size:0.75em;'>" + data["DY101_A07"] + "</div>");
        };
    };

    ///创建ButtonBar块
    this._createFrmButtonBar = function (data) {
        if (_that._$FrmButtonBar._$k != null) {
            _that._$FrmButtonBar._$k.remove();
        };

        _that._$FrmButtonBar._$k = $("<div></div>");
        _that._$FrmButtonBar._$k.appendTo(_that._$FrmButtonBar); 

        if (_that._options.FrmButtonBar == null) {
            return false;
        };

        _that._options.FrmButtonBar.appendTo(_that._$FrmButtonBar._$k);
    };




    ///列生成前事件
    this.beforeField = $.util.defaultEvent;
    ///绑定前事件
    this.beforeLoad = $.util.defaultEvent;
    ///绑定后事件
    this.afterLoad = $.util.defaultEvent;
    ///创建工具条前事件
    this.beforeCreateTool = $.util.defaultEvent;

    ///获取查询参数
    this.getOptions = function () {
        return _that._options;
    };

    // ///绑定数据
    // this.load = function (query, options) {
        // _that._query = $.extend(new $.server.queryOptions(), query);
        // $.server.query(_that._query, function (data) {
            // _that.bind(data, options);
        // });
    // };

    ///绑定数据
    this.bind = function (data, options) {
        _that._options = $.extend({
            opeMode: 1,//1查看
            FrmToolBar: null,//头部工具条
            FrmButtonBar: null,//底部工具条
            contTmp: null,//内容模板
            isCont: true,//是否显示内容
        }, options);

        _that._data = data;

        if (_that._$k != null) {
            _that._$k.remove();
        }; 

        _that._$k = $("<div class = 'FrmV'></div>");
        _that._$k.appendTo(_that._$that);

        if (data.length == 0) {
            //_that._$k.append('<div>没有查询到相关数据！</div>');
            return false;
        };

        _that._$FrmToolBar = $("<div class='FrmToolBar'></div>");
        _that._$FrmToolBar.appendTo(_that._$k);

        _that._$FrmCont = $("<div class='FrmCont'></div>");
        _that._$FrmCont.appendTo(_that._$k);

        _that._$FrmButtonBar = $("<div class='FrmButtonBar'></div>");
        _that._$FrmButtonBar.appendTo(_that._$k);

        _that._$FrmAddForm = $("<div class='FrmAddForm'></div>");
        _that._$FrmAddForm.appendTo(_that._$k);

        _that._$FrmNextLst = $("<div class='FrmNextLst'></div>");
        _that._$FrmNextLst.appendTo(_that._$k);

        $.util.trigger(_that.beforeField, {
            datas: _that._data
        }, function () {
            $.util.trigger(_that.beforeLoad, {
                datas: _that._data
            }, function () {
                $.util.trigger(_that.beforeCreateTool, {
                    datas: _that._data
                }, function () {
                    _that._creatFrmToolBar(_that._data);

                    if (_that._options.isCont == true) {
                        _that._createFrmCont(_that._data);//创建内容块
                    };

                    _that._createFrmButtonBar(_that._data);

                    $.util.trigger(_that.afterLoad, {
                        datas: _that._data
                    });
                });
            });
        });
    };

    ///新增事件
    this.add = function () {
        var q = new $.server.queryOptions();
        q.PrimaryTable = _that._query.PrimaryTable;
        q.PrimaryKeyField = _that._query.PrimaryKeyField;
        q.PageSize = 1;
        q.PageIndex = 1;
        q.ConditionExpr = _that._query.PrimaryTable + "." + _that._query.PrimaryKeyField + " = '0'";

        $pnl = _that._$FrmAddForm;

        $pnl.empty();

        _that._frm = $.ctrl.openForm($pnl, q, $.extend({}, { opeMode: 1, }, {
            afterClose: function () {
            },
            isSave: true,
            isCancel: true,
        }));
        _that._frm.afterSave = function (op) {
            $.util.info("保存成功");
            _that._frm = null;
        };
        return _that._frm;
    };

    ///获取添加的Form
    this.getFrmAddForm = function () {
        return _that._$FrmAddForm;
    };

    ///获取下一层列表
    this.getFrmNextLst = function () {
        return _that._$FrmNextLst;
    };
    
    ///获取工具条FrmToolBar
    this.getFrmToolBar = function(){
        return _that._$FrmToolBar;
    };

    ///获取FrmButtonBar
    this.getFrmButtonBar = function () {
        return _that._$FrmButtonBar;
    };

    ///获取FormCont
    this.getFrmCont = function () {
        return _that._$FrmCont;
    };

    ///刷新
    this.refresh = function (options) {
        _that._options = $.extend(_that._options, options);
        _that.load(_that._query, _that._options);
    };
};