function Photo($this) {
    var _that = this;
    this._$that = $this;
    this._$that.empty();
    this._$that.data("ctrl", _that);
    _that._options = {
        guid : null,
        isMulti : false,
        enable : true,
        width : 8
    };
    var style = 'background-image: url(../src/images/headimg.jpg);';
    _that._$that.append('<div style="text-align: left;margin: 10px auto;"><div class="img-photo" style="'+style+'"></div></div>');
    _that._upload = new Upload();

    this.afterSave = null;

    this.open = function (){
        _that._upload.open();
    }

    this.load = function(op) {
        _that._$that.find(".img-photo").css('width',_that._options.width + 'em')
        .css('height',_that._options.width + 'em');
        _that._options = $.extend({}, _that._options, op);
        if (_that._options.enable) {
            _that._upload.load({
                guid : _that._options.guid
            });
            _that._upload.afterSave = function(data) {
                _that._options.guid = data.guid;
                _that.refresh();
                if ($.isFunction(_that.afterSave)) {
                    _that.afterSave({
                        guid : _that._options.guid
                    })
                }
            }
        }
        _that.refresh();
    }

    this.refresh = function() {
        if (_that._options.guid != null && _that._options.guid != "0000000000000000000000") {
            $.mobile.delFile([{
                guid : _that._options.guid
            }], 0, function (){
                var url = $.mobile.imgUrl(_that._options.guid);
                _that._$that.find(".img-photo").css('background-image', 'url('+ url + ')');
            });
        }
    }
}
