function lookupCall(options) {
    var _that = this;
    _that._options = $.extend({
        title : "请选择",
        groups : [],
        buttomDivHeight: null,
        afterClose : function(op) {
        },
    }, options);
    _that._selData = {
        data:null,
        type:"",//0001员工，0002部门
    };
    
    ///创建组
    this._createGroup = function(title, key) {
        var $theader = $(".form-header", _that._$callRy);
        if ($theader.length == 0) {
            _that._$callRy.append($('<div class="ub ub-ver ub-f1" style="margin-top: 0.5em;"><div class="uinn-a7 ubb b-org-form1 ub form-header"></div></div>'));
            $theader = $(".form-header", _that._$callRy);
        }
        var $groupDiv = $('.' + title, $theader);
        if ($groupDiv.length == 0) {
            $groupDiv = $('<div class="uinn-form3 uc-t1 ulev-4 umar-r-form2 c-org-form2 ' + title + ' group-header">' + title + '</div>');
            $groupDiv.appendTo($theader);
        }

        var $tcontent = $(".form-content", _that._$callRy);
        if ($tcontent.length == 0) {
            $tcontent = $('<div class="form-content ulev-4"></div>');
            _that._$callRy.append($tcontent);
        }
        var $group = $('.' + title, $tcontent);
        if ($group.length == 0) {
            $group = $('<div class="uinn-a7 ' + title + ' group-content group-content' + key + '" style="display:none">');
            $group.appendTo($tcontent);
        }
        return $group;
    };
    
    
    
    
    ///获取参数
    this.getOptions = function(){
        return _that._options;
    };
    
    ///打开窗口
    this.open = function() {
        _that._dialog = new DialogWindow({
            isFilter : true,
            title : _that._options.title,
            afterClose : function(op) {
                var result = {
                    datas : [_that._selData],
                    dialogResult : op
                };

                if ($.isFunction(_that._options.afterClose)) {
                    _that._options.afterClose(result);
                }
            }
        });

        _that._$callRy = $("<div class='callRy'></div>");
        _that._dialog.addContent(_that._$callRy);
        _that._dialog.open();
        
        $grp1 = _that._createGroup("默认", 1);
        var $fieldContent1 = $('<div class="ubb b-c2 uinn8 fieldContent1"></div>');
        $grp1.append($fieldContent1);
        var $grd1 = $('.fieldContent1', $grp1);

        var height = $(window).height() * 0.6;
        //$grd.height(height);
        $grd1.slimscroll({
            height : height
        });
        
        ///最近
        var $frm11 = $('<div class="frm11" style=""></div>');
        $frm11.appendTo($grd1);
        $frm11.append('<div class="frm11bt" style="background-color:#EEEEEE;line-height:2em;padding-left:6px;font-weight:bolder;font-size: 0.75em">最近</div>');
        var $frmCon11 = $('<div class="grd11"></div>');
        $frmCon11.appendTo($frm11);
        var $grd11 = $('.grd11', $grd1);
        
        var grd11 = new mListView($grd11);
        var query11 = new $.server.queryOptions();
        query11.PrimaryTable = "DY106";
        query11.PrimaryKeyField = "ID";
        query11.FieldNameList = "*";
        query11.PageSize = 5;
        query11.PageIndex = 1;
        query11.ConditionExpr = "DY106.A01 = '" +$.server.cache.CurrentUser.Uid + "'";
        query11.OrderExpr = "DY106.A05 DESC";
        grd11.load(query11, {
            layout : {
                r0c0 : "${DY106_A04}"
            },
            enableBounce : false,
            enableFilter : false,
            // gridstyle: "width:100%",
        });

        grd11.afterSelect = function(d) {
            _that._selData.data = d.data;
            if (d.data.DY106_A02 == "0001") {
                _that._selData.type = "0003";
            }else{
                _that._selData.type = "0004";
            };
            
            var q = new $.server.queryOptions();
            q.PrimaryTable = "DY106";
            q.PrimaryKeyField = "ID";
            q.FieldNameList = "*";
            q.PageSize = 1;
            q.ConditionExpr = "DY106.ID = '" + d.data.DY106_ID + "'";
            
            $.server.query(q,function(data){
                if (data.DataSource.length > 0) {
                    data.DataSource[0]["DY106_A05"] = $.server.currentDate();
                    
                    var udata = $.server.updateOptions(data.Table, [data.DataSource[0]], "DY106", "ID");
                    $.server.update(udata, function (res) {
                        if (res) {
                            _that._dialog.close(true);
                        };
                    });
                };
            });
        };
        
        ///上级
        var $frm12 = $('<div class="frm12"></div>');
        $frm12.appendTo($grd1);
        $frm12.append('<div class="frm12bt" style="background-color:#EEEEEE;line-height:2em;padding-left:6px;font-weight:bolder;font-size: 0.75em">上级</div>');
        var $frmCon12 = $('<div class="grd12"></div>');
        $frmCon12.appendTo($frm12);
        var $grd12 = $('.grd12', $grd1);
        
        var grd12 = new mListView($grd12);
        var query12 = new $.server.queryOptions();
        query12.PrimaryTable = "YH101";
        query12.PrimaryKeyField = "ID";
        query12.FieldNameList = "*";
        query12.ConditionExpr = "ID IN(SELECT ID FROM FC_GET_PARENT_YH('" + $.server.cache.CurrentUser.Uid + "'))";
        grd12.load(query12, {
            layout : {
                r0c0 : "${YH101_A05}"
            },
            enableBounce : false,
            enableFilter : false,
            // gridstyle: "width:100%",
        });

        grd12.afterSelect = function(d) {
            _that._selData.data = d.data;
            _that._selData.type = "0001";
            
            var q = new $.server.queryOptions();
            q.PrimaryTable = "DY106";
            q.PrimaryKeyField = "ID";
            q.FieldNameList = "*";
            q.PageSize = 1;
            q.ConditionExpr = "DY106.A01 = '" + $.server.cache.CurrentUser.Uid + "' AND DY106.A02 = '0001' AND DY106.A03 = '" + d.data.YH101_ID + "'";
            
            $.server.query(q,function(data){
                if(data.DataSource.length > 0){
                    data.DataSource[0]["DY106_A05"] = $.server.currentDate();
                    
                    var udata = $.server.updateOptions(data.Table, [data.DataSource[0]], "DY106", "ID");
                    $.server.update(udata, function (res) {
                        if (res) {
                            _that._dialog.close(true);
                        };
                    });
                }else{
                    var newData = $.server.create(data.Table);
                    newData["DY106_A01"] = $.server.cache.CurrentUser.Uid;
                    newData["DY106_A02"] = "0001";
                    newData["DY106_A03"] = d.data.YH101_ID;
                    newData["DY106_A04"] = d.data.YH101_A05;
                    newData["DY106_A05"] = $.server.currentDate();
                    
                    var udata = $.server.updateOptions(data.Table, [newData], "DY106", "ID");
                    $.server.update(udata, function (res) {
                        if (res) {
                            _that._dialog.close(true);
                        };
                    });
                };
            });
        };
        
        ///本部门
        var $frm13 = $('<div class="frm13"></div>');
        $frm13.appendTo($grd1);
        $frm13.append('<div class="frm13bt" style="background-color:#EEEEEE;line-height:2em;padding-left:6px;font-weight:bolder;font-size: 0.75em">本部门</div>');
        var $frmCon13 = $('<div class="grd13"></div>');
        $frmCon13.appendTo($frm13);
        var $grd13 = $('.grd13', $grd1);
        
        var grd13 = new mListView($grd13);
        var query13 = new $.server.queryOptions();
        query13.PrimaryTable = "YH101";
        query13.PrimaryKeyField = "ID";
        query13.FieldNameList = "*";
        query13.ConditionExpr = "A06 = '" + $.server.cache.CurrentUser.DeptCode + "' AND A56 = '0'";
        query13.PageSize = 200;
        query13.PageIndex = 1;
        grd13.load(query13, {
            layout : {
                r0c0 : "${YH101_A05}"
            },
            enableBounce : false,
            enableFilter : false,
            // gridstyle: "width:100%",
        });

        grd13.afterSelect = function(d) {
            _that._selData.data = d.data;
            _that._selData.type = "0001";
            
            var q = new $.server.queryOptions();
            q.PrimaryTable = "DY106";
            q.PrimaryKeyField = "ID";
            q.FieldNameList = "*";
            q.PageSize = 1;
            q.ConditionExpr = "DY106.A01 = '" + $.server.cache.CurrentUser.Uid + "' AND DY106.A02 = '0001' AND DY106.A03 = '" + d.data.YH101_ID + "'";
            
            $.server.query(q,function(data){
                if(data.DataSource.length > 0){
                    data.DataSource[0]["DY106_A05"] = $.server.currentDate();
                    
                    var udata = $.server.updateOptions(data.Table, [data.DataSource[0]], "DY106", "ID");
                    $.server.update(udata, function (res) {
                        if (res) {
                            _that._dialog.close(true);
                        };
                    });
                }else{
                    var newData = $.server.create(data.Table);
                    newData["DY106_A01"] = $.server.cache.CurrentUser.Uid;
                    newData["DY106_A02"] = "0001";
                    newData["DY106_A03"] = d.data.YH101_ID;
                    newData["DY106_A04"] = d.data.YH101_A05;
                    newData["DY106_A05"] = $.server.currentDate();
                    
                    var udata = $.server.updateOptions(data.Table, [newData], "DY106", "ID");
                    $.server.update(udata, function (res) {
                        if (res) {
                            _that._dialog.close(true);
                        };
                    });
                };
            });
        };
        
        ///员工列
        $grp2 = _that._createGroup("员工", 2);
        var $fieldContent2 = $('<div class="ubb b-c2 uinn8 fieldContent2"></div>');
        $grp2.append($fieldContent2);
        var $grd2 = $('.fieldContent2', $grp2);

        $grd2.slimscroll({
            height : height
        });
        
        var grd2 = new mListView($grd2);
        var query2 = new $.server.queryOptions();
        query2.PrimaryTable = "YH101";
        query2.PrimaryKeyField = "ID";
        query2.FieldNameList = "*";
        query2.PageSize = 200;
        query2.PageIndex = 1;
        query2.ConditionExpr = "A56 = '0'";
        grd2.load(query2, {
            layout : {
                r0c0 : "${YH101_A05}"
            },
            enableBounce : false,
            enableFilter : false,
            gridstyle: "width:100%",
        });
        
        $grd2.scroll(function() {
            var aheight = $(this).find(".grid").height();
            var top = $(this).scrollTop();
            if (top + height >= aheight)
                $(this).ctl().nextPage();
        });

        grd2.afterSelect = function(d) {
            _that._selData.data = d.data;
            _that._selData.type = "0001";
            
            var q = new $.server.queryOptions();
            q.PrimaryTable = "DY106";
            q.PrimaryKeyField = "ID";
            q.FieldNameList = "*";
            q.PageSize = 1;
            q.ConditionExpr = "DY106.A01 = '" + $.server.cache.CurrentUser.Uid + "' AND DY106.A02 = '0001' AND DY106.A03 = '" + d.data.YH101_ID + "'";
            
            $.server.query(q,function(data){
                if(data.DataSource.length > 0){
                    data.DataSource[0]["DY106_A05"] = $.server.currentDate();
                    
                    var udata = $.server.updateOptions(data.Table, [data.DataSource[0]], "DY106", "ID");
                    $.server.update(udata, function (res) {
                        if (res) {
                            _that._dialog.close(true);
                        };
                    });
                }else{
                    var newData = $.server.create(data.Table);
                    newData["DY106_A01"] = $.server.cache.CurrentUser.Uid;
                    newData["DY106_A02"] = "0001";
                    newData["DY106_A03"] = d.data.YH101_ID;
                    newData["DY106_A04"] = d.data.YH101_A05;
                    newData["DY106_A05"] = $.server.currentDate();
                    
                    var udata = $.server.updateOptions(data.Table, [newData], "DY106", "ID");
                    $.server.update(udata, function (res) {
                        if (res) {
                            _that._dialog.close(true);
                        };
                    });
                };
            });
        };
        
        ///部门列
        $grp3 = _that._createGroup("部门", 3);
        var $fieldContent3 = $('<div class="ubb b-c2 uinn8 fieldContent3"></div>');
        $grp3.append($fieldContent3);
        var $grd3 = $('.fieldContent3', $grp3);

        $grd3.slimscroll({
            height : height
        });
        
        var grd3 = new mListView($grd3);
        var query3 = new $.server.queryOptions();
        query3.PrimaryTable = "YH102";
        query3.PrimaryKeyField = "ID";
        query3.FieldNameList = "*";
        query3.PageSize = 200;
        query3.PageIndex = 1;
        grd3.load(query3, {
            layout : {
                r0c0 : "${YH102_A03}"
            },
            enableBounce : false,
            enableFilter : false,
            gridstyle: "width:100%",
        });
        
        $grd3.scroll(function() {
            var aheight = $(this).find(".grid").height();
            var top = $(this).scrollTop();
            if (top + height >= aheight)
                $(this).ctl().nextPage();
        });

        grd3.afterSelect = function(d) {
            _that._selData.data = d.data;
            _that._selData.type = "0002";
            
            var q = new $.server.queryOptions();
            q.PrimaryTable = "DY106";
            q.PrimaryKeyField = "ID";
            q.FieldNameList = "*";
            q.PageSize = 1;
            q.ConditionExpr = "DY106.A01 = '" + $.server.cache.CurrentUser.Uid + "' AND DY106.A02 = '0002' AND DY106.A03 = '" + d.data.YH102_ID + "'";
            
            $.server.query(q,function(data){
                if(data.DataSource.length > 0){
                    data.DataSource[0]["DY106_A05"] = $.server.currentDate();
                    
                    var udata = $.server.updateOptions(data.Table, [data.DataSource[0]], "DY106", "ID");
                    $.server.update(udata, function (res) {
                        if (res) {
                            _that._dialog.close(true);
                        };
                    });
                }else{
                    var newData = $.server.create(data.Table);
                    newData["DY106_A01"] = $.server.cache.CurrentUser.Uid;
                    newData["DY106_A02"] = "0002";
                    newData["DY106_A03"] = d.data.YH102_ID;
                    newData["DY106_A04"] = d.data.YH102_A03;
                    newData["DY106_A05"] = $.server.currentDate();
                    
                    var udata = $.server.updateOptions(data.Table, [newData], "DY106", "ID");
                    $.server.update(udata, function (res) {
                        if (res) {
                            _that._dialog.close(true);
                        };
                    });
                };
            });
        };

        var groups = $(".form-header .group-header", _that._$callRy);
        if (groups.length > 0) {
            $(groups[0]).removeClass(" c-org-form2").addClass(" c-org-form1");
            $(".form-content ." + $(groups[0]).html(), _that._$callRy).show();
        }
        groups.click(function() {
            groups.removeClass(" c-org-form1").addClass(" c-org-form2");
            $(this).removeClass(" c-org-form2").addClass(" c-org-form1");
            $(".form-content .group-content", _that._$callRy).hide();
            $(".form-content ." + $(this).html(), _that._$callRy).show();
        });
        
        if (_that._options.buttomDivHeight != null) {
            _that._$callRy.append("<div style='height: " + _that._options.buttomDivHeight + "px;'></div>");
        };
    };
};
