function MyCalendar(idStr) {
    var _that = this;
    this._$that = $(idStr);;
    this._$that.data("ctrl", _that);
    this._$that.empty();
    this._options = {
        
    };
    _that._query = null;
    
    _that._getMark = function(){
        var mark = {};
        $.each(_that._data, function(key, val){
            mark[$.date.format(val.RC101_A01, "yyyy-MM-d")] = val.RC101_A04 == "00005WT59OHT0000000000" ? "日志" : "日程" ;
        });
        
        $.util.trigger(_that.afterLoad, {datas: _that._data,
        });
        
        return mark;
    };
    
    
    
    
    this.afterChange = $.util.defaultEvent;
    this.afterLoad = $.util.defaultEvent;
    
    ///数据绑定
    this.load = function(query, options){
        _that._query = $.extend(new $.server.queryOptions(), query);
        $.server.query(_that._query, function(data){
            _that.bind(data, options);
        });
    };
    
    ///数据绑定
    this.bind = function(data, options){
        _that._options = $.extend({
            
        }, options);
        
        _that._data = data.DataSource;
        _that._table = data.Table;
        
        var MyCalendarOptions = {
            language: 'CH', //语言
            showLunarCalendar: true, //阴历
            showHoliday: true, //休假
            showFestival: true, //节日
            showLunarFestival: true, //农历节日
            showSolarTerm: true, //节气
            showMark: true, //标记
            timeRange: {
                startYear: 1900,
                endYear: 2100
            },
            mark: _that._getMark(),
            theme: {
                changeAble: false,
                weeks: {
                    /*
                    backgroundColor: '#FBEC9C',
                                        fontColor: '#4A4A4A',
                                        fontSize: '20px',*/
                    
                },
                days: {
                    /*
                    backgroundColor: '#ffffff',
                                        fontColor: '#565555',
                                        fontSize: '24px'*/
                    
                },
                todaycolor: 'red',
                activeSelectColor: 'red',
            },
        };
        MyCalendarOptions = $.extend(MyCalendarOptions, options);

        _that._Calendar = new SimpleCalendar(idStr, MyCalendarOptions);
        
        _that._Calendar.afterChange = function(op, callback){
            $.util.trigger(_that.afterChange, {
                data: op.data,
            });
        };
    };
    
    ///重新绑定
    this.refresh = function() {
        _that.load(_that._query, _that._options);
    }
};
