function Upload($this, options) {
	var _that = this;
	this._$that = $this;
	this._$that.data("ctrl", _that);
	this._$k = null;
	this._query = new $C.server.queryOptions();
	this._options = $.extend({
		guid: null,
		size: 1024 * 1024,//1M
		count: 1,
		allowExt: "*"
	}, options);

	this.afterSelect = $C.util.defaultEvent;
	this.afterSave = $C.util.defaultEvent;

	this._init = function () {
		_that._$k = $C("<input type='file' name='file' />", null, true);
		_that._$that.append(_that._$k);
	}

	this.load = function (options) {
		_that._options = $.extend({}, _that.options, options);
		if (_that._options.guid == null) {
			var guidUrl = "";
		} else {
			var guidUrl = "?GUID=" + _that._options.guid;
		}
		_that._$k.kendoUpload({
			async: {
				saveUrl: "/handlers/uploadhandler.ashx" + guidUrl,
			},
			showFileList: false,
			select: function (e) {
				$C.util.trigger(_that.afterSelect, e);
			},
			success: function (e) {
				$C.util.trigger(_that.afterSave, e.response);
			},
			error: function (e) {
				$C.util.trigger(_that.afterSelect, e);
			},
			localization: {
				select: "选择文件"
			}
		});
	};

	this._init();
}
