$(document).ajaxStart(function() {
    $('#main-loading-container').addClass('loading-inactive');
    $("#main-loading-container").show();
    //$("#main-loading-progress").show();

}).ajaxStop(function(a, b, c) {
    $("#main-loading-container").hide();
    //$("#main-loading-progress").hide();
});

function sleep(numberMillis) {
    var now = $.server.currentDate();
    var exitTime = now.getTime() + numberMillis;
    while (true) {
        now = $.server.currentDate();
        if (now.getTime() > exitTime)
            return;
    }
}

$.extend({
    util : {
        loadingCount : 0,
        enableLoading : function(op) {
            if (op) {
                if ($.util.loadingCount == 0) {
                    $.util.loadingCount++;
                    setTimeout(function() {
                        if ($.util.loadingCount > 0) {
                            if (window["uexWindow"]) {
                                uexWindow.toast("1", "5", "正在加载...", 300000);
                            }
                        }
                    }, 200);
                }
            } else {
                $.util.loadingCount--;

                setTimeout(function() {
                    if ($.util.loadingCount <= 0) {
                        $.util.loadingCount = 0;
                        if (window["uexWindow"]) {
                            uexWindow.closeToast();
                        }
                    }
                }, 500);
            }
        },
        isMobile : function() {
            if (window["appcan"])
                return 1;
            else {
                return 0;
            }
            if (/AppleWebKit.*Mobile/i.test(navigator.userAgent) || (/MIDP|SymbianOS|NOKIA|SAMSUNG|LG|NEC|TCL|Alcatel|BIRD|DBTEL|Dopod|PHILIPS|HAIER|LENOVO|MOT-|Nokia|SonyEricsson|SIE-|Amoi|ZTE/.test(navigator.userAgent))) {
                try {
                    if (/Android|webOS|iPhone|iPod|BlackBerry/i.test(navigator.userAgent)) {
                        return 1;
                    } else if (/iPad/i.test(navigator.userAgent)) {
                    } else {
                        window.location.href = "http://shipei.qq.com/simple/s/index/"
                    }
                } catch (e) {
                }
            }
            return 0;
        },
        database : {
            _dataName : 'goright',
            //打开数据库，并且只打开一次
            _openDataBase : function(callback) {
                var me = $.util.database;
                if (me.dbIsOpen) {
                    callback();
                    return;
                }
                me.dbIsOpen = true;
                uexDataBaseMgr.cbOpenDataBase = function(opId, dataType, data) {
                    me.dbIsOpen = (dataType == 2 && data == 0);
                    me._initTable(callback);
                };
                uexDataBaseMgr.openDataBase(me._dataName, 1);
            },
            _closeDataBase : function() {
                uexDataBaseMgr.closeDataBase(me._dataName, "")
            },
            //初始化数据表
            _initTable : function(callback) {
                var me = $.util.database;
                var sql = "CREATE TABLE IF NOT EXISTS data(_id INTEGER PRIMARY KEY,k TEXT,v TEXT)";
                me.exeSql(sql, callback);
            },
            exeSql : function(sql, succCall, errCall) {
                var me = $.util.database;
                me._index = (me._index || 0) + 1;
                me._callback = (me._callback || {});

                if (succCall || errCall) {
                    me._callback[me._index] = {
                        'succCall' : succCall,
                        'errCall' : errCall
                    };
                }
                if (sql.toUpperCase().substr(0, 6) == 'SELECT') {
                    uexDataBaseMgr.cbSelectSql = function(opId, dataType, data) {
                        data = eval('(' + data + ')');
                        if (data.length > 0) {
                            data = unescape(data[0].v);
                        } else {
                            data = null;
                        }
                        me._callback[opId] && me._callback[opId]['succCall'] && me._callback[opId]['succCall'](data);
                    };
                    uexDataBaseMgr.selectSql(me._dataName, me._index, sql)
                } else {
                    //设置回调函数
                    uexDataBaseMgr.cbExecuteSql = function(opId, dataType, data) {
                        if (dataType == 2 && data == 0) {
                            me._callback[opId] && me._callback[opId]['succCall'] && me._callback[opId]['succCall']();
                        } else {
                            me._callback[opId] && me._callback[opId]['errCall'] && me._callback[opId]['errCall']();
                        }
                        delete me._callback[opId];
                    };
                    //执行sql语句
                    uexDataBaseMgr.executeSql(me._dataName, me._index, sql);
                }
            },
            //获取一个值，获取成功后调用callback
            clear : function(callback) {
                $.util.database._openDataBase(function() {
                    $.util.database.exeSql("DELETE FROM data WHERE 1=1", callback);
                });
            },
            //获取一个值，获取成功后调用callback
            get : function(k, callback) {
                $.util.database._openDataBase(function() {
                    $.util.database.exeSql("SELECT v FROM data WHERE k='" + k + "'", callback);
                });
            },
            //设置一个值，设置成功后调用callback
            set : function(k, v, callback) {
                $.util.database._openDataBase(function() {
                    $.util.database.exeSql("DELETE FROM data WHERE k='" + k + "'", function() {
                        $.util.database.exeSql("INSERT INTO data (k,v) VALUES ('" + k + "','" + escape(v) + "')", callback);
                    });
                });

            }
        },
        cacheLongClear: function (callback){
            var version = $.util.cache('version');
            if (version == "01.01.0001") {
                if ($.isFunction(callback)) {
                    callback();
                };
            }else {
                $.util.database.clear(function() {
                    if ($.isFunction(callback)) {
                        callback();
                    };
                });    
            }
        },
        cacheLong : function(name, val, callback) {
            var version = $.util.cache('version');
            if (val === undefined || $.isFunction(val)) {
                callback = val;
                if (version == "01.01.0001") {
                    callback($.util.cache(name));
                } else {
                    $.util.database.get(name, function(val) {
                        if ($.isFunction(callback)) {
                            val = $.evalJSON(val);
                            if(val != null){
                                val = $C.date.objParseDate(val);    
                            }
                            callback(val);
                        };
                    });
                }
            } else {
                if (version == "01.01.0001") {
                    $.util.cache(name, val);
                    callback();
                } else {
                    val = {
                        val : val
                    };
                    val = $.date.objFormatDate($.extend(true, {}, val)).val;
                    val = $.toJSON(val);
                    $.util.database.set(name, val, function() {
                        if ($.isFunction(callback)) {
                            callback();
                        }
                    });
                }
            }
        },
        cacheClear : function() {
            $(appcan.locStorage.keys).each(function (){
                appcan.locStorage.remove(this);
            })
        },
        cache : function(name, val) {
            if (val === undefined) {
                val = $.evalJSON(appcan.locStorage.getVal(name));
                val = $C.date.objParseDate(val);
                return val;
            } else {
                if (val != null) {
                    val = {
                        val : val
                    };
                    val = $.date.objFormatDate($.extend(true, {}, val)).val;
                }
                val = $.toJSON(val);
                appcan.locStorage.setVal(name, val);
            }
        },
        confirm : function(msg, callback) {
            if ($.util.isMobile()) {
                appcan.window.confirm("请选择", msg, ["确定", "取消"], function(e, result) {
                    if ($.isFunction(callback)) {
                        callback(result == 0);
                    }
                });
            } else {
                bootbox.confirm("<div style='padding:15px;'>" + msg + "</div>", function(result) {
                    if ($C.isFunction(callback)) {
                        callback(result);
                    }
                });
            }
        },
        getUrlParms : function(name) {
            var reg = new RegExp("(^|&)" + name + "=([^&]*)(&|$)");
            var r = window.location.search.substr(1).match(reg);
            if (r != null)
                return unescape(r[2]);
            return null;
        },
        info : function(msg) {
            if ( msg instanceof Object)
                msg = $C.toJSON(msg);
            appcan.window.alert("温馨提示", msg, "确定", function() {
            });
            return false;
        },
        warn : function(msg) {
            if ( msg instanceof Object)
                msg = $C.toJSON(msg);
            if ($.util.isMobile()) {
                appcan.window.alert("温馨提示", msg, "确定");
            } else {
                new DialogWindow({
                    title : "温馨提示"
                }).addContent($C("<div style='padding:15px;'>" + msg + "</div>")).open();
                //Notify(msg, 'bottom-left', '10000', 'danger', 'fa-warning', true);
            }
            return false;
        },
        error : function(msg) {
            if ( msg instanceof Object)
                msg = $C.toJSON(msg);
            if ($.util.isMobile()) {
                appcan.window.alert("温馨提示", msg, "确定");
            } else {
                if (window["DialogWindow"]) {
                    new DialogWindow({
                        title : "温馨提示"
                    }).addContent($C("<div style='padding:15px;'>" + msg + "</div>")).open();
                } else {
                    alert(msg);
                }
            }
            //Notify(msg, 'bottom-left', '30000', 'danger', 'fa-warning', true);
            return false;
        },
        log : function(msg) {
            //kendoConsole.log(msg);
        },
        debug : function() {
            var debug = 'debug';
        },
        observable : function(data) {
            var viewModel = kendo.observable(data);
            return viewModel;
        },
        bind : function($ele, data) {
            var viewModel = kendo.observable(data);
            kendo.bind($ele, viewModel);
            return viewModel;
        },
        join : function(sep, array, field) {
            var result = "";
            $C(array).each(function() {
                var str = this;
                if (field)
                    str = this[field];
                if (str) {
                    if (result.length > 0)
                        result += sep;
                    result += str.toString();
                }
            });
            return result;
        },
        parseArray : function(source, childName) {
            var result = [];
            $C(source).each(function() {
                result.push(this);
                if ($C.isArray(this[childName]) || this[childName]["length"]) {
                    var childs = $C.util.parseArray(this[childName], childName);
                    $C(childs).each(function() {
                        result.push(this);
                    })
                }
            });
            return result;
        },
        trigger : function(event, options, callback) {
            if ($C.isFunction(event)) {
                event(options, callback);
            } else {
                if ($C.isFunction(callback)) {
                    callback();
                }
            }
        },
        defaultEvent : function(options, callback) {
            if ($C.isFunction(callback)) {
                callback()
            }
        },
        guid : function() {
            function S4() {
                return (((1 + Math.random()) * 0x10000) | 0).toString(16).substring(1);
            }

            return (S4() + S4() + "-" + S4() + "-" + S4() + "-" + S4() + "-" + S4() + S4() + S4());
        },
        toString : function(obj, fmt) {
            if (obj == null)
                return "";
            if ( typeof (obj) == "string") {
                return obj;
            } else if ( typeof (obj) == "number") {
                return obj;
            } else if ( obj instanceof Date) {
                return $C.date.format(obj, fmt);
            }

        },
        isSame : function(v1, v2) {
            if ((v1 == null || v1 == "" || v1 == undefined) && (v2 == null || v2 == "" || v2 == undefined)) {
                return true;
            } else if (v1 == v2) {
                return true;
            } else {
                return false;
            }
        },
        scroll : function(pnl) {
            $("body").stop(true);
            $("body").scrollTop($(pnl).offset().top - 90);
        },
        autoLogin : function(callback) {
            $.util.cacheLong("loginType", function(loginType) {
                $.util.cacheLong(loginType + "-info", function(info) {
                    if (info) {
                        if (info.autoLogin && info.pwd) {
                            $.server.login(info, function(ret) {
                                if (ret == null) {
                                    $.util.showLogin();
                                } else {
                                    $.util.cache(".GRAUTH", ret);
                                    callback();
                                }
                            }, function() {
                                $.util.showLogin();
                            });
                            return;
                        }
                    }
                    setTimeout($.util.showLogin, 1000);
                });
            });
        },
        showLogin : function() {
            appcan.window.open({
                name : "login",
                data : "login.html",
                aniId : 8,
                type : 4,
                animDuration : 2000
            });
        }
    },
    server : {
        opeType : {
            Equal : 1,
            NotEqual : 2,
            MoreThan : 3,
            LessThan : 4,
            NotMoreThan : 5,
            NotLessThan : 6,
            LeftMatch : 7,
            RightMatch : 8,
            AllMatch : 9,
            Between : 10,
            SelectIn : 11
        },
        ajax : function(op, success, fail) {
            var op = $C.extend({
                type : 'POST',
                dataType : 'json',
                url : null,
                data : null,
                cache : true,
                timeout : 600000,
                async : true,
                isLocal : false,
                isShow : true
            }, op);
            if (!op.isLocal) {
                op.url = $.gr.getServer() + op.url;
                op.headers = {
                    ".GRAUTH" : $.util.cache(".GRAUTH") || ''
                };
            }
            op.success = function(result, a, b, c) {
                $.util.enableLoading(0);
                if (result != null && result.toString().startsWith("<!DOCTYPE html login>")) {
                    $.util.showLogin();
                    return;
                }
                if (op.url != "/page/menu") {
                    result = $C.date.objParseDate(result);
                }
                if (result && result.Error) {
                    $C.util.info(data.Msg);
                } else {
                    success(result, a, b, c);
                }
            }
            op.error = function(xhr, erroType, err, msg) {
                $.util.enableLoading(0);
                if (op.isShow) {
                    if (msg) {
                        if (msg.indexOf('{') == 0) {
                            var ex = $.evalJSON(msg);
                            if (ex.ExceptionMessage) {
                                $.util.error(ex.ExceptionMessage + '\r\n' + op.url);
                            } else if (ex.Message) {
                                $.util.error(ex.Message + '\r\n' + op.url);
                            } else {
                                $.util.error('发生未知错误\r\n' + op.url + msg);
                            }
                        } else if (msg.indexOf('/login.html?ReturnUrl') > -1) {
                            $.util.autoLogin();
                            return;
                        } else if (msg.indexOf('connection failure') > -1) {
                            $.util.error('网络连接失败,请重试!\r\n' + op.url + msg);
                        } else if (msg.indexOf('request timed out') > -1) {
                            $.util.error('网络连接超时,请重试!\r\n' + op.url + msg);
                        } else {
                            $.util.error('发生未知错误\r\n' + op.url + msg);
                        }
                    } else {
                        $.util.error('发生未知错误\r\n' + op.url + err);
                    }
                }
                if ($.isFunction(fail)) {
                    fail(err, msg);
                }
            }
            if (op.data) {
                op.data = {
                    data : $.toJSON(op.data)
                }
            }
            if (op.isLocal) {
                $.ajax(op);
            } else {
                appcan.request.ajax(op);
            }
            if (op.isShow)
                $.util.enableLoading(1);
        },
        queryOptions : function(tableName) {
            this.PrimaryTable = tableName;
            this.PrimaryKeyField = "ID";
            this.Tables = "";
            this.FieldNameList = "*";
            this.CustomOrder = "";
            this.ModuleID = "";
            this.PageSize = 10;
            this.PageIndex = 1;
            this.ConditionExpr = "";
            this.CustomOrder = false;
            this.Conditions = [];
            this.RightControl = true;
            this.ProjectType = "";
            this.ProjectId = null;
            this.IsPage = true;
            this.AddCondition = function(labelNo, fieldName, operator, value) {
                if (this.Conditions) {
                    var strs = fieldName.split('.');
                    if (strs.length != 2) {
                        $C.util.error("添加条件错误fieldName:" + fieldName);
                        return;
                    }
                    this.Conditions.push({
                        TableName : strs[0],
                        ColumnName : strs[1],
                        LabelNo : labelNo,
                        Operator : operator,
                        Value : value
                    });
                }
            };
        },
        query : function(query, callback, isCache, isShow) {
            var queryJson = $.toJSON(query);
            if (isCache !== false && $.util.cache(queryJson)) {
                var result = $.extend(true, null, $.util.cache(queryJson));
                if ($C.isFunction(callback)) {
                    callback(result);
                }
                return;
            }
            $.server.ajax({
                url : "/api/Base/QueryData?" + Math.random(),
                data : query,
                isShow : isShow
            }, function(result) {
                if (result && result.ServerDate) {
                    $.util.cache('SERVER_DATE', result.ServerDate.getTime());
                    $.util.cache('SERVER_DATE_COUNT', 0);
                }
                // 当没有数据时，也需要给他设置FormVisible和GridVisible属性 zxilu 2015-10-08
                $C(result.Table.FieldList).each(function() {
                    this.FormVisible = function() {
                        var visible = 0;
                        if (this.ColVisible > 0 && this.ColRight > 0) {
                            visible = 1;
                        }
                        return visible;
                    }

                    this.GridVisible = function() {
                        var visible = 0;
                        if (this.ColVisible > 0 && this.ColRight > 0 && this.ProjectVisible > 0) {
                            visible = 1;
                        }
                        return visible;
                    }
                });

                for (var i = 0; i < result.DataSource.length; i++) {
                    var data = result.DataSource[i];
                    data["_ROWSTATE"] = 0;
                    if (result.Table) {
                        $C(result.Table.FieldList).each(function() {
                            var fieldName = this.TableName + "_" + this.ColName;
                            if (data[fieldName] === undefined) {
                                data[fieldName] = null;
                            }
                            if (this.EditFormat.startsWith("LOOK") || this.EditFormat.startsWith("AUTO")) {
                                if (data[fieldName + "MC"] === undefined) {
                                    data[fieldName + "MC"] = null;
                                }
                            }
                        });
                    }
                    data._oridata = $C.extend({}, data);
                }
                if (query.PrimaryTable.startsWith('SS')
                && query.PrimaryTable != 'SS107'
                && query.PrimaryTable != 'SS203'
                && query.PrimaryTable != 'SS204'
                && query.PrimaryTable != 'SS213') {
                    $.util.cache(queryJson, result);
                }
                if ($C.isFunction(callback)) {
                    callback(result);
                }
            });
        },
        update : function(data, callback) {
            var oridata = [];
            for (var i = 0; i < data.DataList.length; i++) {
                var tdata = data.DataList[i];
                if (tdata._oridata) {
                    delete tdata._oridata._ROWNUM;
                    oridata.push($C.date.objFormatDate(tdata._oridata));
                }
                var cdata = $C.extend({}, tdata._oridata);
                cdata["_ROWSTATE"] = tdata["_ROWSTATE"];
                $C(data.Table.FieldList).each(function() {
                    cdata[this.TableName + "_" + this.ColName] = tdata[this.TableName + "_" + this.ColName];
                    if (this.EditFormat && this.EditFormat.indexOf('LOOK') == 0) {
                        cdata[this.TableName + "_" + this.ColName + "MC"] = tdata[this.TableName + "_" + this.ColName + "MC"];
                    }
                });
                data.DataList[i] = $C.date.objFormatDate(cdata);
            }
            data.OriData = oridata;

            $.server.ajax({
                url : "/api/Base/UpdateData?" + Math.random(),
                data : data
            }, function(result) {
                if ($C.isFunction(callback)) {
                    callback(result);
                }
            });
        },
        updateOptions : function(table, dataSource, tableName, keyField) {
            var datas = {
                PrimaryTable : tableName,
                PrimaryKeyField : keyField,
                Table : table,
                DataList : dataSource
            }
            return datas;
        },
        create: function (table) {
            var data = {
                _ROWSTATE: 1,
                isNew: function () {
                    return this._ROWSTATE == 1;
                }
            };
            $C(table.FieldList).each(function () {
                var fname = this.TableName + "_" + this.ColName;
                if (this.ColName == "ID") {
                    data[fname] = $.server.createNewId();
                    return;
                }

                var isLookup = false;
                if (this.EditFormat) {
                    isLookup = this.EditFormat.startsWith("LOOK") || this.EditFormat.startsWith("AUTO");
                    if (this.EditFormat.startsWith("LOOK(SS203|A04|A01|")) {
                        data[fname] = $.server.createNewId();
                        data[fname + "MC"] = "";
                        return;
                    }
                }

                if ((this.ColDefault + "").length > 0) {
                    var def = this.ColDefault.split('|');
                    def[0] = $C.macro.get(def[0]);
                    data[fname] = def[0];
                    if (isLookup) {
                        if (def.length == 2) {
                            def[1] = $C.macro.get(def[1]);
                            data[fname + "MC"] = def[1];
                        } else {
                            $C.util.error("Lookup类型默认值设置出错");
                            return;
                        }
                    }
                } else {
                    data[fname] = null;
                    if (isLookup) {
                        data[fname + "MC"] = null;
                    }
                }
            });
            return data;
        },
        createNewId: function () {
            var cid = $.server.cache.CurrentUser.UserNo.substr(0, 4);
            var dateId = $.server.getDateId();
            var uid = $.server.cache.CurrentUser.UserNo.substr(4, 4);
            return cid.padLeft(4, '0') + dateId.ms.padLeft(8, '0') + uid.padLeft(4, '0') + dateId.rd.padLeft(4, '0') + 'ZZ';
        },
        getDateId: function () {
            var ms = $.server.currentDate() - new Date(2001,0,1,0,0,0);
            if (window["NEW_ID"] && window["NEW_ID"].ms == ms) {
                window["NEW_ID"].rd += 1;
            } else {
                window["NEW_ID"] = {
                    ms: ms,
                    rd: 0
                }
            }
            
            return {
                ms: window["NEW_ID"].ms.toString(36).toUpperCase(),
                rd: window["NEW_ID"].rd.toString(36).toUpperCase()
            };
        },
        dataHasChange : function(table, data) {
            var defData = $.server.create(table);
            var ret = false;
            $(table.FieldList).each(function() {
                var p = this.TableName + "_" + this.ColName;
                if (this.FormVisible() == 0) {
                    return;
                }
                if (this.ColDefault == "@DATE") {
                    return;
                }
                if (!$.util.isSame(defData[p], data[p])) {
                    ret = true;
                }
            });
            return ret;
        },
        navigate : function(id, parms, back) {
            if ($.util.isMobile()) {
                var menu = null;
                $($.server.cache.Menus).each(function() {
                    if (this["SS002_A01"] == id)
                        menu = this;
                    return;
                });
                if (menu != null) {
                    $.util.cache("pname", window["$page"] ? $page.name : null);
                    $.util.cache("menu", menu);
                    $.util.cache("parms", parms || null);
                    $.util.cache("SS002_A01", menu["SS002_A01"]);
                    appcan.window.open({
                        name : menu["SS002_A01"],
                        data : "frame.html",
                        aniId : 10,
                        type : 256,
                        animDuration : 350
                    });
                }
                return;
            }
            //0或null为页面跳转-增历史，1为菜单跳转-清空历史，2为返回，减历史
            var cname = "page-c" + id;
            if (!back) {
                $C("#page-body", null, true).children().hide();
            } else if (back == 1) {
                $index.history = [];
                $C("#page-body", null, true).children().remove();
            }
            $index.history.push(cname);
            $P = $C("<div class='" + cname + "'></div>");
            $C("#page-body", null, true).append($P);
            window.$page = $C.extend({}, $C.client.page);
            $P.data("page", $page);
            $C($.server.cache.Menus).each(function() {
                if (this["SS002_A01"] == id) {
                    $page.menu = this;
                }
            })

            $page.beforeQuery = $C.util.defaultEvent;
            $page.parms = $C.extend({}, parms);
            $.server.ajax({
                url : "/page/menu",
                dataType : "html",
                data : {
                    id : id,
                    userid : $.server.cache.CurrentUser.Uid
                }
            }, function(html) {
                $C(".breadcrumb .active", null, true).remove();
                $C($.server.cache.Modules).each(function() {
                    if (this["SS001_A01"] == $page.menu["SS002_A04"]) {
                        $C(".breadcrumb", null, true).append("<li class='active'>" + this["SS001_A02"] + "</li>");
                    }
                });
                $C(".breadcrumb", null, true).append("<li class='active'>" + $page.menu["SS002_A02"] + "</li>");
                $P.append(html);

                var hcs = ["palegreen", "lightred", "blue", "magenta", "blueberry", "gold"]
                if ($C("#left-body").children().length == 0) {
                    $C("#left-panel").remove();
                    $C("#main-panel").removeClass("col-xs-10").addClass("col-xs-12")
                }
                var fieldset = $C("#main-panel fieldset");
                var $panels = [];
                if (fieldset.length == 0) {
                    $page.defWidget = $page.menu["SS002_A02"];
                    $pnl = $C.ctrl.panel($page.menu["SS002_A02"], $C("#main-body").html(), hcs[0]);
                    $panels.push($pnl);
                } else {
                    $C(fieldset).each(function(i) {
                        var header = $C("legend", $C(this)).html();
                        if (i == 0) {
                            $page.defWidget = header;
                        }
                        var body = $C("div", $C(this)).first().html();
                        $pnl = $C.ctrl.panel(header, body, hcs[i % 5]);
                        $pnl.addClass($C(this).attr("class"));
                        $(".widget-header", $pnl).addClass($C("legend", $C(this)).attr("class"));
                        $pnl.data("header", header);
                        $panels.push($pnl);
                    })
                }

                $C("#main-body").empty();
                $C("#main-body").append($panels);
                $C(".scrollBar", null, true).empty();
                $C($panels).each(function() {
                    if (!$(this).find(".widget-header").first().hasClass("no-fix")) {
                        $(this).find(".widget-header").first().addClass("auto-fix");
                    }
                    var header = $C(this).data("header");
                    if (header) {
                        var $s = $C("<div><a>" + $C(this).data("header").substr(0, 1) + "</a></div>");
                        $s.data("target", $C(this));
                        $s.click(function() {
                            $C.util.scroll($C(this).data("target"));
                        });
                        $C(".scrollBar", null, true).append($s);
                    }
                });

                if ($index.history.length > 1) {
                    $page.addButtons([{
                        icon : "back",
                        color : "red",
                        text : "返回",
                        click : function() {
                            var returnPage = $index.history[$index.history.length - 1];
                            $C("#page-body", null, true).children().last().remove();
                            $index.history.length = $index.history.length - 1;
                            $P = $C("#page-body", null, true).children().last();
                            $P.show();
                            $page = $P.data("page");
                        }
                    }]);
                }

                InitiateWidgets();
                if ($C("#left-body").children().length > 0) {
                    var height = $C(window).height() - $C("#left-body").children().first().offset().top - 20;
                    if (height > 0) {
                        $C("#left-body").children().first().height(height);
                    }
                }
                var pageps = $C.evalJSON($page.menu["SS002_A05"]);
                $.server.ajax({
                    url : "/ViewsSrc/" + pageps.JS + ".js",
                    dataType : "script",
                    type : "GET",
                    cache : true
                }, function() {
                    function fixHeader($pnl, isFix) {
                        var fixed = $pnl.data("fixed");
                        if ((fixed && isFix) || (!fixed && !isFix))
                            return;
                        if (isFix) {
                            $pnl.data("top", $pnl.offset().top);
                            $pnl.width($pnl.width());
                            $pnl.parent().css("margin-top", $pnl.height() + 8);
                            $pnl.addClass("fix-header");
                            $pnl.data("fixed", true);
                        } else {
                            $pnl.css("width", "auto");
                            $pnl.parent().css("margin-top", "0");
                            $pnl.removeClass("fix-header");
                            $pnl.data("fixed", false);
                        }
                    }

                    function Add_Data() {
                        var scroll = parseInt($(window).scrollTop());

                        var $pnlFix = null;
                        var minTop = -999999;
                        var $pnls = [];
                        $C(".auto-fix").each(function() {
                            var $this = $(this);
                            $pnls.push($this);
                            if ($this.is(":hidden"))
                                return;
                            var top = parseInt($this.offset().top) - 80 - scroll;
                            if ($this.data("fixed")) {
                                top = $this.data("top") - 80 - scroll;
                            }
                            if (top <= 0) {
                                if (top > minTop) {
                                    $pnlFix = $this;
                                    minTop = top;
                                }
                            }
                        });
                        $C($pnls).each(function() {
                            if ($pnlFix == this) {
                                fixHeader(this, true);
                            } else {
                                fixHeader(this, false);
                            }
                        });
                        //var top = $demo.offset().top - 80;
                        //var cha = parseInt(top) - parseInt(scrolla);
                        //if (loaded && cha <= 0) {
                        //    $demo.width($demo.width());
                        //    $demo.parent().css("margin-top", $demo.height() + 8);
                        //    $demo.addClass("fix-header");
                        //    loaded = false;
                        //}
                        //if (!loaded && cha > 0) {
                        //    $demo.parent().css("margin-top", "0");
                        //    $demo.parent().css("height", "auto");
                        //    $demo.removeClass("fix-header");
                        //    loaded = true;
                        //}
                    }


                    $(window).scroll(Add_Data);
                });
            });
        },
        api : function(data, callback) {
            data = $C.extend({
                path : null,
                parms : null,
                isShow : true
            }, data);
            var isShow = data.isShow;
            data.isShow = undefined;
            $.server.ajax({
                url : "/api/Base/Bll?" + Math.random(),
                data : data,
                isShow : isShow
            }, function(result) {
                if ($C.isFunction(callback)) {
                    callback(result);
                }
            });
        },
        initData : function(server, callback) {
            if (server) {
                $.util.cacheLong("INIT_DATA", function(d){
                    if(d){
                        $.server.cache = d;
                        $.server.cache.AID = '____________' + $.server.cache.CurrentUser.UserNo.substr(4, 4) + "______";
                        $.util.cache("INIT_DATA", $.server.cache);
                        if ($.isFunction(callback)) {
                            callback();
                        }
                        $.server.ajax({
                            url : "/api/Base/ServerDate?" + Math.random(),
                            data : {
                                type : $.util.isMobile() ? "0002" : "0001"
                            }
                        }, function(result) {
                            $.server.ServerDate = result;
                            $.util.cache('SERVER_DATE', $.server.ServerDate.getTime());
                            $.util.cache('SERVER_DATE_COUNT', 0);
                        });
                    }else{
                        $.server.isLogin(function(ret) {
                            if (ret) {
                                $.server.ajax({
                                    url : "/api/Base/InitData?" + Math.random(),
                                    data : {
                                        type : $.util.isMobile() ? "0002" : "0001"
                                    }
                                }, function(result) {
                                    $.server.cache = result;
                                    $.server.ServerDate = $.date.objParseDate($.server.cache.ServerDate);
                                    $.util.cache('SERVER_DATE', $.server.ServerDate.getTime());
                                    $.util.cache('SERVER_DATE_COUNT', 0);
                                    $.server.cache.AID = '____________' + $.server.cache.CurrentUser.UserNo.substr(4, 4) + "______";
                                    $.util.cacheLong("INIT_DATA", $.server.cache, function (){});
                                    $.util.cache("INIT_DATA", $.server.cache);
                                    if ($.isFunction(callback)) {
                                        callback();
                                    }
                                });
                            } else {
                                $.util.autoLogin(function() {
                                    $.server.ajax({
                                        url : "/api/Base/InitData?" + Math.random(),
                                        data : {
                                            type : $.util.isMobile() ? "0002" : "0001"
                                        }
                                    }, function(result) {
                                        $.server.cache = result;
                                        $.server.ServerDate = $.date.objParseDate($.server.cache.ServerDate);
                                        $.util.cache('SERVER_DATE', $.server.ServerDate.getTime());
                                        $.util.cache('SERVER_DATE_COUNT', 0);
                                        $.server.cache.AID = '____________' + $.server.cache.CurrentUser.UserNo.substr(4, 4) + "______";
                                        $.util.cacheLong("INIT_DATA", $.server.cache, function (){});
                                        $.util.cache("INIT_DATA", $.server.cache);
                                        if ($.isFunction(callback)) {
                                            callback();
                                        }
                                    });
                                });
                            }
                        });
                    }
                })
            } else {
                $.server.cache = $.util.cache("INIT_DATA");
                if ($C.isFunction(callback)) {
                    callback();
                }
            }
        },
        forgetPwd : function(data, callback) {
            $.server.ajax({
                url : "/api/Base/forgetPwd?" + Math.random(),
                data : data
            }, function(result) {
                if ($C.isFunction(callback)) {
                    callback(result);
                }
            });
        },
        phoneExists : function(data, callback) {
            $.server.ajax({
                url : "/api/Base/phoneExists?" + Math.random(),
                data : data
            }, function(result) {
                if ($C.isFunction(callback)) {
                    callback(result);
                }
            });
        },
        sendVerify : function(data, callback) {
            $.server.ajax({
                url : "/api/Base/SendVerify?" + Math.random(),
                data : data
            }, function(result) {
                if ($C.isFunction(callback)) {
                    callback(result);
                }
            });
        },
        validateVerify : function(data, callback) {
            $.server.ajax({
                url : "/api/Base/ValidateVerify?" + Math.random(),
                data : data
            }, function(result) {
                if ($C.isFunction(callback)) {
                    callback(result);
                }
            });
        },
        register : function(data, callback) {
            $.server.ajax({
                url : "/api/Base/Register?" + Math.random(),
                data : data
            }, function(result) {
                if ($C.isFunction(callback)) {
                    callback(result);
                }
            });
        },
        login : function(data, success, fail) {
            $.server.ajax({
                url : "/api/Base/Login?" + Math.random(),
                data : data
            }, function(result, a, b, c) {
                if ($.isFunction(success)) {
                    success(result, a, b, c);
                }
            }, function(error, msg) {
                if ($.isFunction(fail)) {
                    fail(error, msg);
                }
            });
        },
        isLogin : function(callback) {
            $.server.ajax({
                url : "/api/Base/isLogin?" + Math.random(),
                data : null
            }, function(result) {
                if ($C.isFunction(callback)) {
                    callback(result);
                }
            }, function (){
                if ($C.isFunction(callback)) {
                    callback(false);
                }
            });
        },
        unLogin : function(callback) {
            $.server.ajax({
                url : "/api/Base/unLogin?" + Math.random(),
                data : null
            }, function(result) {
                if ($C.isFunction(callback)) {
                    callback(result);
                }
            });
        },
        companyInfo : function(url, callback) {
            $.server.ajax({
                url : "/api/Base/CompanyInfoByUrl?" + Math.random(),
                data : {
                    url : url
                }
            }, function(result) {
                if ($C.isFunction(callback)) {
                    callback(result);
                }
            });
        },
        startWF : function(spbm, ids, callback) {
            var ds = [];
            ds.push(spbm);
            ds.push(ids);
            var d = {
                path : "WorkFlow/WorkFlowManager/Start",
                parms : ds
            };
            $.server.api(d, callback);
        },
        nextWf : function(data, callback) {
            var d = {
                path : "WorkFlow/WorkFlowManager/Next",
                parms : data
            };
            $.server.api(d, callback);
        },
        cache : {},
        currentDate : function() {
            var serverDate = $.util.cache('SERVER_DATE');
            var count = $.util.cache('SERVER_DATE_COUNT');
            return new Date(serverDate + count * 1000);
        },
        openLocation : function(callback) {
            uexLocation.cbGetAddress = function(opCode, dataType, data) {
                $.util.cache("location", {
                    position : [$page.x, $page.y],
                    address : {
                        fullAddress : data
                    }
                });
            };
            uexLocation.onChange = function(x, y) {
                var params = {
                    latitude : x,
                    longitude : y,
                    from : "bd09",
                    to : "gcj02"
                };
                var data = uexLocation.convertLocation(JSON.stringify(params));
                var obj = JSON.parse(data);
                $page.x = obj.longitude;
                $page.y = obj.latitude;
                $.util.cache("location", {
                    position : [$page.x, $page.y],
                    address : null
                });
                uexLocation.getAddress(x.toString(), y.toString());
            };
            uexLocation.openLocation();
            $.util.cache("location", null);
        },
        location : function(callback) {
            var addr = $.util.cache("location");
            if (addr != null) {
                $.util.cacheLong("LocType", function(op) {
                    if (op != null) {
                        var val = op;
                        if (val.type == "StarLoc") {
                            $.util.trigger(callback, addr);
                        }
                        if (val.type == "StopLoc") {
                        }
                    }
                });
            }
        }
    },
    client : {
        operate : {
            Add : 1,
            Edit : 2,
            Del : 3,
            Export : 4
        },
        treeOptions : function() {
            this.kField = "";
            this.vField = "";
            this.pField = "";
            this.endMark = "";
            this.dataTextField = "";
        },
        page : {
            user : {},
            parms : {},
            beforeQuery : null,
            title : function(widget, title) {
                $C("#pnl_" + widget + " .widget-caption").first().html(title);
            },
            addCustom : function(op) {
                op = $C.extend({
                    widget : $C("#pnl_" + $page.defWidget),
                    ctl : null
                }, op);
                var $c = $C("<div style='float:left'></div>");
                $C(".widget-header .custom", op.widget).append($c);
                $c.append(op.ctl);
            },
            addFilters : function(op, callback) {
                op.widget = op.widget;
                // || $C("#pnl_" + $page.defWidget);
                if (op.widget == null || op.widget.length == 0) {
                    callback(op.query);
                    return;
                }
                function trigger(query) {
                    var cq = $C.extend({}, query);
                    var $k = op.widget.data("$k");
                    var filterData = op.widget.data("filterData");
                    $C.util.trigger($page.beforeQuery, {
                        data : filterData
                    }, function() {
                        if ($k != null && filterData != null) {
                            var sel = $k.dataItem($k.select());
                            if (sel != null) {
                                var filter = "1=1";
                                if ((sel.EditFormat == null || sel.EditFormat == "") && (sel.ColType == "DATETIME" || sel.ColType == "NUMERIC")) {
                                    var val1 = filterData[sel.TableName + "_" + sel.ColName + "_F"];
                                    var val2 = filterData[sel.TableName + "_" + sel.ColName + "_T"];
                                    if (sel.ColType == "DATETIME") {
                                        if (val1 != null) {
                                            val1 = $C.date.format(val1, "yyyy-MM-dd");
                                        }
                                        if (val2 != null) {
                                            val2.setHours(23);
                                            val2.setMinutes(59);
                                            val2.setSeconds(59);
                                            val2 = $C.date.format(val2, "yyyy-MM-dd HH:mm:ss");
                                        }
                                    }
                                    if (val1 != null) {
                                        filter += " AND " + sel.TableName + "." + sel.ColName + " >= '" + val1 + "'";
                                    }
                                    if (val2 != null) {
                                        filter += " AND " + sel.TableName + "." + sel.ColName + " <= '" + val2 + "'";
                                    }
                                } else if (sel.EditFormat == "CHECK(|1|0)") {
                                    var val = filterData[sel.TableName + "_" + sel.ColName];
                                    val = val == 1 ? 1 : 0;
                                    filter += " AND " + sel.TableName + "." + sel.ColName + " = " + val;
                                } else {
                                    var val = filterData[sel.TableName + "_" + sel.ColName];
                                    if (val != null && val.trim() != "") {
                                        filter += " AND " + sel.TableName + "." + sel.ColName + " LIKE '%" + val.trim() + "%'";
                                    }
                                }
                                if (cq.ConditionExpr == null || cq.ConditionExpr.length == 0) {
                                    cq.ConditionExpr = filter;
                                } else {
                                    cq.ConditionExpr = "(" + cq.ConditionExpr + ") AND (" + filter + ")";
                                }
                            }
                        }
                        callback(cq);
                    });
                }

                var wq = $C.extend({}, op.query);
                var newType = op.query.PrimaryTable + "_" + op.query.ProjectType;
                var oldType = op.widget.data("type") || "";
                if (newType != oldType) {
                    op.widget.data("type", newType);
                    $C(".widget-header .filters", op.widget).empty();
                    var q = new $.server.queryOptions();
                    q.PrimaryTable = "SS206";
                    q.ConditionExpr = "SS206.A01 = '" + newType + "' AND ID LIKE '0000________0000______'";
                    $.server.query(q, function(datas) {
                        if (datas.DataSource != null && datas.DataSource.length > 0) {
                            var cq = $C.extend({}, wq);
                            if (cq.ConditionExpr == null || cq.ConditionExpr.length == 0)
                                cq.ConditionExpr = "1=1";
                            cq.ConditionExpr = "(" + cq.ConditionExpr + ") AND " + cq.PrimaryTable + ".ID = '0'";
                            $.server.query(cq, function(ds) {
                                var fields = [];
                                $C(datas.DataSource[0]["SS206_A02"].split(",")).each(function() {
                                    for (var i = 0; i < ds.Table.FieldList.length; i++) {
                                        var f = ds.Table.FieldList[i];
                                        if (this == f.TableName + "." + f.ColName) {
                                            f.ColNull = 1;
                                            f.ColDefault = "";
                                            if (f.EditFormat == "MEMO(100,100)") {
                                                f.EditFormat = null;
                                            }
                                            fields.push(f);
                                            break;
                                        }
                                    }
                                });
                                if (fields.length > 0) {
                                    var $fc = $C("<div style='float:left'></div>");
                                    $C(".widget-header .filters", op.widget).append($fc);
                                    var $field = $C("<input style='width:100px'/>");
                                    $fc.append($field);
                                    var $vc = $C("<div style='float:left;margin: 0 10px 0 10px;'></div>");
                                    $C(".widget-header .filters", op.widget).append($vc);
                                    var $val1 = $C("<div style='float:left;min-width:120px'></div>");
                                    $vc.append($val1);
                                    var $valSep = $C("<div style='float:left'></div>");
                                    $vc.append($valSep);
                                    var $val2 = $C("<div style='float:left'></div>");
                                    $vc.append($val2);
                                    var $bc = $C("<div style='float:left'></div>");
                                    $C(".widget-header .filters", op.widget).append($bc);
                                    var $btn = $C.ctrl.button("", "查询");
                                    $bc.append($btn);

                                    $field.kendoDropDownList({
                                        dataTextField : "DisplayLabel",
                                        dataValueField : "ColName",
                                        dataSource : fields
                                    });
                                    var filterData = $C.util.bind($vc, {});
                                    op.widget.data("filterData", filterData);
                                    var $k = $field.data("kendoDropDownList");

                                    $k.bind("select", function(e) {
                                        var sel = $k.dataItem(e.item);
                                        if (sel) {
                                            $val1.empty();
                                            $val2.empty();
                                            $valSep.empty();
                                            if ((sel.EditFormat == null || sel.EditFormat == "") && (sel.ColType == "DATETIME" || sel.ColType == "NUMERIC")) {
                                                $val1.width(120);
                                                $val2.width(120);
                                                var f1 = $C.extend({}, sel);
                                                f1.DisplayFormat = "";
                                                f1.ColName = f1.ColName + "_F";

                                                $C.field.create($val1, f1, filterData, []);

                                                var f2 = $C.extend({}, sel);
                                                f2.ColName = f2.ColName + "_T";
                                                f2.DisplayFormat = "";
                                                $C.field.create($val2, f2, filterData, []);

                                                $valSep.append("<span style='margin:0 5px 0 5px'>到</span>");
                                            } else {
                                                $val1.css("width", "auto");
                                                $val2.css("width", "auto");
                                                $C.field.create($val1, sel, filterData, []);
                                            }
                                            $C.util.bind($vc, filterData);
                                        }
                                    });
                                    $k.trigger("select");
                                    op.widget.data("$k", $k);
                                    $btn.click(function() {
                                        $C(this).focus();
                                        trigger(wq);
                                    });
                                    $val1.keypress(function(e) {
                                        if (e.keyCode == 13) {
                                            $C(this).blur();
                                            $btn.click();
                                        }
                                    });
                                    $val2.keypress(function(e) {
                                        if (e.keyCode == 13) {
                                            $C(this).blur();
                                            $btn.click();
                                        }
                                    });
                                }
                                trigger(wq);
                            });
                        } else {
                            trigger(wq);
                        }
                    });
                } else {
                    trigger(wq);
                }
            },
            addButtons : function(btns, widget) {
                widget = widget || $page.defWidget;
                var $border = $C("<div class='widget-buttons buttons-bordered " + btns[0].group + "'></div>");
                $C("#pnl_" + widget + " .widget-header .btns").append($border);
                $grp = $C('<div class="btn-group"></div>');
                $border.append($grp);
                $C(btns).each(function() {
                    if (this.type == null || this.type == "btn") {
                        var btn = $C.extend({
                            id : null,
                            text : null,
                            group : null
                        }, this);
                        var $btn = $C.ctrl.button(btn.id, btn.text, btn.icon, btn.color);
                        $btn.click(btn.click);
                        $grp.append($btn);
                    } else if (this.type == "temp") {
                        $grp.append(this.text);
                    }
                });
            }
        }
    },

    macro : {
        get : function(val) {
            var ret = val;
            if (ret && ret.startsWith("@")) {
                ret = ret.substr(1);
                if (ret == "DATE") {
                    ret = $.server.currentDate();
                } else {
                    ret = $.server.cache.CurrentUser[ret];
                }
                if (ret === undefined) {
                    $C.util.info("无法获取宏变量@" + val);
                }
            }
            return ret;
        }
    },
    array : {
        clear : function(arr) {
            arr.length = 0;
        },
        insertAt : function(arr, index, obj) {
            arr.splice(index, 0, obj);
        },
        removeAt : function(arr, index) {
            arr.splice(index, 1);
        },
        remove : function(arr, obj) {
            var index = arr.indexOf(obj);
            if (index >= 0) {
                $.array.removeAt(arr, index);
            }
        }
    },
    date : {
        format : function(date, fmt) {
            if (!date) {
                return "";
            }
            if (!fmt) {
                fmt = "yyyy-MM-dd";
            }
            weekday = new Array('周日', '周一', '周二', '周三', '周四', '周五', '周六');
            var o = {
                "M+" : date.getMonth() + 1, //月份
                "d+" : date.getDate(), //日
                "H+" : date.getHours(), //小时
                "m+" : date.getMinutes(), //分
                "s+" : date.getSeconds(), //秒
                "q+" : Math.floor((date.getMonth() + 3) / 3), //季度
                "S" : date.getMilliseconds(), //毫秒
                "w" : weekday[date.getDay()],//周几
            };
            if (/(y+)/.test(fmt))
                fmt = fmt.replace(RegExp.$1, (date.getFullYear() + "").substr(4 - RegExp.$1.length));
            for (var k in o)
            if (new RegExp("(" + k + ")").test(fmt))
                fmt = fmt.replace(RegExp.$1, (RegExp.$1.length == 1) ? (o[k]) : (("00" + o[k]).substr(("" + o[k]).length)));
            return fmt;
        },
        parseDate : function(data, noMatch) {
            if (data.isDate() || noMatch) {
                var nDate = null;
                var timeArr = null;
                var str = data.replace("T", " ").replace("Z", "").split('+')[0];
                str = str.replaceAll("-", "/");
                var arr = str.split(/[\s]/);
                if (arr.length == 2) {
                    nDate = new Date(arr[0]);
                    timeArr = arr[1].split(/[:.]/);
                    nDate.setHours((timeArr[0] ? timeArr[0] : "00"));
                    nDate.setMinutes((timeArr[1] ? timeArr[1] : "00"));
                    nDate.setSeconds((timeArr[2] ? timeArr[2] : "00"));
                    nDate.setMilliseconds((timeArr[3] ? timeArr[3].substr(0, 3) : "000"));
                } else if (arr.length == 1) {
                    if (arr[0].indexOf("/") >= 0) {
                        //日期
                        nDate = new Date(arr[0]);
                    } else {
                        //时间
                        nDate = new Date(1970, 1, 1);
                        timeArr = arr[0].split(/[:.]/);
                        nDate.setHours((timeArr[0] ? timeArr[0] : "00"));
                        nDate.setMinutes((timeArr[1] ? timeArr[1] : "00"));
                        nDate.setSeconds((timeArr[2] ? timeArr[2] : "00"));
                        nDate.setMilliseconds((timeArr[3] ? timeArr[3] : "000"));
                    }
                }
                return nDate;
            } else
                return data;
        },
        objParseDate : function(data) {
            if ( data instanceof Date || data instanceof Number || typeof data == "boolean" || data instanceof Function)
                return data;
            else if ( typeof data == "string")
                return $C.date.parseDate(data);
            else if ( data instanceof Array)
                $C.each(data, function(index) {
                    data[index] = $C.date.objParseDate(this);
                });
            else if ( data instanceof Object) {
                for (var key in data) {
                    data[key] = $C.date.objParseDate(data[key]);
                }
            }
            return data;
        },
        objFormatDate : function(data) {
            if ($.isFunction(data)) {
                return data;
            } else if ( data instanceof Date) {
                return $C.date.format(data, "yyyy-MM-dd HH:mm:ss");
            } else if ( data instanceof Array)
                $C.each(data, function(index) {
                    data[index] = $C.date.objFormatDate(this);
                });
            else if ( data instanceof Object) {
                for (var key in data) {
                    data[key] = $C.date.objFormatDate(data[key]);
                }
            }
            return data;
        },
        ///获取当天所在周第一天
        getWeekFirst : function(data, num) {
            num = num == null ? 1 : num;
            var newData = new Date(data.getTime() - num * 24 * 60 * 60 * 1000);
            //0周日开始，1周一， 2周二
            var nowDayOfWeek = newData.getDay();

            var diff = nowDayOfWeek - num;

            var weekFirst = new Date(newData.getTime() - diff * 24 * 60 * 60 * 1000);
            return weekFirst;
        },
        ///获取当天所在周最后一天
        getWeekLast : function(data, num) {
            num = num == null ? 1 : num;
            var newData = new Date(data.getTime() - num * 24 * 60 * 60 * 1000);
            //0周日开始，1周一， 2周二
            var nowDayOfWeek = newData.getDay();

            var diff = 6 - nowDayOfWeek + num;

            var weekLast = new Date(newData.getTime() + diff * 24 * 60 * 60 * 1000);
            return weekLast;
        },
        ///取得当月第一天
        getMonFirst : function(data) {
            return new Date(data.getFullYear(), data.getMonth(), 1);
        },
        ///取得当月最后一天
        getMonLast : function(data) {
            return new Date(data.getFullYear(), data.getMonth(), $.date.getMonDays(data));
        },
        ///取得本月的天数
        getMonDays : function(data) {
            var monthStartDate = new Date(data.getFullYear(), data.getMonth(), 1);
            var monthEndDate = new Date(data.getFullYear(), data.getMonth() + 1, 1);
            var days = (monthEndDate - monthStartDate) / (1000 * 60 * 60 * 24);
            return days;
        },
    },
    edit : {
        //edit template属性的时候使用
        createInput : function(container, options) {
            var visible = $C(container).attr("edit-visible");
            var ttype = $C(container).attr("ttype");
            switch (ttype) {
            case "INT IDENTITY":
            case "SMALLINT":
            case "INT":
            case "NUMERIC":
                var num = $C('<input id="' + options.field + '" name="' + options.field + '" type="text"  data-bind="value:' + options.field + '"/>');
                num.appendTo(container);
                num.kendoNumericTextBox();
                break;
            case "DATA":
                var date = $C('<input id="' + options.field + '" name="' + options.field + '" type="text" class=" k-textbox" data-bind="value:' + options.field + '"/>');
                $C(date).kendoDatePicker({
                    format : "yyyy-MM-dd"
                }).appendTo(container);
                break;
            case "DATATIME":
                var date = $C('<input id="' + options.field + '" name="' + options.field + '" type="text" class=" k-textbox" data-bind="value:' + options.field + '"/>');
                $C(date).kendoDateTimePicker({
                    format : "yyyy-MM-dd hh:mm"
                }).appendTo(container);
                break;
            default:
                //string
                $C('<input id="' + options.field + '" name="' + options.field + '" type="text" class=" k-textbox" data-bind="value:' + options.field + '"/>').appendTo(container);
                break;
            }

        },
        //edit template属性的时候使用
        createLabel : function(container, options) {
            //$C("<label id='lb" + options.field + "'>" + 1231 + "</label>")
            $C('<input id="' + options.field + '" name="' + options.field + '" type="text" class="k-textbox" data-bind="value:' + options.field + '"/>').appendTo(container);
        },
        //edit template属性的时候使用
        createDropDownEditor : function(container, options) {

            var editFormat = $C(container).attr("edit-format");
            var str = editFormat.substring(0, editFormat.length - 1).split('(')

            if ($C("[data-bind=\"value:" + options.field + "\"]")) {
                var list = $C.local.GetDataSource(editFormat);
                var json = $C.local.GetListByProp(list[0], list[1], list[2]);

                $C('<input data-text-field="' + list[2] + '" data-value-field="' + list[1] + '" data-bind="value:' + options.field + '"/>').appendTo(container).kendoDropDownList({
                    dataSource : json
                    //optionLabel: "--请选择--"//list[4]
                });
            }
        }
    },
    ctrl : {
        icon : {
            add : "fa-plus-square-o",
            edit : "fa-edit",
            del : "fa-times-circle",
            save : "fa-save",
            view : "fa-file-text-o",
            imp : "fa-upload",
            exp : "fa-download",
            back : "fa-mail-reply-all",
            set : "fa-gear"
        },
        color : {
            themeprimary : "themeprimary",
            red : "danger",
            blue : "blue",
            green : "success",
            yellow : "warning"
        },
        openForm : function($pnl, query, options) {
            $pnl.empty();
            options = $C.extend({
                opeMode : 1,
                isSave : true,
                saveText : "保存",
                isCancel : true,
                cancelText : "取消"
            }, options);
            var $gfrm = $C("<div></div>");
            $gfrm.appendTo($pnl);
            $frm = $C("<div></div>");
            $frm.appendTo($gfrm);
            var $btns = $C("<div class='form-btns' style='text-align:center;'></div>");
            $btns.appendTo($gfrm);
            var frm = new Form($frm);
            if (query["PrimaryTable"])
                frm.load(query, options);
            else
                frm.bind(query, options);
            if (options.opeMode != 0) {
                if (options.isSave) {
                    if ($.util.isMobile()) {
                        var $ok = $('<i class="fa fa-2x fa-save"></i>');
                        $ok.css("margin-top", "0.1em");
                        $ok.css("margin-right", "0.25em");
                        $ok.css("margin-left", "0.25em");
                        $ok.css("cursor", "pointer");
                        $ok.css("color", "#428bca");

                        $ok.appendTo($btns);
                        $ok.click(function() {
                            frm.save();
                        });
                    } else {
                        var $ok = $C.ctrl.button(null, options.saveText, "save", null, "form-save");
                        //$C("<button class='k-primary k-button shiny' style='width:80px;margin:10px 50px 5px 0'>保存</button>");
                        $ok.css("width", 75);
                        $ok.css("margin", "5px 30px 5px 0");
                        $ok.appendTo($btns);
                        $ok.click(function() {
                            frm.save();
                        });
                    };
                }
            }
            if (options.isCancel) {
                if ($.util.isMobile()) {
                    var $cancel = $('<i class="fa fa-2x fa-ban"></i>');
                    $cancel.css("margin-top", "0.1em");
                    $cancel.css("margin-left", "0.25em");
                    $cancel.css("margin-right", "0.25em");
                    $cancel.css("cursor", "pointer");
                    $cancel.css("color", "#428bca");
                    $cancel.appendTo($btns);
                    $cancel.click(function() {
                        $gfrm.remove();
                        $C.util.trigger(options.afterClose);
                    });
                } else {
                    var $cancel = $C.ctrl.button(null, options.cancelText, "back", null, "form-cancel");
                    $cancel.css("width", 75);
                    $cancel.css("margin", "5px 30px 5px 0");
                    $cancel.appendTo($btns);
                    $cancel.click(function() {
                        $gfrm.remove();
                        $C.util.trigger(options.afterClose);
                    });
                };
            }

            return frm;
        },
        panel : function(header, body, headerclass) {
            var html = [];
            html.push("<div class='widget' style='margin:3px 0 15px 0;' id='pnl_" + header + "'>");
            html.push("<div class='widget-header bordered-bottom bordered-themeprimary'>");
            html.push("<i class='widget-icon fa fa-tasks'></i>");
            html.push("<span class='widget-caption' style='margin-right: 10px;'>" + header + "</span>");
            html.push("<span class='widget-caption custom'></span>");
            html.push("<span class='widget-caption filters'></span>");
            html.push("<span class='btns'></span>");
            html.push("<div class='widget-buttons buttons-bordered'>");
            html.push("<a href='#' data-toggle='maximize'><i class='fa fa-expand pink'></i></a>");
            html.push("<a href='#' data-toggle='collapse'><i class='fa fa-minus blue'></i></a>");
            html.push("</div>");
            html.push("</div>");
            html.push("<div class='widget-body' style='padding:0'>" + body + "</div>");
            html.push("</div>");
            return $C($C.util.join("", html));
        },
        btnGroup : function() {
            return "<div class='btn-group'></div>";
        },
        button : function(id, text, icon, color, className) {
            if (id) {
                id = "id='" + id + "'";
            }
            icon = icon || "set";
            color = color || "themeprimary";
            icon = $C.ctrl.icon[icon];
            color = $C.ctrl.color[color];
            return $C('<button ' + id + ' class="btn btn-sm shiny ' + className + '"><i class="fa ' + color + ' ' + icon + '"></i>' + text + '</button>');
        }
    },
    field : {
        create : function($field, field, data, fieldList) {
            field.guid = field.guid || $.util.guid();
            var isHandle = false;
            if (field.EditFormat) {
                var edits = field.EditFormat.replace('(', '|').replace(')', '|').split('|');
                if (edits[0] == "CHECK") {
                    $C.field.createCheckBox(field, $field);
                    isHandle = true;
                } else if (edits[0] == "MEMO") {
                    $C.field.createTextarea(field, $field, data);
                    isHandle = true;
                } else if (edits[0] == "AUTO" || edits[0] == "CODE" || edits[0] == "LOOK") {
                    if (edits[0] == "AUTO" || edits[0] == "CODE") {
                        edits[2] = "BM0000";
                        edits[3] = "MC0000";
                    }
                    var ps = {};
                    if (field.Parms) {
                        ps = $C.evalJSON(field.Parms);
                    }
                    $C.field.createLookup(field, $field, data, edits, ps, fieldList);
                    isHandle = true;
                }
            }
            if (!isHandle) {
                switch (field.ColType) {
                case "INT":
                case "NUMERIC":
                case "DECIMAL":
                    $C.field.createNumericTextBox(field, $field, data);
                    break;
                case "DATETIME":
                    $C.field.createDateTimePicker(field, $field, data);
                    break;
                default:
                    $C.field.createTextbox(field, $field, data);
                    break;
                //日期 短日期 富文本
                }
            }
            $field.append($("<span data-for='" + field.TableName + "_" + field.ColName + "_" + field.guid + "' class='k-invalid-msg' style='    position: absolute;top: 7px;right: 5px;' ></span>"));
        },
        ///文本框
        createTextbox : function(field, $pnl) {
            var required = '';
            if (field.ColNull == 0) {
                required = "required validationMessage=' '";
                //$pnl.addClass("form-group has-error has-feedback");
            }
            if (field.ColWidth && field.ColWidth > 0) {
                required += " maxlength='" + field.ColWidth + "'";
            }
            var $ctl = $C("<textarea placeholder='请输入"+field.DisplayLabel+"...' class='sc-text' field='" + field.TableName + "_" + field.ColName + "' id='" + field.guid + "' name='" + field.TableName + "_" + field.ColName + "_" + field.guid + "' type='text' data-bind='value:" + field.TableName + "_" + field.ColName + "' " + required + "></textarea>");
            $ctl.appendTo($pnl);
            if ($.util.isMobile()) {
                if (!field.editable) {
                    $ctl.attr('readonly', 'readonly');
                }
            } else {
                $ctl.kendoMaskedTextBox({});
                $ctl.data("kendoMaskedTextBox").enable(field.editable);
            }
            $ctl.keydown(function(e) {
                var key = window.event ? e.keyCode : e.which;
                if (key.toString() == "13") {
                    return false;
                }
            });
            $ctl.flexText();
        },
        ///文本框
        createTextarea : function(field, $pnl, data) {
            var required = '';
            if (field.ColNull == 0) {
                required = "required validationMessage=' '";
                //$pnl.addClass("form-group has-error has-feedback");
            }
            if (field.ColWidth && field.ColWidth > 0) {
                required += " maxlength='" + field.ColWidth + "'";
            }
            var $ctl = $C("<textarea placeholder='请输入"+field.DisplayLabel+"...' class='sc-text' field='" + field.TableName + "_" + field.ColName + "' id='" + field.guid + "' name='" + field.TableName + "_" + field.ColName + "_" + field.guid + "' class='f-textarea' style='width:100%' type='text' data-bind='value:" + field.TableName + "_" + field.ColName + "' " + required + "></textarea>");
            $ctl.appendTo($pnl);
            if ($.util.isMobile()) {
                $ctl.removeClass('k-textbox');
                if (!field.editable) {
                    $ctl.attr('readonly', 'readonly');
                }
            }
            $ctl.flexText();
            return $ctl;
        },
        //数字格式
        createNumericTextBox : function(field, $pnl, data) {
            var required = "";
            if (field.ColNull == 0) {
                required = "required validationMessage='不能为空'";
                if ($.util.isMobile()) {
                    required = "required validationMessage=' '";
                }
                //$pnl.addClass("form-group has-error has-feedback");
            }

            var $ctl = $("<input placeholder='请输入"+field.DisplayLabel+"...' field='" + field.TableName + "_" + field.ColName + "' id='" + field.guid + "' type='number' name='" + field.TableName + "_" + field.ColName + "_" + field.guid + "' style='width:100%' data-bind='value:" + field.TableName + "_" + field.ColName + "' " + required + "/>");
            $pnl.addClass('uinput');
            $ctl.appendTo($pnl);
            if (!field.editable) {
                $ctl.attr('readonly', 'readonly');
            }
            return $ctl;
        },
        //日期格式
        createDateTimePicker : function(field, $pnl, data) {
            var format = field.DisplayFormat || "yyyy-MM-dd";
            var op = {
                enable : field.editable,
                format : format
            };
            var type = 'date';
            if (format.indexOf("HH:mm") > -1) {
                if (format.indexOf("yyyy") > -1) {
                    type = 'datetime';
                } else {
                    type = 'time';
                }
            }

            var required = "";
            if (field.ColNull == 0) {
                required = "required validationMessage=' '";
                //$pnl.addClass("form-group has-error has-feedback");
            }

            var $ctl = $("<textarea placeholder='请输入"+field.DisplayLabel+"...' class='sc-text' field='" + field.TableName + "_" + field.ColName + "' id='" + field.guid + "' name='" + field.TableName + "_" + field.ColName + "_" + field.guid + "' class='f-textarea' style='width:100%' type='text' " + required + "></textarea>");

            $ctl.appendTo($pnl);
            $ctl.val($.date.format(data[field.TableName + "_" + field.ColName], format));

            data.bind("change", function(op) {
                if (op.field == field.TableName + "_" + field.ColName) {
                    $ctl.val($.date.format(data[field.TableName + "_" + field.ColName], format));
                }
            })
            $ctl.flexText();
            if (!field.editable) {
                $ctl.attr('readonly', 'readonly');
            } else {
                var currYear = (new Date()).getFullYear();

                var opt = {};
                opt.date = {
                    preset : 'date'
                };
                opt.datetime = {
                    preset : 'datetime'
                };
                opt.time = {
                    preset : 'time'
                };

                opt.default = {
                    theme : 'android-ics light', //皮肤样式
                    display : 'bottom', //显示方式
                    lang : 'zh',
                    nowText : "今天",
                    showNow : true,
                    startYear : currYear - 30, //开始年份
                    endYear : currYear + 30, //结束年份
                    //headerText: "aaabbb",//头部文字
                    //dayText : '日',
                    //monthText : '月',
                    //yearText : '年', //面板中年月日文字
                    rows : 3, //行数
                    dateFormat : 'yy-mm-dd', // 日期格式
                    //stepMinute : 1, //分钟间隔
                    mode : 'scroller', //日期选择模式
                    //showLabel : true, //显示/隐藏标签
                    // fixedWidth : 140,
                    //height : 60, //高度
                    //minWidth : 100, //最小宽度
                    //maxWidth : 300, //最大宽度
                    // closeOnOverlay : false,
                    // buttons:[
                    // 'cancel',
                    // {
                    // text: '清空',
                    // handler: 'clear'
                    // },
                    // 'set',
                    // ],
                    // onBeforeClose : function(valueText, btn, inst) {
                    // if (btn == "set") {
                    // var val = $.date.parseDate(valueText, 1);
                    // data.set(field.TableName + "_" + field.ColName, val);
                    // }else if(btn == "cancel"){
                    // if(data[field.TableName + "_" + field.ColName] == null){
                    // data.set(field.TableName + "_" + field.ColName, null);
                    // };
                    // }else{
                    // data.set(field.TableName + "_" + field.ColName, null);
                    // };
                    // console.log(btn);
                    // },
                    onSelect: function(valueText, inst){
                        var val = $.date.parseDate(valueText, 1);
                        data.set(field.TableName + "_" + field.ColName, val);
                    },
                    onClose : function(valueText, inst) {
                        if (inst == "clear") {
                            data.set(field.TableName + "_" + field.ColName, null);
                        };
                    },
                };
                var optDate = $.extend(opt['date'], opt['default']);
                var optDateTime = $.extend(opt['datetime'], opt['default']);
                var optTime = $.extend(opt['time'], opt['default']);
                if (type == 'datetime') {
                    $ctl.mobiscroll().datetime(optDateTime);
                } else if (type == 'time') {
                    $ctl.mobiscroll().time(optTime);
                } else {
                    $ctl.mobiscroll().date(optDate);
                }
                ;
            }

            return $ctl;
        },
        //Lookup格式
        createLookup : function(field, $pnl, data, edits, parms, fieldList, isGrid) {
            var required = false;
            if (field.ColNull == 0) {
                required = true;
                //$pnl.addClass("form-group has-error has-feedback");
            }
            $ctl = $C("<div field='" + field.TableName + "_" + field.ColName + "' style='width:100%' id='" + field.TableName + "_" + field.ColName + "' data-bind='BM:" + field.TableName + "_" + field.ColName + ",MC:" + field.TableName + "_" + field.ColName + "MC'></div>");
            $ctl.appendTo($pnl);
            var lkp = new Lookup($ctl);
            lkp.load({
                name : field.TableName + "_" + field.ColName + '_' + field.guid,
                table : field.TableName,
                data : data,
                required : required,
                enable : field.editable,
                tableName : edits[1],
                valueField : edits[2],
                textField : edits[3],
                type : edits[0],
                condition : edits[4],
                relationRule : field.RelationRule,
                fieldList : fieldList,
                parms : parms,
                isGrid : isGrid,
                DisplayLabel: field.DisplayLabel
            });
            return $ctl;
        },
        //复选框格式
        createCheckBox : function(field, $pnl, data, edits) {
            var required = "";
            var $ctl = $C("<label><input style='margin-right:.5em;' field='" + field.TableName + "_" + field.ColName + "' id='" + field.guid + "' data-bind='checked:" + field.TableName + "_" + field.ColName + "' type='checkbox'><span class='text'></span></label>");
            $ctl.appendTo($pnl);
            $pnl.addClass("checkbox umar-r");
            if (!field.editable) {
                $ctl.find('input').attr("disabled", "disabled");
            }
            return $ctl;
        }
    }
});

$.fn.extend({
    ctl : function() {
        return this.data("ctrl");
    }
});

$.extend(String.prototype, {
    isInteger : function() {
        return (new RegExp(/^\d+$/).test(this));
    },
    isDate : function() {
        return (new RegExp(/^\d{4}-(0[1-9]|1[0-2])-(0[1-9]|1[0-9]|2[0-9]|3[0-1])T\d{2}:\d{2}:\d{2}/).test(this)) || (new RegExp(/^\d{4}-(0[1-9]|1[0-2])-(0[1-9]|1[0-9]|2[0-9]|3[0-1]) \d{2}:\d{2}:\d{2}/).test(this));
    },
    isNumber : function(value, element) {
        return (new RegExp(/^-?(?:\d+|\d{1,3}(?:,\d{3})+)(?:\.\d+)?$/).test(this));
    },
    trim : function() {
        return this.replace(/(^\s*)|(\s*$)|\r|\n/g, "");
    },
    trimStart : function(trimStr) {
        if (!trimStr) {
            return this;
        }
        var temp = this;
        while (true) {
            if (temp.substr(0, trimStr.length) != trimStr) {
                break;
            }
            temp = temp.substr(trimStr.length);
        }
        return temp;
    },
    trimEnd : function(trimStr) {
        if (!trimStr) {
            return this;
        }
        var temp = this;
        while (true) {
            if (temp.substr(temp.length - trimStr.length, trimStr.length) != trimStr) {
                break;
            }
            temp = temp.substr(0, temp.length - trimStr.length);
        }
        return temp;
    },
    startsWith : function(pattern) {
        return this.indexOf(pattern) === 0;
    },
    endsWith : function(pattern) {
        var d = this.length - pattern.length;
        return d >= 0 && this.lastIndexOf(pattern) === d;
    },
    replaceAll : function(os, ns) {
        return this.replace(new RegExp(os, "gm"), ns);
    },
    isValidPwd : function() {
        return (new RegExp(/^([_]|[a-zA-Z0-9]){6,32}$/).test(this));
    },
    isEmail : function() {
        return (new RegExp(/^\w+((-\w+)|(\.\w+))*\@[A-Za-z0-9]+((\.|-)[A-Za-z0-9]+)*\.[A-Za-z0-9]+$/).test(this.trim()));
    },
    isPhone : function() {
        return (new RegExp(/^(0|86|17951)?(13[0-9]|15[012356789]|17[678]|18[0-9]|14[57])[0-9]{8}$/).test(this));
    },
    isUrl : function() {
        return (new RegExp(/^[a-zA-z]+:\/\/([a-zA-Z0-9\-\.]+)([-\w .\/?%&=:]*)$/).test(this));
    },
    padLeft : function(totalWidth, pChar) {
        if (pChar === undefined)
            pChar = "0";
        if (this.length < totalWidth) {
            var pStr = new String();
            for ( i = 1; i <= (totalWidth - this.length); i++) {
                pStr += pChar;
            }
            return pStr + this;
        }
        return this;
    },
    padRight : function(totalWidth, paddingChar) {
        if (pChar === undefined)
            pChar = "0";
        if (this.length < totalWidth) {
            var pStr = new String();
            for ( i = 1; i <= (totalWidth - this.length); i++) {
                pStr += pChar;
            }
            return this + pStr;
        }
        return this;
    },
    hexAdd : function(lastLen) {
        var pre = this.substr(0, this.length - lastLen);
        var suf = this.substr(this.length - lastLen, lastLen);
        var tmp = (parseInt(suf) + 1).toString();
        return pre + tmp.padLeft(lastLen);
        //return tmp.toString(36).toUpperCase();
    },
    splitObj : function(fst, sec) {
        if (fst == undefined) {
            fst = "|";
        }
        if (sec == undefined) {
            sec = ";";
        }
        var result = {};
        $C(this.split(sec)).each(function() {
            var strs = this.split(fst);
            if (strs.length == 2) {
                result[strs[0]] = strs[1];
            }
        });
        return result;
    }
});
window.$P = null;

window.$C = $.extend(function(selector, undefined, is$) {
    if (undefined || is$) {
        return $(selector, undefined);
    } else {
        return $($(selector, $P));
    }
}, $);
