$page.load = function() {
    $.mobile.click('.btn-nav', function($target) {
        var code = $target.attr("code");
        if (code != null && code.length > 0) {
            $.server.navigate(code);
        }
    });

    $("#contentmain").css("height", $("#content").height() - $(".uinn-header").height() - 35);
    $("#contentmain > div").css("height", "50%");
    $("#contentmain").show();

    $page.camera = function() {
        var opt = {
            card : "namecard",
            type : [0, 1, 2]
        };
        //上传图片并更新
        var qdphoto = new Upload(opt);
        qdphoto.load(opt);
        qdphoto.afterSave = function(data) {
            if (data.cardInfo != null) {
                if (data.cardInfo.KH101_A02 != null) {
                    $.server.navigate('KH30', {
                        data : data.cardInfo
                    });
                } else {
                    $.server.navigate('KH35', {
                        id : data.cardInfo.KH102_A01,
                        name : data.cardInfo.KH102_A01MC,
                        data : data.cardInfo
                    });
                }
            } else {
                $.util.info("名片识别失败，请重新上传名片");
            }
        };
        qdphoto.open();
    }
    $page.loadMsgCenter = function() {
        //消息中心
        $.server.api({
            path : "DT/DesktopManager/GetMsgCenterType",
            parms : [true],
            isShow : false
        }, function(data) {
            var menus = [];
            var msgNum = 0;
            $(data).each(function(index, op) {
                msgNum += op["SS202_COUNT"];
            });
            $("#msgcenter #msgcenter_num").remove();
            if (msgNum > 0) {
                $page.setCount("#msgcenter .btn-radius4", msgNum, "sc-bg-alert fa");
            }

        });
    }
    $page.loadMsgCenter();

    $page.intervalList.push({
        func : function() {
            if ($.isFunction($page.loadMsgCenter)) {
                $page.loadMsgCenter();
            }
        },
        interval : 300
    });
        
    $.im.HuihuaMsgCount($.server.cache.CurrentUser.UserNo, function(op) {
        $page.setCount("#im .btn-radius4", op, "sc-bg-alert fa");
    });
    $page.intervalList.push({
        func : function() {            
            $.im.HuihuaMsgCount($.server.cache.CurrentUser.UserNo, function(op) {
                $page.setCount("#im .btn-radius4", op, "sc-bg-alert fa");
            });
        },
        interval : 10 //秒
    });
}
