$page.load = function (cb) {
	var lst = new mListView($("#msgrc"));
	var query = new $.server.queryOptions();
	query.PrimaryTable = "RC202";
	query.Tables = "RC302";
	query.FieldNameList = "RC202.*,RC302.*";
	query.ConditionExpr = "RC202.ID = RC302.A01 AND RC202.A03 = '" + $.server.cache.CurrentUser.Uid + "' AND RC202.A01 <= GETDATE() AND RC202.A02 >= GETDATE()";
	query.PageIndex = 1;
	lst.load(query, {
		layout: {
			r1c0: "<font color='#999' size='0.9em '>${$.date.format(RC202_A01, 'yyyy-MM-dd HH:mm')} 至 ${$.date.format(RC202_A02, 'yyyy-MM-dd HH:mm')}</font>",
			r2c0: "<span style='font-size:0.9em;'>${RC302_A02 != null ? RC302_A02.length>60?RC302_A02.substring(0,60) + '...' : RC302_A02:''}</span>",
		}
	});
	lst.afterLoad = function (op){ 
        if(op.data.length == 0){
            $("#rcListParent").css("display","none");
            $("#msgrc").css("display","none");
        }else{
            $("#rcListParent").css("display","");
            $("#msgrc").css("display","");
        }
    }
	lst.afterSelect = function (op) {
		$.server.navigate('RC18', { rcid: op.data.RC202_ID, m_source: "", sch_type: "00005WT59VSE0000000000" });
	}

	var lst2 = new mListView($("#msgrz"));
	var query2 = new $.server.queryOptions();
	query2.PrimaryTable = "RC201";
	query2.Tables = "RC401";
	query2.FieldNameList = "RC201.*,RC401.*";	
	query2.ConditionExpr = "RC201.ID = RC401.A01 AND RC201.A03 = '" + $.server.cache.CurrentUser.Uid + "' AND RC201.A06 = CONVERT(VARCHAR,GETDATE(),111)";
	query2.PageIndex = 1;
	lst2.load(query2, {
		layout: {	
			r1c0: "<font color='#999' size='0.9em '>${$.date.format(RC201_A01, 'yyyy-MM-dd')}</font>",
			r2c0: "<span style='font-size:0.9em;'>${RC401_A02 != null ? RC401_A02.length>60?RC401_A02.substring(0,60) + '...' : RC401_A02:''}</span>"
		}
	});
	lst2.afterLoad = function (op){    
        if(op.data.length == 0){
            $("#rzListParent").css("display","none");
            $("#msgrz").css("display","none");
        }else{
            $("#rzListParent").css("display","");
            $("#msgrz").css("display","");
        }
    }
	lst2.afterSelect = function (op) {
		$.server.navigate('RC18', { rcid: op.data.RC201_ID, m_source: "", sch_type: "00005WT59OHT0000000000" });
	}
}
$page.afterRefresh = function () {
    var lst1 = $("#msgrc").ctl();
    lst1.refresh();
	var lst2 = $("#msgrz").ctl();	
	lst2.refresh();
}
