$page.load = function (cb) {

	$page.addButtons([{
		icon: "fa fa-save",
		text: "保存",
		color: 2,
		click: function () {
			var old_pw = $("#old_pw").val();
			var new_pw = $("#new_pw").val();
			var comnew_pw = $("#comnew_pw").val();
			if (old_pw == "" || new_pw == "" || comnew_pw == "") {
				$.util.error("内容不能为空,请填写内容");
				return;
			}
			if (new_pw != comnew_pw) {
				$.util.error("确认密码不一致,请修改");
				return;
			}
			var data = new Array();
			data.push($.server.cache.CurrentUser.UserNo);	//userCode
			data.push(new_pw);								//newPwd
			data.push(old_pw);								//oldPwd

			var op = {
				path: "Permission/AccountMgr/ChangePwd",
				parms: data
			}
			$.server.api(op, function (result) {
				result = $.date.objParseDate(result);
				if (result == true) {
					$.util.info("修改密码成功!");
					$page.close(1);
				} else {
					$.util.error("旧密码错误,修改失败!");
				}

			});
			

		}
	}
	]);

}
