$page.load = function(cb) {
    $page.addTabs([{
        text : "会话",
        icon : "fa-comment-o",
        //badge : null,
        click : function() {
            $.server.navigate("IM01");
        }
    }, {
        text : "联系人",
        icon : "fa-user",
        click : function() {
            $.server.navigate("IM02");
        }
    }, {
        text : "群组",
        icon : "fa-users",
        isDefault : 1,
        click : function() {
            $.server.navigate("IM03");
        }
    }]);
    //从服务器获取自己加入的和创建的群聊列表   是否从本地加载缓存,(默认为false,从网络获取)
    uexEasemob.getGroupsFromServer('{"loadCache":"false"}');

}
appcan.window.subscribe('GroupListView', function() {
    $.util.cacheLong("IM_" + $.server.cache.CurrentUser.UserNo + "_GroupList", function(op) {

        if (op == "") {
            var json = [];
        } else {
            var json = $.evalJSON(op);
        }

        var html = "";
        if (json.length > 0) {
            for (var i = 0; i < json.length; i++) {                
                var chatType = "1";
                html += "<div class='box openchat' chatType='" + chatType + "' chatter='" + json[i].groupId + "' chatterName='" + json[i].groupName + "' > ";
                html += "<img class='chat-img' src='../src/images/im/users.png' />";
                html += "<div class='chat-text'>";
                html += "<p class='ulev3 chatname clear'>";
                html += json[i].groupName;
                html += "<sup class='chat-sup ulev1'>";
                html += json[i].unreadMsgCount;
                //获取未读消息
                html += "</sup>";
                html += "</p>";
                html += "<p class='chat-font clear'>";
                if (json[i].messageType == "text") {
                    html += json[i].messageBody.text;
                }
                if (json[i].messageType == "audio") {
                    html += "[语音]";
                }
                if (json[i].messageType == "image") {
                    html += "[图片]";
                }
                if (json[i].messageType == 'file') {
                    html += "[文件]";
                }
                if (json[i].messageType == 'location') {
                    html += "[地址]";
                }
                html += "</p>";
                html += "</div>";
                html += "</div>";

            }
        }
        //清空HTML
        $("#lst").empty();
        $('#lst').append(html);
        $('.openchat').click(function() {
            //打开聊天界面
            var option = {
                'chatter' : $(this).attr('chatter'),
                'chatterName' : $(this).attr('chatterName'),
                'chatType' : $(this).attr('chatType')
            };
            //设置本地会话己读
            $.im.HuihuaListRead($.toJSON(option));
            $.im.OpenChatRoom(option);

        });
    });
});
