$page.load = function(cb) {
    if ($page.parms == null || $page.parms.option == null) {
        $page.option = null;
    } else {
        $page.option = $page.parms.option;
        $page.optionName = $page.parms.optionName;
        $page.groupId = $page.parms.groupId;
        $page.owner = $page.parms.owner;
    }
    if ($page.optionName) {
        $page.setHeader($page.optionName);
    }
    if ($page.owner == $.server.cache.CurrentUser.UserNo) {
        //群主才有添加成员菜单
        $page.addButtons([{
            icon : "fa fa-plus",
            text : "添加成员",
            color : 2,
            click : function() {
                var q = new $.server.queryOptions();
                q.PrimaryTable = "YH101";
                q.PrimaryKeyField = "ID";
                q.FieldNameList = "*";
                q.ConditionExpr = "YH101.A01 NOT IN( SELECT IM102.A02 FROM IM102 WHERE IM102.A01 ='" + $page.groupId + "')";
                q.OrderExpr = "YH101.A05 ASC";

                var lkpgrd = new LookupGrid({
                    query : q,
                    valueField : "YH101_A01",
                    textField : "YH101_A05",
                    isMulti : 1,
                    afterClose : function(result) {
                        if (result.dialogResult) {
                            var query = new $.server.queryOptions();
                            query.PrimaryTable = "IM102";
                            query.PrimaryKeyField = "ID";
                            query.FieldNameList = "*";

                            var dt = "'0'";
                            for (var i = 0; i < result.datas.length; i++) {
                                dt += ",'" + result.datas[i]["YH101_A01"] + "'";
                            }
                            query.ConditionExpr = "IM102.A01 = '" + $page.groupId + "' AND IM102.A02 IN (" + dt + ")";

                            var dataSource = [];
                            $.server.query(query, function(datas) {
                                if (datas.DataSource.length > 0) {
                                    var isExists = false;
                                    $(result.datas).each(function(index) {
                                        for (var i = 0; i < datas.DataSource.length; i++) {
                                            if (datas.DataSource[i]["IM102_A02"] == result.datas[index]["YH101_A01"]) {
                                                isExists = true;
                                                break;
                                            }
                                        }
                                        if (!isExists) {
                                            var d = $.server.create(datas.Table);
                                            d["IM102_A01"] = $page.groupId;
                                            d["IM102_A02"] = result.datas[index]["YH101_A01"];
                                            d["IM102_A03"] = result.datas[index]["YH101_A05"];
                                            dataSource.push(d);
                                        }
                                    })
                                } else {
                                    for (var i = 0; i < result.datas.length; i++) {
                                        var d = $.server.create(datas.Table);
                                        d["IM102_A01"] = $page.groupId;
                                        d["IM102_A02"] = result.datas[i]["YH101_A01"];
                                        d["IM102_A03"] = result.datas[i]["YH101_A05"];
                                        dataSource.push(d);
                                    }
                                }
                                if (dataSource.length == 0) {
                                    $.util.info("成员己在该群组中，无需重复添加!!");
                                } else {
                                    var updateOptions = $.server.updateOptions(datas.Table, dataSource, "IM102", "ID");
                                    //四个参数Table,DataSource,tablename,keyField
                                    $.server.update(updateOptions, function(result) {
                                        var lst = $("#lst").ctl();
                                        lst.refresh();
                                        $.util.info("添加成功！！");
                                    });
                                }
                            })
                        }
                    }
                });
                lkpgrd.open();
            }
        }]);

    }

    if ($page.owner == $.server.cache.CurrentUser.UserNo) {
        //群主菜单: 1查看个人资料  2删除成员
        var r2c1 = "<div><div style='padding:0.3em;' class='fa fa-list-alt fa-x list-btn sky'></div>&nbsp;<div style='padding:0.3em;' class='fa fa-trash-o fa-x list-btn sky'></div></div>";
    } else {
        //成员菜单: 1查看个人资料
        var r2c1 = "<div><div style='padding:0.3em;' class='fa fa-list-alt fa-x list-btn sky'></div></div>";
    }

    var lst = new mListView($("#lst"));
    var query = new $.server.queryOptions();
    query.PrimaryTable = "IM102";
    query.Tables = "YH101";
    query.PrimaryKeyField = "ID";
    query.FieldNameList = "*";
    query.ConditionExpr = "IM102.A02 = YH101.A01 AND IM102.A01 ='" + $page.groupId + "'";
    query.OrderExpr = "IM102.A03 ASC";
    query.PageSize = 999;
    lst.load(query, {
        enableBounce : false,
        layout : {
            icon : "YH101_A12",
            r0c0 : "${IM102_A03 != null && IM102_A03 != '' ? IM102_A03 : YH101_A05}", //jquery.tmpl语法
            r2c1 : r2c1
        }
    });
    lst.afterCommand = function(op) {
        if (op.target[0].className.indexOf("fa-list-alt") >= 0) {
            if (op.data.IM102_A02 != "") {
                $.server.navigate("IM07", {
                    a01 : op.data.IM102_A02
                });
            }
        };
        if (op.target[0].className.indexOf("fa-trash-o") >= 0) {
            $.util.confirm("确定从群组删除该成员吗?", function(res) {
                if (res) {
                    if ($page.groupId == undefined || $page.groupId == null || $page.groupId == "null" || $page.groupId == "") {
                        $.util.info("群组不存在,无法删除该成员!");
                    } else {
                        if (op.data.IM102_A02 != "") {
                            var queryyh = new $.server.queryOptions();
                            queryyh.PrimaryTable = "IM102";
                            queryyh.PrimaryKeyField = "ID";
                            queryyh.FieldNameList = "*";
                            queryyh.ConditionExpr = "IM102.A01 = '" + $page.groupId + "' AND IM102.A02 = '" + op.data.IM102_A02 + "'";
                            $.server.query(queryyh, function(data) {
                                if (data.DataSource.length > 0) {
                                    data.DataSource[0]["_ROWSTATE"] = 3;
                                    var updateOptions = $.server.updateOptions(data.Table, data.DataSource, "IM102", "ID");
                                    //四个参数Table,DataSource,tablename,keyField
                                    $.server.update(updateOptions, function(result) {
                                        var lst = $("#lst").ctl();
                                        lst.refresh();
                                        $.util.info("删除成员成功!");
                                    });
                                }

                            });

                        }
                    }
                }
            });
        };

    }

    lst.afterSelect = function(op) {
        var data = {
            'chatter' : op.data["YH101_A01"],
            'chatterName' : op.data["YH101_A05"],
            'chatType' : "0" //单聊 0
        };

        $.server.navigate("IM04", data);
    }
}
$page.afterRefresh = function() {
    var lst = $("#lst").ctl();
    lst.refresh();
}