$page.load = function(cb) {
    uexEasemob.getRecentChatters();
    $page.addTabs([{
        text : "会话",
        icon : "fa-comment-o huihua-list",
        //badge : null,
        isDefault : 1,
        click : function() {
            //$.server.navigate("IM01");
            //清空HTML
            $("#lst").empty();
            $page.tabName = "huihuaList";
            $page.setHeader("会话");
            $page.addButtons([{
            }]);

            //获取好友列表信息
            //$page.FriendList = $.im.onFriends($.server.cache.CurrentUser.UserNo);
            //获取群组列表信息
            //$page.GroupList = $.im.onGroups($.server.cache.CurrentUser.UserNo);
            //获取近期聊天对象信息
            uexEasemob.getRecentChatters();
            //获取聊天对象信息
            //uexEasemob.getChatterInfo();
        }
    }, {
        text : "联系人",
        icon : "fa-user",
        click : function() {
            //$.server.navigate("IM02");
            $page.tabName = "friendList";
            $page.setHeader("联系人");
            $page.addButtons([{
            }]);
            var lst = new mListView($("#lst"));
            var query = new $.server.queryOptions();
            query.PrimaryTable = "YH101";
            query.PrimaryKeyField = "ID";
            query.FieldNameList = "*";
            query.ConditionExpr = "YH101.A56 = '0' and YH101.A01 !='" + $.server.cache.CurrentUser.UserNo + "' and YH101.A05 != '' AND A36='0001' AND DEL='0'";
            query.PageSize = 9999;
            query.OrderExpr = "YH101.A05 ASC";
            lst.load(query, {
                enableBounce : false,
                enableFilter : false,
                layout : {
                    icon : "YH101_A12",
                    r0c0 : "${YH101_A05}",   //jquery.tmpl语法

                }
            });
            lst.afterLoad = function(ops) {
                //获取好友列表
                $.im.getFriends($.server.cache.CurrentUser.UserNo);
                // var friendLi = $.util.cache("IM_" + $.server.cache.CurrentUser.UserNo + "_FriendList");
                // alert("friendLi: " + $.toJSON(friendLi));
            }

            lst.afterSelect = function(op) {
                var data = {
                    'chatter' : op.data["YH101_A01"],
                    'chatterName' : op.data["YH101_A05"],
                    'chatType' : "0" //单聊 0
                };
                // alert("联系人列表选择: " + $.toJSON(data));
                $.server.navigate("IM04", data);
            }
        }
    }, {
        text : "群组",
        icon : "fa-users",
        click : function() {
            //$.server.navigate("IM03");
            $page.tabName = "groupList";
            $page.setHeader("群组");

            $page.addButtons([{
                icon : "fa fa-plus",
                text : "创建群组",
                color : 2,
                click : function() {
                    $.server.navigate("IM05", {
                        "option" : "add",
                        "optionName" : "创建群组"
                    });

                }
            }]);
            var lst = new mListView($("#lst"));
            var query = new $.server.queryOptions();
            query.PrimaryTable = "IM101";
            query.PrimaryKeyField = "ID";
            query.FieldNameList = "IM101.*";
            query.ConditionExpr = "IM101.A05 ='" + $.server.cache.CurrentUser.UserNo + "' OR IM101.A01 IN (SELECT IM102.A01 FROM IM102 WHERE IM102.A02 = '" + $.server.cache.CurrentUser.UserNo + "')";
            query.PageSize = 9999;
            query.OrderExpr = "IM101.A02 ASC";
            lst.load(query, {
                enableBounce : false,
                enableFilter : false,
                layout : {
                    icon : "IM101_A04",
                    r0c0 : "${IM101_A02}", //jquery.tmpl语法
                    //r2c1 : "<div>{{if IM101_A05 == $.server.cache.CurrentUser.UserNo}}<div style='padding:0.3em;' class='fa fa-cog fa-x list-btn sky'></div>&nbsp;{{/if}}<div style='padding:0.3em;' class='fa fa-list-alt fa-x list-btn sky'></div>&nbsp;<div style='padding:0.3em;' class='fa fa-users fa-x list-btn sky'></div></div>"
                }
            });
            lst.afterLoad = function(ops) {
                var dataSource = {};
                for (var i = 0; i < ops.data.length; i++) {
                    var op = {
                        "groupId" : ops.data[i]["IM101_A01"],
                        "groupName" : ops.data[i]["IM101_A02"],
                        "groupDescription" : ops.data[i]["IM101_A03"],
                        "groupImage" : ops.data[i]["IM101_A04"],
                        "owner" : ops.data[i]["IM101_A05"],
                        "members" : ops.data[i]["IM101_A06"],
                        "groupMaxUserCount" : ops.data[i]["IM101_A07"],
                        "isPushNotificationEnable" : ops.data[i]["IM101_A08"],
                        "isBlock" : ops.data[i]["IM101_A09"],
                        "isPublic" : ops.data[i]["IM101_A10"],
                        "allowInvites" : ops.data[i]["IM101_A11"],
                        "membersOnly" : ops.data[i]["IM101_A12"]

                    };
                    dataSource[ops.data[i]["IM101_A01"]] = op;
                }
                if (dataSource) {
                    $.util.cache("IM_" + data + "_GroupList", dataSource);
                }
            }
            lst.afterSelect = function(op) {
                var data = {
                    'chatter' : op.data["IM101_A01"],
                    'chatterName' : op.data["IM101_A02"],
                    'chatType' : "1" //群聊 1
                };

                $.server.navigate("IM04", data);
            }
            $page.afterRefresh = function() {
                if ($page.tabName == "groupList") {
                    var lst = $("#lst").ctl();
                    lst.refresh();
                }
            }
        }
    }]);

}

$page.loadMsg = function() {
    //消息提醒
    $.server.api({
        path : "DT/DesktopManager/GetMsgCenterType",
        parms : [true]
    }, function(data) {
        menus = [];
        $(data).each(function(index, op) {
            $(menu).each(function(indexs, ops) {
                if (ops["SS202_A02"] == op["SS202_A02"]) {
                    $.extend(op, ops);
                }
            });
            menus.push(op);
        });
        lst.bind({
            DataSource : menus
        }, {
            layout : {
                group : "<div class='ub-f1 ub ub-ver' style='display:none !important;padding-left: 0.5em; font-size:0.9em'>${MODULE_NAME}</div>",
                r0c0 : "<div class='ub-f1 ub ub-ver' style='padding-left: 1em;font-size:0.9em'>${SS202_A02}</div>",
                r0c1 : "<span class='badge badge-info bg-azure' style='font-size:0.9em'>${SS202_COUNT}</span>"
            },
            enableBounce : false
        });

    });
}

appcan.window.subscribe('HomeListView', function() {
    if ($page.tabName == "huihuaList") {
        var lst = new mListView($("#lst"));
        var dataSource = [];
        var data = {};
        var msType = "";
        var Name = "";
        var imImg = "";
        var DTime = "";
        var groupID = "";
        var owner = "";
        $.util.cacheLong("IM_" + $.server.cache.CurrentUser.UserNo + "_HuihuaList", function(json) {
            if (json == null) {
                json = [];
            }
            //alert("群聊单聊返回数据：" + $.toJSON(json));
            if (json.length > 0) {
                for (var i = 0; i < json.length; i++) {
                    DTime = $.im.UnixToDate(json[i].messageTime, "MM-dd HH:mm")
                    if (json[i].chatType == "1") {
                        Name = json[i].groupName;
                        imImg = json[i].groupImage;
                        groupID = json[i].groupID;
                        owner = json[i].owner;
                    }
                    if (json[i].chatType == "0") {
                        Name = json[i].chatterName;
                        imImg = json[i].chatterImage;
                    }
                    if (json[i].messageType == "text") {
                        msType = json[i].messageBody.text;
                    }
                    if (json[i].messageType == "audio") {
                        msType = "[语音]";
                    }
                    if (json[i].messageType == "image") {
                        msType = "[图片]";
                    }
                    if (json[i].messageType == 'file') {
                        msType = "[文件]";
                    }
                    if (json[i].messageType == 'location') {
                        msType = "[地址]";
                    }
                    if (json[i].chatType == "1") {
                        data = {
                            'DTime' : DTime,
                            'chatType' : json[i].chatType,
                            'chatter' : json[i].chatter,
                            'unreadMsgCount' : json[i].unreadMsgCount,
                            'Name' : Name,
                            'imImg' : imImg,
                            'msType' : msType,
                            'groupID' : groupID,
                            'owner' : owner
                        };
                    } else {
                        data = {
                            'DTime' : DTime,
                            'chatType' : json[i].chatType,
                            'chatter' : json[i].chatter,
                            'unreadMsgCount' : json[i].unreadMsgCount,
                            'Name' : Name,
                            'imImg' : imImg,
                            'msType' : msType
                        };
                    }
                    dataSource.push(data);
                }
            }
            //清空HTML
            //$("#lst").empty();
            lst.bind({
                DataSource : dataSource
            }, {
                layout : {
                    icon : "imImg",
                    r0c0 : "<span style='font-size: 1.0em !important;'>${Name}</span>",
                    r0c1 : "<span style='font-size:0.75em !important;color: #9B9B9B;'>${DTime}</span>",
                    r1c0 : "<span style='margin-top: 0.3em;color: #9B9B9B;height: 1.2em;display: block;margin-bottom: 0.5em;overflow: hidden;'>${msType}</span>",
                    r1c1 : "<span style='border-radius: 5em;padding: 0 0.4em;width:1em;margin-left:3em;font-size:0.75em;background-color:#96d7f0;color:#FFF;'>${unreadMsgCount}</span>"
                }
            });
            //显示未读消息总数
            $.im.HuihuaMsgCountGet(".huihua-list");
            lst.afterSelect = function(data) {
                //alert("返回值信息： " + $.toJSON(data));
                var gID = "";
                var own = "";
                if (data.data.groupID != undefined) {
                    gID = data.data.groupID;
                    own = data.data.owner;
                }
                var option = {
                    'chatter' : $.im.UpperCase(data.data.chatter),
                    'chatterName' : data.data.Name,
                    'chatType' : data.data.chatType,
                    'groupID' : gID,
                    'owner' : own
                };
                //设置本地会话己读
                $.im.HuihuaListRead(option);
                $.im.OpenChatRoom(option);
            };
        });
    }
});
