$page.load = function (cb) {
    $page.addButtons([{
        icon: "fa fa-plus",
        text: "新增",
        color: 3,
        click: function () {
            $.server.navigate('KQ32', { });
        }
    }]);

    var lst = new mListView($("#lst"));
    var query = new $.server.queryOptions();
    query.PrimaryTable = "KQ103";
    query.Tables = "KQ103, YH101, YH102";
    query.FieldNameList = "KQ103.*, YH101.A06, YH101.A12, YH102.A03";
    query.FieldNameList = "*";
    
    query.PageIndex = 1;
    query.ConditionExpr = "KQ103.A02 = YH101.ID AND YH101.A06 = YH102.ID";
    lst.load(query, {
        layout: {
            icon: "YH101_A12",
            r0c0: "<span style='font-size:1em'>${KQ103_A02MC}</span>&nbsp;&nbsp;<span style='font-size:0.9em; color:#999'>${YH102_A03}</span> ",
            r0c1: "<span style='font-size:0.9em; color:#999'>${KQ103_A13MC}</span>",
            r1c0: "<span style='font-size:0.9em; color:#999'>${$.date.format(KQ103_A03, 'yyyy-MM-dd HH:mm')} 至</br> ${$.date.format(KQ103_A04, 'yyyy-MM-dd HH:mm')}</span>",
            r1c1: "<span style='font-size:0.9em; color:#999'>${KQ103_SIGNEDMC}</span>",
            r2c0: "<span style='font-size:0.9em;'>${KQ103_A07.length>12?KQ103_A07.substring(0,12)+'...':KQ103_A07}</span>",
        }
    });

    lst.afterSelect = function (op) {
        $.server.navigate('KQ33', { id: op.data.KQ103_ID});
    };
};

$page.afterRefresh = function() {
    var lst = $("#lst").ctl();
    lst.refresh();
};
