$page.load = function (cb) {
    var id = $page.parms.id;
    var m_source = $page.parms.m_source;

    $page.addButtons([{
        icon: "fa fa-plus",
        text: "新增",
        color: 3,
        click: function () {
            var q = new $.server.queryOptions();
            q.PrimaryTable = "KQ103";
            q.PrimaryKeyField = "ID";
            q.FieldNameList = "*";
            
            q.PageIndex = 1;
            q.ConditionExpr = "KQ103.ID = '" + id + "'";

            $.server.query(q, function (data) {
                if (data.DataSource[0]["KQ103_SIGNED"] == 1) {
                    $.util.info("本条出差审批中，不能添加出差费用！");
                    return false;
                };
                if (data.DataSource[0]["KQ103_SIGNED"] == 2 && data.DataSource[0]["KQ103_A13"] == "0002") {
                    $.util.info("本条出差已总结，不能添加出差费用！");
                    return false;
                };
                $.server.navigate('KQ36', { id: id, m_source: m_source });
            });
        }
    }]);

    var lst = new mListView($("#lst"));
    var query = new $.server.queryOptions();
    query.PrimaryTable = "KQ105";
    query.PrimaryKeyField = "ID";
    query.FieldNameList = "*";
    
    query.PageIndex = 1;
    query.ConditionExpr = "KQ105.A01 = '" + id + "'";
    lst.load(query, {
        layout: {
            r0c0: "<span style='font-size:0.9em;'>${KQ105_A02MC}：${KQ105_A03}&nbsp;&nbsp;&nbsp;&nbsp;${KQ105_A05}</span>",
            r1c0: "<span style='font-size:0.9em;'>${KQ105_A04}</span>",
        }
    });

    lst.afterSelect = function (op) {
        $.server.navigate('KQ37', { fyid: op.data.KQ105_ID, id: id });
    };
};
