$page.load = function (cb) {

    $page.addButtons([{
        icon: "fa fa-save",
        text: "保存",
        color: 3,
        click: function () {
            frm.save();
            frm.afterSave = function (op, callback) {
                frmFy.beforeSave = function (opFy, callback) {
                    if (opFy.datas[0]["KQ105_A02"] == null) {
                        $.util.info("保存成功");
                        $page.close(1);
                        return false;
                    };
                    opFy.datas[0]["KQ105_A01"] = op.data[0];
                    callback();
                };
                
                frmFy.save();
                
                frmFy.afterSave = function(op, callback){
                    $.util.info("保存成功");
                    $page.close(1);
                };
            };
        }
    }, {
        icon: "fa fa-check",
        text: "提交审批",
        color: 3,
        click: function () {
            frm.save();
            frm.afterSave = function (op, callback) {
                frmFy.beforeSave = function (opFy, callback) {
                    if (opFy.datas[0]["KQ105_A02"] == null) {
                        var ids = [];
                        ids.push(op.data[0]);
                        $.server.startWF("KQ03", ids, function (ret) {
                            if (ret) {
                                $.util.info("提交审批成功");
                                $page.close(1);
                                return false;
                            }
                        });
                    }else{
                        opFy.datas[0]["KQ105_A01"] = op.data[0];
                        callback();
                    };
                };
                
                frmFy.save();
                
                frmFy.afterSave = function(opFy, callback){
                    var ids = [];
                    ids.push(op.data[0]);
                    $.server.startWF("KQ03", ids, function (ret) {
                        if (ret) {
                            $.util.info("提交审批成功");
                            $page.close(1);
                        }
                    });
                };
            }
        }
    }]);

    var frm = new Form($("#frm"));
    var query = new $.server.queryOptions();
    query.PrimaryTable = "KQ103";
    query.PrimaryKeyField = "ID";
    query.FieldNameList = "*";
    
    query.PageIndex = 1;
    query.ConditionExpr = "KQ103.ID IS NULL";

    frm.beforeField = function (op, callback) {
        $.each(op.table.FieldList, function (key, val) {
            if (val.ColName == "A10")
                val.ColVisible = 0;
            if (val.ColName == "A11")
                val.ColVisible = 0;
            if (val.ColName == "A12")
                val.ColVisible = 0;
        });
        callback();
    }

    frm.beforeLoad = function (op, callback) {
        op.datas[0]["KQ103_A02"] = $.server.cache.CurrentUser.Uid;
        op.datas[0]["KQ103_A02MC"] = $.server.cache.CurrentUser.UserName;
        
        op.datas[0].set("KQ103_A03", $.server.currentDate());
        op.datas[0].set("KQ103_A04", $.server.currentDate());
        callback();
    };

    frm.load(query, {
        opeMode: 1,	//操作方式：0查看,1新增，2编辑
    });

    frm.afterLoad = function (op, callback) {
    };

    frm.beforeSave = function (op, callback) {
        if (op.datas[0].KQ103_A03 > op.datas[0].KQ103_A04) {
           $.util.info("开始时间不能大于结束时间");
           return false;
        }

        callback();
    };

    var frmFy = new Form($("#frmFy"));
    var q = new $.server.queryOptions();
    q.PrimaryTable = "KQ105";
    q.PrimaryKeyField = "ID";
    q.FieldNameList = "*";
    
    q.PageIndex = 1;
    q.ConditionExpr = "KQ105.ID IS NULL";

    frmFy.beforeField = function (op, callback) {
        $C.each(op.table.FieldList, function (key, val) {
            if (val.ColName == "A05")
                val.ColVisible = 0;
        });
        callback();
    };

    frmFy.load(q, {
        opeMode: 1,	//操作方式：0查看,1新增，2编辑
    });
};
