$page.load = function (cb) {
    $page.addButtons([{
        icon: "fa fa-plus",
        text: "新增",
        color: 3,
        click: function () {
            $.server.navigate('KQ17', { m_source: "KQ6002" });
        }
    }]);

    var lst = new mListView($("#lst"));
    var query = new $.server.queryOptions();
    query.PrimaryTable = "KQ101";
    query.Tables = "KQ101, YH101, YH102";
    query.FieldNameList = "KQ101.*, YH101.A06, YH101.A12, YH102.A03";
    
    query.PageIndex = 1;
    query.ConditionExpr = "KQ101.A02 = YH101.ID AND YH101.A06 = YH102.ID";
    lst.load(query, {
        layout: {
            icon: "YH101_A12",
            r0c0: "<span style='font-size:1em'>${KQ101_A02MC}</span>&nbsp;&nbsp;<span style='font-size:0.9em; color:#999'>${YH102_A03}</span> ",
            r1c0: "<span style='font-size:0.9em; color:#999'>${$.date.format(KQ101_A12, 'yyyy-MM-dd')} ${$.date.format(KQ101_A03, 'HH:mm')} 至 ${$.date.format(KQ101_A04, 'HH:mm')}</span>",
            r1c1: "<span style='font-size:0.9em; color:#999'>${KQ101_SIGNEDMC}</span>",
            r2c0: "<span style='font-size:0.9em;'>${KQ101_A09.length>12?KQ101_A09.substring(0,12)+'...':KQ101_A09}</span>",
        }
    });

    lst.afterSelect = function (op) {
        $.server.navigate('KQ18', { id: op.data.KQ101_ID, m_source: "KQ6002" });
    };
};

$page.afterRefresh = function() {
    var lst = $("#lst").ctl();
    lst.refresh();
};
