$page.load = function (cb) {
    var m_source = $page.parms.m_source;

    $page.addButtons([{
        icon: "fa fa-save",
        text: "保存",
        color: 3,
        click: function () {
            frm.save();
            frm.afterSave = function (op, callback) {
                $.util.info("保存成功");
                $page.close(1);
            }
        }
    }, {
        icon: "fa fa-check",
        text: "提交审批",
        color: 3,
        click: function () {
            frm.save();
            frm.afterSave = function (op, callback) {
                var ids = [];
                ids.push(op.data[0]);
                $.server.startWF("KQ01", ids, function (ret) {
                    if (ret) {
                        $.util.info("提交审批成功");
                        $page.close(1);
                    }
                });
            }
        }
    }]);

    var frm = new Form($("#frm"));
    var query = new $.server.queryOptions();
    query.PrimaryTable = "KQ101";
    query.PrimaryKeyField = "ID";
    query.FieldNameList = "*";
    
    query.PageIndex = 1;
    query.ConditionExpr = "KQ101.ID IS NULL";

    frm.beforeLoad = function (op, callback) {
        op.datas[0]["KQ101_A02"] = $.server.cache.CurrentUser.Uid;
        op.datas[0]["KQ101_A02MC"] = $.server.cache.CurrentUser.UserName;
        
        op.datas[0].set("KQ101_A03", $.server.currentDate());
        op.datas[0].set("KQ101_A04", $.server.currentDate());
        callback();
    };

    frm.load(query, {
        opeMode: 1,	//操作方式：0查看,1新增，2编辑
    });

    frm.afterLoad = function (op, callback) {
    };

    frm.beforeSave = function (op, callback) {
        if (op.datas[0].KQ101_A03 > op.datas[0].KQ101_A04) {
            $.util.info("开始时间不能大于结束时间");
            return false;
        }

        callback();
    };
};
