$page.load = function(cv) {
    $page.addButtons([{
        icon : "gr gr-bg gr-L7R1",
        text : "返回",
        color : 1,
        click : function() {
            $page.close();
        }
    }]);
    $page.NowTime = $.server.currentDate();
    var lst = new mListView($("#lst"));
    $page.addTabs([{
        text : "上一周",
        icon : "fa-comment-o",
        click : function() {$.util.debug();
            var ntim = new Date($page.NowTime.getTime() - (7 * 24 * 60 * 60 * 1000));
            var pfir = $.date.getWeekFirst(ntim);
            $page.NowTime = pfir;
            var pend = $.date.getWeekLast(ntim);
            $("#stime").text($.date.format(pfir, "yyyy-MM-dd"));
            $("#etime").text($.date.format(pend, "yyyy-MM-dd"));
            var stet = $("#stime").text();
            var etet = $.date.format(new Date(pend.getTime() +( 24 * 60 * 60 * 1000)));
            var query = new $.server.queryOptions();
            query.PrimaryTable = "KQ106";
            query.Tables = "YH101,SS204";
            query.PrimaryKeyField = "ID";
            query.FieldNameList = "*";
            query.ConditionExpr = "YH101.ID=KQ106.A01 AND KQ106.A03=SS204.ID AND SS204.A05='YH101' AND KQ106.A02>='" + stet + "' AND KQ106.A02<'" + etet + "' AND KQ106.A04 IS NULL AND KQ106.A05 IS NOT NULL";
            query.PageSize = 9999;
            query.PageIndex = 1;
            lst.beforeField = function(op, callback) {
                var dataSource = [];
                for (var i = 0; i < op.data.length; i++) {
                    var datas = null;
                    for (var j = 0; j < dataSource.length; j++) {
                        if (dataSource[j]["KQ106_A01"] == op.data[i]["KQ106_A01"] && dataSource[j]["KQ106_A02"] == $.date.format(op.data[i]["KQ106_A02"], "yyyy-MM-dd")) {
                            datas = dataSource[j];
                            //dataSource[j]["COUNT"] += 1;
                        }
                    }
                    if (datas == null) {
                        datas = {};
                        datas["KQ106_A01"] = op.data[i]["KQ106_A01"];
                        datas["KQ106_A01MC"] = op.data[i]["KQ106_A01MC"];
                        datas["KQ106_A02"] = $.date.format(op.data[i]["KQ106_A02"], "yyyy-MM-dd");
                        datas["YH101_A06"] = op.data[i]["YH101_A06"];
                        datas["YH101_A06MC"] = op.data[i]["YH101_A06MC"];
                        datas["YH101_A12"] = op.data[i]["YH101_A12"];
                        datas["YH101_A12MC"] = op.data[i]["YH101_A12MC"];
                        datas["COUNT"] = 0;
                        dataSource.push(datas);
                    }
                    datas["COUNT"] += 1;
                }
                op.data.length = 0;

                $.each(dataSource, function(k, v) {
                    op.data.push(v);
                });

                $.each(op.table.FieldList, function(k, v) {
                    if (v.TableName == "KQ106" && v.ColName == "A02") {
                        v.DisplayFormat = "yyyy-MM-dd w";
                    };
                });

                callback();
            };
            lst.load(query, {
                layout : {
                    icon : "YH101_A12",
                    r0c0 : "<span style='color:#333333; font-size:1em'>${KQ106_A01MC}&nbsp;&nbsp;&nbsp;&nbsp;</span><span style='color:#999999; font-size:0.75em'>${YH101_A06MC}</span>", //jquery.tmpl语法
                    r1c0 : "签到日期：" + "<span style='color:#333333; font-size:0.75em'>${KQ106_A02}</span>",
                    r2c0 : "签到次数：" + "<span style='color:#333333; font-size:0.875em'>${COUNT}</span>",
                }
            });

            lst.afterSelect = function(data) {
                $.util.debug();
                var query = new $.server.queryOptions();
                query.PrimaryTable = "SS204";
                query.Tables = "KQ106";
                query.PrimaryKeyField = "ID";
                query.PageSize = 9999;
                query.FieldNameList = "*";
                var stati = $.date.format($.date.parseDate(data.data.KQ106_A02, 1));
                var endti = $.date.format(new Date($.date.parseDate(data.data.KQ106_A02, 1).getTime() + 24 * 60 * 60 * 1000));
                query.ConditionExpr = "SS204.ID = KQ106.A03 AND KQ106.A01='" + data.data.KQ106_A01 + "' AND SS204.A05='YH101' AND KQ106.A02 > '" + stati + "' AND KQ106.A02 <'" + endti + "' AND KQ106.A04 IS NULL";
                $.server.query(query, function(ida) {
                    var datas = [];
                    var jlID = "'0'";
                    $.each(ida.DataSource, function(key, val) {
                        jlID += ",'" + val['SS204_ID'] + "'";
                        datas.push({
                            name : val['SS204_A01'] + " " + $.date.format(val['KQ106_A02'], 'yyyy-MM-dd HH:mm'),
                            point : [val['SS204_A02'], val['SS204_A03']],
                            address : {
                                fullAddress : val['SS204_A06']
                            }
                        });
                    });
                    $.server.navigate('KQ47', {
                        id : datas,
                        qdid : jlID,
                        qdtime : data.data.KQ106_A02,
                        type : "qd"
                    });
                });
            }
            //alert($.date.format(pfir, "yyyy-MM-dd")+"至"+$.date.format(pend, "yyyy-MM-dd"));
        }
    }, {
        text : "本周",
        icon : "fa-comment-o",
        isDefault : 1,
        click : function() {
            var ntim = new Date($.server.currentDate().getTime());
            //周时差
            var pfir = $.date.getWeekFirst(ntim);
            $page.NowTime = pfir;
            var pend = $.date.getWeekLast(ntim);
            //pend = new Date(pend.getTime() + 24*60*60*1000);
            var etet = "";
            $("#stime").text($.date.format(pfir, "yyyy-MM-dd"));
            if (pend > $.server.currentDate()) {
                $("#etime").text($.date.format($.server.currentDate(), "yyyy-MM-dd"));
                etet = $.date.format(new Date($.server.currentDate().getTime() + 24 * 60 * 60 * 1000));
            } else {
                $("#etime").text($.date.format(pend, "yyyy-MM-dd"));
                etet = $.date.format(new Date(pend.getTime() +( 24 * 60 * 60 * 1000)));
            }
            var stet = $("#stime").text();
            var query = new $.server.queryOptions();
            query.PrimaryTable = "KQ106";
            query.Tables = "YH101,SS204";
            query.PrimaryKeyField = "ID";
            query.FieldNameList = "*";
            query.ConditionExpr = "YH101.ID=KQ106.A01 AND SS204.A05='YH101' AND KQ106.A03=SS204.ID AND KQ106.A02>'" + stet + "' AND KQ106.A02<'" + etet + "' AND KQ106.A04 IS NULL";
            query.PageSize = 9999;
            //query.PageIndex = 1;
            lst.beforeField = function(op, callback) {
                var dataSource = [];
                for (var i = 0; i < op.data.length; i++) {
                    var datas = null;
                    for (var j = 0; j < dataSource.length; j++) {
                        if (dataSource[j]["KQ106_A01"] == op.data[i]["KQ106_A01"] && dataSource[j]["KQ106_A02"] == $.date.format(op.data[i]["KQ106_A02"], "yyyy-MM-dd")) {
                            datas = dataSource[j];
                            //dataSource[j]["COUNT"] += 1;
                        }
                    }
                    if (datas == null) {
                        datas = {};
                        datas["KQ106_A01"] = op.data[i]["KQ106_A01"];
                        datas["KQ106_A01MC"] = op.data[i]["KQ106_A01MC"];
                        datas["KQ106_A02"] = $.date.format(op.data[i]["KQ106_A02"], "yyyy-MM-dd");
                        datas["YH101_A06"] = op.data[i]["YH101_A06"];
                        datas["YH101_A06MC"] = op.data[i]["YH101_A06MC"];
                        datas["YH101_A12"] = op.data[i]["YH101_A12"];
                        datas["YH101_A12MC"] = op.data[i]["YH101_A12MC"];
                        datas["COUNT"] = 0;
                        dataSource.push(datas);
                    }
                    datas["COUNT"] += 1;
                }
                op.data.length = 0;

                $.each(dataSource, function(k, v) {
                    op.data.push(v);
                });

                $.each(op.table.FieldList, function(k, v) {
                    if (v.TableName == "KQ106" && v.ColName == "A02") {
                        v.DisplayFormat = "yyyy-MM-dd w";
                    };
                });

                callback();
            };
            lst.load(query, {
                layout : {
                    icon : "YH101_A12",
                    r0c0 : "<span style='color:#333333; font-size:1em'>${KQ106_A01MC}&nbsp;&nbsp;&nbsp;&nbsp;</span><span style='color:#999999; font-size:0.75em'>${YH101_A06MC}</span>", //jquery.tmpl语法
                    r1c0 : "签到日期：" + "<span style='color:#333333; font-size:0.75em'>${KQ106_A02}</span>",
                    r2c0 : "签到次数：" + "<span style='color:#333333; font-size:0.875em'>${COUNT}</span>",
                }
            });

            lst.afterSelect = function(data) {
                $.util.debug();
                var query = new $.server.queryOptions();
                query.PrimaryTable = "SS204";
                query.Tables = "KQ106";
                query.PrimaryKeyField = "ID";
                query.PageSize = 9999;
                query.FieldNameList = "*";
                var stati = $.date.format($.date.parseDate(data.data.KQ106_A02, 1));
                var endti = $.date.format(new Date($.date.parseDate(data.data.KQ106_A02, 1).getTime() + 24 * 60 * 60 * 1000));
                query.ConditionExpr = "SS204.ID = KQ106.A03 AND KQ106.A01='" + data.data.KQ106_A01 + "' AND SS204.A05='YH101' AND KQ106.A02 > '" + stati + "' AND KQ106.A02 <'" + endti + "' AND KQ106.A04 IS NULL";
                $.server.query(query, function(ida) {
                    var datas = [];
                    var jlID = "'0'";
                    $.each(ida.DataSource, function(key, val) {
                        jlID += ",'" + val['SS204_ID'] + "'";
                        datas.push({
                            name : val['SS204_A01'] + " " + $.date.format(val['KQ106_A02'], 'yyyy-MM-dd HH:mm'),
                            point : [val['SS204_A02'], val['SS204_A03']],
                            address : {
                                fullAddress : val['SS204_A06']
                            }
                        });
                    });
                    $.server.navigate('KQ47', {
                        id : datas,
                        qdid : jlID,
                        qdtime : data.data.KQ106_A02,
                        type : "qd"
                    });
                });
            }
        }
    }, {
        text : "下一周",
        icon : "fa-comment-o",
        click : function() {
            if ($("#etime").text() == $.date.format($.server.currentDate(), "yyyy-MM-dd")) {
                alert("时间未到,暂无记录");
            } else {$.util.debug();
                var ntim = new Date($page.NowTime.getTime() + (7 * 24 * 60 * 60 * 1000));
                //周时差
                var nfir = $.date.getWeekFirst(ntim);
                $page.NowTime = nfir;
                var nend = $.date.getWeekLast(ntim);
                var etet = "";
                $("#stime").text($.date.format(nfir, "yyyy-MM-dd"));
                if (nend > $.server.currentDate()) {
                    $("#etime").text($.date.format($.server.currentDate(), "yyyy-MM-dd"));
                    etet = $.date.format(new Date($.server.currentDate().getTime() + 24 * 60 * 60 * 1000));
                } else {
                    $("#etime").text($.date.format(nend, "yyyy-MM-dd"));
                    etet = $.date.format(new Date(nend.getTime() +( 24 * 60 * 60 * 1000)));
                }
                var stet = $("#stime").text();
                var query = new $.server.queryOptions();
                query.PrimaryTable = "KQ106";
                query.Tables = "YH101,SS204";
                query.PrimaryKeyField = "ID";
                query.FieldNameList = "*";
                query.ConditionExpr = "YH101.ID=KQ106.A01 AND KQ106.A03=SS204.ID AND SS204.A05='YH101' AND KQ106.A02>='" + stet + "' AND KQ106.A02<'" + etet + "' AND KQ106.A04 IS NULL AND KQ106.A05 IS NOT NULL";
                query.PageSize = 9999;
                query.PageIndex = 1;
                lst.beforeField = function(op, callback) {
                    var dataSource = [];
                    for (var i = 0; i < op.data.length; i++) {
                        var datas = null;
                        for (var j = 0; j < dataSource.length; j++) {
                            if (dataSource[j]["KQ106_A01"] == op.data[i]["KQ106_A01"] && dataSource[j]["KQ106_A02"] == $.date.format(op.data[i]["KQ106_A02"], "yyyy-MM-dd")) {
                                datas = dataSource[j];
                                //dataSource[j]["COUNT"] += 1;
                            }
                        }
                        if (datas == null) {
                            datas = {};
                            datas["KQ106_A01"] = op.data[i]["KQ106_A01"];
                            datas["KQ106_A01MC"] = op.data[i]["KQ106_A01MC"];
                            datas["KQ106_A02"] = $.date.format(op.data[i]["KQ106_A02"], "yyyy-MM-dd");
                            datas["YH101_A06"] = op.data[i]["YH101_A06"];
                            datas["YH101_A06MC"] = op.data[i]["YH101_A06MC"];
                            datas["YH101_A12"] = op.data[i]["YH101_A12"];
                            datas["YH101_A12MC"] = op.data[i]["YH101_A12MC"];
                            datas["COUNT"] = 0;
                            dataSource.push(datas);
                        }
                        datas["COUNT"] += 1;
                    }
                    op.data.length = 0;

                    $.each(dataSource, function(k, v) {
                        op.data.push(v);
                    });

                    $.each(op.table.FieldList, function(k, v) {
                        if (v.TableName == "KQ106" && v.ColName == "A02") {
                            v.DisplayFormat = "yyyy-MM-dd w";
                        };
                    });

                    callback();
                };
                lst.load(query, {
                    layout : {
                        icon : "YH101_A12",
                        r0c0 : "<span style='color:#333333; font-size:1em'>${KQ106_A01MC}&nbsp;&nbsp;&nbsp;&nbsp;</span><span style='color:#999999; font-size:0.75em'>${YH101_A06MC}</span>", //jquery.tmpl语法
                        r1c0 : "签到日期：" + "<span style='color:#333333; font-size:0.75em'>${KQ106_A02}</span>",
                        r2c0 : "签到次数：" + "<span style='color:#333333; font-size:0.875em'>${COUNT}</span>",
                    }
                });

                lst.afterSelect = function(data) {
                    var query = new $.server.queryOptions();
                    query.PrimaryTable = "SS204";
                    query.Tables = "KQ106";
                    query.PrimaryKeyField = "ID";
                    query.PageSize = 9999;
                    query.FieldNameList = "*";
                    var stati = $.date.format($.date.parseDate(data.data.KQ106_A02, 1));
                    var endti = $.date.format(new Date($.date.parseDate(data.data.KQ106_A02, 1).getTime() + 24 * 60 * 60 * 1000));
                    query.ConditionExpr = "SS204.ID = KQ106.A03 AND KQ106.A01='" + data.data.KQ106_A01 + "' AND SS204.A05='YH101' AND KQ106.A02 > '" + stati + "' AND KQ106.A02 <'" + endti + "' AND KQ106.A04 IS NULL";
                    $.server.query(query, function(ida) {
                        var datas = [];
                        var jlID = "'0'";
                        $.each(ida.DataSource, function(key, val) {
                            jlID += ",'" + val['SS204_ID'] + "'";
                            datas.push({
                                name : val['SS204_A01'] + " " + $.date.format(val['KQ106_A02'], 'yyyy-MM-dd HH:mm'),
                                point : [val['SS204_A02'], val['SS204_A03']],
                                address : {
                                    fullAddress : val['SS204_A06']
                                }
                            });
                        });
                        $.server.navigate('KQ47', {
                            id : datas,
                            qdid : jlID,
                            qdtime : data.data.KQ106_A02,
                            type : "qd"
                        });
                    });
                }
            }
        }
    }]);
}
