$page.load = function (cb) {
    $page.addButtons([{
        icon: "fa fa-plus",
        text: "新增",
        color: 3,
        click: function () {
            $.server.navigate('KQ22', { m_source: "KQ5902" });
        }
    }]);

    var lst = new mListView($("#lst"));
    var query = new $.server.queryOptions();
    query.PrimaryTable = "KQ102";
    query.Tables = "KQ102, YH101, YH102";
    query.FieldNameList = "KQ102.*, YH101.A06, YH101.A12, YH102.A03";
    query.FieldNameList = "*";
    
    query.PageIndex = 1;
    query.ConditionExpr = " KQ102.A02 = YH101.ID AND YH101.A06 = YH102.ID";
    lst.load(query, {
        layout: {
            icon: "YH101_A12",
            r0c0: "<span style='font-size:1em'>${KQ102_A02MC}</span>&nbsp;&nbsp;<span style='font-size:0.9em; color:#999'>${YH102_A03}</span> ",
            r1c0: "<span style='font-size:0.9em; color:#999'>${$.date.format(KQ102_A03, 'yyyy-MM-dd HH:mm')} 至 </br>${$.date.format(KQ102_A04, 'yyyy-MM-dd HH:mm')}</span>",
            r1c1: "<span style='font-size:0.9em; color:#999'>${KQ102_SIGNEDMC}</span>",
            r2c0: "<span style='font-size:0.9em;'>${KQ102_A06.length>12?KQ102_A06.substring(0,12)+'...':KQ102_A06}</span>",
        }
    });

    lst.afterSelect = function (op) {
        $.server.navigate('KQ23', { id: op.data.KQ102_ID, m_source: "KQ5902" });
    };
};

$page.afterRefresh = function() {
    var lst = $("#lst").ctl();
    lst.refresh();
};
