$page.load = function (cb) {
    var id = $page.parms.id;
    var m_source = $page.parms.m_source;

    var frm = new Form($("#frm"));
    var query = new $.server.queryOptions();
    query.PrimaryTable = "KQ102";
    query.PrimaryKeyField = "ID";
    query.FieldNameList = "*";
    
    query.PageIndex = 1;
    query.ConditionExpr = "KQ102.ID = '" + id + "'";

    frm.beforeLoad = function(op, callback){
        if ((op.datas[0].KQ102_SIGNED == '0' || op.datas[0].KQ102_SIGNED == '3') && op.datas[0].KQ102_A02 == $.server.cache.CurrentUser.Uid) {
           $page.addButtons([{
               icon: "fa fa-check",
               text: "提交审批",
               color: 3,
               click: function () {
                   var ids = [];
                   ids.push(op.datas[0].KQ102_ID);
                   $.server.startWF("KQ02", ids, function (ret) {
                       if (ret) {
                           $.util.info("提交审批成功");
                           $page.close(1);
                       }
                   });
               }
           }, {
               icon: "fa fa-edit",
               text: "编辑",
               color: 2,
               click: function () {
                   $.server.navigate('KQ24', { id: id, m_source: m_source });
               }
           }, {
                icon: "fa fa-trash-o",
                text: "删除",
                color: 1,
                click: function () {
                    if (id == null) {
                        $.util.error("请选择一条要删除的数据！");
                        $page.close();
                        return false;
                    } else {
                        op.datas[0]["_ROWSTATE"] = 3;
                        var updateOptions = $.server.updateOptions(op.table, [op.datas[0]], "KQ102", "ID");   //四个参数Table,DataSource,tablename,keyField
                        $.server.update(updateOptions, function (result) {
                            if (result) {
                                $.util.info("删除成功！");
                                $page.close(1);
                            };
                        });
                    };
                }
            }]);
        };
        callback();
    };
    
    frm.load(query, {
        opeMode: 0,	//操作方式：0查看,1新增，2编辑
    });

    frm.afterLoad = function (op, callback) {
        
    };
};

$page.afterRefresh = function() {
    var frm = $("#frm").ctl();
    frm.refresh();
};
