$page.load = function (cb) {
    $page.addButtons([{
        icon: "fa fa-plus",
        text: "新增",
        color: 3,
        click: function () {
            $.server.navigate('KQ27', { m_source: "KQ6101" });
        }
    }]);

    var lst = new mListView($("#lst"));
    var query = new $.server.queryOptions();
    query.PrimaryTable = "KQ104";
    query.Tables = "KQ104, YH101, YH102";
    query.FieldNameList = "KQ104.*, YH101.A06, YH101.A12, YH102.A03";
    query.FieldNameList = "*";
    
    query.PageIndex = 1;
    query.ConditionExpr = "KQ104.A02 = YH101.ID AND YH101.A06 = YH102.ID";
    lst.load(query, {
        layout: {
            icon: "YH101_A12",
            r0c0: "<span style='font-size:1em'>${KQ104_A02MC}</span>&nbsp;&nbsp;<span style='font-size:0.9em; color:#999'>${YH102_A03}</span> ",
            r1c0: "<span style='font-size:0.9em; color:#999'>${$.date.format(KQ104_A03, 'yyyy-MM-dd HH:mm')} 至 ${$.date.format(KQ104_A04, 'yyyy-MM-dd HH:mm')}</span>",
            r1c1: "<span style='font-size:0.9em; color:#999'>${KQ104_A15MC}</span>",
            //r2c0: "${KQ104_A11.length>12?KQ104_A11.substring(0,12)+'...':KQ104_A11}",
            r2c0: "<span style='font-size:0.9em;'>${KQ104_A10}</span>",
        }
    });

    lst.afterSelect = function (op) {
        $.server.navigate('KQ28', { id: op.data.KQ104_ID, m_source: "KQ6101" });
    };
};

$page.afterRefresh = function() {
    var lst = $("#lst").ctl();
    lst.refresh();
};
