$page.load = function(cb) {
    $("#wcLoc").addClass("uhide");
    $("#phoneup").addClass("uhide");
    $("#stoploc").addClass("uhide");
    var id = $page.parms.id;
    var m_source = $page.parms.m_source;

    $page.addButtons([{
        icon : "fa fa-save",
        text : "确定归队",
        color : 3,
        click : function() {
            frm.save();
            frm.afterSave = function(op, callback) {
                $.util.info("保存成功");
                $page.close(1);
            }
        }
    }]);

    var frm = new Form($("#frm"));
    var query = new $.server.queryOptions();
    query.PrimaryTable = "KQ104";
    query.PrimaryKeyField = "ID";
    query.FieldNameList = "*";
    
    query.PageIndex = 1;
    query.ConditionExpr = "KQ104.ID = '" + id + "'";

    frm.beforeLoad = function(op, callback) {
        if (op.datas[0]["KQ104_A02"] != $.server.cache.CurrentUser.Uid) {
            $.util.info("本条外出不是自己的，不能修改。");
            $page.close();
            return false;
        };
        if (op.datas[0]["KQ104_A15"] == "0002") {
            $.util.info("本条外出已经归队，不能修改。");
            $page.close();
            return false;
        };

        op.datas[0].set("KQ104_A07", op.datas[0]['KQ104_A07'] != null ? op.datas[0]['KQ104_A07'] : op.datas[0]['KQ104_A03']);
        op.datas[0].set("KQ104_A13", op.datas[0]['KQ104_A13'] != null ? op.datas[0]['KQ104_A13'] : op.datas[0]['KQ104_A04']);
        op.datas[0].set("KQ104_A08", op.datas[0]['KQ104_A08'] != null ? op.datas[0]['KQ104_A08'] : op.datas[0]['KQ104_A05']);

        callback();
    };

    frm.load(query, {
        opeMode : 2,	//操作方式：0查看,1新增，2编辑
    });

    frm.afterLoad = function(op, callback) {
        frm.afterChange = function(op2, callback) {
            if (op2.field == "KQ104_A07" || op2.field == "KQ104_A13") {
                var yjsc = (op.datas.KQ104_A13.getTime() - op.datas.KQ104_A07.getTime()) / (1000 * 60);
                op.datas.set("KQ104_A08", Math.ceil(yjsc));
            };
        };
    };

    frm.beforeSave = function(op, callback) {
        if (op.datas[0].KQ104_A07 > op.datas[0].KQ104_A13) {
            $.util.info("实际开始时间不能大于实际结束时间");
            return false;
        }
        op.datas[0].KQ104_A15 = "0002";
        $.util.cache("wcLoc" + $.server.cache.CurrentUser.Uid, null);
        callback();
    };
}
