$page.load = function (cb) {
    var rcid = $page.parms.rcid;
    var sch_type = $page.parms.sch_type;

    if (sch_type == "00005WT59VSE0000000000") {
    } else if (sch_type == "00005WT59OHT0000000000") {
        $("#header h1").html("下一工作日计划");
    } else if (sch_type == "00005WT5A2DU0000000000") {
        $("#header h1").html("本周计划");
    } else if (sch_type == "00005XHN1YZB0000000000") {
        $("#header h1").html("本月计划");
    } else if (sch_type == "0000620C2TFQ0000000000") {
        $("#header h1").html("本年计划");
    };

    $page.addButtons([{
        icon: "fa fa-plus",
        text: "新增",
        color: 3,
        click: function () {
            $.server.navigate('RC23', { rcid: rcid, sch_type: sch_type });
        }
    }]);

    var queryZl = new $.server.queryOptions();
    queryZl.PrimaryTable = "RC102";
    queryZl.PrimaryKeyField = "ID";
    queryZl.FieldNameList = "*";

    $.server.query(queryZl, function (data) {
        $.each(data.DataSource, function (i, n) {
            if (n.RC102_ID == sch_type) {
                if (n.RC102_A03 != null) {
                    var lst = new mListView($("#lst"));
                    var query = new $.server.queryOptions();
                    query.PrimaryTable = n.RC102_A03;
                    query.PrimaryKeyField = "ID";
                    query.FieldNameList = "*";
                    
                    query.PageIndex = 1;
                    query.ConditionExpr = n.RC102_A03 + ".A01 = '" + rcid + "'";

                    lst.load(query, {
                        layout: {
                            //icon: "fa-list-alt",
                            r0c0: "${" + n.RC102_A03 + "_A02}",
                        }
                    });

                    lst.afterSelect = function (op) {
                        $.server.navigate('RC24', { id: op.data[n.RC102_A03 + "_ID"], sch_type: sch_type, rcid: rcid });
                    };
                };
            };
        });
    });
};
