$page.load = function (cb) {
    var rcid = $page.parms.rcid;
    var sch_type = $page.parms.sch_type;

    //日程种类
    var queryZl = new $.server.queryOptions();
    queryZl.PrimaryTable = "RC102";
    queryZl.PrimaryKeyField = "ID";
    queryZl.FieldNameList = "*";
    
    $.server.query(queryZl, function(data){
        $.each(data.DataSource, function(i, n){
            if (n.RC102_ID == sch_type) {
                var frm = new Form($("#frm"));
                
                var query = new $.server.queryOptions();
                query.PrimaryTable = n.RC102_A06;
                query.PrimaryKeyField = "ID";
                query.FieldNameList = "*";
                query.PageSize = 1;
                query.ConditionExpr = n.RC102_A06 + ".ID IS NULL";
                
                frm.beforeLoad = function (op, callback) {
                    op.datas[0][n.RC102_A06 + "_A01"] = rcid;
                    
                    $page.addButtons([{
                        icon: "fa fa-save",
                        text: "保存",
                        color: 3,
                        click: function () {
                            frm.save();
                        }
                    }]);
                    
                    callback();
                };
            
                frm.beforeSave = function (op, callback) {
                    callback();
                };
            
                frm.load(query, {
                    opeMode: 1, //操作方式：0查看,1新增，2编辑
                });
            
                frm.afterSave = function (op, callback) {
                    $.util.info("保存成功！");
                    $page.close(1);
                };
            };
        });
    });
};
