$page.load = function (cb) {
    var rcid = $page.parms.rcid;
    var sch_type = $page.parms.sch_type;

    if (sch_type == "00005WT59VSE0000000000") {
        $("#header h1").html("日程内容");
    } else if (sch_type == "00005WT59OHT0000000000") {
        $("#header h1").html("日志内容");
    } else if (sch_type == "00005WT5A2DU0000000000") {
        $("#header h1").html("上一周总结");
    } else if (sch_type == "00005XHN1YZB0000000000") {
        $("#header h1").html("上一月总结");
    } else if (sch_type == "0000620C2TFQ0000000000") {
        $("#header h1").html("上一年总结");
    };

    $page.addButtons([{
        icon: "fa fa-plus",
        text: "新增",
        color: 3,
        click: function () {
            $.server.navigate('RC20', { rcid: rcid, sch_type: sch_type });
        }
    }]);

    var queryZl = new $.server.queryOptions();
    queryZl.PrimaryTable = "RC102";
    queryZl.PrimaryKeyField = "ID";
    queryZl.FieldNameList = "*";

    $.server.query(queryZl, function (data) {
        $.each(data.DataSource, function (i, n) {
            if (n.RC102_ID == sch_type) {
                if (n.RC102_A04 != null) {
                    var lst = new mListView($("#lst"));
                    var query = new $.server.queryOptions();
                    query.PrimaryTable = n.RC102_A04;
                    query.PrimaryKeyField = "ID";
                    query.FieldNameList = "*";
                    
                    query.PageIndex = 1;
                    query.ConditionExpr = n.RC102_A04 + ".A01 = '" + rcid + "'";

                    if (sch_type == "00005WT59VSE0000000000") {//日程
                        lst.load(query, {
                            layout: {
                                //icon: "fa-list-alt",
                                r0c0: "${" + n.RC102_A04 + "_A02}&nbsp;&nbsp;${" + n.RC102_A04 + "_A03MC}",
                            }
                        });
                    } else {
                        lst.load(query, {
                            layout: {
                                //icon: "fa-list-alt",
                                r0c0: "${" + n.RC102_A04 + "_A02}",
                            }
                        });
                    };

                    lst.afterSelect = function (op) {
                        $.server.navigate('RC21', { id: op.data[n.RC102_A04 + "_ID"], sch_type: sch_type, rcid: rcid });
                    };
                };
            };
        });
    });
};
