$page.load = function(cb) {

    $page.ptree = [];
    if ($page.parms == null || $page.parms.id == null) {
        $page.id = null;
    } else {
        $page.id = $page.parms.id;
    }

    $page.addButtons([{
        icon : "fa fa-plus",
        text : "添加",
        color : 2,
        click : function() {
            if ($page.id == undefined || $page.id == null || $page.id == "null" || $page.id == "") {
                $.util.info("请选择所属岗位!");
            } else {
                $.server.navigate("YH11", {
                    id : $page.id
                });
            }
        }
    }, {
        icon : "fa fa-edit",
        text : "编辑",
        color : 3,
        click : function() {
            if ($page.id == undefined || $page.id == null || $page.id == "null" || $page.id == "") {
                $.util.info("请选择所属岗位!");
            } else {
                $.server.navigate("YH12", {
                    id : $page.id
                });
            }
        }
    }, {
        icon : "fa fa-trash-o",
        text : "删除",
        color : 3,
        click : function() {
            if ($page.id == undefined || $page.id == null || $page.id == "null" || $page.id == "") {
                $.util.info("请选择所属岗位!");
            } else {
                $.util.confirm("是否确认删除", function(res) {
                    if (res) {
                        var gwUserListView = $("#gwUserListView").ctl();
                        var sublevel = false;
                        if (gwUserListView._data.length > 0) {
                            sublevel = true;
                        }
                        var queryyh = new $.server.queryOptions();
                        queryyh.PrimaryTable = "YH101";
                        queryyh.PrimaryKeyField = "ID";
                        queryyh.FieldNameList = "*";
                        queryyh.ConditionExpr = "YH101.A07 = '" + $page.id + "'";
                        $.server.query(queryyh, function(data) {
                            if (data.DataSource.length > 0 || sublevel == true) {
                                $.util.info("该岗位拥有下属岗位或员工信息,删除失败!!!");
                            } else {
                                var query = new $.server.queryOptions();
                                query.PrimaryTable = "YH103";
                                query.PrimaryKeyField = "ID";
                                query.FieldNameList = "*";
                                query.ConditionExpr = "YH103.ID = '" + $page.id + "'";
                                $.server.query(query, function(datas) {
                                    if (datas.DataSource.length > 0) {
                                        datas.DataSource[0]["_ROWSTATE"] = 3;
                                        var updateOptions = $.server.updateOptions(datas.Table, datas.DataSource, "YH103", "ID");
                                        //四个参数Table,DataSource,tablename,keyField
                                        $.server.update(updateOptions, function(result) {
                                            $.util.info("删除成功！！");
                                            $page.close();
                                        });
                                    }
                                });

                            }

                        });

                    }
                });

            }
        }
    }]);

    var lst = new mListView($("#gwListView"));
    var query = new $.server.queryOptions();
    query.PrimaryTable = "YH103";
    query.PrimaryKeyField = "ID";
    if ($page.id == null || $page.id == "null" || $page.id == "" || $page.id == undefined) {
        query.ConditionExpr = "YH103.A04 is null";
    } else {
        query.ConditionExpr = "YH103.A04 = '" + $page.id + "'";
    }
    query.OrderExpr = "YH103.A06 ASC";
    query.FieldNameList = "*";
    query.PageSize = 9999;
    query.PageIndex = 1;
    lst.load(query, {
        enableBounce : false,
        enableFilter : false,
        layout : {
            r0c0 : "<span style='font-size:0.9em;'>${YH103_A03}</span>",	//jquery.tmpl语法

        }
    });

    lst.afterLoad = function(op) {

        $("#gwListParent").on("click", function() {
            if ($page.ptree.length > 0) {
                $.util.debug();
                $page.id = $page.ptree[$page.ptree.length - 1]["YH103_A04"];
                var pid = $page.ptree[$page.ptree.length - 1]["YH103_A04"];
                var ptitle = $page.ptree[$page.ptree.length - 1]["YH103_A04MC"];
                if (pid == null || pid == "null" || pid == "" || pid == undefined) {
                    query.ConditionExpr = "YH103.A04 is null";
                } else {
                    query.ConditionExpr = "YH103.A04 = '" + pid + "'";
                }
                lst.load(query, {
                    layout : {
                        r0c0 : "<span style='font-size:0.9em;'>${YH103_A03}</span>", //jquery.tmpl语法
                    }
                });
                lst.afterLoad = function(op) {
                    $.util.debug();
                    var ptitle = $page.ptree[$page.ptree.length - 1]["YH103_A04MC"];
                    $("#backParent").html(ptitle);
                    $page.ptree.length = $page.ptree.length - 1;
                    //去除最后一级信息
                    $page.getUserList();
                }
            }

        })
    }
    setTimeout(lst, 10000);
    lst.afterSelect = function(op) {
        $page.id = op.data["YH103_ID"];
        $page.ptree.push({
            YH103_ID : op.data["YH103_ID"],
            YH103_A01 : op.data["YH103_A01"],
            YH103_A03 : op.data["YH103_A03"],
            YH103_A04 : op.data["YH103_A04"],
            YH103_A04MC : op.data["YH103_A04MC"],
            YH103_A05 : op.data["YH103_A05"],
            YH103_A06 : op.data["YH103_A06"]

        });
        query.ConditionExpr = "YH103.A04 = '" + op.data["YH103_ID"] + "'";

        lst.load(query, {
            layout : {
                r0c0 : "<span style='font-size:0.9em;'>${YH103_A03}</span>", //jquery.tmpl语法
            }
        });
        lst.afterLoad = function(op) {
            var ptitle = $page.ptree[$page.ptree.length - 1]["YH103_A03"];
            $("#backParent").html(ptitle);
            $page.getUserList();
        }
    }

    $page.getUserList();
}

$page.getUserList = function() {
    var ulst = new mListView($("#gwUserListView"));
    var uquery = new $.server.queryOptions();
    uquery.PrimaryTable = "YH101";
    uquery.PrimaryKeyField = "ID";
    if ($page.id == null || $page.id == "null" || $page.id == "" || $page.id == undefined) {
        uquery.ConditionExpr = "YH101.A07 is null";
    } else {
        uquery.ConditionExpr = "YH101.A07 = '" + $page.id + "'";
    }
    uquery.OrderExpr = "YH101.A05 ASC";
    uquery.FieldNameList = "*";
    uquery.PageIndex = 1;
    ulst.load(uquery, {
        enableBounce : false,
        enableFilter : false,
        layout : {
            r0c0 : "<span style='font-size:0.9em;'>${YH103_A05}</span>", //jquery.tmpl语法

        }
    });

}
$page.afterRefresh = function() {
    var lst = $("#gwListView").ctl();
    lst.refresh();
}
