$page.load = function (cb) {

    if ($page.parms == null || $page.parms.id == null) {
        $page.id = null;
    } else {
        $page.id = $page.parms.id;
    }
    $page.addButtons([{
        icon: "fa fa-plus",
        text: "添加",
        color: 2,
        click: function () {        
            $.server.navigate("YS15", {});

        }
    }
    ]);

    var lst = new mListView($("#fbwzListView"));
    var query = new $.server.queryOptions();
    query.PrimaryTable = "YS101";
    query.Tables = "YS101,YH101";
    query.PrimaryKeyField = "ID";
    query.FieldNameList = "*";
    query.ConditionExpr = "YS101.A14 = 0 and YS101.A07 = YH101.A01 and YH101.ID = '"+ $.server.cache.CurrentUser.Uid +"'";
    query.OrderExpr = "YS101.A03 DESC";
    query.PageSize = 9999;
    query.PageIndex = 1;
    lst.load(query, {
        enableBounce : false,
        layout: {
            r0c0: "<font color='#999' size='0.9em '>标题：</font>${YS101_A01}",   //jquery.tmpl语法
            r1c0: "<font color='#999' size='0.9em '>作者：</font>${YS101_A04}",
            r2c1: "<font color='#999' size='0.9em '>发表时间：</font>${$.date.format(YS101_A03, 'yyyy-MM-dd HH:mm')}",
            r2c0: "<font color='#999' size='0.9em '>阅读量：</font>${YS101_A06}",
            r1c1: "<div class='list-btn'><div class='gr gr-bg gr-L5R2'></div>分享</div>",
        }
    });

    lst.afterCommand = function(op) {
        $.util.debug();
        if (op.target[0].className.indexOf("list-btn") >= 0) {//$.mobile.imgUrl(op.data.YS101_A16)
                var s = new UexShare({title:op.data.YS101_A01,desc:op.data.YS101_A02,thumbImg:'../src/images/shareimage/pengyouquan.png',webpageUrl:$.gr.getServer()+'/WeChat/Preview2.aspx?wid=' + op.data.YS101_ID + '&oid=' + $.server.cache.CurrentUser.Uid + '&uid=' + $.server.cache.CurrentUser.Uid + '&cid=' + $.server.cache.CurrentUser.CompanyCode});
                    
        };
  
    };

    lst.afterSelect = function (op) {
        $page.id = op.data["YS101_ID"];
        $.server.navigate("YS16", { id: $page.id });
    }
}
$page.afterRefresh = function () {
    var lst = $("#fbwzListView").ctl();
    lst.refresh();
}