$page.load = function() {
    var sel = $page.parms.data;
    var lst = new mListView($("#list"));
    var q = new $C.server.queryOptions();
    $page.table = q.PrimaryTable = sel["SP01_PRIMARYTABLE"];
    if (sel["SP01_FOREIGNTABLE"] != null) {
        q.Tables = sel["SP01_FOREIGNTABLE"];
    }
    q.FieldNameList = sel["SP01_SHOWSQL"];
    q.ConditionExpr = $page.table + ".UID ='" + $C.server.cache.CurrentUser.Uid + "'";
    if (sel["SP01_JOINKEY"] != null) {
        q.ConditionExpr += " and " + sel["SP01_JOINKEY"];
    }
    lst.load(q, {
        templateId : sel["SP01_TEMPLATEID"],
        layout : {
            r0c0 : "<span style='font-size:0.9em;'>${" + $page.table + "_UIDMC}</span>",
            r1c0 : "<span style='font-size:0.9em;'>${$.date.format(" + $page.table + "_CDATE,'yyyy-MM-dd HH:mm')}</span>",
            r1c1 : "<span style='font-size:0.9em;'>${" + $page.table + "_SIGNEDMC}</span>"
        }
    });
    lst.afterSelect = function(op) {
        var id = op.data[$page.table + "_ID"];
        $.server.navigate("YY04", {
            header : $page.parms.header + "信息",
            table : $page.table,
            id : id,
            tempId : sel["SP01_TEMPLATEID"]
        })
    }
    $page.addButtons([{
        icon : "fa fa-plus",
        text : "新增",
        color : 2,
        click : function() {
            $.server.navigate("YY04", {
                header : $page.parms.header + "信息",
                table : $page.table,
                tempId : sel["SP01_TEMPLATEID"]
            })
        }
    }]);
}
$page.afterRefresh = function () {
    var lst = $("#list").ctl();
    lst.refresh();
}
