require.config({
    baseUrl : "../",
    map : {
        '*' : {
            'css' : 'mobiles/frame/css.min'
        }
    },
    paths : {
        "jquery" : "src/jquery/js/jquery",
        "jquery-ui" : "src/jquery/js/jquery-ui.min",
        "jquery.cookie" : "src/jquery/js/jquery.cookie",
        "jquery-json" : "src/jquery/js/jquery.json-v2.5.1",
        "jquery-tmpl" : "src/jquery/js/jquery.tmpl.min",
        "jquery.touchslider" : "src/jquery/js/jquery.touchslider.min",
        "jquery.slimscroll" : "src/jquery/js/jquery.slimscroll",
        "fastclick" : "src/jquery/js/fastclick",
        "placeholder" : "src/jquery/js/placeholder.min",
        "jquery-scrollbar" : "src/jquery/js/jquery-scrollbar.min",
        "flextext" : "src/jquery/js/jquery.flexText",
        "ueditor.parse" : "src/ueditor/ueditor.parse.min",
        "bootstrap" : "src/beyondadmin/js/bootstrap.min",
        "skins" : "src/beyondadmin/js/skins.min",
        "beyond" : "src/beyondadmin/js/beyond.min",
        "underscore" : "mobiles/appcan/js/underscore.min",
        "backbone" : "mobiles/appcan/js/backbone.min",
        "appcan" : "mobiles/appcan/js/appcan",
        "appcan.control" : "mobiles/appcan/js/appcan.control",
        "appcan.listview" : "mobiles/appcan/js/appcan.listview",
        "appcan.optionList" : "mobiles/appcan/js/appcan.optionList",
        "appcan.slider" : "mobiles/appcan/js/appcan.slider",
        "appcan.tab" : "mobiles/appcan/js/appcan.tab",
        "appcan.treeview" : "mobiles/appcan/js/appcan.treeview",
        "kendo.core" : "src/kendo/js/kendo.core",
        "kendo.data" : "src/kendo/js/kendo.data",
        "kendo.data.odata" : "src/kendo/js/kendo.data.odata",
        "kendo.data.xml" : "src/kendo/js/kendo.data.xml",
        "kendo.validator" : "src/kendo/js/kendo.validator",
        "kendo.binder" : "src/kendo/js/kendo.binder",
        "kendo.calendar" : "src/kendo/js/kendo.calendar",
        "kendomsg" : "src/kendo/js/messages/kendo.messages.zh-CN.min",
        "kendocul" : "src/kendo/js/cultures/kendo.culture.zh-CN.min",
        "sparkline": "src/beyondadmin/js/charts/sparkline/jquery.sparkline",
        "sparkline-init": "src/beyondadmin/js/charts/sparkline/sparkline-init",
        "util" : "src/base/js/Util",
        // "mobiscroll": "src/mobiscroll/js/mobiscroll.custom-2.17.0.min",
        "form" : "src/base/js/Form",
        "grid" : "src/base/js/Grid2",
        "dialog" : "mobiles/frame/js/DialogWindow",
        "download" : "src/base/js/Download",
        "lookup" : "src/base/js/Lookup",
        "lookupGrid" : "mobiles/frame/js/lookupGrid",
        "lookupMap" : "mobiles/frame/js/lookupMap",
        "lookupCall" : "mobiles/frame/js/lookupCall",
        "MyCalendar" : "src/base/js/MyCalendar",
        "photo" : "mobiles/frame/js/Photo",
        "upload" : "mobiles/frame/js/Upload",
        "doc" : "mobiles/frame/js/Doc",
        "gaode" : "src/base/gaode",
        "map" : "mobiles/frame/js/map",
        "mListView" : "mobiles/frame/js/mListView",
        "mutil" : "mobiles/frame/js/mutil",
        "gr" : "config",
        "ScrView" : "mobiles/frame/js/ScrView",
        "LstView" : "mobiles/frame/js/LstView",
        "FrmView" : "mobiles/frame/js/FrmView",
        "Dynamic" : "mobiles/frame/js/Dynamic", 
        "DyList" : "mobiles/frame/js/DyList",  
        //时间控件引用
        // "mobiscroll-scroller": "src/mobiscroll2/js/mobiscroll.scroller", 
        // "mobiscroll-core": "src/mobiscroll2/js/mobiscroll.core", 
        // "mobiscroll-frame": "src/mobiscroll2/js/mobiscroll.frame", 
        // "mobiscroll-util": "src/mobiscroll2/js/mobiscroll.util.datetime", 
        // "mobiscroll-datetimebase": "src/mobiscroll2/js/mobiscroll.datetimebase", 
        // "mobiscroll-datetime": "src/mobiscroll2/js/mobiscroll.datetime", 
        // "mobiscroll-android-holo-light": "src/mobiscroll2/js/mobiscroll.android-holo-light",
        // "mobiscroll-zh": "src/mobiscroll2/js/i18n/mobiscroll.i18n.zh",
        "mobiscroll": "src/iphoneTime/js/mobiscroll",
        "mobiscroll2": "src/iphoneTime/js/mobiscroll_002",
        "mobiscroll3": "src/iphoneTime/js/mobiscroll_003",
        "mobiscroll4": "src/iphoneTime/js/mobiscroll_004",
        "mobiscroll5": "src/iphoneTime/js/mobiscroll_005",
        ///日历插件
        "simple-calendar": "src/Simple-Calendar/javascripts/simple-calendar",
        //IM插件
        "imload":"src/base/ImLoad",
        "UexShare":"src/base/UexShare"
    },
    shim : {
        // 'jquery' : ['css!mobiles/appcan/css/appcan.icon.css', 'css!mobiles/appcan/css/appcan.control.css', 'css!mobiles/frame/css/index.css', 'css!mobiles/frame/css/FrmView.css', 'css!mobiles/frame/css/LstView.css', 'css!mobiles/frame/css/zxdy.css', 'css!src/jquery/css/flexText.css', 'css!src/mobiscroll2/css/mobiscroll.scroller.css', 'css!src/mobiscroll2/css/mobiscroll.scroller.android.css', 'css!src/mobiscroll2/css/mobiscroll.android-holo-light.css', 'css!src/mobiscroll2/css/mobiscroll.animation.css.css', 'css!src/mobiscroll2/css/mobiscroll.icons.css', 'css!src/mobiscroll2/css/mobiscroll.frame.css', 'css!src/mobiscroll2/css/mobiscroll.frame.android-holo.css'],
        'jquery' : ['css!mobiles/appcan/css/appcan.icon.css', 'css!mobiles/appcan/css/appcan.control.css', 'css!mobiles/frame/css/index.css', 'css!mobiles/frame/css/FrmView.css', 'css!mobiles/frame/css/LstView.css', 'css!mobiles/frame/css/zxdy.css', 'css!src/jquery/css/flexText.css', 'css!src/iphoneTime/css/mobiscroll.css', 'css!src/iphoneTime/css/mobiscroll_002.css', 'css!src/iphoneTime/css/mobiscroll_003.css', 'css!src/iphoneTime/css/animate.min.css'],

        //<link href="src/beyondadmin/css/font-awesome.min.css" rel="stylesheet" />
        //<link href="src/beyondadmin/css/weather-icons.min.css" rel="stylesheet" />
        //<link id="beyond-link" href="src/beyondadmin/css/beyond.min.css" rel="stylesheet" type="text/css" />
        //<link href="src/beyondadmin/css/demo.min.css" rel="stylesheet" />
        //<link href="src/beyondadmin/css/typicons.min.css" rel="stylesheet" />
        //<link href="src/beyondadmin/css/animate.min.css" rel="stylesheet" />
        //<link id="skin-link" href="" rel="stylesheet" type="text/css" />
        //<link href="src/index/css/index.css" rel="stylesheet" />

        //<!--<link href="src/bootstrap/css/bootstrap.css" rel="stylesheet" />-->
        //<link href="src/kendo/css/kendo.rtl.min.css" rel="stylesheet">
        //<link href="Viewssrc/baiduMap/baiduMap.css" rel="stylesheet" />
        //<link href="src/jquery/smartMenu.css" rel="stylesheet" />
        //<link rel="stylesheet" href="http://api.map.baidu.com/library/SearchControl/1.4/src/SearchControl_min.css" />
        //<link rel="stylesheet" href="http://cache.amap.com/lbs/static/main1119.css" />
        'jquery-ui' : ['jquery', 'css!src/kendo/css/kendo.common-material.core.min.css', 'css!src/kendo/css/kendo.material.min.css', 'css!src/kendo/css/kendo.material.mobile.min.css', 'css!mobiles/frame/css/gr-icon.css'],
        "jquery.cookie" : ['jquery'],
        "jquery-json" : ['jquery'],
        "jquery-tmpl" : ['jquery'],
        "jquery.touchslider" : ['jquery',"css!src/jquery/css/jquery.touchslider.css"],
        "jquery.slimscroll" : ['jquery'],
        "flextext": ['jquery'],
        "ueditor.parse" : ['jquery'],
        "placeholder" : ['jquery'],
        "jquery-scrollbar" : ['jquery'],
        "fastclick" : ['jquery'],
        'backbone' : ['underscore'],
        'appcan' : ['jquery', 'backbone','fastclick'],
        'appcan.control' : ['appcan'],
        'appcan.listview' : ['appcan.control'],
        'appcan.optionList' : ['appcan.control'],
        'appcan.slider' : ['appcan.control'],
        'appcan.tab' : ['appcan.control'],
        'appcan.treeview' : ['appcan.control'],
        'kendo.core' : ['jquery'],
        'kendo.validator' : ['kendo.core'],
        'kendo.data.xml' : ['kendo.core'],
        'kendo.data.odata' : ['kendo.core'],
        'kendo.data' : ['kendo.data.xml', 'kendo.data.odata'],
        'kendo.binder' : ['kendo.data.odata'],
        'kendo.calendar' : ['kendo.core'],
        'kendomsg' : ['kendo.core'],
        'kendocul' : ['kendo.core'],
        'bootstrap' : ['jquery'],
        'sparkline-init' : ['sparkline'],
        'sparkline' : ['beyond'],
        'beyond' : ['bootstrap','skins'],
        "util" : ['jquery', "mobiscroll", "mobiscroll2"],
        //时间控件
        // "mobiscroll-scroller": ['mobiscroll-core',"mobiscroll-frame"],
        // "mobiscroll-core": ['jquery'], 
        // "mobiscroll-frame": ['mobiscroll-core'], 
        // "mobiscroll-util": ['mobiscroll-core'], 
        // "mobiscroll-datetimebase": ['mobiscroll-core'], 
        // "mobiscroll-datetime": ['mobiscroll-core'], 
        // "mobiscroll-android-holo-light": ['mobiscroll-core'],
        // "mobiscroll-zh": ['mobiscroll-core', "mobiscroll-android-holo-light"], 
        "mobiscroll": ["mobiscroll2"],  
        "mobiscroll2": ["jquery"],  
        "mobiscroll3": ["mobiscroll2"],  
        "mobiscroll4": ["mobiscroll2"],  
        "mobiscroll5": ["mobiscroll2", "mutil"], 
        
        ///日历插件
        "simple-calendar": ["util","css!src/Simple-Calendar/stylesheets/simple-calendar"],
        
        //IM插件
        "imload" : ["util", "mutil", "appcan"], 
             
        "dialog" : ['util'],
        "form" : ['util', "dialog", "kendo.binder", "kendo.validator", "Dynamic","jquery.touchslider"],
        "lookup" : ['util'],
        "lookupGrid" : ['util', 'lookup', "dialog", "mListView"],
        "lookupMap" : ['util', 'lookup', "dialog", "map"],
        "lookupCall" : ['util', "dialog"],
        "MyCalendar" : ['util', "simple-calendar"],
        "photo" : ['util'],
        "upload" : ['util'],
        "doc" : ['upload'],
        "mutil" : ['jquery', 'util', 'appcan'],
        "mListView" : ['mutil', 'appcan.listview'],
        "gaode" : ["jquery"],
        "map" : ["jquery"],
        "ScrView" : ["util", "LstView"],
        "LstView" : ["util", "FrmView"],
        "FrmView" : ["util"],
        "Dynamic" : ["LstView", "FrmView"], 
        "DyList" : ["ScrView", "LstView", "FrmView"],                
        // "gr" : ["jquery", "jquery-ui", "jquery.cookie", "jquery-json", "jquery-tmpl", "jquery.slimscroll","flextext", "ueditor.parse", "appcan", "appcan.control", "appcan.listview", "appcan.optionList", "appcan.slider", "appcan.tab", "appcan.treeview", "kendo.calendar", "util", "form", "dialog", "lookup", "lookupGrid", "MyCalendar", "ScrView", "LstView", "FrmView", "Dynamic", "DyList", "photo", "upload", "doc", "mutil", "mListView", "map", "kendomsg", "kendocul", "lookupMap", "mobiscroll-scroller", "lookupCall", "mobiscroll-core", "mobiscroll-frame", "mobiscroll-util", "mobiscroll-datetimebase", "mobiscroll-datetime", "mobiscroll-android-holo-light", "mobiscroll-zh","imload","UexShare"]
        "gr" : ["jquery", "jquery-ui", "jquery.cookie", "jquery-json", "jquery-tmpl", "jquery.slimscroll","flextext", "ueditor.parse", "appcan", "appcan.control", "appcan.listview", "appcan.optionList", "appcan.slider", "appcan.tab", "appcan.treeview", "kendo.calendar", "util", "form", "dialog", "lookup", "lookupGrid", "MyCalendar", "ScrView", "LstView", "FrmView", "Dynamic", "DyList", "photo", "upload", "doc", "mutil", "mListView", "map", "kendomsg", "kendocul", "lookupMap", "lookupCall", "mobiscroll", "mobiscroll2", "mobiscroll3", "mobiscroll4", "mobiscroll5", "imload","UexShare","sparkline-init"]
    },
});

require(['gr'], function(f) {
    FastClick.attach(document.body);
    $.server.initData(0, function() {
        kendo.culture("zh-CN");
        window_load();
    });
});
