require.config({
    baseUrl : "../",
    map : {
        '*' : {
            'css' : 'mobiles/frame/css.min'
        }
    },
    paths : {
        "jquery" : "src/jquery/js/jquery",
        "fastclick" : "src/jquery/js/fastclick",
        "jquery-json" : "src/jquery/js/jquery.json-v2.5.1",
        "mutil" : "mobiles/frame/js/mutil",
        "util" : "src/base/js/Util",
        "underscore" : "mobiles/appcan/js/underscore.min",
        "backbone" : "mobiles/appcan/js/backbone.min",
        "appcan" : "mobiles/appcan/js/appcan",
        "appcan.control" : "mobiles/appcan/js/appcan.control",
        "appcan.slider" : "mobiles/appcan/js/appcan.slider",
        "appcan.tab" : "mobiles/appcan/js/appcan.tab",
        "gr": "config"
    },
    shim : {
        "jquery-json" : ['jquery'],
        "fastclick" : ['jquery'],
        "util" : ['jquery'],
        "mutil" : ['jquery'],
        'backbone' : ['underscore'],
        'appcan' : ['fastclick','jquery-json','util','mutil', 'backbone'],
        'appcan.control' : ['appcan'],
        'appcan.slider' : ['appcan.control'],
        'appcan.tab' : ['appcan.control'],
        'gr' : ['appcan.slider','appcan.tab']
    }
});
 
require(['gr'], function(f) {
    FastClick.attach(document.body);
    $.server.initData(0, function() {
        window_load();
    });
});
