function Doc(options) {
    var _that = this;
    this._options = $.extend({
        title : "请选择下载",
        data : null,
        enable : true,
        valueField : null,
        textField : null,
        afterClose : function(op) {
        }
    }, options);

    this._data = [];

    this.open = function(op) {
        _that._options = $.extend(_that._options, op);
        this._dialog = new DialogWindow({
            isFilter : true,
            title : _that._options.title,
            afterClose : function(op) {
                var result = {
                    datas : [],
                    dialogResult : true
                };
                var data = {
                    SS203_A04 : _that._options.data.BM,
                    SS203_A01 : ""
                }
                result.datas.push(data);
                $(_that._data).each(function() {
                    if (data["SS203_A01"].length > 0) {
                        data["SS203_A01"] += ",";
                    }
                    data["SS203_A01"] += this["SS203_A01"];
                });

                if ($C.isFunction(_that._options.afterClose)) {
                    _that._options.afterClose(result);
                }
            }
        });
        var $content = $("<div></div>");
        var $grd = $("<div id='lkpgrd'></div>");
        $content.append($grd);
        $grd.slimscroll({
            height : height
        });
        var $btns = $("<div class='uinn'><div class='btn ub ub-ac bc-text-head ub-pc bc-btn'>点击上传</div></div>");
        $btns.click(function() {
            var upload = new Upload({
                guid : _that._options.data.BM
            });
            upload.afterSave = function(ret) {
                _that._options.data.BM = ret.guid;
                $("#lkpgrd").ctl()._filter = "A04 = '" + _that._options.data.BM + "'";
                $("#lkpgrd").ctl().refresh();
            };
            upload.open();
        })
        if (_that._options.enable) {
            $content.append($btns);
        }
        var height = $(window).height() * 0.6;
        $content.height(height);
        $grd.height(height - $.mobile.getEmSize() * 3.6);
        this._dialog.addContent($content);
        var pages = $("<div class='ub uinn'><div class='ub ub-f1 page-info' style='color:#000'></div></div>")
        this._dialog.open();

        var grd = new mListView($('#lkpgrd'));
        grd._filter = "A04 = '" + _that._options.data.BM + "'";
        grd.load(_that._options.query, {
            layout : {
                r0c0 : "<div><div class='fa fa-trash-o fa-2x list-btn fa-del sky'></div>&nbsp;&nbsp;${" + _that._options.textField + "}"
            },
            enableBounce : false,
            enableFilter : false
        });

        $grd.scroll(function() {
            var aheight = $grd.find(".grid").height();
            var top = $grd.scrollTop();
            if (top + height >= aheight)
                grd.nextPage();
        });

        grd.afterCommand = function(op) {
            if (op.target[0].className.indexOf("fa-del") >= 0) {
                grd.del();
            };
        }

        grd.afterSelect = function(d) {
            $.util.debug();
            var inOpCode = 1;
            var cText = 0;
            var cJson = 1;
            var cInt = 2;
            var finame = d.data.SS203_A01.split('.');
            var newfileName = "";
            uexDownloaderMgr.onStatus = function(opCode, fileSize, percent, status) {
                switch (status) {
                case 0:
                    uexWindow.toast("1", "5", percent + "%", "0");
                    break;
                case 1:
                    uexWindow.closeToast();
                    uexDocumentReader.openDocumentReader("wgt://data/down/" + newfileName);
                    uexDownloaderMgr.closeDownloader(opCode);
                    break;
                case 2:
                    $.util.info("文件下载失败");
                    break;
                case 3:
                    //$.util.info("文件已取消下载");
                    break;
                }
            }
            uexDownloaderMgr.createDownloader(inOpCode);
            uexDownloaderMgr.cbCreateDownloader = function(opCode, dataType, data) {
                switch(dataType) {
                case cText:
                    $.util.info("uex.cText");
                    break;
                case cJson:
                    $.util.info("uex.cJson");
                    break;
                case cInt:
                    if (data == 0) {
                        switch(inOpCode) {
                        case 1:
                            uexFileMgr.cbIsFileExistByPath = function(opId, dataType, data) {
                                if (data == 0) {
                                    newfileName = d.data.SS203_A01;
                                    uexDownloaderMgr.download(inOpCode, $.gr.getServer() + "/handlers/DownloadHandler.ashx?guid=" + d.data.SS203_A04 + "&fileid=" + d.data.SS203_ID, "wgt://data/down/" + newfileName, '1');
                                } else if (data == 1) {
                                    newfileName = finame[0] + "" + Math.round(new Date().getTime() / 1000) + "." + finame[1];
                                    uexDownloaderMgr.download(inOpCode, $.gr.getServer() + "/handlers/DownloadHandler.ashx?guid=" + d.data.SS203_A04 + "&fileid=" + d.data.SS203_ID, "wgt://data/down/" + newfileName, '1');
                                } else {
                                    alert(data);
                                }
                            }
                            uexFileMgr.isFileExistByPath(inOpCode, "wgt://data/down/" + d.data.SS203_A01);
                            break;
                        }
                    } else {
                        $.util.info("文件创建失败");
                    }
                    break;
                default:
                    $.util.info("error");
                }
            }
            //_that._selData = d.data;
            _that._dialog.close(true);
        }
        grd.afterLoad = function(d) {
            _that._data = d.data;
            pages.remove();
            $grd.append(pages);
            if (grd._query.PageIndex < grd.totalPage()) {
                $('.page-info').html("<div><img style='margin:0.3em 0.3em 0 0' src='../src/images/ajax_loading.gif' />正在加载...</div>");
            } else {
                $('.page-info').html("");
            }
        }
    }

    this.afterClose = function(ev) {
        if ($.isFunction(ev)) {
            this._options.afterClose = ev;
        }
    }
}