function Dynamic($this) {
    var _that = this;
    this._$that = $this;
    this._options = {};
    this._$k = null;

    ///创建底部按钮
    this._CreateFrmButtonBar = function (datas, lstPl) {
        var RightButton = $C("<div style='text-align:right;'></div>");//做个右对齐的div

        ///评论
        var PlButton = $C("<span class='PlButton' title='添加评论'>评论</span>");
        PlButton.appendTo(RightButton);

        var PlTotal = $("<span class='PlTotal' title='评论详情'>(" + (datas.datas.DY101_A12 == null ? 0 : datas.datas.DY101_A12) + ")</span>");
        PlTotal.appendTo(RightButton);

        PlButton.bind("click", function () {
            $C(".FrmAddForm").empty();
            $C(".LstV-form").empty();
            var f = lstPl.add();
            f.beforeField = function (op, callback) {
                $C.each(op.table.FieldList, function (k, v) {
                    if (v.TableName != "DY101" || v.ColName != "A07") {
                        v.ColVisible = 0;
                    };
                });

                callback();
            };

            f.beforeLoad = function (op, callback) {
                op.datas[0].set("DY101_A01", datas.datas.DY101_A01);
                op.datas[0].set("DY101_A02", datas.datas.DY101_A02);
                op.datas[0].set("DY101_A03", datas.datas.DY101_ID);
                op.datas[0].set("DY101_A05", $C.server.currentDate());
                op.datas[0].set("DY101_A06", $.server.cache.CurrentUser.Uid);
                op.datas[0].set("DY101_A06MC", $.server.cache.CurrentUser.UserName);
                op.datas[0].set("DY101_A08", "0002");
                op.datas[0].set("DY101_A10", datas.datas.DY101_ID);

                callback();
            };

            f.afterLoad = function (op, callback) {
                $("textarea[field='DY101_A07']").parent("div").parent("div").prev().css("display", "none");//去掉左边文字
                $("textarea[field='DY101_A07']").parent("div").removeClass("col-xs-10");//改边文本框大小
                $("textarea[field='DY101_A07']").parent("div").addClass("col-xs-12");
                $(".form-header").parent("div").remove();
                
                var $call = $("<div style='color:#999; font-size:0.5em; padding-left:0.3em; padding-right:0.3em; padding-top:0.3em' class='ub'></div>");
                $(".LstV-form").prepend($call);
                
                $("textarea[field='DY101_A07']").bind("input", function(e){
                    var is_call = e.target.value.substring(e.target.value.length-1);
                    plOnInput(is_call, op, $call);
                });
            };

            f.beforeSave = function (op, callback) {
                if (op.datas[0]["DY101_A07"] != null) {
                    op.datas[0]["DY101_A07"] = op.datas[0]["DY101_A07"].replace(/\s+/g, "");
                };
                if (op.datas[0]["DY101_A07"] == null || op.datas[0]["DY101_A07"] == "") {
                    $.util.info("请填写评论内容！");
                    return false;
                };

                ///有评论就添加评论数
                if (datas.datas.DY101_A12 == null) {
                    datas.datas.DY101_A12 = 1;
                } else {
                    datas.datas.DY101_A12 = parseInt(datas.datas.DY101_A12) + 1;
                };
                var udata = $.server.updateOptions(datas.table, [datas.datas], "DY101", "ID");
                $.server.update(udata, function (res) {
                    if (res) {
                        PlTotal.html("(" + datas.datas.DY101_A12 + ")");
                        callback();
                    } else {
                        $C.util.info("评论失败！");
                    }
                });
            };
        });

        PlTotal.bind("click", function () {
            _that._CreateLstPl(lstPl, datas);
        });




        ///评分
        var PfButton = $C("<span class='PfButton'></span>");
        PfButton.appendTo(RightButton);

        var qPf = new $.server.queryOptions();
        qPf.PrimaryTable = "DY103";
        qPf.PrimaryKeyField = "ID";
        qPf.FieldNameList = "*";
        qPf.ConditionExpr = "DY103.A01 = '" + datas.datas.DY101_ID + "' AND DY103.A03 = '" + $.server.cache.CurrentUser.Uid + "'";

        $C.server.query(qPf, function (d) {
            ///点赞
            var qDz = new $.server.queryOptions();
            qDz.PrimaryTable = "DY102";
            qDz.PrimaryKeyField = "ID";
            qDz.FieldNameList = "*";
            qDz.ConditionExpr = "DY102.A01 = '" + datas.datas.DY101_ID + "' AND DY102.A03 = '" + $.server.cache.CurrentUser.Uid + "'";

            $C.server.query(qDz, function (D) {
                ///评分
                if (d.DataSource.length == 0) {
                    PfButton.append("<a style='cursor:pointer;' title='1星' score='1'>☆</a>");
                    PfButton.append("<a style='cursor:pointer;' title='2星' score='2'>☆</a>");
                    PfButton.append("<a style='cursor:pointer;' title='3星' score='3'>☆</a>");
                    PfButton.append("<a style='cursor:pointer;' title='4星' score='4'>☆</a>");
                    PfButton.append("<a style='cursor:pointer;' title='5星' score='5'>☆</a>");

                    PfButton.children("a").bind({
                        mouseout: function () {
                            $C(this).css("color", "#428bca").html("☆").prevAll().css("color", "#428bca").html("☆");
                        },
                        mouseover: function () {
                            $C(this).css("color", "#428bca").html("★").prevAll().css("color", "#428bca").html("★");
                        }
                    });

                    PfButton.children("a").bind({
                        mousedown: function () {
                            var score = $(this).attr("score");
                            $(this).css("color", "#428bca").html("★").prevAll().css("color", "#428bca").html("★");
                            $(this).unbind().prevAll().unbind().nextAll().unbind();

                            var queryPf = new $.server.queryOptions();
                            queryPf.PrimaryTable = "DY103";
                            queryPf.PrimaryKeyField = "ID";
                            queryPf.FieldNameList = "*";
                            queryPf.PageSize = 1;
                            queryPf.PageIndex = 1;
                            //'queryPf.ConditionExpr = "";' +
                            $.server.query(queryPf, function (d) {
                                //console.log(data);
                                d.DataSource = [];
                                d.DataSource.push($.server.create(d.Table));
                                d.DataSource[0]["DY103_A01"] = datas.datas.DY101_ID;
                                d.DataSource[0]["DY103_A02"] = score;
                                d.DataSource[0]["DY103_A03"] = $.server.cache.CurrentUser.Uid;
                                d.DataSource[0]["DY103_A04"] = $.server.currentDate();
                                var udata = $.server.updateOptions(d.Table, [d.DataSource[0]], "DY103", "ID");
                                $.server.update(udata, function (res) {
                                    if (res) {
                                        ///取得本条的所有评分
                                        var queryPf = new $.server.queryOptions();
                                        queryPf.PrimaryTable = "DY103";
                                        queryPf.PrimaryKeyField = "ID";
                                        queryPf.FieldNameList = "*";
                                        queryPf.ConditionExpr = "DY103.A01 = '" + datas.datas.DY101_ID + "'";

                                        $C.server.query(queryPf, function (dPf) {
                                            var totalScore = 0;//总分
                                            $C.each(dPf.DataSource, function (key, val) {
                                                totalScore += parseInt(val.DY103_A02);
                                            });

                                            var avgScore = totalScore / dPf.DataSource.length;

                                            datas.datas.DY101_A13 = avgScore;

                                            var ud = $.server.updateOptions(datas.table, [datas.datas], "DY101", "ID");
                                            $.server.update(ud, function (r) {
                                                if (r) {
                                                    DyScore.html("(" + avgScore + ")");
                                                    $.util.info("评分成功！");
                                                    PfButton.children("a").mousedown(function () {
                                                        $.util.info("您已经评过分，谢谢！");
                                                    });
                                                };
                                            });
                                        });
                                    };
                                });
                            });
                        },
                    });
                } else {
                    PfButton.append('<div class="starrating icon-star">' +
                                    '<span class="icon-star" style="width: ' + datas.datas.DY101_A13 * 20 + '%;"></span>' +
                                    '</div>');

                    PfButton.mousedown(function () {
                        $C.util.info("您已经评过分，谢谢！");
                    });
                };

                var DyScore = $C("<span class='DyScore' title='评分详情' is_pfLst = 0>(" + (datas.datas.DY101_A13 == null ? 0 : datas.datas.DY101_A13) + ")</span>");
                DyScore.appendTo(RightButton);

                DyScore.bind("click", function () {
                    _that._CreateLstPf(lstPl, datas);
                });

                ///点赞
                if (D.DataSource.length == 0) {
                    var DzButton = $C("<a class='fa fa-thumbs-o-up fa-x DzButton' title='点赞'></a>");
                    DzButton.appendTo(RightButton);

                    DzButton.bind("mousedown", function () {
                        $(this).removeClass("fa-thumbs-o-up");
                        $(this).addClass("fa-thumbs-up");
                        $(this).unbind();

                        var queryDz = new $.server.queryOptions();
                        queryDz.PrimaryTable = "DY102";
                        queryDz.PrimaryKeyField = "ID";
                        queryDz.FieldNameList = "*";
                        queryDz.PageSize = 1;
                        queryDz.PageIndex = 1;
                        //queryPf.ConditionExpr = "";
                        $.server.query(queryDz, function (d) {
                            //console.log(data);
                            d.DataSource = [];
                            d.DataSource.push($.server.create(d.Table));
                            d.DataSource[0]["DY102_A01"] = datas.datas.DY101_ID;
                            d.DataSource[0]["DY102_A02"] = 1;
                            d.DataSource[0]["DY102_A03"] = $.server.cache.CurrentUser.Uid;
                            d.DataSource[0]["DY102_A04"] = $.server.currentDate();
                            var udata = $.server.updateOptions(d.Table, [d.DataSource[0]], "DY102", "ID");
                            $.server.update(udata, function (res) {
                                if (res) {
                                    ///有点赞就添加点赞数
                                    if (datas.datas.DY101_A14 == null) {
                                        datas.datas.DY101_A14 = 1;
                                    } else {
                                        datas.datas.DY101_A14 = parseInt(datas.datas.DY101_A14) + 1;
                                    };
                                    var udata = $.server.updateOptions(datas.table, [datas.datas], "DY101", "ID");
                                    $.server.update(udata, function (r) {
                                        if (r) {
                                            DzTotal.html("(" + datas.datas.DY101_A14 + ")");
                                            $.util.info("点赞成功！");
                                            DzButton.mousedown(function () {
                                                $.util.info("您已经点过赞，谢谢！");
                                            });
                                        };
                                    });
                                };
                            });
                        });
                    });
                } else {
                    var DzButton = $C("<a class='fa fa-thumbs-up fa-x DzButton' title='点赞'></a>");
                    DzButton.appendTo(RightButton);

                    DzButton.mousedown(function () {
                        $C.util.info("您已经点过赞，谢谢！");
                    });
                };

                var DzTotal = $C('<span class="DzTotal" is_dzLst = 0 title="点赞详情">(' + (datas.datas.DY101_A14 == null ? 0 : datas.datas.DY101_A14) + ')</span>');
                DzTotal.appendTo(RightButton);

                DzTotal.bind("click", function () {
                    _that._CreateLstDz(lstPl, datas);
                });
            });
        });

        return RightButton;
    };

    ///创建评论回复底部按钮组
    this._CreateFrmButtonBarPlHf = function(datas, lst, hf, frm, plFrm) {
        var RightButton = $C("<div style=''></div>")

        $("<span style='color:#999; line-height:28px;padding-left:12px;'>" + datas.datas.DY101_A06MC + "  " + $.date.format(datas.datas.DY101_A05, "yyyy-MM-dd HH:mm:ss") + "</span>").appendTo(RightButton);

        var $plHfButton = $("<span style='color:#7EC0EE; margin-right:10px;float:right;cursor:pointer;'>回复</span>");
        $plHfButton.appendTo(RightButton);

        $plHfButton.bind("click", function () {
            $C(".FrmAddForm").empty();
            $C(".LstV-form").empty();
            if (hf != "hf") {
                var f = lst.add();
            } else {
                var f = frm.add();
            };
            f.beforeField = function (op, callback) {
                $C.each(op.table.FieldList, function (k, v) {
                    if (v.TableName != "DY101" || v.ColName != "A07") {
                        v.ColVisible = 0;
                    };
                });

                callback();
            };

            f.beforeLoad = function (op, callback) {
                op.datas[0].set("DY101_A01", datas.datas.DY101_A01);
                op.datas[0].set("DY101_A02", datas.datas.DY101_A02);
                op.datas[0].set("DY101_A03", datas.datas.DY101_ID);
                op.datas[0].set("DY101_A05", $C.server.currentDate());
                op.datas[0].set("DY101_A06", $.server.cache.CurrentUser.Uid);
                op.datas[0].set("DY101_A06MC", $.server.cache.CurrentUser.UserName);
                op.datas[0].set("DY101_A08", "0003");
                op.datas[0].set("DY101_A10", datas.datas.DY101_A10);
                if (hf == "hf") {
                    op.datas[0].set("DY101_A11", datas.datas.DY101_A11);
                } else {
                    op.datas[0].set("DY101_A11", datas.datas.DY101_ID);
                }

                callback();
            };

            f.afterLoad = function (op, callback) {
                $("textarea[field='DY101_A07']").parent("div").parent("div").prev().css("display", "none");//去掉左边文字
                $("textarea[field='DY101_A07']").parent("div").removeClass("col-xs-10");//改边文本框大小
                $("textarea[field='DY101_A07']").parent("div").addClass("col-xs-12");
                $(".form-header").parent("div").remove();//去掉TAB框
                
                var $call = $("<div style='color:#999; font-size:0.5em; padding-left:0.3em; padding-right:0.3em; padding-top:0.3em' class='ub'></div>");
                $(".LstV-form").prepend($call);
    
                $("textarea[field='DY101_A07']").bind("input", function(e){
                    var is_call = e.target.value.substring(e.target.value.length-1);
                    hfOnInput(is_call, op, $call);
                });
            };

            f.beforeSave = function (op, callback) {
                if (op.datas[0]["DY101_A07"] != null) {
                    op.datas[0]["DY101_A07"] = op.datas[0]["DY101_A07"].replace(/\s+/g, "");
                };
                if (op.datas[0]["DY101_A07"] == null || op.datas[0]["DY101_A07"] == "") {
                    $.util.info("请填写回复内容！");
                    return false;
                };
                callback();
            };

            
            f.afterSave = function (op, callback) {
                $.util.info("保存成功！");
                if (hf == "hf") {
                    plFrm.refresh();
                } else {
                    plFrm.refresh();
                };
            };
        });

        return RightButton;
    };

    ///创建评论lst
    this._CreateLstPl = function (lst, datas) {
        var q = new $C.server.queryOptions();
        q.PrimaryTable = "DY101";
        q.PrimaryKeyField = "ID";
        q.Tables = "YH101, YH102";
        q.FieldNameList = "DY101.*, YH101.A05, YH102.A03";
        q.ConditionExpr = "DY101.A06 = YH101.ID AND YH101.A06 = YH102.ID AND DY101.A08 = 0002 AND DY101.A03 = '" + datas.datas.DY101_ID + "'";

        lst.load(q, {});

        lst.afterLoad = function (op, callback) {
            $C.each(op.datas, function (key, val) {
                //val.LstItem.css("background", "#f4f9f9");
                val.LstItem.empty();
                var frm = new FrmView(val.LstItem);

                frm.beforeField = function (opFrm, callback) {
                    $C.each(opFrm.table.FieldList, function (k, v) {
                        if (v.TableName != "DY101" || v.ColName != "A07") {
                            v.ColVisible = 0;
                        };
                    });

                    callback();
                };

                frm.beforeLoad = function (opFrm, callback) {
                    frm.getFrmCont().css("padding-top", "20px");

                    var lstHf = new LstView(frm.getFrmNextLst());

                    var frmOp = frm.getOptions();
                    frmOp.FrmButtonBar = _that._CreateFrmButtonBarPlHf(opFrm, lstHf, null, null, frm);

                    _that._CreateLstHf(lstHf, opFrm, frm);

                    callback();
                };
                
                frm.load(val.query, {
                    
                });
            });
        };
    };

    ///创建回复lst
    this._CreateLstHf = function (lst, datas, plFrm) {
        var q = new $C.server.queryOptions();
        q.PrimaryTable = "DY101";
        q.PrimaryKeyField = "ID";
        q.Tables = "YH101, YH102";
        q.FieldNameList = "DY101.*, YH101.A05, YH102.A03";
        q.ConditionExpr = "DY101.A06 = YH101.ID AND YH101.A06 = YH102.ID AND DY101.A08 = 0003 AND DY101.A11 = '" + datas.datas.DY101_ID + "'";

        lst.load(q, {});

        lst.afterLoad = function (op, callback) {
            $.each(op.datas, function (key, val) {
                //val.LstItem.css("background", "#f4f9f9");
                val.LstItem.css("padding-left", "30px");
                val.LstItem.empty();
                var frm = new FrmView(val.LstItem);

                frm.beforeField = function (opFrm, callback) {
                    $C.each(opFrm.table.FieldList, function (k, v) {
                        if (v.TableName != "DY101" || v.ColName != "A07") {
                            v.ColVisible = 0;
                        };
                    });

                    callback();
                };

                frm.beforeLoad = function (opFrm, callback) {
                    frm.getFrmCont().css("padding-top", "20px");

                    var frmOp = frm.getOptions();
                    frmOp.FrmButtonBar = _that._CreateFrmButtonBarPlHf(opFrm, null, "hf", frm, plFrm);

                    var q = new $C.server.queryOptions();
                    q.PrimaryTable = "DY101";
                    q.PrimaryKeyField = "ID";
                    q.FieldNameList = "*";
                    q.ConditionExpr = "DY101.ID = '" + opFrm.datas.DY101_A03 + "'";

                    $C.server.query(q, function (data) {
                        opFrm.datas.DY101_A07 = "@" + data.DataSource[0].DY101_A06MC + "：" + opFrm.datas.DY101_A07;

                        callback();
                    });
                };
                
                frm.load(val.query, {
                    
                });
            });
        };
    };


    ///创建评分lst
    this._CreateLstPf = function(lst, datas) {
        var q = new $C.server.queryOptions();
        q.PrimaryTable = "DY103";
        q.PrimaryKeyField = "ID";
        q.FieldNameList = "*";
        q.ConditionExpr = "DY103.A01 = '" + datas.datas.DY101_ID + "'";

        lst.load(q, {
        });

        lst.afterLoad = function (op, callback) {
            $C.each(op.datas, function (k, v) {
                //v.LstItem.css("background", "#f4f9f9");
                val.LstItem.empty();
                var frm = new FrmView(v.LstItem);

                var q = new $C.server.queryOptions();
                q.PrimaryTable = "DY103";
                q.PrimaryKeyField = "ID";
                q.FieldNameList = "*";
                q.ConditionExpr = "DY103.ID = '" + v.DY103_ID + "'";

                frm.beforeLoad = function (op, callback) {
                    frm.getFrmCont().css("padding-top", "20px");

                    var contTmp = $("<div class='row'>" +
                            "<div class='col-sm-12'>" +
                                "<div style='word-wrap:break-word; white-space:pre-wrap; overflow:hidden;'>" +
                                    op.datas.DY103_A02 + "★" +
                                "</div>" +
                            "</div>" +
                        "</div>" +
                        "<div class='row'>" +
                            "<div class='col-sm-12'>" +
                                "<div style='word-wrap:break-word; white-space:pre-wrap; overflow:hidden;'>" +
                                    "<span style='color:#CCCCCC;'>" + op.datas.DY103_A03MC + "  " + $C.date.format(op.datas.DY103_A04, "yyyy-MM-dd HH:mm:ss") + "</span>" +
                                "</div>" +
                            "</div>" +
                        "</div>");
                    frm.getOptions().contTmp = contTmp;

                    callback();
                };

                frm.load(q, {});
            });
        };
    };

    ///创建点赞lst
    this._CreateLstDz = function(lst, datas) {
        var q = new $C.server.queryOptions();
        q.PrimaryTable = "DY102";
        q.PrimaryKeyField = "ID";
        q.FieldNameList = "*";
        q.ConditionExpr = "DY102.A01 = '" + datas.datas.DY101_ID + "'";

        lst.load(q, {
        });

        lst.afterLoad = function (op, callback) {
            $C.each(op.datas, function (k, v) {
                //v.LstItem.css("background", "#f4f9f9");
                val.LstItem.empty();
                var frm = new FrmView(v.LstItem);

                var q = new $C.server.queryOptions();
                q.PrimaryTable = "DY102";
                q.PrimaryKeyField = "ID";
                q.FieldNameList = "*";
                q.ConditionExpr = "DY102.ID = '" + v.DY102_ID + "'";

                frm.beforeLoad = function (op, callback) {
                    frm.getFrmCont().css("padding-top", "20px");

                    var contTmp = $("<div class='row'>" +
                            "<div class='col-sm-12'>" +
                                "<div style='word-wrap:break-word; white-space:pre-wrap; overflow:hidden;'>" +
                                    "点赞" +
                                "</div>" +
                            "</div>" +
                        "</div>" +
                        "<div class='row'>" +
                            "<div class='col-sm-12'>" +
                                "<div style='word-wrap:break-word; white-space:pre-wrap; overflow:hidden;'>" +
                                    "<span style='color:#CCCCCC;'>" + op.datas.DY102_A03MC + "  " + $C.date.format(op.datas.DY102_A04, "yyyy-MM-dd HH:mm:ss") + "</span>" +
                                "</div>" +
                            "</div>" +
                        "</div>");
                    frm.getOptions().contTmp = contTmp;

                    callback();
                };

                frm.load(q, {});
            });
        };
    };




    ///数据绑定
    this.load = function (q, options) {
        _that._query = $.extend(new $.server.queryOptions(), q);

        if (_that._$k != null) {
            _that._$k.remove();
        };

        _that._$k = $("<div class='Dyn'></div>");
        _that._$k.appendTo(_that._$that);

        var frm = new FrmView(_that._$k);

        frm.beforeLoad = function (op, callback) {
            frm.getFrmCont().css("border", "0");

            var lstPl = new LstView(frm.getFrmNextLst());

            var frmOp = frm.getOptions();
            frmOp.FrmButtonBar = _that._CreateFrmButtonBar(op, lstPl);

            _that._CreateLstPl(lstPl, op);

            callback();
        };

        frm.load(_that._query, {
            isCont: false,
        });
    };
};

