function LstView($this) {
    var _that = this;
    this._$that = $this;
    this._options = {};
    this._$k = null;
    this._loading = false;
    this._isEnd = false;
    _that._options = {
            listMode: 1,//1动态 2评论 3回复 4评分 5点赞
            // FrmToolBar: null,
            // FrmButtonBar: null,
            formIsSave: true,
            formIsCancel: true,
            formId: "",
            query: null
        };

    ///创建块
    this._parseData = function (data) {
        var $LstItem = $("<div class='LstItem'></div>");
        data["LstItem"] = $LstItem;
        
        return $LstItem;
    };

    ///打开一个Frm表单
    this._openForm = function (q, options) {
        var $pnl = null;
        if (_that._options.formId) {
            $pnl = $("#" + _that._options.formId);
        } else {
            var $pnl = $C(".LstV-form", _that._$that)
            if ($pnl.length == 0) {
                var $pnl = $("<div class='LstV-form'></div>");
                $pnl.prependTo(_that._$that);
            }
            //_that._$k.hide();
        };
        
        $pnl.empty();

        _that._frm = $.ctrl.openForm($pnl, q, $.extend({}, options, {
            afterClose: function () {
                _that._frm = null;
                //_that._$k.show();
            },
            isSave: _that._options.formIsSave,
            isCancel: _that._options.formIsCancel,
        }));
        _that._frm.afterSave = function (op) {
            $.util.info("保存成功"); 
            _that._frm = null;
            $(".LstV-form", _that._$that).empty();
            //_that._$k.show();
            _that._AddParseData(op.data[0]);
        }
        return _that._frm;
    };

    ///开头添加一块
    this._AddParseData = function (data) {
        if (_that._query) {
            var q = $.extend(new $.server.queryOptions(), _that._query);
            q.ConditionExpr = _that._query.ConditionExpr + " AND " + _that._query.PrimaryTable + "." + _that._query.PrimaryKeyField + " = '" + data + "'";
            
            $.server.query(q, function (d) {
                _that._data[0].push(d.DataSource[0]);
                _that._parseData(d.DataSource[0]).prependTo(_that._$k);
    
                $.util.trigger(_that.afterLoad, {
                    datas: _that._data
                });
            });
        }else{
            var q = new $.server.queryOptions();
            q.PrimaryTable = "DY101";
            q.PrimaryKeyField = "ID";
            q.FieldNameList = "*";
            q.ConditionExpr = "DY101.ID = '" + data + "'";
            
            $.server.query(q, function (d) {
                _that._data.push(d.DataSource[0]);
                _that._parseData(d.DataSource[0]).prependTo(_that._$k);
    
                $.util.trigger(_that.afterLoad, {
                    datas: _that._data
                });
            });
        };
    };




    ///列生成前事件
    this.beforeField = $.util.defaultEvent;
    ///绑定前事件
    this.beforeLoad = $.util.defaultEvent;
    ///绑定后事件
    this.afterLoad = $.util.defaultEvent;

    ///绑定数据
    this.load = function (query, options) {
        _that._query = $.extend(new $.server.queryOptions(), query);
        
        var data = new Array();
        
        data.push(_that._query.PrimaryTable);
        data.push(_that._query.PrimaryKeyField);
        data.push(_that._query.Tables);
        data.push(_that._query.FieldNameList);
        data.push(_that._query.ConditionExpr);
        data.push(_that._query.PageSize);
        data.push(_that._query.PageIndex);
        
        var op = {
            path: "DY/DyServer/GetDyDataSource",
            parms: data
        }
        $.server.api(op, function (data) {
            if (data.length == 0) {
                return false;
            };
            _that.bind(data, options);
        });
    };

    ///绑定数据
    this.bind = function (data, options) {
        _that._options = $.extend(_that._options, options);

        _that._data = data;

        if (_that._$k != null) {
            _that._$k.remove();
        };

        _that._$k = $("<div class='LstV'></div>");
        _that._$k.appendTo(_that._$that);
        
        if (_that._options.listMode == 1) {
        
            if (_that._data.length == 0) {
                //_that._$k.append('<div>没有查询到相关数据！</div>');
                _that._data = [];
            };

            if (_that._data[0].length == 0) {
                //_that._$k.append('<div>没有查询到相关数据！</div>');
                _that._data[0] = [];
            };

            $.util.trigger(_that.beforeField, {
                datas : _that._data
            }, function() {
                $.util.trigger(_that.beforeLoad, {
                    datas : _that._data
                }, function() {
                    $.each(_that._data[0], function(key, val) {
                        _that._parseData(val).appendTo(_that._$k);
                    });

                    $.util.trigger(_that.afterLoad, {
                        datas : _that._data
                    });
                });
            }); 
        }else if(_that._options.listMode == 2 || _that._options.listMode == 3 || _that._options.listMode == 4 || _that._options.listMode == 5){
            if (_that._data.length == 0) {
                //_that._$k.append('<div>没有查询到相关数据！</div>');
                _that._data = [];
            };
            
            $.util.trigger(_that.beforeField, {
                datas : _that._data
            }, function() {
                $.util.trigger(_that.beforeLoad, {
                    datas : _that._data
                }, function() {
                    $.each(_that._data, function(key, val) {
                        _that._parseData(val).appendTo(_that._$k);
                    });

                    $.util.trigger(_that.afterLoad, {
                        datas : _that._data
                    });
                });
            }); 
        }
    };

    ///获取刷新提示块
    this.getLstRefresh = function () {
        return _that._$LstRefresh;
    };

    ///获取总页数
    // this.totalPage = function (options) {
        // return Math.ceil(_that._total / _that._query.PageSize);
    // };

    ///下一页
    this.nextPage = function () {
        if (_that._$k) {
            if (_that._loading || _that._isEnd) {
                return false;
            };

            // _that._$LstRefresh.find(".LstRefresh-info").html("<div style='color:#999; line-height:28px; text-align:center;'><img src='../src/images/ajax_loading.gif' />正在加载...</div>");        _that._query.PageIndex++;
            _that._loading = true;
            var q = $.extend(new $.server.queryOptions(), _that._query);
            
            _that._query.PageIndex++;
            
            var data = new Array();
        
            data.push(_that._query.PrimaryTable);
            data.push(_that._query.PrimaryKeyField);
            data.push(_that._query.Tables);
            data.push(_that._query.FieldNameList);
            data.push(_that._query.ConditionExpr);
            data.push(_that._query.PageSize);
            data.push(_that._query.PageIndex);
            
            var op = {
                path: "DY/DyServer/GetDyDataSource",
                parms: data
            }
            $.server.api(op, function (data) {
                if (data.length == 0) {
                    _that._isEnd = true;
                    _that._loading = false;
                    // _that._$LstRefresh.find(".LstRefresh-info").html("");
                    return false;
                };
                
                if (data[0].length == 0) {
                    _that._isEnd = true;
                    _that._loading = false;
                    // _that._$LstRefresh.find(".LstRefresh-info").html("");
                    return false;
                };
                
                $.each(data[0], function (key, val) {
                    _that._data[0].push(val);
                    _that._parseData(val).appendTo(_that._$k);
                });
                
                $.each(data[1], function (key, val) {
                    _that._data[1].push(val);
                });
                
                $.each(data[2], function (key, val) {
                    _that._data[2].push(val);
                });
                
                $.util.trigger(_that.afterLoad, {
                    datas: _that._data
                });
                
                _that._loading = false;
                // _that._$LstRefresh.find(".LstRefresh-info").html("");
            });
        };
    };
    
    ///获取数据源
    this.getDataSource = function(){
        return _that._data;
    };
    
    this.refresh = function(options) {
        _that._options = $.extend(_that._options, options);
        _that.load(_that._query);
    }

    ///新增
    this.add = function () {
        var q = new $.server.queryOptions();

        q.PrimaryTable = _that._query.PrimaryTable;
        q.PrimaryKeyField = _that._query.PrimaryKeyField;
        q.ConditionExpr = _that._query.PrimaryTable + "." + _that._query.PrimaryKeyField + " = '0'";
        q.PageSize = 1;
        q.PageIndex = 1;

        return _that._openForm(q, {
            opeMode: 1,
        });
    };
    
    ///获取OPTIONS
    this.getOptions = function(){
        return _that._options;
    };
};