function Upload(options) {
    var _that = this;
    this._query = new $C.server.queryOptions();
    this._filePath = null;
    this._options = $.extend({
        guid : null,
        card : null,
        qdphoto : null,
        mktext : "",
        size : 1024 * 1024, //1M
        count : 1,
        allowExt : "*",
        type : [0, 1, 2]//0相机，1图片浏览，2。文件
    }, options);

    this._ope = [];
    this._upLoadUrl = $.mobile.uploadUrl(this._options.guid);

    this.afterSelect = $C.util.defaultEvent;
    this.afterSave = $C.util.defaultEvent;

    this.load = function(options) {
        _that._options = $.extend(_that._options, options);
        this._upLoadUrl = $.mobile.uploadUrl(this._options.guid) + "&card=" + _that._options.card + "&qdphoto=" + _that._options.qdphoto + "&wcphoto=" + _that._options.wcphoto + "&text=" + encodeURI(_that._options.mktext);
    };

    this.open = function() {
        _that._fileSelect();
    }

    this._fileSelect = function() {
        var types = [];
        _that._ope = [];
        if (_that._options.type) {
            $(_that._options.type).each(function() {
                if (this == 0) {
                    var val = $.util.cache("repair" + $.server.cache.CurrentUser.Uid);
                    types.push("相机拍照");
                    _that._ope.push(function() {
                        var opId = $.mobile.getDownloadId();
                        if (val != null) {
                            uexCamera.cbOpenInternal = function(opId, dataType, data) {
                                _that._filePath = data;
                                _that._upload();
                            }
                            uexCamera.openInternal(opId, 100);
                        } else {
                            uexCamera.cbOpen = function(opId, dataType, data) {
                                _that._filePath = data;
                                _that._upload();
                            }
                            uexCamera.open(opId, 100);
                        }
                    });
                } else if (this == 1) {
                    types.push("本地图片");
                    _that._ope.push(function() {
                        uexImageBrowser.cbPick = function(opId, dataType, data) {
                            if (data == "") {
                                return;
                            }
                            _that._filePath = data;
                            _that._upload();
                        }
                        uexImageBrowser.pick();
                        // var data = {
                            // min:1,
                            // max:1,
                            // quality:1,
                            // detailedInfo:false
                        // };
                        // uexImage.openPicker(data,function(code,info){
                            // alert(code);
                            // alert($.toJSON(info));
                            // if(code == 0){
                                // alert(info.data.length);
                                // if(info.data && info.data.length > 0){
                                    // _that._filePath = info.data[0];
                                    // _that._upload();
                                // }else{
                                    // $.util.error("请选择图片");
                                // }
                            // }else{
                                // if(code != -1)
                                  // $.util.error("获取图片失败");
                            // }
                        // });
                    });
                } else if (this == 2) {
                    types.push("本地文件");
                    _that._ope.push(function() {
                        uexFileMgr.explorer("/sdcard/");
                        uexFileMgr.cbExplorer = function(opId, dataType, data) {
                            if (dataType == 0) {
                                _that._filePath = data;
                                _that._upload();
                            }
                        }
                    });
                }
            });
        }
        
        uexWindow.cbActionSheet = function(opId, dataType, data) {
            if ($.isFunction(_that._ope[data])) {
                _that._ope[data](opId, dataType, data);
            }
        }
        uexWindow.actionSheet('', "取消", types);
        
    }

    this._upload = function() {
        var opId = $.mobile.getDownloadId();
        uexUploaderMgr.onStatus = function(opId, fileSize, percent, serverPath, status) {
            switch (status) {
                case 0:
                    uexWindow.toast("1", "5", percent + "%", "300000");
                    break;
                case 1:
                    
                    uexWindow.toast("0", "5", "图片成功上传！", "2000");
                    uexUploaderMgr.closeUploader(opId);
                    var ret = $.evalJSON(serverPath);
                    ret.filePath = _that.filePath;
                    $C.util.trigger(_that.afterSave, ret);
                    break;
                case 2:
                    uexWindow.closeToast();
                    uexWindow.toast("0", "5", "图片上传失败", "2000");
                    uexUploaderMgr.closeUploader(opId);
                    break;
                default:
                    break;
            }
        }

        uexUploaderMgr.cbCreateUploader = function(opId, dataType, data) {
            if (data == 0) {
                uexUploaderMgr.uploadFile(opId, _that._filePath, "file", 1, 720);
            } else {
                uexWindow.closeToast();
                $.util.error("图片上传连接失败");
            }
        }
        uexWindow.toast('1', '5', "开始上传...", '');

        uexUploaderMgr.createUploader(opId, _that._upLoadUrl);
    }
}
