function formView($this) {
    var _that = this;
    this._$that = $this;
    this._options = {};
    this._$k = null;
    this._frm = null;

    ///创建ToolBar块
    this._creatToolBar = function(data) {
        if (_that._$ToolBar._$k != null) {
            _that._$ToolBar._$k.remove();
        };

        _that._$ToolBar._$k = $("<div></div>");
        _that._$ToolBar._$k.appendTo(_that._$ToolBar);

        _that.addButtons(_that._options.ToolBarBtns, _that._$ToolBar._$k);
    };

    ///创建内容块
    this._createFormCont = function(table, data) {
        if (_that._$FormCont._$k != null) {
            _that._$FormCont._$k.remove();
        };

        _that._$FormCont._$k = $("<div></div>");
        _that._$FormCont._$k.appendTo(_that._$FormCont);

        $.each(table.FieldList, function(key, val) {
            if (_that._options.contTmp != null) {
                _that._$FormCont._$k.append(_that._options.contTmp);
            } else {
                if (val.ColVisible != 0) {
                    if (val.EditFormat.startsWith("LOOK")) {
                        _that._$FormCont._$k.append($("<div class='row'><div class='col-sm-12'></div></div>"));
                        _that._$FormCont._$k.children().last().children().first().append("<div style='word-wrap:break-word; white-space:pre-wrap; overflow:hidden; font-size:0.75em;'>" + data[val.TableName + "_" + val.ColName + "MC"] + "</div>");
                    } else if (val.ColType == "DATETIME") {
                        _that._$FormCont._$k.append($("<div class='row'><div class='col-sm-12'></div></div>"));
                        _that._$FormCont._$k.children().last().children().first().append("<div style='word-wrap:break-word; white-space:pre-wrap; overflow:hidden; font-size:0.75em;'>" + $.date.format(data[val.TableName + "_" + val.ColName], val.DisplayFormat) + "</div>");
                    } else {
                        _that._$FormCont._$k.append($("<div class='row'><div class='col-sm-12'></div></div>"));
                        _that._$FormCont._$k.children().last().children().first().append("<div style='word-wrap:break-word; white-space:pre-wrap; overflow:hidden; font-size:0.75em;'>" + data[val.TableName + "_" + val.ColName] + "</div>");
                    }
                    ;
                };
            };
        });
    };

    ///创建ButtonBar块
    this._createButtonBar = function(data) {
        if (_that._$ButtonBar._$k != null) {
            _that._$ButtonBar._$k.remove();
        };

        _that._$ButtonBar._$k = $("<div></div>");
        _that._$ButtonBar._$k.appendTo(_that._$ButtonBar);

        _that._addButtons(_that._options.ButtonBarBtns, _that._$ButtonBar._$k);
    };

    ///是否已经评分过
    this._isScore = function(originID, callback) {
        var query = new $.server.queryOptions();
        query.PrimaryTable = "DY103";
        query.PrimaryKeyField = "ID";
        query.FieldNameList = "*";
        query.ConditionExpr = "DY103.A01 = '" + originID + "' AND DY103.A03 = '" + $.server.cache.CurrentUser.Uid + "'";

        $.server.query(query, function(data) {
            var isScore = 0;
            if (data.DataSource.length > 0) {
                isScore = parseInt(data.DataSource[0]["DY103_A02"]);
            };
            callback(isScore);
        });
    };

    ///是否已经点赞过
    this._isDz = function(originID, callback) {
        var query = new $.server.queryOptions();
        query.PrimaryTable = "DY102";
        query.PrimaryKeyField = "ID";
        query.FieldNameList = "*";
        query.ConditionExpr = "DY102.A01 = '" + originID + "' AND DY102.A03 = '" + $.server.cache.CurrentUser.Uid + "'";

        $.server.query(query, function(data) {
            var isDz = false;
            if (data.DataSource.length > 0) {
                isDz = true;
            };
            callback(isDz);
        });
    };

    ///创建按钮
    this._addButtons = function(btns, widget) {
        $(btns).each(function() {
            if (this.type == null || this.type == "btn") {
                var btn = $.extend({
                    id : null,
                    text : null,
                    group : null
                }, this);
                var $btn = $.ctrl.button(btn.id, btn.text, btn.icon, btn.color);
                $btn.click(btn.click);
                widget.append($btn);
            } else if (this.type == "temp") {
                widget.append(this.text);
            }
        });
    };

    ///列生成前事件
    this.beforeField = $.util.defaultEvent;
    ///绑定前事件
    this.beforeLoad = $.util.defaultEvent;
    ///绑定后事件
    this.afterLoad = $.util.defaultEvent;

    ///添加按钮事件
    this.addButtons = function(btns, widget) {
        $(btns).each(function() {
            if (this.type == null || this.type == "btn") {
                var btn = $.extend({
                    id : null,
                    text : null,
                    group : null
                }, this);
                var $btn = $.ctrl.button(btn.id, btn.text, btn.icon, btn.color);
                $btn.click(btn.click);
                widget.append($btn);
            } else if (this.type == "temp") {
                widget.append(this.text);
            }
        });
    };

    ///获取添加的Form
    this.getAddForm = function() {
        return _that._$AddForm
    };

    ///获取下一层列表
    this.getNextList = function() {
        return _that._$NextList
    };

    ///获取FormCont
    this.getFormCont = function() {
        return _that._$FormCont
    };

    ///新增事件
    this.add = function() {
        var q = new $.server.queryOptions();
        q.PrimaryTable = _that._query.PrimaryTable;
        q.PrimaryKeyField = _that._query.PrimaryKeyField;
        q.PageSize = 1;
        q.PageIndex = 1;
        q.ConditionExpr = _that._query.PrimaryTable + "." + _that._query.PrimaryKeyField + " = '0'";

        $pnl = _that._$AddForm;

        $pnl.empty();

        _that._frm = $.ctrl.openForm($pnl, q, $.extend({}, {
            opeMode : 1,
        }, {
            afterClose : function() {
            },
            isSave : true,
            isCancel : true,
        }));
        _that._frm.afterSave = function(op) {
            $.util.info("保存成功");
            _that._frm = null;
        };
        return _that._frm;
    };

    ///获取查询参数
    this.getOptions = function() {
        return _that._options;
    };

    ///获取数据
    this.getDatas = function() {
        return _that._data;
    };

    ///获取表结构
    this.getTable = function() {
        return _that._table;
    };

    ///刷新
    this.refresh = function(options) {
        _that._options = $.extend(_that._options, options);
        _that.load(_that._query, _that._options);
    };

    ///绑定数据
    this.load = function(query, options) {
        _that._query = $.extend(new $.server.queryOptions(), query);
        $.server.query(_that._query, function(data) {
            _that.bind(data, options);
        });
    };

    ///绑定数据
    this.bind = function(data, options) {
        _that._options = $.extend({
            opeMode : 1, //1查看
            ToolBarBtns : [],
            ButtonBarBtns : [],
            contTmp : null,
        }, options);

        _that._data = data.DataSource[0];
        _that._table = data.Table;

        if (_that._$k != null) {
            _that._$k.remove();
        };

        _that._$k = $("<div></div>");
        _that._$k.appendTo(_that._$that);

        _that._$ToolBar = $("<div class='ToolBar'></div>");
        _that._$ToolBar.appendTo(_that._$k);

        _that._$FormCont = $("<div class='FormCont'></div>");
        _that._$FormCont.appendTo(_that._$k);

        _that._$ButtonBar = $("<div class='ButtonBar'></div>");
        _that._$ButtonBar.appendTo(_that._$k);

        _that._$AddForm = $("<div class='AddForm'></div>");
        _that._$AddForm.appendTo(_that._$k);

        _that._$NextList = $("<div class='NextList'></div>");
        _that._$NextList.appendTo(_that._$k);

        $.util.trigger(_that.beforeField, {
            table : _that._table,
            datas : _that._data
        }, function() {
            $.util.trigger(_that.beforeLoad, {
                table : _that._table,
                datas : _that._data
            }, function() {
                _that._creatToolBar();

                _that._createFormCont(data.Table, data.DataSource[0]);
                //创建内容块

                _that._createButtonBar();

                $.util.trigger(_that.afterLoad, {
                    table : _that._table,
                    datas : _that._data
                });
            });
        });
    };
};