function listView($this) {
    var _that = this;
    this._$that = $this;
    this._options = {};
    this._$k = null;




    ///列生成前事件
    this.beforeField = $.util.defaultEvent;
    ///绑定前事件
    this.beforeLoad = $.util.defaultEvent;
    ///绑定后事件
    this.afterLoad = $.util.defaultEvent;

    ///获取查询参数
    this.getQuery = function () {
        return _that._query;
    };

    ///获取表结构
    this.getTable = function () {
        return _that._table;
    };

    ///绑定数据
    this.load = function (query, options) {
        _that._query = $.extend(new $.server.queryOptions(), query);
        $.server.query(_that._query, function (data) {
            _that.bind(data, options); //console.log(data);
        });
    };

    ///绑定数据
    this.bind = function (data, options) {
        _that._options = $.extend({
            listMode: 1,//1查看
        }, options);

        _that._data = data.DataSource;
        _that._table = data.Table;

        if (_that._$k != null) {
            _that._$k.remove();
        };

        _that._$k = $("<div'></div>");
        _that._$k.appendTo(_that._$that);

        $.util.trigger(_that.beforeField, {
            table: _that._table,
            datas: _that._data
        }, function () {
            $.util.trigger(_that.beforeLoad, {
                table: _that._table,
                datas: _that._data
            }, function () {
                $.each(data.DataSource, function (key, val) {
                    var listItem = $("<div class='listItem'></div>");
                    listItem.appendTo(_that._$k);
                    val["listItem"] = listItem;
                });

                $.util.trigger(_that.afterLoad, {
                    table: _that._table,
                    datas: _that._data
                });
            });
        });
    };
};
