function LookupGrid(options) {
    var _that = this;
    this._options = $.extend({
        title : "请选择",
        data : null,
        valueField : null,
        textField : null,
        afterClose : function(op) {
        }
    }, options);

    this.open = function(op) {
        _that._options = $.extend(_that._options, op);
        this._dialog = new DialogWindow({
            isFilter : true,
            title : _that._options.title,
            afterClose : function(op) {
                var result = {
                    datas : [_that._selData],
                    dialogResult : op
                };

                if ($.isFunction(_that._options.afterClose)) {
                    _that._options.afterClose(result);
                }
            }
        });
        var $grd = $("<div id='lkpgrd'></div>");
        this._dialog.addContent($grd);
        var height = $(window).height() * 0.6;
        //$grd.height(height);
        $grd.slimscroll({
            height : height
        });
        var pages = $("<div class='ub uinn'><div class='ub ub-f1 page-info' style='color:#000'></div></div>")
        this._dialog.open();

        var grd = new mListView($('#lkpgrd'));
        grd.load(_that._options.query, {
            layout : {
                r0c0 : "${" + _that._options.textField + "}"
            },
            enableBounce : false,
            enableFilter : false
        });

        $grd.scroll(function() {
            var aheight = $grd.find(".grid").height();
            var top = $grd.scrollTop();
            if (top + height >= aheight)
                grd.nextPage();
        });

        grd.afterSelect = function(d) {
            _that._selData = d.data;
            _that._dialog.close(true);
        }
        grd.afterLoad = function(d) {
            pages.remove();
            $grd.append(pages);
            if (grd._query.PageIndex < grd.totalPage()) {
                $('.page-info').html("<div><img style='margin:0.3em 0.3em 0 0' src='../src/images/ajax_loading.gif' />正在加载...</div>");
            } else {
                $('.page-info').html("");
            }
        }
    }

    this.getGrid = function() {
        return $("#lkpgrd", this._dialog.getContent()).ctl();
    }

    this.afterClose = function(ev) {
        if ($.isFunction(ev)) {
            this._options.afterClose = ev;
        }
    }
}