function GaodeMap(options) {
    var _that = this;
    this._options = $.extend({
        title : "请选择",
        data : null,
        valueField : null,
        textField : null,
        enable : true,
        afterClose : function(op) {
        }
    }, options);

    this._map = null;

    this._data = null;

    this.open = function(op) {
        _that._options = $.extend(_that._options, op);
        this._dialog = new DialogWindow({
            isFilter : true,
            title : _that._options.title,
            beforeClose : function(op) {
                if (op) {
                    var address = _that._map.AddressInfo();
                    if (address == null) {
                        $.util.info("正在定位中...");
                        return false;
                    }
                }
            },
            afterClose : function(op) {
                var address = _that._map.AddressInfo();
                if (_that._data.DataSource.length == 0) {
                    _that._data.DataSource.push($.server.create(_that._data.Table));
                }
                if (window["uexGaodeMap"]) {
                    uexGaodeMap.close();
                }
                if (!op) {
                    return;
                }
                _that._data.DataSource[0]["SS204_A01"] = _that._options.data.MC;
                _that._data.DataSource[0]["SS204_A02"] = address.point[0];
                _that._data.DataSource[0]["SS204_A03"] = address.point[1];
                _that._data.DataSource[0]["SS204_A05"] = _that._options.data.table;
                _that._data.DataSource[0]["SS204_A06"] = address.address.fullAddress;
                _that._data.DataSource[0]["SS204_A07"] = "x";
                _that._data.DataSource[0]["SS204_A08"] = "c";
                _that._data.DataSource[0]["SS204_A09"] = "v";
                var uop = $.server.updateOptions(_that._data.Table, _that._data.DataSource, "SS204", "ID");
                $.server.update(uop, function(ret) {
                    var ret = $.util.join('', ret);
                    _that._data.DataSource[0]["SS204_ID"] = ret;
                    var result = {
                        datas : _that._data.DataSource,
                        dialogResult : op
                    };

                    if ($.isFunction(_that._options.afterClose)) {
                        _that._options.afterClose(result);
                    }
                });
            }
        });
        var height = $(window).height()*0.6;
        var $map = $("<div class='ub'><div class='ub-f1 tlb-txt-search'><div class='sc-bg-active uinput ub ub-f1  bc-border uba'><input placeholder='请输入关键词' type='search' class='ub-f1 tlb-search-txt'><div class='uinn fa fa-search sc-text tlb-search-btn'></div></div></div></div>");
        $map.height(height);
        this._dialog.addContent($map);
        this._dialog.open();
        var btnHeight = $.mobile.getEmSize() * 2.5;
        _that._map = new Map($map, {
            top : $(window).height() - $map.height() + btnHeight*1.85,
            height : $map.height(),
            enable : _that._options.enable
        });
        // $('.tlb-txt-search').css("margin-top", height - btnHeight);

        $('.tlb-search-btn').on('click', function() {
            var k1 = $('.tlb-search-txt').val();
            _that._map.placeSearch(k1);
        });

        var bm = "";
        if (_that._options.data && _that._options.data["BM"]) {
            bm = _that._options.data['BM'];
        }
        var query = new $.server.queryOptions();
        query.PrimaryTable = "SS204";
        query.ConditionExpr = "SS204.ID = '" + bm + "'";
        $.server.query(query, function(data) {
            _that._data = data;
            if (data.DataSource.length > 0) {
                _that._map.load({
                    datas : [{
                        point : [data.DataSource[0]["SS204_A02"], data.DataSource[0]["SS204_A03"]],
                        address : {
                            fullAddress : data.DataSource[0]["SS204_A06"]
                        }
                    }]
                });
            } else {
                _that._map.load({

                });
            }
        });
    }

    this.afterClose = function(ev) {
        if ($.isFunction(ev)) {
            this._options.afterClose = ev;
            _that._map.MapClose();
        }
    }
}