require.config({
    baseUrl : "../",
    map : {
        '*' : {
            'css' : 'mobiles/frame/css.min'
        }
    },
    paths : {
        "jquery" : "src/jquery/js/jquery",
        "jquery-ui" : "src/jquery/js/jquery-ui.min",
        "jquery-json" : "src/jquery/js/jquery.json-v2.5.1",
        "jquery-tmpl" : "src/jquery/js/jquery.tmpl.min",
        "underscore" : "mobiles/appcan/js/underscore.min",
        "backbone" : "mobiles/appcan/js/backbone.min",
        "appcan" : "mobiles/appcan/js/appcan",
        "appcan.control" : "mobiles/appcan/js/appcan.control",
        "util" : "src/base/js/Util",
        "mutil" : "mobiles/frame/js/mutil",
        "login" : "src/index/js/login",
        "forget" : "src/index/js/forget",
        "register" : "src/index/js/register",
        "gr": "config"
    },
    shim : {
        'jquery' : ['css!mobiles/appcan/css/appcan.icon.css', 'css!mobiles/appcan/css/appcan.control.css', 'css!mobiles/frame/css/index.css'],

        'jquery-ui' : ['jquery', 'css!src/kendo/css/kendo.common-material.core.min.css', 'css!src/kendo/css/kendo.material.min.css', 'css!src/kendo/css/kendo.material.mobile.min.css'],
        "jquery-json" : ['jquery'],
        'backbone' : ['underscore'],
        'appcan' : ['jquery', 'backbone'],
        'appcan.control' : ['appcan'],
        "util" : ['jquery'],
        "mutil" : ['util', 'appcan'],
        "gr" : ["jquery","util","mutil"],
        "login" : ["jquery-ui", "jquery-json", "appcan.control", "mutil","gr"]
    },
}); 

require(['login'], function(f) {
    
});
