function CtrlType(options) {
    var _that = this;
    this._$k = null;
    this._data = null;
    this._parms = null;
    this._options = $.extend({
        data: null,
        afterClose: function (op) { }
    }, options);

    this.open = function (options) {
        _that._options = $.extend(_that._options, options.data);
        var $content = $("<div><span>控件类型</span><input id='ctrl' style='width: 100%' /></div><div id='pms'></div>");
        this._dialog = new DialogWindow({
            afterClose: function (op) {
                var result = {
                    datas: [],
                    dialogResult: op
                };
                var data = {};
                if (op) {
                    var kddl = $("#ctrl", _that._dialog._$content).data("kendoDropDownList");
                    data["SS202_A01"] = _that._data["SS202_A01"];
                    data["SS202_A02"] = _that._data["SS202_A02"];
                    data["PARMS"] = $.toJSON(_that._parms);
                }
                result.datas.push(data);
                if ($.isFunction(_that._options.afterClose)) {
                    _that._options.afterClose(result);
                }
            }
        });
        this._dialog.addContent($content);
        $.server.query(options.query, function (datas) {
            $("#ctrl", _that._dialog._$content).kendoDropDownList({
                optionLabel: "请选择...",
                dataTextField: "SS202_A02",
                dataValueField: "SS202_A01",
                dataSource: datas.DataSource
            });
            _that._$k = $("#ctrl",_that._dialog._$content).data("kendoDropDownList");
            _that._$k.bind("select", function (e) {
                $("#pms").empty();
                _that._data = _that._$k.dataItem(e.item);

                if (!_that._data["SS202_A05"]) {
                    return;
                }
                var ps = $.evalJSON(_that._data["SS202_A05"]);
                if (_that._options.OLD_BM == _that._data["SS202_A01"]) {
                    ps = $.extend(ps, $.evalJSON(_that._options.PARMS));
                }
                for (var p in ps) {
                    if (!p.endsWith("MC")) {
                        $("#pms" ,_that._dialog._$content).append($("<div style='padding:2px'><span style='display: inline-block;width: 200px;text-align: right;'>"
                            + (ps[p + "MC"] || p) + "</span><input id='" + p + "' data-bind='value:" + p + "' style='width: 300px' />"));
                    }
                }
                _that._parms = $.util.bind($("#pms", _that._dialog._$content), ps);
                _that._parms.bind("change", function (op) {
                    if (op.field == "TABLE") {
                        var data = _that._parms;
                        if (data[op.field] == "SS202") {
                            data.set("ID", "A01");
                            data.set("NAME", "A02");
                            $("#pms", _that._dialog._$content).append($("<div id='bmType' style='padding:2px'><span style='display: inline-block;width: 200px;text-align: right;'>编码类型</span><input id='ddlType' style='width: 300px' /></div>"));
                            var q2 = new $.server.queryOptions();
                            q2.PrimaryTable = "SS201";
                            $.server.query(q2, function (datas) {
                                $("#ddlType", $("#pms", _that._dialog._$content)).kendoDropDownList({
                                    optionLabel: "请选择...",
                                    dataTextField: "SS201_A01",
                                    dataValueField: "SS201_ID",
                                    dataSource: datas.DataSource
                                });
                                var ddlType = $("#ddlType", $("#pms", _that._dialog._$content)).data("kendoDropDownList");
                                $C.util.debug();                                
                                ddlType.bind("change", function () {
                                    data.set("FILTER", "A03 = '" + ddlType.value() + "'");
                                });
                            });
                        } else {
                            $("#bmType", $("#pms", _that._dialog._$content)).remove();
                            data.set("ID", "ID");
                            data.set("NAME", "");
                            data.set("FILTER", "")
                        }
                    }
                });
                _that._parms.trigger("change", { field: "TABLE" });
            });
            if (_that._options.BM) {
                _that._$k.select(function (item) {
                    return item["SS202_A01"] == _that._options.BM
                });
                _that._options.OLD_BM = _that._options.BM;
                _that._$k.trigger("select");
            }
        });
        this._dialog.open();
    }

    this.getGrid = function () {
        return $("#lkpgrd", this._dialog.getContent()).ctl();
    }

    this.afterClose = function (ev) {
        if ($.isFunction(ev)) {
            this._options.afterClose = ev;
        }
    }
}
