function LookupGrid(options) {
    var _that = this;
    this._options = $.extend({
        title: "请选择",
        data: null,
        afterClose: function (op) { }
    }, options);

    this.open = function (data) {
        _that._options = $.extend(_that._options, data);
        this._dialog = new DialogWindow({
            isFilter: true,
            title: _that._options.title,
            afterClose: function (op) {
                var grd = _that.getGrid()
                if (grd) {
                    var selDatas = grd.select();
                    var result = {
                        datas: selDatas,
                        dialogResult: op
                    };

                    if ($.isFunction(_that._options.afterClose)) {
                        _that._options.afterClose(result);
                    }
                }
            }
        });
        var $grd = $("<div id='lkpgrd'></div>");
        this._dialog.addContent($grd);
        this._dialog.open();
        sleep(500);
        var grd = new Grid($grd);
        grd.load(_that._options.query);
        grd.afterLoad = function () {
            //grd.select();
        }
    }

    this.getGrid = function () {
        return $("#lkpgrd", this._dialog.getContent()).ctl();
    }

    this.afterClose = function (ev) {
        if ($.isFunction(ev)) {
            this._options.afterClose = ev;
        }
    }
}
