function Form($this, options) {
    var _that = this;
    this._$that = $this;
    this._$that.data("ctrl", _that);
    this._query = null;
    this._options = $.extend({
        showHeader: false,
        opeMode : 0, //操作方式：0查看,1新增，2编辑
        groupMode : 1, //分组模式：1为水平，2为垂直。
        columnCount : null,
        templateId : null, //通过模板加载表单
        templateCustom : null, //自定义加载表单
        btns : [], //临时解决方案,app专用格式为{id,icon,text,click}
        dynId : "", //动态加载块ID
        isDyn : true, //默认加载动态
    }, options);
    this._table = null;
    this._data = null;
    this._validator = null;
    this._id = this._$that.attr("id") || "";

    ///打开动态
    this.createDyn = function() {
        if ((_that._options.opeMode == 0 || _that._options.opeMode == 2) && _that._options.isDyn == true && _that._query != null) {//查看时再加载
            var $dyn = null;
            if (_that._options.dynId) {
                $dyn = $("#" + _that._options.dynId);
            } else {
                var $dyn = $(".dyn-form", _that._$that);
                if ($dyn.length == 0) {
                    var $dyn = $("<div class='dyn-form'></div>");
                    $dyn.appendTo(_that._$that);
                };
            };
            $dyn.empty();

            var q = new $C.server.queryOptions();
            q.PrimaryTable = "DY104";
            q.PrimaryKeyField = "ID";
            q.ConditionExpr = "DY104.A01 = '" + _that._query.PrimaryTable + "'";
            q.PageSize = 1;
            q.PageIndex = 1;

            $.server.query(q, function(data) {
                if (data.DataSource.length > 0) {
                    // var dyn = new Dynamic($dyn);
// 
                    // var query = new $C.server.queryOptions();
                    // query.PrimaryTable = "DY101";
                    // query.PrimaryKeyField = "ID";
                    // query.ConditionExpr = "DY101.A02 = '" + _that._query.PrimaryTable + "' AND DY101.A03 = '" + _that._data[_that._query.PrimaryTable + "_" + _that._query.PrimaryKeyField] + "' AND DY101.A08 = '0001'";
                    // query.PageSize = 1;
                    // query.PageIndex = 1;
// 
                    // dyn.load(query, {
                    // });
                    
                    var DyLst = new DyList($dyn);
                    
                    var q = new $.server.queryOptions();
                    q.PrimaryTable = "DY101";
                    q.PrimaryKeyField = "ID";
                    q.Tables = "DY104, YH101, YH102";
                    q.FieldNameList = "DY101.*, DY104.*, YH101.A05, YH102.A03";
                    q.ConditionExpr = "DY101.A02 = DY104.A01 AND DY101.A06 = YH101.ID AND YH101.A06 = YH102.ID AND DY101.A08 = 0001 AND DY101.A03 = '" + _that._data[_that._query.PrimaryTable + "_" + _that._query.PrimaryKeyField] + "'";
                    q.PageIndex = 1;
                    
                    DyLst.load(q, {
                        fromFrm: true,
                    });
                };
            });
        };
    };

    this._createForm = function(table, data) {
        _that._$that.empty();
        var $h = $('<ul class="tab-header form-header"><li><a id="yhgbt" href="javascript:void(0)" class="active">'+_that._table.TableLabel+'</a></li></ul>');
        if(!_that._options.showHeader){
            $h.hide();
        }
        _that._$that.append($h);

        var fieldList = table.FieldList.sort(function(a, b) {
            return a.ColOrder - b.ColOrder;
        });

        var c = 1,
            max = _that._options.columnCount || table.FormColumn;
        group = "",
        gc = 0;
        for (var i = 0; i < fieldList.length; i++) {
            if (fieldList[i].FormVisible() == 0)
                continue;
            if (_that._options.opeMode == 0 && (data[fieldList[i].TableName + "_" + fieldList[i].ColName] == null || data[fieldList[i].TableName + "_" + fieldList[i].ColName] == "")) {
                continue;
            }
            var $grp = _that._createGroup(fieldList[i].ColGroup, fieldList[i].ColGroupMC);
            if (group != fieldList[i].ColGroupMC) {
                gc += 1;
            }
            var $fieldContent = $('<div style="padding: 1px 0.625em 1px 0;margin-left: 0em;" class="ub ubb b-c2"></div>');
            $grp.append($fieldContent);
            _that._createField($fieldContent, fieldList[i], data, fieldList);
        }

        if (gc <= 1) {
            $("#ul", _that._$that).remove();
        }
        
        ///判断是否加载动态
        _that.createDyn();
        
        if (_that._options.btns) {
            var btnGroup = $('');
            _that._$that.append(btnGroup);
            $(_that._options.btns).each(function() {
                var $btn = $('<a href="javascript:void(0)" style="padding-top:0.5em;font-size: 0.8125em;vertical-align: middle;color: #f00;text-decoration: none;line-height: 2em;">'+this.text+'</a>');
                $(".form-header", _that._$that).append($btn);
                $btn.click(this.click);
            });
        }
    };
    this._createGroup = function(group, grpName) {
        function showContent($h, isShow){
            if(isShow){
                if($h.hasClass('show')){
                    return;
                }
                $h.find('.header-img').removeClass('fa-angle-down')
                .addClass('fa-angle-up');
                $fc = $h.parent().find('.form-content');
                $fc.children('.form-fields').show();
                $fc.animate({height: $fc.children('.form-fields').height() + 'px'}, 500, null, function (){
                    $(this).css('height', 'auto');
                });
                $h.find('.group-name').html($h.find('.group-name').attr('n'));
                $h.addClass('show');
            }else{
                $h.find('.header-img').removeClass('fa-angle-up')
                .addClass('fa-angle-down');
                $fc = $h.parent().find('.form-content');
                $fc.animate({height:'0px'},500, null, function(){
                        $(this).children('.form-fields').hide();
                    });
                $h.find('.group-name').html('显示  ' + $h.find('.group-name').attr('n'));
                $h.removeClass('show');
            }
        }
        var $header = $('.' + group, _that._$that);
        if ($header.length == 0) {
            $header = $('<div class="form-group ub ub-ver ub-f1 '
            +group+'"><div class="ub ub-ac c-gra-d6 group-header show" style="border-color: rgba(220, 220, 220,1);margin-bottom: 0;"><div class="ulev-app2 t-bla-28 ubb-01 uinn-5"><span class="group-name" n="'
            +grpName+'">'
            +grpName+'</span></div><div class="header-img fa fa-angle-down"></div></div></div>');
            _that._$that.append($header);
            var $c = $('<div class="uinn-a7 form-content"><div class="form-fields"></div></div><div class="ub ub-ac c-gra-d6" style="background-color: #F5F5F5;margin-bottom: 0;"><div class="ulev-app2 t-bla-28 ubb-01 uinn-5"></div></div>');
            $header.append($c);
            var isShow = $('.form-group', _that._$that).length == 1;
            showContent($header.find('.group-header'), isShow);
            $header.find('.group-header').click(function (){
               showContent($(this), !$(this).hasClass('show'));
            });
        }
        return $(".form-content .form-fields", $header);
    };
    this._createField = function($pnl, field, data, fieldList) {
        field.guid = $.util.guid();
        var label = field.DisplayLabel;
        if (field.ColNull == 0) {
            label = "<span>" + label + "<span style='color:#f00;'>*</span></span>";
        }
        $lbl = $("<label class='form-label' for='" + field.guid + "'>" + label + "</label>");
        var $row = $('<div class="ub ub-f1"></div>');
        $pnl.append($row);
        $row.append($lbl);
        var $field = $('<div class="uinn ub-f1"></div>');
        $row.append($field);
        $.field.create($field, field, data, fieldList);
    };

    this._createTemplate = function(callback) {
        var query = new $C.server.queryOptions();
        query.PrimaryTable = "SS210";
        query.ConditionExpr = "ID = '" + _that._options.templateId + "'";

        $.server.query(query, function(datas) {
            $page.datas = datas;
            if (datas.DataSource.length <= 0) {
                $.util.info("未找到对应的表单");
                return;
            }
            _that._$that.width($(window).width() * 2);
            _that._$that.html(datas.DataSource[0]["SS210_A04"]);
            var rd = "C_" + Math.random();
            rd = rd.replace(".", "");
            _that._$that.addClass(rd);
            if (_that._options.templateId) {
                _that._$that.addClass("form-temp");
            }
            uParse('.' + rd, {
                rootPath : '/src/ueditor/'
            });
            var em = $.mobile.getEmSize();
            $(_that._$that.find('*[style*=font-size]')).each(function() {
                var fs = $(this).css('font-size');
                $(this).css('font-size', parseInt(parseInt(fs) / 16 * em) + 'px');

            });
            _that._$that.find('table').attr('width','98%');
            _that._parseTemplate();
            callback();
        });
    }

    this._parseTemplate = function() {
        var $fields = _that._$that.find("div[fieldinfo='fieldinfo']");
        $($fields).each(function() {
            var title = $(this).attr("title");
            $(this).attr("title", "");
            $(this).attr("o_title", title);
            for (var i = 0; i < _that._table.FieldList.length; i++) {
                var field = _that._table.FieldList[i];
                if (title == field.TableName + "." + field.ColName) {
                    $(this).html("");
                    var width = $(this).width();
                    $(this).css("margin", "auto").css("border", "0");
                    $.field.create($(this), field, _that._data, table.FieldList);
                    var td = $(this).closest('td');
                    if (td.length > 0) {
                        var height = td.height() - 5;
                        td.css("padding", "0");
                        td.css("vertical-align", "middle");
                        if ($(td).find("input[type!='hidden']:visible,textarea:visible").length == 1 && $(td).children().length == 1) {
                            $(this).find("input[type!='checkbox']").height(height);
                            $(this).find("input[type!='checkbox'],textarea,pre").width(td.width() * 0.96 - 5)
                            .css('line-height',$.mobile.getEmSize() + 'px');
                            $(this).find("input[type!='checkbox'],textarea").css("border", "0");
                            $(this).find("input[type!='checkbox'],textarea").css("background-color", "#FFF");
                            $(this).find("a").css("line-height", height + "px")
                            $(this).find(".k-select").css("line-height", height + "px");
                            
                            td.click(function() {
                                $(this).find("input,textarea").focus();
                            });
                        }
                    }
                    //$(this).append($("<span data-for='" + field.TableName + "_" + field.ColName + "' class='k-invalid-msg' style='    position: absolute;top: 7px;right: 5px;' ></span>"));
                    break;
                }
            }
        });

        $(_that._$that.find('input,textarea')).each(function() {
            $(this).css('font-size', $(this).parent().css('font-size'));
        });
    }

    this._parseChild = function() {
        var $tables = _that._$that.find("div[tableinfo='tableinfo']");
        $($tables).each(function(ti) {
            var ctable = {
                table : $(this).attr("title"),
                show : $(this).attr("show").split(","),
                filter : $(this).attr("filter")
            };
            $(this).attr("title", "");
            $(this).attr("o_title", ctable.table);
            $(this).html("");
            $(this).css("margin", "auto").css("border", "0");
            var $tr = $(this).parents("tr").first();
            var $tds = $tr.children("td");
            var qt = new $.server.queryOptions();
            qt.PrimaryTable = ctable.table;
            qt.ConditionExpr = ctable.table + ".PID = '" + _that._data[_that._query.PrimaryTable + "_ID"] + "' AND " + (ctable.filter || "1=1");
            qt.OrderExpr = ctable.table + ".ID";
            $.server.query(qt, function(qtd) {
                $($tables[ti]).remove();
                $(ctable.show).each(function(index) {
                    var sf = this;
                    for (var fi in qtd.Table.FieldList) {
                        var tf = qtd.Table.FieldList[fi];
                        if (sf == tf.TableName + "." + tf.ColName) {
                            $($tds[index]).html('');
                            var $tf = $("<div fieldinfo='fieldinfo'/>");
                            $tf.attr("title", sf);
                            $($tds[index]).append($tf);
                            break;
                        }
                    }
                });
                $tr.data("formdata", {
                    html : $tr.attr("formid", $.util.guid()).prop('outerHTML'),
                    table : qtd.Table,
                    tableName : ctable.table
                });
                $tr.attr("formindex", -1);
                $tr.hide();
                $($tr.prev("tr").children("td[rowspan]")).each(function() {
                    if (parseInt($(this).attr("rowspan")) > 1) {
                        $(this).attr("has_rowspan", 1);
                        $(this).attr("rowspan", parseInt($(this).attr("rowspan")) - 1);
                    }
                });
                var noneChild = false;
                if (qtd.DataSource.length == 0) {
                    noneChild = true;
                    qtd.DataSource.push($.server.create(qtd.Table));
                }

                $(qtd.DataSource).each(function() {
                    _that._templateChildForm($tr, this);
                });
                if (!noneChild) {
                    _that._templateChildForm($tr, $.server.create($tr.data("formdata").table));
                }
            });
        });
    }

    this._templateChildForm = function($temptr, formdata) {
        var formid = $temptr.attr("formid");
        var trforms = $temptr.nextAll("tr[formid='" + formid + "']");
        var $lastform = null;
        if (trforms.length == 0) {
            $lastform = $temptr;
        } else {
            $lastform = $(trforms[trforms.length - 1]);
        }
        var $newRow = $($temptr.data("formdata").html);
        $newRow.attr("formindex", trforms.length);
        $lastform.after($newRow);
        $($temptr.prev("tr").children("td[has_rowspan='1']")).each(function() {
            $(this).attr("rowspan", parseInt($(this).attr("rowspan")) + 1);
        });
        var cform = new Form($newRow, {
            opeMode : 2,
            templateCustom : true
        });
        cform.bind({
            DataSource : [formdata],
            Table : $temptr.data("formdata").table
        });
        $($newRow.find('input,textarea')).each(function() {
            $(this).css('font-size', $(this).parent().css('font-size'));
        });
        cform.afterChange = function(fc) {
            if (fc.data[$temptr.data("formdata").tableName + "_PID"] === null) {
                fc.data[$temptr.data("formdata").tableName + "_PID"] = "";
            }
            if ($newRow.next("tr[formindex]").length == 0) {
                _that._templateChildForm($temptr, $.server.create($temptr.data("formdata").table));
            }
        }
    }

    this._formLoad = function() {
        $.util.trigger(_that.beforeLoad, {
            table : _that._table,
            datas : [_that._data]
        }, function() {
            //$('textarea[disabled]', _that._$that).each(function () {
            //    $(this).height(this.scrollHeight);
            //});
            $.util.bind(_that._$that, _that._data);
            $('textarea').flexText();
            $.util.trigger(_that.afterLoad, {
                table : _that._table,
                datas : _that._data
            });
            _that._data.bind("change", function(op) {
                $.util.trigger(_that.afterChange, {
                    data : _that._data,
                    table : _that._table,
                    field : op.field
                });
            });
            _that._validator = _that._$that.kendoValidator({
                errorTemplate: '<i class="fa fa-exclamation-circle" title="#=message#" style="right: 0;position: absolute;top: 0.5em;color: RGB(160,156,213)"' + (_that._options.templateId ? "position: static" : "") + '"></i>'
            }).data("kendoValidator");

            _that._parseChild();
        });
    }
    ///列生成前事件
    this.beforeField = $.util.defaultEvent;
    ///绑定前事件
    this.beforeLoad = $.util.defaultEvent;
    ///绑定后事件
    this.afterLoad = $.util.defaultEvent;
    ///数据改变后事件
    this.afterChange = $.util.defaultEvent;
    ///更新前事件
    this.beforeSave = $.util.defaultEvent;
    ///更新后事件
    this.afterSave = $.util.defaultEvent;

    ///获取查询参数
    this.getOptions = function() {
        return _that._options;
    };
    ///获取查询参数
    this.getQuery = function() {
        return _that._query;
    };
    ///获取表结构
    this.getTable = function() {
        return _that._table;
    };
    ///获取数据源
    this.getDataSource = function() {
        _that._$that.find('input').blur();
        _that._$that.find('textarea').blur();
        return _that._data;
    };
    ///获取K控件
    this.getKGrid = function() {
        return _that._$that.data("kendoGrid");
    };

    ///数据绑定
    this.load = function(q, options) {
        _that._query = $.extend(new $.server.queryOptions(), q);
        $.server.query(_that._query, function(data) {
            _that.bind(data, options);
        });
    };

    ///数据绑定
    this.bind = function(data, options) {
        _that._options = $.extend(_that._options, options);

        if (_that._options.opeMode == 1) {
            data.DataSource = [];
            data.DataSource.push($.server.create(data.Table));
        }
        if (data.DataSource.length == 0) {
            $.util.warn("无法找到需要绑定的数据");
            return;
        }
        if (data.DataSource.length > 1) {
            $.util.warn("查询到的数据条数有误");
            return;
        }

        _that._table = $.extend(true, {}, data.Table);
        $.util.trigger(_that.beforeField, {
            table : _that._table,
            datas : data.DataSource
        }, function() {
            _that._data = $.util.observable(data.DataSource[0]);

            $(_that._table.FieldList).each(function() {
                if (!this.ColGroup) {
                    this.ColGroup = _that._table.TableLabel;
                    this.ColGroupMC = _that._table.TableLabel;
                }
                if (this.FormVisible() == 0) {
                    return;
                }
                switch (this.ColVisible) {
                /*不可见*/
                case 0:
                    return;
                case 1:
                    editable = true;
                    break;
                case 2:
                    editable = false;
                    break;
                case 3:
                    editable = data["_ROWSTATE"] == 1 ? true : false;
                    break;
                }
                if (this.ColRight == 2) {
                    editable = false;
                }
                if (_that._options.opeMode == 0) {
                    editable = false;
                }
                if (_that._query && this.TableName != _that._query.PrimaryTable) {
                    editable = false;
                }
                this.editable = editable;
            });

            if (_that._options.templateId) {
                _that._createTemplate(function() {
                    _that._formLoad();
                });
                return;
            } else if (_that._options.templateCustom) {
                _that._parseTemplate();
            } else {
                _that._createForm(_that._table, _that._data);
            }
            _that._formLoad();
        });
    }
    ///重新绑定
    this.refresh = function(options) {
        _that._options = $.extend(_that._options, options);
        _that.load(_that._query, _that._options);
    };
    ///查看
    this.view = function() {
        _that._options = $.extend(_that._options, {
            opeMode : 0
        });
        _that.load(_that._query, _that._options);
    };
    ///新增
    this.add = function() {
        _that._options = $.extend(_that._options, {
            opeMode : 1
        });
        _that.load(_that._query, _that._options);
    };
    ///编辑
    this.edit = function() {
        _that._options = $.extend(_that._options, {
            opeMode : 2
        });
        _that.load(_that._query, _that._options);
    };
    ///删除
    this.del = function() {
        if (_that.getDataSource() != null) {
            var _datas = [];
            _that.getDataSource()["_ROWSTATE"] = 3;
            _datas.push(_that.getDataSource());
            $.util.trigger(_that.beforeSave, {
                datas : _datas,
                table : _that.getTable()
            }, function() {
                var udata = $.server.updateOptions(_that.getTable(), _datas, _that._query.PrimaryTable, _that._query.PrimaryKeyField);
                $.server.update(udata, function(data) {
                    $.util.trigger(_that.afterSave, {
                        data : data
                    }, function() {

                    });
                });
            });
        }
    };
    ///保存
    this.save = function() {
        var datas = [];
        var cfdatas = [];
        if (_that._options.templateId) {
            $(_that._$that.find("tr[formindex]")).each(function() {
                if ($(this).attr("formindex") == "-1") {
                    formdata = $(this).data("formdata");
                    cfdatas.push({
                        datas : [],
                        table : formdata.table,
                        tableName : formdata.tableName
                    });
                } else {
                    var fd = $(this).ctl().getDataSource();
                    if (!$.server.dataHasChange(formdata.table, fd)) {
                        $(this).remove();
                        if (fd._ROWSTATE != 1) {
                            fd._ROWSTATE = 3;
                            cfdatas[cfdatas.length - 1].datas.push(fd);
                        }
                    } else {
                        cfdatas[cfdatas.length - 1].datas.push(fd);
                    }
                }
            });
            var tmps = [];
            $(cfdatas).each(function() {
                if (this.datas.length > 0)
                    tmps.push(this);
            })
            cfdatas = tmps;
        }

        if (!_that._validator.validate()) {
            if (_that._options.templateId) {
                var formdata = null;
                var $temptr = null;
                $(_that._$that.find("tr[formindex]")).each(function() {
                    if ($(this).attr("formindex") == "-1") {
                        formdata = $(this).data("formdata");
                        $temptr = $(this);
                    } else {
                        if ($(this).next("tr[formindex]").length == 0) {
                            _that._templateChildForm($temptr, $.server.create(formdata.table));
                        }
                    }
                })
            }
            $.util.info("请填写完整的信息");
            return;
        }
        datas.push(_that.getDataSource());
        $.util.trigger(_that.beforeSave, {
            datas : datas,
            table : _that.getTable()
        }, function() {
            var udata = $.server.updateOptions(_that.getTable(), datas, _that._query.PrimaryTable, _that._query.PrimaryKeyField);
            $.server.update(udata, function(data) {
                if (_that.getDataSource()["_ROWSTATE"] == 0 || _that.getDataSource()["_ROWSTATE"] == 1) {
                    _that.getDataSource()[_that._query.PrimaryTable + "_ID"] = data[0];
                }
                if (_that._options.templateId && cfdatas.length > 0) {
                    for (var i = 0; i < cfdatas.length; i++) {
                        $(cfdatas[i].datas).each(function() {
                            this[cfdatas[i].tableName + "_PID"] = _that.getDataSource()[_that._query.PrimaryTable + "_ID"];
                        });
                    }
                    _that.saveChild(cfdatas);
                } else {
                    $.util.trigger(_that.afterSave, {
                        data : data
                    }, function() {
                        _that.refresh();
                        $.util.info("操作成功");
                    });
                }
            });
        });

        this.saveChild = function(cfdatas, index) {
            index = index || 0;
            var cfdata = $.server.updateOptions(cfdatas[index].table, cfdatas[index].datas, cfdatas[index].tableName, "ID");
            $.server.update(cfdata, function(cdata) {
                index++;
                if (cfdatas.length > index) {
                    _that.saveChild(cfdatas, index);
                } else {
                    $.util.trigger(_that.afterSave, {
                        data : [_that._data[_that._query.PrimaryTable + "_ID"]]
                    }, function() {
                        _that.refresh();
                        $.util.info("操作成功");
                    });
                }
            });

        }
    };
}
