function MyComboBox($this) {
    var _that = this;
    this._$that = $this;
    this._options = {};
    this._$k = null;

    this.afterChange = $.util.defaultEvent;
    this.afterLoad = $.util.defaultEvent;

    ///数据加载
    this.load = function (query, options) {
        _that.query = $.extend(new $.server.queryOptions(), query);
        //_that._$that.data("query", query);
        _that._options = $.extend({}, options);

        $.server.query(_that.query, function (data) {
            $.util.trigger(_that.afterLoad, {data:data}, _that.bind(data, _that._options));
        });
    };

    ///数据绑定
    this.bind = function (data, options) {
    	_that._$that.val("");
        _that._data = data.DataSource;
        _that._options = $.extend({}, options);

        var dataSource = data.DataSource;
        if (_that._options.def == null || _that._options.def == "def") {//设置一个空选择项
            var def = {};
            def[_that._options.dataTextField] = "——请选择——";
            def[_that._options.dataValueField] = 0;
            dataSource.unshift(def);
        }
        var ComboBoxOptions = {
            //dataTextField: _that._options.dataTextField,//下拉显示项
            //dataValueField: _that._options.dataValueField,//下拉值
            //cascadeFrom: _that._options.cascadeFrom,//父下拉框
            //cascadeFromField: _that._options.cascadeFromField,//对应父下拉框的值的项
            placeholder: "请选择",//默认提示
            //value: _that._options.id,//默认选中的项
            //index:0,//默认显中的项，
            dataSource: dataSource,
            change: function (e) {
                var value = this.value();
                var text = this.text();
                $.util.trigger(_that.afterChange, { datas: { id: value, name: text, options: _that._options } });
            }
        };
        ComboBoxOptions = $.extend(ComboBoxOptions, _that._options);

        _that._$that.kendoComboBox(ComboBoxOptions);
    };

}
