function TabPanel($this, options) {
    var _that = this;
    this._$that = $this;
    this._$that.data("ctrl", _that);
    this._options = $.extend({}, options);
    this._$ul = $("<ul class='nav nav-tabs'></ul>");
    this._$that.append(this._$ul);
    if (this._options.full) {
        this._$ul.addClass("nav-justified");
    }
    this._$content = $("<div class='tab-content'><div>");
    this._$that.append(this._$content);

    this.bind = function (tabs) {
        $(tabs).each(function (i) {
            $li = $("<li><a data-toggle='tab' href='#tab" + this.title + "'>" + this.title + "</a></li>");
            _that._$ul.append($li);
            $div = $("<div id='tab" + this.title + "' class='tab-pane'></div>");
            $div.html(this.content);
            _that._$content.append($div);
            if (i == 0) {
                $li.addClass("active");
                $div.addClass("active");
            }
        });
    }
}
