function goTo(url, action, mtime) {
	//跳转地址
	//action  true : 在新窗口中打开, false(默认) : 在当前页面中打开
	//mtime 跳转时间,默认为0秒(立即跳转)
	if (!action) {
		action = false;
	}
	if (!mtime) {
		mtime = 0;
	} else {
		mtime = mtime * 1000;
	}
	if (url == '/' || !url) {
		//默认首页
		url = "/Default.aspx";
	}
	if (action == true) {
		window.open(url);
		//return false;
	} else {
		if (mtime == 0) {
			//立即执行跳转
			location.href = url;
		} else {
			//延时执行跳转
			setTimeout(function () {
				location.href = url;
			}, mtime);
		}
		//return false;
	}
}

function getUrlParam(name) {
	//获取url中的参数
	//使用: 
	//      var xx = getUrlParam('reurl');
	//      alert(xx);
	var reg = new RegExp("(^|&)" + name + "=([^&]*)(&|$)");     //构造一个含有目标参数的正则表达式对象
	var r = window.location.search.substr(1).match(reg);        //匹配目标参数
	if (r != null) return unescape(r[2]); return null;          //返回参数值
}

function CommAjax(url, data, type, success, error, async) {
	//AJAX提交

	if (async != false) {
		var async = true;
	}
	if (!type) {
		var type = "POST";
	}

	$.ajax({
		url: url,
		async: async,
		type: type,
		data: data,
		dataType: "json",
		contentType: "application/x-www-form-urlencoded",
		success: success,
		error: error
	});
}

function AddJson(data, str) {
	//添加数据到JSON
	if (!data || data == "undefined") {
		data = [];
	} else {
		data = eval(data);
	}
	data.push(str);
	return JSON.stringify(data);
}
function updateJson(data, str, keys, values) {
	//更新数据到JSON
	//data被更新的JSON值
	//str更新内容 格式 { name: "kenny", sex: "m", age: "25" }
	//keys更新条件 KEY值
	//values更新条件 value值

	if (!data || data == "undefined") {
		persons = data = [];
	} else {
		persons = eval(data);
	}
	//var keys = where.split(":", 1);
	//var values = where.split(":", 2); 

	for (var i = 0; i < persons.length; i++) {
		var cur_person = persons[i];
		if (cur_person[keys] == values) {
			for (var key in str) {
				if (str[key]) {
					cur_person[key] = str[key];
				}
			}
		}
	}
	return JSON.stringify(persons);

}

function deleteJson(data, keys, values) {
	//删除JSON数据
	//keys删除条件 KEY值
	//values删除条件 value值
	if (!data) {
		//没有数据返回 FALSE
		return false;
	}
	if (data) {
		persons = $.evalJSON(data);
		for (var i = 0; i < persons.length; i++) {
			var cur_person = persons[i];
			if (cur_person[keys] == values) {
				persons.splice(i, 1);
			}
		}
	}
	return $.toJSON(persons);
}

function getJson(data, keys, values) {
	//获取JSON数据
	//keys获取条件 KEY值
	//values获取条件 value值
	if (!data || data == "undefined") {
		//没有数据返回 FALSE
		return false;
	}
	if (data) {
		var persons = eval(data);
		for (var i = 0; i < persons.length; i++) {
			var cur_person = persons[i];
			if (cur_person[keys] == values) {
				return $.toJSON(persons[i]);
			}
		}
	}

	//没有数据返回 FALSE
	return false;

}

//写cookies
function setCookie(name, value) {
	var Days = 30;
	var exp = $C.server.currentDate();
	exp.setTime(exp.getTime() + Days * 24 * 60 * 60 * 1000);
	document.cookie = name + "=" + escape(value) + ";expires=" + exp.toGMTString();
}

//读取cookies
function getCookie(name) {
	var arr, reg = new RegExp("(^| )" + name + "=([^;]*)(;|$)");

	if (arr = document.cookie.match(reg))

		return unescape(arr[2]);
	else
		return null;
}

//删除cookies
function delCookie(name) {
	var exp = $C.server.currentDate();
	exp.setTime(exp.getTime() - 1);
	var cval = getCookie(name);
	if (cval != null)
		document.cookie = name + "=" + cval + ";expires=" + exp.toGMTString();
}

//对比时间戳
function DuibiTime(Name) {
	//时间一致,返回1
	//时间不一致,返回0
	if (!localStorage[Name + "_D"] || (localStorage[Name + "_E"] && localStorage[Name + "_E"] != localStorage[Name + "_G"])) {
		//对比时间,时间不一致
		return "0";
	}
	return "1";

}
//判断是否存在缓存
function DuibiCache(Name) {
	//存在缓存,返回1
	//不存在缓存,返回0
	if (!localStorage[Name + "_D"]) {
		//对比时间,时间不一致
		return "0";
	}
	return "1";

}
//保存为本地缓存
function SaveLocalCache(tableName, data, timeStamp) {
	//data = eval(data);
	if (data) {
		localStorage[tableName + "_D"] = data;
		if (timeStamp) {
			localStorage[tableName + "_G"] = timeStamp;
			localStorage[tableName + "_E"] = timeStamp;
		}
	}
}
//function SaveWebMenu(data) {
//	data = eval(data);
//	if (data.apps) {
//		SaveLocalCache("xWebMenu", JSON.stringify(data.apps), data.appstime[0].column1);
//	}
//	if (data.groups) {
//		SaveLocalCache("xWebMenuGroup", JSON.stringify(data.groups), data.groupstime[0].column1);
//	}
//}

//function SaveUserWebMenu(data) {	
//	data = eval(data);
//	if (data.apps[0] && data.apps[0].value) {
//		SaveLocalCache("xUserWebMenu", data.apps[0].value, data.apps[0].column1);
//	}
//	if (data.groups[0] && data.groups[0].value) {
//		SaveLocalCache("xUserWebMenuGroup", data.groups[0].value, data.groups[0].column1);
//	}
//}

//对比时间戳,获取本地缓存数据
function GetLocalCache(tableName, where) {
	if (!localStorage[tableName + "_D"] || (localStorage[tableName + "_E"] && localStorage[tableName + "_E"] != localStorage[tableName + "_G"])) {
		//对比时间,时间不一致,则重新获取
		GetAjaxData(tableName, where)
	}
	return localStorage[tableName + "_D"];

}
//获取数据,保存为本地缓存
function GetAjaxData(tableName, where) {
	var async = false;

	$.ajax({
		url: "/api/Base/GetLocalCache",
		dataType: "json",
		contentType: "application/x-www-form-urlencoded",
		type: "Post",
		async: async,
		data: {
			tableName: tableName,
			where: where
		},
		success: function (data) {
			data = eval(data);
			if (data.data != -1) {
				localStorage[tableName + "_G"] = data.timeStamp;
				localStorage[tableName + "_D"] = JSON.stringify(data.data);
				localStorage[tableName + "_E"] = data.timeStamp;
			}
		}
	});

}
