$C(document).ready(function () {
    window.$index = {
        initBadge: function () {
            setInterval(function () {
                $C(".badge-out", null, true).each(function () {
                    var isShow = $C(this).data("isShow");
                    var count = $C(this).data("count");
                    if (count) {
                        $C(this).parent().addClass("wave in");
                        if (isShow) {
                            $C(this).data("isShow", 0);
                            $C(this).html(count);
                        } else {
                            $C(this).data("isShow", 1);
                            $C(this).empty();
                        }
                    } else {
                        $C(this).parent().removeClass("wave in");
                        $C(this).data("isShow", 1);
                        $C(this).empty();
                    }
                });
            }, 500);
            setInterval($index.loadMsg, 300000);
            setInterval($index.loadTrans, 300000);
            setInterval($index.loadCalendar, 300000);
        },
        loadMsg: function () {
            $C.server.api({
                path: "AutoPrompt/ShortMsg/GetMsgType",
                parms: [true]
            }, function (data) {
                //$C("#msg .item", null, true).remove();
                var count = 0;
                $C(data).each(function () {
                    count += this["SS202_COUNT"];
                    //    var html = [];
                    //    html.push("<li class='item'>");
                    //    html.push("<a href='#'>");
                    //    html.push("<div class='clearfix'>");
                    //    html.push("<span class='pull-left'>" + this["SS202_A02"] + "</span>");
                    //    html.push("<span class='badge badge-default badge-square pull-right'>" + this["SS202_COUNT"] + "</span>");
                    //    html.push("</div>");
                    //    html.push("</li>");
                    //    $li = $C($C.util.join("", html));
                    //    $li.data("bm", this["SS202_A01"]);

                    //    $C("#msg li", null, true).last().before($li);
                    //    $li.click(function () {
                    //        var bm = $C(this).data("bm");
                    //        $C.server.navigate("DT05", { bm: bm }, 1);
                    //    });
                });
                $C("#msg_badge", null, true).data("count", count);
            });
        },
        loadTrans: function () {
            $C.server.api({
                path: "WorkFlow/WorkFlowManager/GetTrans",
                parms: null
            }, function (data) {
                $C("#trans .item", null, true).remove();
                var count = 0;
                $C(data).each(function () {
                    count += this["COUNT"];
                    var html = [];
                    html.push("<li class='item'>");
                    html.push("<a href='#'>");
                    html.push("<div class='clearfix'>");
                    html.push("<div class='notification-icon'>");
                    html.push("<i class='fa fa-clock-o bg-themeprimary white'></i>");
                    html.push("</div>");
                    html.push("<div class='notification-body'>");
                    html.push("<span class='title'>" + this["TITLE"] + "</span>");
                    html.push("<span class='description'>" + this["MODULE"] + "</span>");
                    html.push("</div>");
                    html.push("<div class='notification-extra'>");
                    html.push("<span class='description'>");
                    html.push("<span class='badge badge-default badge-square pull-right'>" + this["COUNT"] + "</span>");
                    html.push("</span>");
                    html.push("</div>");
                    html.push("</div>");
                    html.push("</a>");
                    html.push("</li>");
                    $li = $C($C.util.join("", html));
                    $li.data("bm", this["BM0000"]);

                    $C("#trans li", null, true).last().before($li);
                    $li.click(function () {
                        $C.util.debug();
                        var bm = $C(this).data("bm");
                        if (bm == "KH14")
                            $C.server.navigate("KH14", { bm: bm }, 1);
                        else
                            $C.server.navigate("DT04", { bm: bm }, 1);
                    });
                });

                $C("#trans_badge", null, true).data("count", count);
            });
        },
        loadCalendar: function () {
            var q = new $.server.queryOptions();
            q.PrimaryTable = "RC202";
            q.Tables = "RC302";
            q.ConditionExpr = "RC202.ID = RC302.A01 AND RC202.A03 = '" + $.server.cache.CurrentUser.Uid + "' AND RC202.A01 <= GETDATE() AND RC202.A02 >= GETDATE()";
            $C("#daycalendar .item", null, true).remove();
            $.server.query(q, function (data) {
                var count = 0;
                $C(data.DataSource).each(function (key, val) {
                    count += 1;
                    var html = [];
                    html.push("<li class='item'>");
                    html.push("<a href='#'>");
                    html.push("<div class='clearfix'>");
                    html.push("<div class='notification-icon'>");
                    html.push("<i class='fa fa-calendar bg-themeprimary white'></i>");
                    html.push("</div>");
                    html.push("<div class='notification-body'>");
                    html.push("<span class='title' title='" + this["RC302_A02"] + "' style='overflow: hidden; text-overflow: ellipsis; white-space: nowrap; width:140px;'>" + this["RC302_A02"] + "</span>");
                    html.push("<span class='description'>" + $.date.format(this["RC202_A01"], "yyyy-MM-dd HH:mm") + "</span>");
                    html.push("</div>");
                    html.push("<div class='notification-extra'>");
                    html.push("<i class='fa fa-clock-o themeprimary'></i>");
                    html.push("<span class='description'>" + $.date.format(this["RC202_A02"], "yyyy-MM-dd HH:mm") + "</span>");
                    html.push("</div>");
                    html.push("</div>");
                    html.push("</a>");
                    html.push("</li>");
                    $li = $C($C.util.join("", html));

                    $C("#daycalendar li", null, true).last().before($li);
                    $li.click(function () {
                        $C.server.navigate("RC04", { id: val["RC202_ID"], sch_type: "00005WT59VSE0000000000", sch_name: "日程", sch_source: "", allDatas: [] });
                    });
                });

                var q = new $.server.queryOptions();
                q.PrimaryTable = "RC201";
                q.Tables = "RC401";
                q.ConditionExpr = "RC201.ID = RC401.A01 AND RC201.A03 = '" + $.server.cache.CurrentUser.Uid + "' AND RC201.A06 = CONVERT(VARCHAR,GETDATE(),111)";
                $.server.query(q, function (dataJH) {
                    $C(dataJH.DataSource).each(function (key, val) {
                        count += 1;
                        var html = [];
                        html.push("<li class='item'>");
                        html.push("<a href='#'>");
                        html.push("<div class='clearfix'>");
                        html.push("<div class='notification-icon'>");
                        html.push("<i class='fa fa-phone bg-themeprimary white'></i>");
                        html.push("</div>");
                        html.push("<div class='notification-body'>");
                        html.push("<span class='title' title='" + this["RC401_A02"] + "' style='overflow: hidden; text-overflow: ellipsis; white-space: nowrap; width:140px;'>" + this["RC401_A02"] + "</span>");
                        html.push("<span class='description'></span>");
                        html.push("</div>");
                        html.push("<div class='notification-extra'>");
                        html.push("<i class='fa fa-clock-o themeprimary'></i>");
                        html.push("<span class='description'>" + $.date.format(this["RC201_A06"], "yyyy-MM-dd") + "</span>");
                        html.push("</div>");
                        html.push("</div>");
                        html.push("</a>");
                        html.push("</li>");
                        $li = $C($C.util.join("", html));

                        $C("#daycalendar li", null, true).last().before($li);
                        $li.click(function () {
                            $C.server.navigate("RC04", { id: val["RC201_ID"], sch_type: "00005WT59OHT0000000000", sch_name: "日志", sch_source: "", allDatas: [] });
                        });
                    });
                    $C("#day_badge", null, true).data("count", count);
                });
            });
        },
        history: []
    }

    $C("#poweroff", null, true).click(function () {
        var loginType = $.util.cookie("loginType");
        if (loginType) {
            var loginInfo = $.util.cookie(loginType + "-info");
            if (loginInfo) {
                var login = $.evalJSON(loginInfo);
                if (login.autoLogin) {
                    login.autoLogin = false;
                    login.pwd = "";
                    $.util.cookie(loginType + "-info", $.toJSON(login));
                }
            }
        }
        window.location = "/page/logout";
    });

    $C("#photos", null, true).afterSave = function (data) {
        console.log(data);
    }

    $C("#btnEditUserInfo", null, true).click(function () {
        $C.server.navigate("DT01", null, 1);
    });
    $C("#btnEditUserPW", null, true).click(function () {
        $C.server.navigate("DT03", null, 1);
    });
    $C(".fa-bars", null, true).click(function () {
        if ($('#copyright').is(':visible') || !$('#sidebar').hasClass('menu-compact'))
        {
            $('#copyright').hide();
        }
        else
        {
            $('#copyright').show();
        };
    })
    $C("#imgBackIndex", null, true).click(function () {
        $C.server.navigate("DT06", null, 1);
    });
    $C(".fa-home", null, true).click(function () {
        $C.server.navigate("DT06", null, 1);
    });
    $C("#navCompany", null, true).click(function () {
        $C.server.navigate("DT06", null, 1);
    });

    kendo.culture("zh-CN");

    if ($.util.getUrlParms("d") == 2) {
        $.util.warn("上次登录的帐号未注销");
    }
    $C.server.initData(function () {
        $C("title", null, true).html($C.server.cache.CurrentUser.CompanyName);
        $C("#navCompany", null, true).html($C.server.cache.CurrentUser.CompanyName);
        $C("#index-name", null, true).html($C.server.cache.CurrentUser.UserName);

        $C($C.server.cache.Modules).each(function () {
            if (this["SS001_A01"] == "DT")
                return true;
            var ps = $C.evalJSON(this["SS001_A04"]);
            var $li = $C("<li><a href='#' code='" + this["SS001_A01"] + "' class='menu-dropdown'><i class='menu-icon fa fa-" + ps.ICON + "'></i><span class='menu-text'>"
                + this["SS001_A02"] + "</span><i class='menu-expand'></i></a></li>");
            $C("#ulMenus", null, true).append($li);
            var hasMenus = addMenus($li, this["SS001_A01"]);
            if (!hasMenus) {
                $li.remove();
            }
        });       
        $C("#im", null, true).attr("src", $C.server.cache.Params["IM_URL"] + "?purl=" + window.location.host + "&user=" + $C.server.cache.CurrentUser.UserNo);

        $index.initBadge();
        $index.loadTrans();
        $index.loadMsg();
        $C("#msg").click(function () {
            $C.server.navigate("DT05", { bm: null }, 1);
        });
        $index.loadCalendar();
        $C("#day_all", null, true).click(function () {
            $C.server.navigate("RC01", null, 1);
        });
        $C("#day_refresh", null, true).click(function () {
            $index.loadCalendar();
        });
        $C("#trans_all", null, true).click(function () {
            $C.server.navigate("DT04", { bm: null }, 1);
        });
        $C("#trans_refresh", null, true).click(function () {
            $index.loadTrans();
        });
        $C("#msg_all", null, true).click(function () {
            $C.server.navigate("DT05", { bm: null }, 1);
        });
        $C("#msg_refresh", null, true).click(function () {
            $index.loadMsg();
        });

        var opt = {
            guid: $C.server.cache.CurrentUser.Photo
        };
        //加载头像
        $C.server.ajax({
            url: "/handlers/DownloadHandler.ashx",
            dataType: null,
            data: opt
        }, function (data) {
            if (data != "") {
                $C(".avatar > img", null, true).attr("src", "/handlers/DownloadHandler.ashx?guid=" + $C.server.cache.CurrentUser.Photo + "&imgtype=headimg");
                $C(".avatar-area > img", null, true).attr("src", "/handlers/DownloadHandler.ashx?guid=" + $C.server.cache.CurrentUser.Photo + "&imgtype=headimg");
            }
        })

        //上传头像并更新
        var Userphoto = new Upload($C("#photos", null, true), opt);
        Userphoto.load(opt);
        Userphoto.afterSave = function (data) {
            $C(".avatar > img", null, true).attr("src", "/handlers/DownloadHandler.ashx?guid=" + $C.server.cache.CurrentUser.Photo + "&imgtype=headimg&t=" + Math.random());
            $C(".avatar-area > img", null, true).attr("src", "/handlers/DownloadHandler.ashx?guid=" + $C.server.cache.CurrentUser.Photo + "&imgtype=headimg&t=" + Math.random());
        };

    });



    function addMenus($p, pCode) {
        var hasMenus = false;
        for (var i = 0; i < $C.server.cache.Menus.length; i++) {
            var m = $C.server.cache.Menus[i];
            if (m["SS002_A06"] == 0)
                continue;
            if (m["SS002_A04"] == pCode) {
                hasMenus = true;
                var $pnl = $C("ul", $p, true)
                if ($pnl.length == 0) {
                    $pnl = $C("<ul class='submenu'></ul>");
                    $p.append($pnl);
                }
                var $li = $C("<li><a href='#' code='" + m["SS002_A01"] + "' desc='" + m["SS002_A03"] + "' class='menu-dropdown'><span class='menu-text'>"
                        + m["SS002_A02"] + "</span><i></i></a></li>");
                $pnl.append($li);
                var hasChild = addMenus($li, m["SS002_A01"]);
                if (m["SS002_A09"]) {
                    $p.attr("code", m["SS002_A01"]);
                    $p.bind("click", function () {
                        $C.server.navigate($C(this).attr("code"), {}, 1);
                    });
                }
                if (hasChild) {
                    $C("i", $li, true).first().addClass("menu-expand");
                }
                else {
                    $C("a", $li, true).first().bind("click", function () {
                        $C.server.navigate($C(this).attr("code"), {}, 1);
                        return false;
                    });
                }
            }
        }
        return hasMenus;
    }

    //var htmlHeight = (kendo.support.mobileOS) ? parseFloat(window.innerHeight) : $C(window).height();
    //$C("#splitter").height(htmlHeight - 3);
    if (kendo.support.mobileOS) {
        $C(document.documentElement).addClass("k-hover-enabled");
    }
    window.addEventListener('message', function (event) {
        data = eval("(" + event.data + ")");
        if (data.Type == "IM_Close") {
            //关闭好友列表
            $C("#im", null, true).parent().parent().parent().removeClass("open");
        }
        if (data.Type == "AddFriendRequest") {
            //添加好友
            //num = $C("#im").parent().parent().parent().find(".badge").html();
            $C("#im", null, true).parent().parent().parent().find(".badge").data("count", "!");
        }
        if (data.Type == "floatForm_Close") {
            //关闭消息框			
            $C("#im", null, true).parent().parent().parent().find(".badge").data("count", null);

        }
        if (data.Type == "Ingore_Close") {
            //忽略消息框,关闭消息框			
            $C("#im", null, true).parent().parent().parent().find(".badge").data("count", null);

        }
        if (data.Type == "AddFriend_Close") {
            //同意添加好友,关闭消息框
            $C("#im", null, true).parent().parent().parent().find(".badge").data("count", null);
        }
        if (data.Type == "AddToGroup_Close") {
            //同意加入群组,关闭消息框
            $C("#im", null, true).parent().parent().parent().find(".badge").data("count", null);
        }
        if (data.Type == "ReceiveMessage") {
            //接收消息,提示数量
            $C("#im", null, true).parent().parent().parent().find(".badge").data("count", "!");

        }

        //if (event.origin.indexOf('http://yoursite.com')) {}

    });

    $C("#wave", null, true).click(function (event) {
        $C("#wave", null, true).find(".badge").data("count", null);
    });

    $C(document).keydown(function (e) {
        if (e.ctrlKey == true && e.which == 123) {
            $C.util.warn($page.menu);
        }
    });
});
