appcan.ready(function() {
    var url = $.gr.getServer();
    url = url.split("//")[1].split("/")[0];
    
    function refreshVerify() {
        $('#verify').trigger('click');
    }

    function loadCookie() {
        $.util.cacheLong(loginType + '-info', function (data){
            loginInfo = data;
            if (loginInfo) {
                $('#autoLogin').attr('checked', loginInfo.autoLogin);
                $('#email').val(loginInfo.email);
                $('#code').val(loginInfo.code);
                $('#password').val(loginInfo.pwd);
            }
        });
    }

    $('.tab-list li').click(function() {
        loginType = $(this).attr('node-type');
        $this = $(this);
        $.util.cacheLong("loginType", loginType, function (){
            $this.addClass('on').siblings('.on').removeClass('on');
            if ('account-type' == loginType) {
                $('#login-panel').removeClass('email');
                $('.email-type').hide();
                $('#account-user').show();
            } else {
                $('#login-panel').addClass('email');
                $('.email-type').show();
                $('#account-user').hide();
            }
            loadCookie();
        });
    });
    
    $('.forget').click(function() {
        appcan.window.open({
            name : "forget",
            data : "forget.html",
            dataType : 0,
            aniId : 8,
            type : 4,
            animDuration : 2000
        });
    });

    $('.register').click(function() {
        appcan.window.open({
            name : "register",
            data : "register.html",
            dataType : 0,
            aniId : 8,
            type : 4,
            animDuration : 2000
        });
    });

    $('#email').keypress(function() {
        if (event.keyCode == 13) {
            $("#code").focus();
        }
    });

    $('#code').keypress(function() {
        if (event.keyCode == 13) {
            $("#password").focus();
        }
    });

    $('#password').keypress(function() {
        if (event.keyCode == 13) {
            $('#login-sub').click();
        }
    });

    $('#login-sub').click(function() {
        var code = $('#code');
        if ('account-type' == loginType) {
            if ($.trim(code.val()) == '') {
                $.util.info('个人账号不能为空，请重新输入！');
                code.focus();
                return false;
            }
        }
        var email = $('#email');
        if ($.trim(email.val()) == '') {
            $.util.info('企业账号不能为空，请重新输入！');
            email.focus();
            return false;
        }
        var password = $('#password');
        if (password.val() == '') {
            $.util.info('密码不能为空，请重新输入！');
            password.focus();
            return false;
        }
        $this = $(this);
        $(this).attr("disabled", true).text('正在登录...');
        var autoLogin = $('#autoLogin').is(':checked');
        var data = {
            autoLogin : autoLogin,
            email : null,
            code : null,
            pwd : null
        };
        data.email = $.trim(email.val());
        if ('account-type' == loginType) {
            data.code = $.trim(code.val());
        }
        data.pwd = password.val();
        data.change = 1;
        $.util.cache(".GRAUTH", 'null');
        $.server.login(data, function(ret) {
            $this.attr("disabled", false).text('登录');
            if (ret == null) {
                $.util.info("账号或者密码错误,请检查是否输入正确");
            } else {
                $.util.cache(".GRAUTH", ret);
                if (!data.autoLogin) {
                    data.pwd = '';
                }
                $.util.cacheLong(loginType + "-info",data, function (){
                    appcan.window.publish('main_refresh','');
                    appcan.window.close(8, 2000);
                });
            }
        }, function(){
            $this.attr("disabled", false).text('登录');
        });
    });
    window.loginType = null;
    $.server.companyInfo(url, function (ret) {
        if (ret) {
            $("#imgLogo").attr("src", $.mobile.imgUrl(ret[0]["A09"], "logo"));
            $("#imgLogo").attr("alt", ret[0]["A02"]);
            $("#txtName").html(ret[0]["A01"]);
            if (ret[0]["A09"]) {
                loginType = $.util.cookie('loginType') || "account-type";
            }
        }
        $.util.cacheLong('loginType', function (loginType){
            loginType = loginType || "email-type";
            $('#login-sub').attr("disabled", false).text('登录');
            $('.tab-list li[node-type="' + loginType + '"]').trigger("click");
        });
    })
});
